<?php

/**
 * Search Loop - Single Reply
 *
 * @package bbPress
 * @subpackage Theme
 */

?>

<div id="post-<?php esc_attr( bbp_reply_id() ); ?>" <?php esc_attr( bbp_reply_class() ); ?>>

	<div class="bbp-reply-author">

		<?php do_action( 'bbp_theme_before_reply_author_details' ); ?>

		<?php bbp_reply_author_link( array( 'sep' => '<br />', 'show_role' => true ) ); ?>

		<?php if ( bbp_is_user_keymaster() ) : ?>

			<?php do_action( 'bbp_theme_before_reply_author_admin_details' ); ?>

			<div class="bbp-reply-ip"><?php bbp_author_ip( bbp_get_reply_id() ); ?></div>

			<?php do_action( 'bbp_theme_after_reply_author_admin_details' ); ?>

		<?php endif; ?>

		<?php do_action( 'bbp_theme_after_reply_author_details' ); ?>

	</div><!-- .bbp-reply-author -->

	<div class="bbp-reply-content">

        <div class="bbp-meta">
    
            <span class="bbp-reply-post-date"><?php bbp_reply_post_date(); ?></span>
    
            <a href="<?php esc_url( bbp_reply_url() ); ?>" title="#<?php esc_attr( bbp_reply_id() ); ?>" class="bbp-reply-permalink"><i class="fa fa-link"></i></a>
    
        </div><!-- .bbp-meta -->
    
        <div class="bbp-reply-title">
    
            <h3><?php esc_html_e( 'In reply to: ', 'you' ); ?>
            <a class="bbp-topic-permalink" href="<?php esc_url( bbp_topic_permalink( bbp_get_reply_topic_id() ) ); ?>"><?php esc_html( bbp_topic_title( bbp_get_reply_topic_id() ) ); ?></a></h3>
    
        </div><!-- .bbp-reply-title -->    

		<?php do_action( 'bbp_theme_before_reply_content' ); ?>

		<?php bbp_reply_content(); ?>

		<?php do_action( 'bbp_theme_after_reply_content' ); ?>

	</div><!-- .bbp-reply-content -->

</div><!-- #post-<?php bbp_reply_id(); ?> -->

