<?php
/**
 * @package WordPress
 * @subpackage acoda
*/

/*
Template Name: Blog
*/ 	
	
	get_header();  


	$acoda_layout				 = ( get_post_meta( $post->ID, '_'. ACODA_THEME_PREFIX .'_layout', true ) !='' 				? get_post_meta( $post->ID, '_'. ACODA_THEME_PREFIX .'_layout', true )  : of_get_option('arhlayout') );	
	$acoda_gridcols 			 = ( get_post_meta( $post->ID, '_'. ACODA_THEME_PREFIX .'_arhpostcolumns', true ) !='' 		? get_post_meta( $post->ID, '_'. ACODA_THEME_PREFIX .'_arhpostcolumns', true )  : of_get_option('arhpostcolumns') );	
	$acoda_postlayout 			 = ( get_post_meta( $post->ID, '_'. ACODA_THEME_PREFIX .'_arhpostdisplay', true ) !='' 		? get_post_meta( $post->ID, '_'. ACODA_THEME_PREFIX .'_arhpostdisplay', true ) :  of_get_option('arhpostdisplay') );		
	$posts_per_page 			 = ( get_post_meta( $post->ID, '_'. ACODA_THEME_PREFIX .'_blog_posts_per_page', true ) !=''	? get_post_meta( $post->ID, '_'. ACODA_THEME_PREFIX .'_blog_posts_per_page', true ) : get_option('posts_per_page') );
	$blog_search				 = ( get_post_meta( $post->ID, '_'. ACODA_THEME_PREFIX .'_blog_search', true ) !='' 		? get_post_meta( $post->ID, '_'. ACODA_THEME_PREFIX .'_blog_search', true ) : of_get_option('blog_search') );
	$paginate	 				 = ( get_post_meta( $post->ID, '_'. ACODA_THEME_PREFIX .'_blog_pagination', true ) !=''		? get_post_meta( $post->ID, '_'. ACODA_THEME_PREFIX .'_blog_pagination', true ) : of_get_option('blog_pagination') );
	$acoda_layout_style		 = ( get_post_meta( $post->ID, '_'. ACODA_THEME_PREFIX .'_post_layout_style', true ) !=''	? get_post_meta( $post->ID, '_'. ACODA_THEME_PREFIX .'_post_layout_style', true ) : of_get_option('post_layout_style') );
	$acoda_archivecat 			 = ( get_post_meta( $post->ID, '_'. ACODA_THEME_PREFIX .'_archivecat', true ) !='' ) 		? get_post_meta( $post->ID, '_'. ACODA_THEME_PREFIX .'_archivecat', true ) : '';
	$acoda_filterformats 		 = ( get_post_meta( $post->ID, '_'. ACODA_THEME_PREFIX .'_filter_formats', false ) !='' ) 	? get_post_meta( $post->ID, '_'. ACODA_THEME_PREFIX .'_filter_formats', true ) : '';
	$highlight 				 = '';
	
	
	$acoda_blog_lightbox 		= acoda_global_vars('blog_lightbox');
	$acoda_archive_img_align	= acoda_global_vars('archive_img_align');
	$acoda_archive_img_size	= acoda_global_vars('archive_img_size');
	$acoda_archive_img_effect	= acoda_global_vars('archive_img_effect');
	
	$acoda_layout_style = ( $acoda_layout_style != 'unboxed' && $acoda_layout_style != 'boxed_single' ) ? 'boxed' : 'unboxed';
	
	$attributes = 'lightbox:'. $acoda_blog_lightbox . '|img_size:'. $acoda_archive_img_size. '|imageeffect:'. $acoda_archive_img_effect. '|imagealign:'. $acoda_archive_img_align;	
	
	if( $paginate == 'scroll_load' )
	{
		wp_enqueue_script( 'waypoints', get_template_directory_uri() . '/js/waypoints.min.js', array('jquery'), true );
		wp_enqueue_script(	 'acoda-loadposts', get_template_directory_uri() . '/js/load-ajax.js', array( 'jquery' ), true );	
	}
	elseif( $paginate == 'click_load' )
	{
		wp_enqueue_script(	 'acoda-loadposts', get_template_directory_uri() . '/js/load-ajax.js', array( 'jquery' ), true );	
	}
	
	// Search Filter Highlight 
	if( $blog_search == 'search_filter_highlight' )
	{
		$blog_search	= 'search_filter';
		$highlight		= 'highlight';
		wp_enqueue_script( 'jquery-highlight', get_template_directory_uri() . '/js/jquery.highlight.js', array('jquery'), true );		
	}
	
	$masonry = ( $acoda_postlayout == 'masonrygrid' ? 'masonry' : '' );
	
	if( $masonry == 'masonry' || $blog_search == 'search_filter'  ) 
	{
		wp_enqueue_script('jquery-isotope', get_template_directory_uri().'/js/jquery.isotope.min.js',false,array('jquery'),true);
	}		
	 
	$columns = 'large-8';
		
	if( 
	$acoda_layout == "layout_one" || 
	$acoda_layout == "layout_zero" )				: $columns = 'large-12';
	elseif( $acoda_layout == "layout_two" )		: $columns = 'large-8 last';
	elseif( $acoda_layout == "layout_three" ) 	: $columns = 'large-6 last';
	elseif( $acoda_layout == "layout_four" ) 	: $columns = 'large-8';
	elseif( $acoda_layout == "layout_five" )  	: $columns = 'large-6';
	elseif( $acoda_layout == "layout_six" )  	: $columns = 'large-6';
	endif;

	$cats = $cat_isnum = '';
		
	// Selected Blog Categories	
	if( !empty($acoda_archivecat) )
	{ 
		// Get category ID Array	
		foreach ($acoda_archivecat as $catlist)
		{ 
			$cats = $cats.",".$catlist;
		}

		if(empty($cats)) $cats='';
			
		$cats = lTrim($cats,',');
		$cat_isnum = str_replace(",","", $cats); // join cats to check if numeric			
	}		

	if(have_posts()) : the_post(); 
				
		$content = get_the_content(); 
				
		if( $content != '' )
		{                           
			$page_content = "\n\t". '<div class="entry">';
			$page_content .= "\n\t". do_shortcode($content); // Check if there is content
			$page_content .= "\n\t". '</div><!-- /entry -->';             
		} 
				
	endif;
		
				
	// backwards compatible with post id
	if (is_numeric ($cat_isnum))
	{ 
		$cat_type= "cat";
	}
	// if not numeric, use category name
	else
	{
		$cat_type= "category_name";
	}
			
	if( is_home() || is_front_page() )
	{
		$paged = (get_query_var('page')) ? get_query_var('page') : 1;
	}
	else
	{
		$paged = (get_query_var('paged')) ? get_query_var('paged') : 1;
	}
			
	// Filter Post Formats
	$filterformats = '';
				
	if( !empty( $acoda_filterformats ) )
	{
		foreach( $acoda_filterformats as $format )
		{
			$filterformats[] = 'post-format-'. $format;
		}
	}
			
	$args = array(
		$cat_type => $cats,
		'paged' => $paged,				
		'tax_query' => array(
			array(
			'taxonomy' => 'post_format',
			'field' => 'slug',
			'terms' => $filterformats,
			'operator' => 'NOT IN'
			)
		)
	);
		
	query_posts( $args );		
	
	$post_count = $wp_query->found_posts;
		
	echo "\n\t". '<div id="content" class="columns '. esc_attr( $columns .' '. $acoda_layout .' '. $acoda_layout_style ) .'">';
	
	if( !empty( $page_content ) )
	{
		echo $page_content;	
	}
		
	echo "\n\t". '<div id="blog_container" class="acoda-ajax-container row '. ( $blog_search == 'search_filter' ? ' filter search' : '' ) . ( $masonry == 'masonry' ? ' '. esc_attr( $masonry ) : '' ) . ( $acoda_postlayout == 'grid' || $acoda_postlayout == 'masonrygrid' ? ' grid' : '' ) .'" data-source="blog" data-load-method="'. esc_attr( $paginate ) .'"  data-query="'. esc_attr( $cats ) .'" data-attributes="'. esc_attr( $attributes ) .'" data-ajaxurl="'. esc_url( admin_url( 'admin-ajax.php' ) ) .'" data-postlayout="'. ( $acoda_postlayout == 'grid' || $acoda_postlayout == 'masonrygrid' ? 'grid' : 'normal' ) .'" data-grid-columns="'. esc_attr( $acoda_gridcols ) .'">';

		if( $blog_search == 'search_filter' )
		{
			echo "\n\t". '<div class="splitter-wrap"><input type="text" class="search-filter" placeholder="'. esc_html__( 'Search Filter', 'you' ) .'"></div>';
		}
		elseif( $blog_search	== 'search' )
		{
			echo "\n\t". '<div class="splitter-wrap"><form method="get" id="searchform" action="'. esc_url( home_url( '/' ) ) .'"><input type="text" class="search-blog" placeholder="'. esc_html__( 'Search', 'you' ) .'" name="s" id="s"><input type="submit" id="searchsubmit" value="&#xf002;" /></form></div>';
		}		
		
		echo "\n\t". '<div class="row dynamic-frame blog '. esc_attr( $highlight ) .' clearfix" '. ( $paginate != 'page_numbers' ? 'data-offset="'. esc_attr( $posts_per_page ) .'" data-total="'. esc_attr( $post_count ) .'" data-load-value="'. esc_attr( $posts_per_page )  .'"' : '' ) .'>';

				$count = 1;
				
				if( $acoda_postlayout == 'grid' || $acoda_postlayout == 'masonrygrid' || $blog_search == 'search_filter' )
				{
					if( $masonry != 'masonry' )
					{
						$clear = $acoda_gridcols+1;
						$column_css = '
						.columns.grid_layout:nth-child('. $acoda_gridcols .'n+'. $clear .') {clear: both;}';
								
						wp_enqueue_style( 'acoda-grid-columns',	get_template_directory_uri() . '/dynamic-style.css', false, null );
						wp_add_inline_style( 'acoda-grid-columns', $column_css );	
					}

					if( $masonry == 'masonry' || $blog_search == 'search_filter' )
					{
						if( $acoda_postlayout == 'normal' )
						{
							echo '<div class="blog-sizer columns blog large-12"></div>';
						}
						else
						{
							echo '<div class="blog-sizer columns blog large-'. 12 / esc_attr( $acoda_gridcols ) .'"></div>';
						}
					}						
				}
			
				if ( have_posts()) :
				
					while (have_posts()) : the_post(); 
						// Setup Grid Layout
						echo '<div class="columns large-'. ( $acoda_postlayout == 'grid' || $acoda_postlayout == 'masonrygrid' ? 12 / esc_attr( $acoda_gridcols ) .' grid_layout' : 12 ) .' acoda-animate-in blog panel">';
					
								get_template_part( 'content', get_post_format());
								
						echo '</div>';					
					endwhile;					
			
				else :
			
					if ( is_category() ) { // If this is a category archive
						printf("<h2 class='center'>". esc_html__("Sorry, but there aren't any posts in the %s category yet.", 'you' ) ."</h2>", single_cat_title('',false));
					} else if ( is_date() ) { // If this is a date archive
						echo("<h2>". esc_html__( "Sorry, but there aren't any posts with this date.", 'you' )  ."</h2>");
					} else if ( is_author() ) { // If this is a category archive
						$userdata = get_userdatabylogin(get_query_var('author_name'));
						printf("<h2 class='center'>". esc_html__("Sorry, but there aren't any posts by %s yet.", 'you' ) ."</h2>", $userdata->display_name);
					} else {
						echo("<h2 class='center'>". esc_html__('No posts found.', 'you' ) ."</h2>");
					}
			
				endif;
			
			$postcount = 0; 

			
	echo "\n\t". '</div>';

	// Page Numbers Pagination	
	if( $paginate == 'page_numbers' )
	{
		the_posts_pagination( 
		array(    
			'prev_text'	=> '&laquo;',
			'next_text'	=> '&raquo;'
			)	
		);
	}

	if( $paginate != 'page_numbers' )
	{
		echo "\n\t". '<div class="acoda-ajax-loading"></div>';
	}

	if( $paginate == 'click_load' && $post_count > $posts_per_page )
	{
		echo "\n\t". '<div class="button-wrap acoda-ajax-loaddata wpb_regularsize aligncenter"><div class="button link_color vc_btn_rounded inherit"><a>'. esc_html__('Load More', 'you' ) .'</a></div></div>';
	}	
		
	echo "\n\t". '</div>';
		
	echo "\n\t\t". '<div class="clear"></div>';
	echo "\n\t". '</div><!-- #content -->';
	
	wp_reset_query();
		
	get_sidebar();  
	get_footer();