(function($) {
	
	"use strict";
	
	/* :: Page Scroll Animate							      
	---------------------------------------------*/		

	var acodaPageAnimate = function( state )
	{
		var	wrapper			= $( '.acoda-page-animate #content > article' ),
			container		= $( '.acoda-page-animate #content > article > section' ),
			slides			= '.acoda-page-animate #content > article > section > .row',	
			slidesTotal	= $( '.acoda-page-animate #content > article > section > .row' ).length,		
			scrolling		= false,
			currentSlide	= 1,
			slideCount		= 1,
			cAnimate		= { '-ms-animation' : 'none' },
			cAnimateClear	= { '-ms-animation' : 'none' },	
			rowPaddingTop	= 0,
			hideSlideUpAnimate,
			hideSlideDownAnimate,
			showSlideAnimate,		
			hideSlideUp,
			hideSlideDown,
			showSlide,
			cValueZ,
			sValueZ,
			initY,
			currentY,
			videoID,
			videoElement,
			anchorLink,
			paddingTop = 0,
			paddingBottom = 0,
			innerRowHeight,
			scrollTimer = 350,
			scrollTop,
			headerHeight;
		
		function setupPageAnimate( state )
		{	
			var	width	= $(window).width(),
				height	= $(window).height();
			
			if ( state == 'load' )
			{
				currentSlide = 1;
				$('.header-float-wrap').addClass('show');
				$('#footer-wrap').addClass('hide');
			}
			else if( state == 'resize' )
			{
				$( slides ).removeClass('sticky-padding');	
			}
			
			slideCount = 1;
			
			// Calculate width with dockbar set to left or right
			if( $('.dock-panel-wrap').hasClass('dock_layout_2') || $('.dock-panel-wrap').hasClass('dock_layout_3') )
			{
				if( ! $('.dock-panel-wrap').hasClass('dock_float') )
				{
					var dockWidth = $('.dock-panel-wrap').width();
					width = width - dockWidth;
				}
				else
				{
					width = width;
				}
				
				if( $('.dock-panel-wrap').hasClass('dock_layout_3') &&  ! $('.dock-panel-wrap').hasClass('dock_float') )
				{
					container.css('padding-right', dockWidth );
				}
				else if( $('.dock-panel-wrap').hasClass('dock_layout_2') &&  ! $('.dock-panel-wrap').hasClass('dock_float') )
				{
					container.css('padding-left', dockWidth );
				}
			}
			
			$('#main-wrap').css( 'height', height );

			if( $('body').hasClass('non_CSS3') && ( $('.acoda-page-animate').hasClass('page_animate_1') || $('.acoda-page-animate').hasClass('page_animate_3') ) )
			{	
				hideSlideUpAnimate = {
					'top' : '100%'
				};

				hideSlideDownAnimate = {
					'top' : '-100%'
				};				

				showSlideAnimate = {
					'top' : 0
				};				
				
				hideSlideUp = { 
					'z-index' : 1,
					'visibility' : 'visible',
					'top' : '100%'
				};			

				showSlide = { 
					'z-index' : 1,
					'visibility' : 'visible',
					'top' : 0
				};		
			}
			else if( $('body').hasClass('non_CSS3') && ( $('.acoda-page-animate').hasClass('page_animate_2') ||  $('.acoda-page-animate').hasClass('page_animate_4') ) )
			{	
				hideSlideUpAnimate = {
					'left' : '100%'
				};

				hideSlideDownAnimate = {
					'left' : '-100%'
				};				

				showSlideAnimate = {
					'left' : 0
				};				
				
				hideSlideUp = { 
					'z-index' : 1,
					'visibility' : 'visible',
					'left' : '100%'
				};			

				showSlide = { 
					'z-index' : 1,
					'visibility' : 'visible',
					'left' : 0
				};		
			}			
			else if( $('.acoda-page-animate').hasClass('page_animate_1') )
			{
				cValueZ 	= "-"+ Math.floor( height  ) +'px';
				sValueZ 	= Math.floor( height / 2 ) +'px';
				
				cAnimateClear	= {
					'-ms-animation' : 'none'
				};
				
				cAnimate	= {
					'-ms-animation' : 'msperspective 600ms ease-out'
				};
				
				hideSlideUp	= { 
					'z-index' : 0,
					'visibility' : 'hidden',
					'-webkit-transform' : 'rotateX( 90deg ) translateZ( -'+ sValueZ  +') translateY( '+ sValueZ  +')',
					'-ms-transform' : 'rotateX( 90deg ) translateZ( -'+ sValueZ  +') translateY( '+ sValueZ  +')',
					'transform' : 'rotateX( 90deg ) translateZ( -'+ sValueZ  +') translateY( '+ sValueZ  +')'
				};

				hideSlideDown	= { 
					'z-index' : 0,
					'visibility' : 'hidden',
					'-webkit-transform' : 'rotateX( -90deg ) translateZ( -'+ sValueZ  +') translateY( -'+ sValueZ  +')',
					'-ms-transform' : 'rotateX( -90deg ) translateZ( -'+ sValueZ  +') translateY( -'+ sValueZ  +')',
					'transform' : 'rotateX( -90deg ) translateZ( -'+ sValueZ  +') translateY( -'+ sValueZ  +')'
				};				

				showSlide	= { 
					'z-index' : 1,
					'visibility' : 'visible',
					'-webkit-transform' : 'rotateX( 0 ) translateZ( 0 ) translateY( 0 )',
					'-ms-transform' : 'rotateX( 0 ) translateZ( 0 )  translateY( 0 )',
					'transform' : 'rotateX( 0 ) translateZ( 0 )  translateY( 0 )'
				};						
			}
			else if( $('.acoda-page-animate').hasClass('page_animate_2') )
			{
				cValueZ		= Math.floor( width / 2 ) +'px';
				sValueZ 	= Math.floor( width / 2 ) +'px';

				cAnimateClear	= {
					'-ms-animation' : 'none'
				};
				
				cAnimate	= {
					'-ms-animation' : 'msperspective 600ms ease-out'
				};

				hideSlideUp	= { 
					'z-index' : 0,
					'visibility' : 'hidden',
					'-webkit-transform' : 'rotateY( -90deg ) translateZ( -'+ sValueZ  +') translateX( '+ sValueZ  +')',
					'-ms-transform' : 'rotateY( -90deg ) translateZ( -'+ sValueZ  +') translateX( '+ sValueZ  +')',
					'transform' : 'rotateY( -90deg ) translateZ( -'+ sValueZ  +') translateX( '+ sValueZ  +')'
				};

				hideSlideDown	= { 
					'z-index' : 0,
					'visibility' : 'hidden',
					'-webkit-transform' : 'rotateY( 90deg ) translateZ( -'+ sValueZ  +') translateX( -'+ sValueZ  +')',
					'-ms-transform' : 'rotateY( 90deg ) translateZ( -'+ sValueZ  +') translateX( -'+ sValueZ  +')',
					'transform' : 'rotateY( 90deg ) translateZ( -'+ sValueZ  +') translateX( -'+ sValueZ  +')'
				};				

				showSlide	= { 
					'z-index' : 1,
					'visibility' : 'visible',
					'-webkit-transform' : 'rotateX( 0 ) translateZ( 0 ) translateX( 0 )',
					'-ms-transform' : 'rotateX( 0 ) translateZ( 0 ) translateX( 0 ))',
					'transform' : 'rotateX( 0 ) translateZ( 0 ) translateX( 0 )'
				};				
			}
			else if( $('.acoda-page-animate').hasClass('page_animate_3') )
			{
				cValueZ		= Math.floor( width / 2 ) +'px';
				sValueZ 	= '-' + Math.floor( width / 2 ) +'px';

				hideSlideUp	= { 
					'z-index' : 0,
					'visibility' : 'hidden',
					'-webkit-transform' : 'translateY( 100% ) translateZ( 0 )',
					'-ms-transform' : 'translateY( 100% ) translateZ( 0 )',
					'transform' : 'translateY( 100% ) translateZ( 0 )'
				};

				hideSlideDown	= { 
					'z-index' : 0,
					'visibility' : 'hidden',
					'-webkit-transform' : 'translateY( -100% ) translateZ( 0 )',
					'-ms-transform' : 'translateY( -100% ) translateZ( 0 )',
					'transform' : 'translateY( -100% ) translateZ( 0 )'
				};				

				showSlide	= { 
					'z-index' : 1,
					'visibility' : 'visible',
					'-webkit-transform' : 'translateY( 0 ) translateZ( 0 )',
					'-ms-transform' : 'translateY( 0 ) translateZ( 0 )',
					'transform' : 'translateY( 0 ) translateZ( 0 )'
				};					
			}
			else if( $('.acoda-page-animate').hasClass('page_animate_4') )
			{
				cValueZ		= Math.floor( width / 2 ) +'px';
				sValueZ 	= '-' + Math.floor( width / 2 ) +'px';

				hideSlideUp	= { 
					'z-index' : 0,
					'visibility' : 'hidden',
					'-webkit-transform' : 'translateX( 100% ) translateZ( 0 )',
					'-ms-transform' : 'translateX( 100% ) translateZ( 0 )',
					'transform' : 'translateX( 100% ) translateZ( 0 )'
				};

				hideSlideDown	= { 
					'z-index' : 0,
					'visibility' : 'hidden',
					'-webkit-transform' : 'translateX( -100% ) translateZ( 0 )',
					'-ms-transform' : 'translateX( -100% ) translateZ( 0 )',
					'transform' : 'translateX( -100% ) translateZ( 0 )'
				};				

				showSlide	= { 
					'z-index' : 1,
					'visibility' : 'visible',
					'-webkit-transform' : 'translateX( 0 ) translateZ( 0 )',
					'-ms-transform' : 'translateX( 0 ) translateZ( 0 )',
					'transform' : 'translateX( 0 ) translateZ( 0 )'
				};					
			}						
	
			// Admin bar
			if( $('#wpadminbar').length )
			{
				$('html')[0].style.setProperty( 'margin-top', '0', 'important' );
				
				if( width < 1025 )
				{
					$('#wpadminbar').css('display','none');
				}	
			}
			

			if( $('#header-wrap').length )
			{	
				if( $('.dock-panel-wrap').not('#header-wrap .dock-panel-wrap').length && width < 1025 )
				{
					 $('#header-wrap').css('margin-top', $('.dock-panel-wrap').innerHeight() );
				}
				else
				{
					if( $('#wpadminbar').length && ! $('.dock-panel-wrap').hasClass('dock_layout_1') )
					{
						$('#header-wrap').css('margin-top', '32px' );
					}
					else
					{
						$('#header-wrap').css('margin-top', 0 );
					}
				}
			}			

			if( $('#footer-wrap').length )
			{
				var footerHeight = $('#footer-wrap').height();
				$('#content .entry > .wpb_row.row:last-child .vc_column_container:first').css('padding-bottom', footerHeight + 30 );
			}

			// Determine content scroll
			$( slides ).each(function()
			{
				$(this).addClass('slide-'+ slideCount ++ ).removeClass('scroll static');

				if( state == 'load' )
				{	
					$(this).find('.dynamic-frame .columns.acoda-animate-in').removeClass('loaded');	
				}
				
				if( slideCount > 1 && $('#primary-wrapper').hasClass('sticky-header') && width >= 1025 )
				{
					$(this).find('.vc_column_container:first').addClass('sticky-padding');	
				}
								
				// Check Height of Inner Row and Parent Row Padding
				paddingTop 	= parseInt( $(this).css('padding-top').replace('px', '') );
				paddingBottom	= parseInt( $(this).css('padding-bottom').replace('px', '') );
				innerRowHeight	= $(this).find('.row-inner-wrap').innerHeight();

				if( paddingTop === parseInt(paddingTop, 10) )
				{
					innerRowHeight = innerRowHeight + paddingTop;
				}

				if( paddingBottom === parseInt(paddingBottom, 10) )
				{
					innerRowHeight = innerRowHeight + paddingBottom;
				}		
				
				if( $('.header-float-wrap').length && slideCount -1 == 1 )
				{
					innerRowHeight = innerRowHeight + $('.header-float-wrap').innerHeight();
				}
	
				if( innerRowHeight > height ) 
				{						
					$(this).scrollTop(0).addClass('scroll');		
					$(this).find('.wpb_animate_when_almost_visible').addClass('wpb_start_animation');		
					$(this).find('.overlay-wrap').css('height', ( innerRowHeight ) );
					$(this).find('.row-slider-wrap').css('height', ( innerRowHeight ) );				
				}	
				else
				{
					$(this).addClass('static');		
					$(this).find('.overlay-wrap').css('height', '100%' );
					$(this).find('.row-slider-wrap').css('height', '100%' );
				}
			});		
			
		
			// Set wrapper dimensions
			wrapper.css({ 
				'height' : height +'px'
			});


			if( state == 'load' )
			{			
				// Hide Slides
				$( slides ).not( slides +'.slide-'+ currentSlide ).css( hideSlideUp );		
			
				$( slides +'.slide-'+ currentSlide ).css( showSlide ).delay(800).fadeTo( 1 );
	
				$('nav#acoda-tabs a, nav.dock-menu-tabs a').removeClass('waypoint_active');
				$('nav#acoda-tabs a, nav.dock-menu-tabs a').each(function(index, element)
				{
					anchorLink = this.hash.slice(1);
	
					if( anchorLink == $( slides +'.slide-'+ currentSlide ).attr('data-anchor-link') )
					{
						$(this).addClass('waypoint_active');
					}
				});						
					
				if( $('nav.anchorlink-nav').length )
				{
					$('nav.anchorlink-nav a').removeClass('waypoint_active');
					$('nav.anchorlink-nav').find('a.link-slide-'+ currentSlide ).addClass('waypoint_active');
				}		
				
				$( wrapper ).parent().append('<span class="page-nav-up page-animate-nav text_linkcolor"><i class="fa fa-2x fa-chevron-up"></i></span><span class="page-nav-down page-animate-nav text_linkcolor"><i class="fa fa-2x fa-chevron-down"></i></span>');	
				
				if( $(window).width() >= 1025 && $('.header-float-wrap').length && ! $('.sticky-header').length  ) 
				{
					headerHeight = $('.header-float-wrap').height();
					
					$('.page-nav-up.page-animate-nav').css('margin-top', headerHeight );
				}
				
				if( ! $( slides +'.slide-'+ currentSlide ).hasClass('scroll') && currentSlide == 1 )
				{
					$('span.page-nav-down').addClass('ready active');
				}
				
				$( slides +'.slide-'+ currentSlide ).find( '.wpb_animate_when_almost_visible' ).addClass('wpb_start_animation');
			}

			// Add wpb_start_animation Class on resize
			if( state == 'resize' )
			{
				rowPaddingTop = 0;
				
				var i;
					
				for( i = currentSlide; i < slideCount; i++) 
				{ 
					$( slides +'.slide-'+ i ).css( hideSlideUp );
				}

				for( i = currentSlide; i > 0; i--) 
				{ 
					$( slides +'.slide-'+ i ).css( hideSlideDown );
				}								
				
				$( slides +'.slide-'+ currentSlide ).css( showSlide );
				
				slideVideo( '', 'init' );		
			}
		}
		
		$('nav.anchorlink-nav a,.link_to_slide a').live('click', function()
		{
			var	slideLink 		= $(this).attr('href'),
				slideLinkNum	= slideLink.replace('#slide-','');
			
			$('nav.anchorlink-nav a').removeClass('waypoint_active');
			$(this).addClass('waypoint_active');
			
			if( slideLinkNum > currentSlide )
			{
				navigateDown( slideLinkNum - currentSlide );
			}
			else if( slideLinkNum < currentSlide )
			{
				navigateUp( currentSlide - slideLinkNum );
			}
		});
		

		// Page Navigation
		$('span.page-nav-up.active.ready').live('click', function(e)
		{
			e.preventDefault();
			$(this).removeClass('ready active');
			navigateUp( 1 );
		});	

		$('span.page-nav-down.active.ready').live('click', function(e)
		{
			e.preventDefault();
			$(this).removeClass('ready active');
			navigateDown( 1 );
		});				

		$('nav#acoda-tabs a, nav.dock-menu-tabs a').on('click', function() {
			var	slideLink 		= this.hash.slice(1),
				slideLinkNum	= 1;			

			
			$('nav#acoda-tabs a, nav.dock-menu-tabs a').removeClass('waypoint_active');
			$(this).addClass('waypoint_active');
			
			// Remove dock classes
			$('.dock-tab-wrapper.dock-menu').removeClass('show');
			$('.dock-menu-trigger.dock-tab').removeClass('inactive');

			$('.row.link_anchor').each(function(index, element)
			{			
				if( $(this).attr('data-anchor-link') == slideLink )
				{
					if( slideLinkNum > currentSlide )
					{
						navigateDown( slideLinkNum - currentSlide );
					}
					else if( slideLinkNum < currentSlide )
					{
						navigateUp( currentSlide - slideLinkNum );
					}						
				}
				
				slideLinkNum ++;
			});				
		});		
		
		
		
		function slideVideo( element, state )
		{		
			if( $( element +' video' ).length && state != 'init' )
			{
				videoID 		= $( element +' video' ).attr('id');
				videoElement	= document.getElementById( videoID );
				
				if( videoElement )
				{
					if ( state == 'play' ) 
					{
						if( videoElement.paused )
						{
							videoElement.play(); 
						}
					}
					else 
					{
						videoElement.pause(); 
					}
				}
			}
			else if( state == 'init' )
			{
				$( slides ).each(function()
				{
					videoID = $( this ).find( 'video' ).attr('id');
					
					if( videoID )
					{ 
						videoElement = document.getElementById( videoID );
						
						if( videoElement )
						{		
							if( ! videoElement.paused )
							{
								videoElement.pause(); 
							}
	
							// Play video if Slide 1
							if( $(this).hasClass('slide-1') )
							{
								videoElement.play(); 
							}
						}
					}
					
				});
			}
		}
		
		function navigateUp( cycle )
		{		
			if ( currentSlide > 1 && ! wrapper.hasClass('active')  ) 
			{	
				scrolling = true;
			
				// add class to stop multiple slide change
				wrapper.addClass('active');
				
				// hide footer
				$('#footer-wrap').removeClass('show').addClass('hide');

				// If sticky menu is enabled
				if( $('.sticky-header').length && currentSlide -1 == 1 )	
				{
					if( window.innerWidth >= 1025 && $('.acoda-page-animate').hasClass('animate_headerfooter') )
					{
						$('.header-float-wrap').removeClass('show').addClass('hide').delay(300).queue(function(stuck)
						{
							$('#header-wrap').removeClass('stuck animate');
							stuck();
						});
					}
				}		

				// Hide Header & Footer
				if( $('.acoda-page-animate').hasClass('animate_headerfooter') && currentSlide - 1 == 1 )
				{
					$('.sticky-wrapper').removeClass('auto-height');
				}							
				
				container.css( cAnimateClear );									
		
				setTimeout(function()
				{								
					scrolling = false;

					// Pause Current Video
					slideVideo( slides +'.slide-'+ currentSlide, 'pause' );			
					
					wrapper.removeClass('scrollMaxUp scrollMaxDown');		
						
					// For non-css3 transform browsers
					if( $('body').hasClass('non_CSS3') )
					{	
						$( slides +'.slide-'+ currentSlide ).animate( hideSlideUpAnimate, 800 ).delay(600).queue(function(up)
						{					
							$(this).find('.wpb_animate_when_almost_visible').removeClass('wpb_start_animation');						
							up();
						});		
									
						currentSlide --;
						
						$( slides +'.slide-'+ currentSlide ).find('.wpb_animate_when_almost_visible').removeClass('wpb_start_animation');
						
						$( slides +'.slide-'+ currentSlide ).animate( showSlideAnimate, 800 ).delay(800).queue(function(up)
						{	
							wrapper.removeClass('active'); // remove active class	

							slideVideo( slides +'.slide-'+ currentSlide, 'play' );

							// Set Page Navigation
							if( ! $( slides +'.slide-'+ currentSlide ).hasClass('scroll') && currentSlide > 1 )
							{	
								$('span.page-nav-up,span.page-nav-down').addClass('ready active');	
							}			
							else if( ! $( slides +'.slide-'+ currentSlide ).hasClass('scroll') &&  currentSlide == 1 )
							{
								$('span.page-nav-up').removeClass('ready active');
								$('span.page-nav-down').addClass('ready active');
							}
							else if( $( slides +'.slide-'+ currentSlide ).scrollTop() + $( slides +'.slide-'+ currentSlide ).innerHeight() == $( slides +'.slide-'+ currentSlide ).prop('scrollHeight') )
							{
								$('span.page-nav-down').addClass('ready active');	
							}	
								
							$(this).find('.wpb_animate_when_almost_visible').addClass('wpb_start_animation');

							$( slides +'.slide-'+ currentSlide ).find('.dynamic-frame .columns.acoda-animate-in').each(function(i)
							{
								var column = $(this);
										
								setTimeout(function() {
									column.addClass('loaded');
								}, 60*i);		
							});	
							
							up();
						});					
					}
					else
					{				
						$( slides +'.slide-'+ currentSlide ).css( hideSlideUp ).delay(800).queue(function(up)
						{				
							$(this).find('.wpb_animate_when_almost_visible').removeClass('wpb_start_animation');	
							up();
						});		
	
						container.css( cAnimate );					
						
						currentSlide --;
						
						$( slides +'.slide-'+ currentSlide ).find('.wpb_animate_when_almost_visible').removeClass('wpb_start_animation');
						
						$( slides +'.slide-'+ currentSlide ).css( showSlide ).delay(800).queue(function(up)
						{	
							wrapper.removeClass('active'); // remove active class		

							// Set up Background Video
							slideVideo( slides +'.slide-'+ currentSlide, 'play' );

							// Set Page Navigation
							if( ! $( slides +'.slide-'+ currentSlide ).hasClass('scroll') && currentSlide > 1 )
							{	
								$('span.page-nav-up,span.page-nav-down').addClass('ready active');	
							}			
							else if( ! $( slides +'.slide-'+ currentSlide ).hasClass('scroll') &&  currentSlide == 1 )
							{
								$('span.page-nav-up').removeClass('ready active');
								$('span.page-nav-down').addClass('ready active');
							}
							else if( $( slides +'.slide-'+ currentSlide ).scrollTop() + $( slides +'.slide-'+ currentSlide ).innerHeight() == $( slides +'.slide-'+ currentSlide ).prop('scrollHeight') )
							{
								$('span.page-nav-down').addClass('ready active');	
							}												
							
							$(this).find('.wpb_animate_when_almost_visible').removeClass('wpb_start_animation').addClass('wpb_start_animation');

							$( slides +'.slide-'+ currentSlide ).find('.dynamic-frame .columns.acoda-animate-in').each(function(i)
							{
								var column = $(this);
										
								setTimeout(function() {
									column.addClass('loaded');
								}, 60*i);		
							});									
		
							if( cycle > 1 )
							{
								cycle --;
								navigateUp( cycle );
							}														
							
							up();
						});
					}
					
					
					// Show Header & Footer
					if( $('.acoda-page-animate').hasClass('animate_headerfooter') && currentSlide === 1 && $( slides +'.slide-'+ currentSlide ).scrollTop() === 0 )
					{
						if( $('.header-float-wrap, .dock-panel-wrap').hasClass('hide') )
						{
							$('.header-float-wrap, .dock-panel-wrap').removeClass('hide disable').addClass('show');
						}
					}	
					else if( $(window).width() >= 1025 && $('.sticky-header').length && currentSlide !== 1 )
					{
						$('.header-float-wrap').removeClass('hide disable').addClass('show');
					}	
					else if( $(window).width() >= 1025 && $('#primary-wrapper').hasClass('single_static_header') )
					{
						/*if( $('.header-float-wrap').hasClass('show') )
						{
							$('.header-float-wrap').removeClass('show').addClass('hide').delay(700).queue(function(){
    							$(this).addClass("disable").dequeue();
							});
						}*/
					}								
					else if( $(window).width() < 1025 )
					{
						$('.header-float-wrap, .dock-panel-wrap').removeClass('show').addClass('hide');
					}
					else
					{
						$('.header-float-wrap').removeClass('show').addClass('hide');
					}

					// Set Navigation Highlights
					if( $('nav#acoda-tabs').length || $('nav.dock-menu-tabs') )
					{
						$('nav#acoda-tabs a, nav.dock-menu-tabs a').removeClass('waypoint_active');	
						$('nav#acoda-tabs a, nav.dock-menu-tabs a').each(function(index, element)
						{
							anchorLink = this.hash.slice(1);

							if( anchorLink === $( slides +'.slide-'+ currentSlide ).attr('data-anchor-link') )
							{
								$(this).addClass('waypoint_active');
							}
                      });			
					}
					
					if( $('nav.anchorlink-nav').length )
					{
						$('nav.anchorlink-nav a').removeClass('waypoint_active');
						$('nav.anchorlink-nav').find('a.link-slide-'+ currentSlide ).addClass('waypoint_active');
					}
					
				}, 350 );	
			}
		}
	 
		function navigateDown( cycle )
		{						
			if ( currentSlide < slidesTotal && ! wrapper.hasClass('active') ) 
			{	
				scrolling = true;			
				
				// add class to stop multiple slide change
				wrapper.addClass('active');				

				// Hide Header & Footer
				if( $('.acoda-page-animate').hasClass('animate_headerfooter') && currentSlide + 1 > 1 )
				{
					$('.sticky-wrapper').addClass('auto-height');
				}				

				// Clear Container Animate
				container.css( cAnimateClear );							
				
				setTimeout(function()
				{	
					scrolling = false;

					// Pause Current Video
					slideVideo( slides +'.slide-'+ currentSlide, 'pause' );	
					
					wrapper.removeClass('scrollMaxUp scrollMaxDown');

					// If sticky menu is enabled
					if( $('.sticky-header').length && ! $('#header-wrap').hasClass('stuck') && window.innerWidth >= 1025 && $('.acoda-page-animate').hasClass('animate_headerfooter') )
					{		
						$('#header-wrap').delay(400).queue(function(a)
						{
							$('#header-wrap').addClass('stuck').delay(400).queue(function(b)
							{
								$('.header-float-wrap').removeClass('hide disable').addClass('show');
								$('#header-wrap').addClass('animate');
								$(b).clearQueue();
							});
							$(a).clearQueue();
						});
					}							
												
					// For non-css3 transform browsers
					if( $('body').hasClass('non_CSS3') )
					{	
						$( slides +'.slide-'+ currentSlide ).animate( hideSlideDownAnimate, 800 ).delay(600).queue(function(up)
						{						
							$(this).find('.wpb_animate_when_almost_visible').removeClass('wpb_start_animation');					
							up();
						});		
						
						currentSlide ++;				
						
						$( slides +'.slide-'+ currentSlide ).find('.wpb_animate_when_almost_visible').removeClass('wpb_start_animation');		
						
						$( slides +'.slide-'+ currentSlide ).animate( showSlideAnimate, 800 ).delay(800).queue(function(up)
						{	
							wrapper.removeClass('active'); // remove active class			
							
							slideVideo( slides +'.slide-'+ currentSlide, 'play' );

							// Set Page Navigation
							if( ! $( slides +'.slide-'+ currentSlide ).hasClass('scroll') && currentSlide +1 < slideCount )
							{	
								$('span.page-nav-up,span.page-nav-down').addClass('ready active');
							}			
							else if( ! $( slides +'.slide-'+ currentSlide ).hasClass('scroll') && currentSlide + 1 === slideCount )
							{
								$('span.page-nav-down').removeClass('ready active');
								$('span.page-nav-up').addClass('ready active');
							}	
							else if( $( slides +'.slide-'+ currentSlide ).scrollTop() === 0 )
							{
								$('span.page-nav-up').addClass('ready active');	
							}											
							
							$(this).find('.wpb_animate_when_almost_visible').removeClass('wpb_start_animation').addClass('wpb_start_animation');

							$( slides +'.slide-'+ currentSlide ).find('.dynamic-frame .columns.acoda-animate-in').each(function(i)
							{
								var column = $(this);
										
								setTimeout(function() {
									column.addClass('loaded');
								}, 60*i);		
							});	
							
							up();
						});					
					}
					else
					{														  									
						$( slides +'.slide-'+ currentSlide ).css( hideSlideDown ).delay(700).queue(function(down)
						{						
							$(this).find('.wpb_animate_when_almost_visible').removeClass('wpb_start_animation');
							down();
						});
	
						container.css( cAnimate );
											
						currentSlide ++;				
						
						$( slides +'.slide-'+ currentSlide ).find('.wpb_animate_when_almost_visible').removeClass('wpb_start_animation');								
	
						$( slides +'.slide-'+ currentSlide ).css( showSlide ).delay(800).queue(function(down)
						{
							wrapper.removeClass('active'); // remove active class
							
							slideVideo( slides +'.slide-'+ currentSlide, 'play' );
							
							$(this).find('.wpb_animate_when_almost_visible').addClass('wpb_start_animation');

							// Set Page Navigation
							if( ! $( slides +'.slide-'+ currentSlide ).hasClass('scroll') && currentSlide +1 < slideCount )
							{	
								$('span.page-nav-up,span.page-nav-down').addClass('ready active');
							}			
							else if( ! $( slides +'.slide-'+ currentSlide ).hasClass('scroll') && currentSlide + 1 === slideCount )
							{
								$('span.page-nav-down').removeClass('ready active');
								$('span.page-nav-up').addClass('ready active');
							}	
							else if( $( slides +'.slide-'+ currentSlide ).scrollTop() === 0 )
							{
								$('span.page-nav-up').addClass('ready active');	
							}

							if( cycle > 1 )
							{
								cycle --;
								navigateDown( cycle );
							}			
							
							$(this).find('.wpb_animate_when_almost_visible').addClass('wpb_start_animation');		

	
							$( slides +'.slide-'+ currentSlide ).find('.dynamic-frame .columns.acoda-animate-in').each(function(i)
							{
								var column = $(this);
										
								setTimeout(function() {
									column.addClass('loaded');
								}, 60*i);		
							});				
									
							
							down();
						});	
					}
				

					// Show Header
					if( $('.acoda-page-animate').hasClass('animate_headerfooter') && currentSlide === 1 && $( slides +'.slide-'+ currentSlide ).scrollTop() === 0 )
					{
						if( $('.header-float-wrap, .dock-panel-wrap').hasClass('hide') )
						{
							$('.header-float-wrap, .dock-panel-wrap').removeClass('hide disable').addClass('show');
						}
					}		
					else if( $(window).width() >= 1025 && $('.sticky-header').length && currentSlide -1 !== 1 )
					{
						$('.header-float-wrap').removeClass('hide disable').addClass('show');
					}
					else if( $(window).width() >= 1025 && $('#primary-wrapper').hasClass('single_static_header') )
					{
						/*if( $('.header-float-wrap').hasClass('show') )
						{
							$('.header-float-wrap').removeClass('show').addClass('hide').delay(700).queue(function() 
							{
    							$(this).addClass("disable").dequeue();
							});
						}*/
					}						
					else if( $(window).width() < 1025 )
					{
						$('.header-float-wrap, .dock-panel-wrap').removeClass('show').addClass('hide');
					}				
					else
					{
						$('.header-float-wrap').removeClass('show').addClass('hide');
					}						
			

					// Set Navigation Highlights
					if( $('nav#acoda-tabs' || $('nav.dock-menu-tabs') ).length )
					{
						$('nav#acoda-tabs a, nav.dock-menu-tabs a').removeClass('waypoint_active');	
						$('nav#acoda-tabs a, nav.dock-menu-tabs a').each(function(index, element)
						{
							anchorLink = this.hash.slice(1);

							if( anchorLink === $( slides +'.slide-'+ currentSlide ).attr('data-anchor-link') )
							{
								$(this).addClass('waypoint_active');
							}
                      });			
					}
					
					if( $('nav.anchorlink-nav').length )
					{
						$('nav.anchorlink-nav a').removeClass('waypoint_active');
						$('nav.anchorlink-nav').find('a.link-slide-'+ currentSlide ).addClass('waypoint_active');
					}
										
				}, 350 );					
			}
		}		

		$(document).bind('touchstart', function(t)
		{
			initY = t.originalEvent.touches[0].clientY;
			scrollTimer = 0;
		});	

		$(document).bind('touchmove', function(t)
		{		
			currentY = t.originalEvent.changedTouches[0].clientY;	
		});


		$( slides +',#header-wrap.height_100.header_float' ).on("mousewheel touchmove DOMMouseScroll scroll", function(e)
		{			
			if( $( slides +'.slide-'+ currentSlide ).hasClass('scroll') )
			{	
				if ( ! scrolling )
				{				
					var scrollSlide = $( slides +'.scroll.slide-'+ currentSlide );				
					//$( slides +'.slide-'+ currentSlide ).on('scroll', function()
					//{		
			
						if( $( scrollSlide ).scrollTop() > 10 && ! $('.dock-panel-wrap, .header-float-wrap').hasClass('hide') )
						{
							if( $('.dock-panel-wrap').hasClass('dock_layout_1') || $(window).width() < 1025 )
							{
								$('.dock-panel-wrap').removeClass( 'show' ).addClass( 'hide' );
							}
								
							$('.header-float-wrap').removeClass( 'show' ).addClass( 'hide' );
						}
						else if( $( scrollSlide ).scrollTop() < 10 && $('.dock-panel-wrap, .header-float-wrap').hasClass('hide') )
						{				
							if( $('.dock-panel-wrap').hasClass('dock_layout_1') && $(window).width() >= 1025 )
							{
								$('.dock-panel-wrap').removeClass( 'hide' ).addClass( 'show' );
								$('.header-float-wrap').removeClass( 'hide disable' ).addClass( 'show' );
							}
							else if( $(window).width() < 1025 && currentSlide === 1 )
							{
								$('.dock-panel-wrap').removeClass( 'hide' ).addClass( 'show' );
								$('.header-float-wrap').removeClass( 'hide disable' ).addClass( 'show' );
							}
							else if( $(window).width() >= 1025 )
							{
								$('.header-float-wrap').removeClass( 'hide disable' ).addClass( 'show' );
							}
						}
						
						// Display Footer
						if( currentSlide === slidesTotal && $( this ).scrollTop() >= $( scrollSlide ).innerHeight() )
						{
							$('#footer-wrap').removeClass('hide').addClass('show');
						}
						else
						{
							$('#footer-wrap').removeClass('show').addClass('hide');							
						}
											
						
						if( $( scrollSlide ).scrollTop() + $( scrollSlide ).innerHeight() === $( scrollSlide ).prop('scrollHeight') && currentSlide !== slideCount -1 )
						{
							wrapper.removeClass('scrollMaxUp');
							$('span.page-nav-up').removeClass('ready active');								
							
							if( currentSlide !== slideCount )
							{								
								if( ! wrapper.hasClass('scrollMaxDown') )
								{								
									$('span.page-nav-down').addClass('ready active');	
									
									clearTimeout( scrollMaxDown );
									var scrollMaxDown = setTimeout(function()
									{
										wrapper.addClass('scrollMaxDown');
									}, scrollTimer );
								}
							}
						}
						else if( $( scrollSlide ).scrollTop() === 0 )
						{
							wrapper.removeClass('scrollMaxDown');
							$('span.page-nav-down').removeClass('ready active');	
							
							if( currentSlide !== 1 )
							{				
								wrapper.removeClass('scrollMaxDown');
									
								if( ! wrapper.hasClass('scrollMaxUp') )
								{
									$('span.page-nav-up').addClass('ready active');	
									clearTimeout( scrollMaxUp );
									var scrollMaxUp = setTimeout(function()
									{
										wrapper.addClass('scrollMaxUp');
									}, scrollTimer );
								}			
							}							
						}
						else
						{
							wrapper.removeClass('scrollMaxUp scrollMaxDown');	
							$('.page-animate-nav').removeClass('ready active');
						}
					//});					

					if ( ( ( e.originalEvent.wheelDelta > 0 || e.originalEvent.detail < 0 ) || currentY >= initY ) && wrapper.hasClass('scrollMaxUp') )
					{
						// Remove Page Navigation
						$('.page-animate-nav').removeClass('ready active');		
						navigateUp(1);				
					}
					else if( ( ( e.originalEvent.wheelDelta < 0 || e.originalEvent.detail > 0 ) || currentY <= initY ) && wrapper.hasClass('scrollMaxDown') )
					{
						// Remove Page Navigation
						$('.page-animate-nav').removeClass('ready active');	
						navigateDown(1);			
					}	
					else if( currentSlide === 1 && $('#header-wrap.height_100.header_float').length )
					{
						$('.page-animate-nav').removeClass('ready active');	
						navigateDown(1);								
					}
				}
			}			
			else
			{
				if ( ! scrolling )
				{	
					if ( ( e.originalEvent.wheelDelta > 0 || e.originalEvent.detail < 0 ) || currentY >= initY )
					{					
						navigateUp(1);	
						// Remove Page Navigation		
						$('.page-animate-nav').removeClass('ready active');		
					}
					else
					{									
						navigateDown(1);	
						// Remove Page Navigation		
						$('.page-animate-nav').removeClass('ready active');						
					}
				
					// Display Footer
					if( currentSlide === slidesTotal )
					{
						$('#footer-wrap').removeClass('hide').addClass('show');
					}
					else
					{
						$('#footer-wrap').removeClass('show').addClass('hide');							
					}
					
				}
			}		

		});	

		// Setup
		setupPageAnimate('load');

		// Setup videos
		jQuery(window).load( function()
		{
			slideVideo( '', 'init' );		
			
			// Check URL for anchor link
			if( window.location.hash )
			{
				var anchor_name = window.location.hash.substring(1);
					
				$('.row.link_anchor').each(function() 
				{
					if( $(this).attr('data-anchor-link') === anchor_name )
					{
						var slideLinkNum = $.grep(this.className.split(" "), function(v, i)
						{
							return v.indexOf('slide') === 0;
						}).join();
						
						slideLinkNum = slideLinkNum.replace('slide-', '');
	
						if( slideLinkNum > currentSlide )
						{
							navigateDown( slideLinkNum - currentSlide );
						}
						else if( slideLinkNum < currentSlide )
						{
							navigateUp( currentSlide - slideLinkNum );
						}
					}
				});
			}	
			
		});

		// Setup on Resize		
		function resizeSetup()
		{
			setupPageAnimate('resize');
		}
		
		window.onresize = function()
		{
			// Remove sticky wrapper auto height for header to display correctly
			$('.sticky-wrapper').removeClass('auto-height');
			
			clearTimeout( doit );
			var doit = setTimeout(function()
			{
				resizeSetup();
			}, 500 );
		};			
	};

	jQuery(document).ready( function() {

		if( $('#primary-wrapper').hasClass('acoda-page-animate') && ! $('body').hasClass('compose-mode') )
		{
			acodaPageAnimate( 'load' );
		}
	});
	
})(jQuery);