<?php

	add_action( 'customize_register', 'acoda_customize_register' );
	
	function acoda_customizer_options( $skin )
	{
		
		// Font List
		$font_list_array 				= acoda_font_list();
		$font_list 					= $font_list_array['font_list'];
		$default_font_list_weights 	= $font_list_array['default_font_weights'];		
					
		$font_list_weights = $default_font_list_weights;
		
		$font_list_transform = array(
			'' => 'Default',
			'none' => 'None',
			'uppercase' => 'UPPERCASE',
			'capitalize' => 'Capitalize',
			'lowercase' => 'lowercase',
		);
		
		if( of_get_option('dockicon_panels') == 'dockpanel_type_2' )
		{
			$dockbar_class = '.dock-panels-background.skinset-dockbar';		
		}
		elseif( of_get_option('dockicon_position') == 'dock_layout_4' )
		{
			$dockbar_class = 'div.dock-panel-wrap.infopanel-dock.skinset-dockbar';	
		}
		else
		{
			$dockbar_class = 'nav.dock-panel-wrap.skinset-dockbar';		
		}
		
		// Get Admin Options
		$options = optionsframework_options();
		$priorty = 0;
		
		$allowed_tags = wp_kses_allowed_html();
	
		$options_array = array(	
	
			/* ------------------------------------
			:: GENERAL SECTION
			------------------------------------ */	

			// Branding Alignment
			'site_layout'  => array(
				'name' 	  => 'YOU[site_layout]',
				'label'   => esc_html__( 'Site Layout', 'you' ),
				'type'	  => 'option',
				'control' => 'select',
				'choices' => $options['site_layout']['options'],
				'section' => 'acoda_general',
				'live'	  => 'no',
				'priority' => $priorty++
			),

			// Header Height
			'max_site_width' => array(
				'name'	  => 'YOU[max_site_width]',
				'label'   => esc_html__( 'Max Site Width', 'you' ),
				'type'	  => 'option',
				'control' => 'range',
				'max'	  => '2600',
				'min'	  => '768',
				'default' => '1230',
				'section' => 'acoda_general',
				'css' 	  => '#header,#primary-wrapper.layout-boxed,.row .row-inner-wrap,#primary-wrapper.layout-boxed .dynamic-frame.row,.row',
				'js'	  => 'css("max-width", to +"px")',
				'live'	  => 'yes',
				'priority' => $priorty++
			),		

			'animate_type'  => array(
				'name' 	  => 'YOU[animate_type]',
				'label'   => esc_html__( 'Element Animation', 'you' ),
				'type'	  => 'option',
				'std' => 'animate-3d',
				'control' => 'select',
				'choices' => $options['animate_type']['options'],
				'section' => 'acoda_general',
				'css' 	  => '#header-wrap',
				'js'	  => 'removeClass("animate-3d animate-slide").addClass( to )',
				'live'	  => 'yes',
				'priority' => $priorty++
			),

			'elem_border_radius'  => array(
				'name'	  => 'YOU[elem_border_radius]',
				'label'   => esc_html__( 'Element Border Radius', 'you' ),
				'type'	  => 'option',
				'value' => '4px',
				'control' => 'text',
				'desc' => esc_html__( 'Set rounded edges for elements across the site - 0 is square.', 'you' ),
				'section' => 'acoda_general',
				'live'	  => 'no',
				'priority' => $priorty++
			),

			'pagelayout'  => array(
				'name' 	  => 'YOU[pagelayout]',
				'label'   => esc_html__( 'Default Page Layout', 'you' ),
				'type'	  => 'option',
				'control' => 'select',
				'choices' => $options['pagelayout']['options'],
				'section' => 'acoda_general',
				'priority' => $priorty++
			),

			'breadcrumb'  => array(
				'name' 	  => 'YOU[breadcrumb]',
				'label'   => esc_html__( 'Breadcrumbs', 'you' ),
				'type'	  => 'option',
				'control' => 'select',
				'choices' => $options['breadcrumb']['options'],
				'section' => 'acoda_general',
				'priority' => $priorty++
			),	

			'author_bio'  => array(
				'name' 	  => 'YOU[author_bio]',
				'label'   => esc_html__( 'Author Bio', 'you' ),
				'type'	  => 'option',
				'control' => 'select',
				'choices' => $options['author_bio']['options'],
				'section' => 'acoda_general',
				'priority' => $priorty++
			),

			'sidebars_num'  => array(
				'name'	  => 'YOU[sidebars_num]',
				'label'   => esc_html__( 'Number of Sidebars', 'you' ),
				'type'	  => 'option',
				'control' => 'text',
				'section' => 'acoda_general',
				'live'	  => 'no',
				'priority' => $priorty++
			),		

			'firstimage_detect'  => array(
				'name' 	  => 'YOU[firstimage_detect]',
				'label'   => esc_html__( 'Use First Image of Posts', 'you' ),
				'type'	  => 'option',
				'control' => 'select',
				'choices' => $options['firstimage_detect']['options'],
				'section' => 'acoda_general',
				'priority' => $priorty++
			),				
			
			'search_heading'  => array(
				'name' 	  => 'search_heading',
				'label'   => esc_html__( 'Search', 'you' ),
				'type'	  => 'option',
				'control' => 'heading',
				'section' => 'acoda_general',
				'priority' => $priorty++
			),									

			'search_placeholder'  => array(
				'name'	  => 'YOU[search_placeholder]',
				'label'   => esc_html__( 'Search Placeholder', 'you' ),
				'type'	  => 'option',
				'control' => 'text',
				'section' => 'acoda_general',
				'live'	  => 'no',
				'priority' => $priorty++
			),					

			// Preloader Heading
			'preloader_header'  => array(
				'name' 	  => 'preloader_header',
				'label'   => esc_html__( 'Preloader', 'you' ),
				'type'	  => 'option',
				'control' => 'heading',
				'section' => 'acoda_general',
				'priority' => $priorty++
			),							

			'preloader'  => array(
				'name' 	  => 'YOU[preloader]',
				'label'   => esc_html__( 'Preloader Type', 'you' ),
				'type'	  => 'option',
				'control' => 'select',
				'choices' => $options['preloader']['options'],
				'section' => 'acoda_general',
				'priority' => $priorty++
			),

			// Lightbox Heading
			'lightbox_header'  => array(
				'name' 	  => 'lightbox_header',
				'label'   => esc_html__( 'Lightbox', 'you' ),
				'type'	  => 'option',
				'control' => 'heading',
				'section' => 'acoda_general',
				'priority' => $priorty++
			),							

			'lightbox_script'  => array(
				'name' 	  => 'YOU[lightbox_script]',
				'label'   => esc_html__( 'FancyBox Lightbox', 'you' ),
				'type'	  => 'option',
				'control' => 'select',
				'choices' => $options['lightbox_script']['options'],
				'section' => 'acoda_general',
				'priority' => $priorty++
			),

			'lightbox_classes'  => array(
				'name'	  => 'YOU[lightbox_classes]',
				'label'   => esc_html__( 'Lightbox Classes', 'you' ),
				'type'	  => 'option',
				'std' => '4px',
				'control' => 'text',
				'section' => 'acoda_general',
				'live'	  => 'no',
				'priority' => $priorty++
			),		
			
			'dockicon_position'  => array(
				'name' 	  => 'YOU[dockicon_position]',
				'label'   => esc_html__( 'Dock Bar Position', 'you' ),
				'type'	  => 'option',
				'control' => 'select',
				'choices' => $options['dockicon_position']['options'],
				'section' => 'acoda_dockbarconfig',
				'priority' => $priorty++
			),
			
			'dockicon_panels'  => array(
				'name' 	  => 'YOU[dockicon_panels]',
				'label'   => esc_html__( 'Dock Panel Style', 'you' ),
				'type'	  => 'option',
				'control' => 'select',
				'choices' => $options['dockicon_panels']['options'],
				'section' => 'acoda_dockbarconfig',
				'priority' => $priorty++
			),	

			// Search
			'enable_search'  => array(
				'name' 	  => 'YOU[enable_search]',
				'label'   => esc_html__( 'Dock Bar Search', 'you' ),
				'type'	  => 'option',
				'control' => 'select',
				'choices' => $options['enable_search']['options'],
				'section' => 'acoda_dockbarconfig',
				'live'	  => 'no',
				'priority' => $priorty++
			),	
			
			'dockicon_infopanel'  => array(
				'name' 	  => 'YOU[dockicon_infopanel]',
				'label'   => esc_html__( 'Info Dock Panel', 'you' ),
				'type'	  => 'option',
				'control' => 'select',
				'choices' => $options['dockicon_infopanel']['options'],
				'section' => 'acoda_dockbarconfig',
				'live'	  => 'no',
				'priority' => $priorty++
			),				
			
			'dockicon_info_icon'  => array(
				'name' 	  => 'YOU[dockicon_info_icon]',
				'label'   => esc_html__( 'Info Dock Icon', 'you' ),
				'type'	  => 'option',
				'control' => 'text',
				'section' => 'acoda_dockbarconfig',
				'priority' => $priorty++
			),		

			'dockicon_menu_icon'  => array(
				'name' 	  => 'YOU[dockicon_menu_icon]',
				'label'   => esc_html__( 'Menu Dock Icon', 'you' ),
				'type'	  => 'option',
				'control' => 'text',
				'section' => 'acoda_dockbarconfig',
				'priority' => $priorty++
			),	

			'dockicon_menu_text'  => array(
				'name' 	  => 'YOU[dockicon_menu_text]',
				'label'   => esc_html__( 'Menu Dock Text', 'you' ),
				'type'	  => 'option',
				'control' => 'text',
				'section' => 'acoda_dockbarconfig',
				'priority' => $priorty++
			),				

			// Header Display Heading
			'header_display_heading'  => array(
				'name' 	  => 'header_display_heading',
				'label'   => esc_html__( 'Header Display', 'you' ),
				'type'	  => 'option',
				'control' => 'heading',
				'section' => 'acoda_headerconfig',
				'priority' => $priorty++
			),					
			
			'header_display'  => array(
				'name' 	  => 'YOU[header_display]',
				'label'   => esc_html__( 'Header Display', 'you' ),
				'type'	  => 'option',
				'control' => 'select',
				'choices' => $options['header_display']['options'],
				'section' => 'acoda_headerconfig',
				'priority' => $priorty++
			),			

			'header_width'  => array(
				'name' 	  => 'YOU[header_width]',
				'label'   => esc_html__( 'Header Width', 'you' ),
				'type'	  => 'option',
				'control' => 'select',
				'choices' => $options['header_width']['options'],
				'section' => 'acoda_headerconfig',
				'priority' => $priorty++
			),													
			
			// Header Layout Heading
			'header_layout_heading'  => array(
				'name' 	  => 'header_layout_heading',
				'label'   => esc_html__( 'Header Layout', 'you' ),
				'type'	  => 'option',
				'control' => 'heading',
				'section' => 'acoda_headerconfig',
				'priority' => $priorty++
			),				
															
			'header_layout'  => array(
				'name' 	  => 'YOU[header_layout]',
				'label'   => esc_html__( 'Horizontal Layout', 'you' ),
				'type'	  => 'option',
				'control' => 'select',
				'choices' => $options['header_layout']['options'],
				'section' => 'acoda_headerconfig',
				'priority' => $priorty++
			),

			'header_layout_vertical'  => array(
				'name' 	  => 'YOU[header_layout_vertical]',
				'label'   => esc_html__( 'Vertical Layout', 'you' ),
				'type'	  => 'option',
				'control' => 'select',
				'choices' => $options['header_layout_vertical']['options'],
				'section' => 'acoda_headerconfig',
				'priority' => $priorty++
			),					

			'header_float'  => array(
				'name' 	  => 'YOU[header_float]',
				'label'   => esc_html__( 'Floating Header', 'you' ),
				'type'	  => 'option',
				'control' => 'select',
				'choices' => $options['header_float']['options'],
				'section' => 'acoda_headerconfig',
				'priority' => $priorty++
			),				

			'title_layout'  => array(
				'name' 	  => 'YOU[title_layout]',
				'label'   => esc_html__( 'Title Layout', 'you' ),
				'type'	  => 'option',
				'control' => 'select',
				'choices' => $options['title_layout']['options'],
				'section' => 'acoda_headerconfig',
				'priority' => $priorty++
			),													

			// Branding Margin
			'subheader_height' => array(
				'name' 	  => 'YOU[subheader_height]',
				'label'   => esc_html__( 'Subheader Height', 'you' ),
				'type'	  => 'option',
				'control' => 'range',
				'max'	  => '500',
				'min'	  => '0',
				'default' => '',
				'section' => 'acoda_headerconfig',
				'css' 	  => '.intro-wrap .intro-wrap-inner .intro-text, .intro-wrap.layout_3 .intro-wrap-inner',
				'js'	  => 'css("min-height", to +"px")',
				'live'	  => 'yes',
				'priority' => $priorty++
			),	

			// Logo Heading
			'logo_header'  => array(
				'name' 	  => 'logo_header',
				'label'   => esc_html__( 'Logo / Branding', 'you' ),
				'type'	  => 'option',
				'control' => 'heading',
				'section' => 'acoda_headerconfig',
				'priority' => $priorty++
			),							

			// Logo Display
			'logo_display'  => array(
				'name' 	  => 'YOU[logo_display]',
				'label'   => esc_html__( 'Display Logo', 'you' ),
				'type'	  => 'option',
				'control' => 'select',
				'choices' => $options['logo_display']['options'],
				'section' => 'acoda_headerconfig',
				'live'	  => 'no',
				'priority' => $priorty++
			),					
			
									
			// Branding Margin
			'logo_height' => array(
				'name' 	  => 'YOU[logo_height]',
				'label'   => esc_html__( 'Logo Height', 'you' ),
				'type'	  => 'option',
				'control' => 'range',
				'max'	  => '500',
				'min'	  => '0',
				'default' => '',
				'section' => 'acoda_headerconfig',
				'css' 	  => '#primary-wrapper #header-logo',
				'js'	  => 'css("height", to +"px").css("line-height", to +"px" )',
				'live'	  => 'yes',
				'priority' => $priorty++
			),	


			// Tagline
			'header_tagline'  => array(
				'name' 	  => 'YOU[header_tagline]',
				'label'   => esc_html__( 'Site Tagline', 'you' ),
				'type'	  => 'option',
				'control' => 'select',
				'choices' => $options['header_tagline']['options'],
				'section' => 'acoda_headerconfig',
				'live'	  => 'no',
				'priority' => $priorty++
			),	

			'branding_url'  => array(
				'name' 	  => 'YOU[branding_url]',
				'label'   => esc_html__( 'Logo URL', 'you' ),
				'type'	  => 'option',
				'control' => 'image',
				'section' => 'acoda_headerconfig',
				'priority' => $priorty++
			),	

			'branding_2x'  => array(
				'name' 	  => 'YOU[branding_2x]',
				'label'   => esc_html__( 'Retina Logo URL', 'you' ),
				'type'	  => 'option',
				'control' => 'image',
				'section' => 'acoda_headerconfig',
				'priority' => $priorty++
			),

			
			// Menu Heading
			'menu_header'  => array(
				'name' 	  => 'menu_header',
				'label'   => esc_html__( 'Main Menu', 'you' ),
				'type'	  => 'option',
				'control' => 'heading',
				'section' => 'acoda_headerconfig',
				'priority' => $priorty++
			),		

			// Menu Margin
			'menu_height' => array(
				'name' 	  => 'YOU[menu_height]',
				'label'   => esc_html__( 'Menu Height', 'you' ),
				'type'	  => 'option',
				'control' => 'range',
				'max'	  => '500',
				'min'	  => '0',
				'default' => '',
				'section' => 'acoda_headerconfig',
				'css' 	  => '#acoda-tabs > ul > li,#header-wrap .dock-panel-wrap.main_nav ul.dock-panel li.dock-tab',
				'js'	  => 'css("height", to +"px").css("line-height", to +"px")',
				'live'	  => 'yes',
				'priority' => $priorty++
			),	


			// Menu in Dock Bar
			'dockicon_menu'  => array(
				'name' 	  => 'YOU[dockicon_menu]',
				'label'   => esc_html__( 'Menu in Dock Bar', 'you' ),
				'type'	  => 'option',
				'control' => 'select',
				'choices' => $options['dockicon_menu']['options'],
				'section' => 'acoda_headerconfig',
				'live'	  => 'no',
				'priority' => $priorty++
			),		

			// Sticky Menu
			'sticky_menu'  => array(
				'name' 	  => 'YOU[sticky_menu]',
				'label'   => esc_html__( 'Sticky Menu', 'you' ),
				'type'	  => 'option',
				'control' => 'select',
				'choices' => $options['sticky_menu']['options'],
				'section' => 'acoda_headerconfig',
				'live'	  => 'no',
				'priority' => $priorty++
			),		

			'header_widget'  => array(
				'name' 	  => 'header_widget',
				'label'   => esc_html__( 'Header Widget', 'you' ),
				'type'	  => 'option',
				'control' => 'heading',
				'section' => 'acoda_headerconfig',
				'priority' => $priorty++
			),	

			'header_widget_width'  => array(
				'name' 	  => 'YOU[header_widget_width]',
				'label'   => esc_html__( 'Widget Width', 'you' ),
				'type'	  => 'option',
				'control' => 'select',
				'choices' => $options['header_widget_width']['options'],
				'section' => 'acoda_headerconfig',
				'live'	  => 'no',
				'priority' => $priorty++
			),	

			'header_widget_align'  => array(
				'name' 	  => 'YOU[header_widget_align]',
				'label'   => esc_html__( 'Widget Text Align', 'you' ),
				'type'	  => 'option',
				'control' => 'select',
				'choices' => $options['header_widget_align']['options'],
				'section' => 'acoda_headerconfig',
				'live'	  => 'no',
				'priority' => $priorty++
			),										

			'arhlayout'  => array(
				'name' 	  => 'YOU[arhlayout]',
				'label'   => esc_html__( 'Default Post Layout', 'you' ),
				'type'	  => 'option',
				'control' => 'select',
				'choices' => $options['arhlayout']['options'],
				'section' => 'acoda_blogconfig',
				'live'	  => 'no',
				'priority' => $priorty++
			),		

			'archcolone'  => array(
				'name' 	  => 'YOU[archcolone]',
				'label'   => esc_html__( 'Column 1 Sidebar', 'you' ),
				'type'	  => 'option',
				'control' => 'select',
				'choices' => $options['archcolone']['options'],
				'section' => 'acoda_blogconfig',
				'live'	  => 'no',
				'priority' => $priorty++
			),								

			'archcoltwo'  => array(
				'name' 	  => 'YOU[archcoltwo]',
				'label'   => esc_html__( 'Column 2 Sidebar', 'you' ),
				'type'	  => 'option',
				'control' => 'select',
				'choices' => $options['archcoltwo']['options'],
				'section' => 'acoda_blogconfig',
				'live'	  => 'no',
				'priority' => $priorty++
			),

			'arhpostdisplay'  => array(
				'name' 	  => 'YOU[arhpostdisplay]',
				'label'   => esc_html__( 'Layout Format', 'you' ),
				'type'	  => 'option',
				'control' => 'select',
				'choices' => $options['arhpostdisplay']['options'],
				'section' => 'acoda_blogconfig',
				'live'	  => 'no',
				'priority' => $priorty++
			),			

			'post_layout_style'  => array(
				'name' 	  => 'YOU[post_layout_style]',
				'label'   => esc_html__( 'Boxed Post Style', 'you' ),
				'type'	  => 'option',
				'control' => 'select',
				'choices' => $options['post_layout_style']['options'],
				'section' => 'acoda_blogconfig',
				'live'	  => 'no',
				'priority' => $priorty++
			),		
			
			'arhpostcolumns'  => array(
				'name' 	  => 'YOU[arhpostcolumns]',
				'label'   => esc_html__( 'Grid Columns', 'you' ),
				'type'	  => 'option',
				'control' => 'select',
				'choices' => $options['arhpostcolumns']['options'],
				'section' => 'acoda_blogconfig',
				'live'	  => 'no',
				'priority' => $priorty++
			),		

			'blog_search'  => array(
				'name' 	  => 'YOU[blog_search]',
				'label'   => esc_html__( 'Search', 'you' ),
				'type'	  => 'option',
				'control' => 'select',
				'choices' => $options['blog_search']['options'],
				'section' => 'acoda_blogconfig',
				'live'	  => 'no',
				'priority' => $priorty++
			),		
			
			'blog_pagination'  => array(
				'name' 	  => 'YOU[blog_pagination]',
				'label'   => esc_html__( 'Pagination', 'you' ),
				'type'	  => 'option',
				'control' => 'select',
				'choices' => $options['blog_pagination']['options'],
				'section' => 'acoda_blogconfig',
				'live'	  => 'no',
				'priority' => $priorty++
			),	

			// Blog Content Heading
			'blog_content_header'  => array(
				'name' 	  => 'blog_content_header',
				'label'   => esc_html__( 'Featured Images', 'you' ),
				'type'	  => 'option',
				'control' => 'heading',
				'section' => 'acoda_blogconfig',
				'priority' => $priorty++
			),	

			'arhpostimage'  => array(
				'name' 	  => 'YOU[arhpostimage]',
				'label'   => esc_html__( 'Featured Image', 'you' ),
				'type'	  => 'option',
				'control' => 'select',
				'choices' => $options['arhpostimage']['options'],
				'section' => 'acoda_blogconfig',
				'live'	  => 'no',
				'priority' => $priorty++
			),		


			// Blog Share Heading
			'blog_share_header'  => array(
				'name' 	  => 'blog_share_header',
				'label'   => esc_html__( 'Share + Related Posts', 'you' ),
				'type'	  => 'option',
				'control' => 'heading',
				'section' => 'acoda_blogconfig',
				'priority' => $priorty++
			),	

			'share_post'  => array(
				'name' 	  => 'YOU[share_post]',
				'label'   => esc_html__( 'Share Post', 'you' ),
				'type'	  => 'option',
				'control' => 'select',
				'choices' => $options['share_post']['options'],
				'section' => 'acoda_blogconfig',
				'live'	  => 'no',
				'priority' => $priorty++
			),		
			
			'related_posts'  => array(
				'name' 	  => 'YOU[related_posts]',
				'label'   => esc_html__( 'Related Posts', 'you' ),
				'type'	  => 'option',
				'control' => 'select',
				'choices' => $options['related_posts']['options'],
				'section' => 'acoda_blogconfig',
				'live'	  => 'no',
				'priority' => $priorty++
			),	

			// Blog Meta Heading
			'blog_meta_header'  => array(
				'name' 	  => 'blog_meta_header',
				'label'   => esc_html__( 'Metadata', 'you' ),
				'type'	  => 'option',
				'control' => 'heading',
				'section' => 'acoda_blogconfig',
				'priority' => $priorty++
			),			
			
			/*'metadata_position'  => array(
				'name' 	  => 'YOU[metadata_position]',
				'label'   => esc_html__( 'Metadata Position', 'you' ),
				'type'	  => 'option',
				'control' => 'select',
				'choices' => $options['related_posts']['options'],
				'section' => 'acoda_blogconfig',
				'live'	  => 'no',
				'priority' => $priorty++
			),	*/			

			'meta_date_format_archive'  => array(
				'name' 	  => 'YOU[meta_date_format_archive]',
				'label'   => esc_html__( 'Archive Date Format', 'you' ),
				'type'	  => 'option',
				'control' => 'text',
				'section' => 'acoda_blogconfig',
				'live'	  => 'no',
				'priority' => $priorty++
			),	

			'meta_date_format_single'  => array(
				'name' 	  => 'YOU[meta_date_format_single]',
				'label'   => esc_html__( 'Single Date Format', 'you' ),
				'type'	  => 'option',
				'control' => 'text',
				'section' => 'acoda_blogconfig',
				'live'	  => 'no',
				'priority' => $priorty++
			),	

			'meta_date_position'  => array(
				'name' 	  => 'YOU[meta_date_position]',
				'label'   => esc_html__( 'Date Position', 'you' ),
				'type'	  => 'option',
				'control' => 'select',
				'choices' => $options['meta_date_position']['options'],
				'section' => 'acoda_blogconfig',
				'live'	  => 'no',
				'priority' => $priorty++
			),	

			'meta_date'  => array(
				'name' 	  => 'YOU[meta_date]',
				'label'   => esc_html__( 'Display Date', 'you' ),
				'type'	  => 'option',
				'control' => 'select',
				'choices' => $options['meta_date']['options'],
				'section' => 'acoda_blogconfig',
				'live'	  => 'no',
				'priority' => $priorty++
			),	

			'meta_author'  => array(
				'name' 	  => 'YOU[meta_author]',
				'label'   => esc_html__( 'Display Author', 'you' ),
				'type'	  => 'option',
				'control' => 'select',
				'choices' => $options['meta_author']['options'],
				'section' => 'acoda_blogconfig',
				'live'	  => 'no',
				'priority' => $priorty++
			),		

			'meta_categories'  => array(
				'name' 	  => 'YOU[meta_categories]',
				'label'   => esc_html__( 'Display Categories', 'you' ),
				'type'	  => 'option',
				'control' => 'select',
				'choices' => $options['meta_categories']['options'],
				'section' => 'acoda_blogconfig',
				'live'	  => 'no',
				'priority' => $priorty++
			),																			
			
			'meta_tags'  => array(
				'name' 	  => 'YOU[meta_tags]',
				'label'   => esc_html__( 'Display Tags', 'you' ),
				'type'	  => 'option',
				'control' => 'select',
				'choices' => $options['meta_tags']['options'],
				'section' => 'acoda_blogconfig',
				'live'	  => 'no',
				'priority' => $priorty++
			),	

			'meta_like'  => array(
				'name' 	  => 'YOU[meta_like]',
				'label'   => esc_html__( 'Display Like', 'you' ),
				'type'	  => 'option',
				'control' => 'select',
				'choices' => $options['meta_like']['options'],
				'section' => 'acoda_blogconfig',
				'live'	  => 'no',
				'priority' => $priorty++
			),		

			'meta_comments'  => array(
				'name' 	  => 'YOU[meta_comments]',
				'label'   => esc_html__( 'Display Comments', 'you' ),
				'type'	  => 'option',
				'control' => 'select',
				'choices' => $options['meta_comments']['options'],
				'section' => 'acoda_blogconfig',
				'live'	  => 'no',
				'priority' => $priorty++
			),																									

			// Blog Page Images Heading
			'blog_pageimages_header'  => array(
				'name' 	  => 'blog_pageimages_header',
				'label'   => esc_html__( 'Blog Page Images', 'you' ),
				'type'	  => 'option',
				'control' => 'heading',
				'section' => 'acoda_blogconfig',
				'priority' => $priorty++
			),

			'archive_img_align'  => array(
				'name' 	  => 'YOU[archive_img_align]',
				'label'   => esc_html__( 'Image Alignment', 'you' ),
				'type'	  => 'option',
				'control' => 'select',
				'choices' => $options['archive_img_align']['options'],
				'section' => 'acoda_blogconfig',
				'live'	  => 'no',
				'priority' => $priorty++
			),		

			'blog_lightbox'  => array(
				'name' 	  => 'YOU[blog_lightbox]',
				'label'   => esc_html__( 'Image Lightbox', 'you' ),
				'type'	  => 'option',
				'control' => 'select',
				'choices' => $options['blog_lightbox']['options'],
				'section' => 'acoda_blogconfig',
				'live'	  => 'no',
				'priority' => $priorty++
			),	

			'arhimgeffect'  => array(
				'name' 	  => 'YOU[arhimgeffect]',
				'label'   => esc_html__( 'Image Effect', 'you' ),
				'type'	  => 'option',
				'control' => 'select',
				'choices' => $options['arhimgeffect']['options'],
				'section' => 'acoda_blogconfig',
				'live'	  => 'no',
				'priority' => $priorty++
			),								

			'archive_img_size'  => array(
				'name' 	  => 'YOU[archive_img_size]',
				'label'   => esc_html__( 'Image Size', 'you' ),
				'type'	  => 'option',
				'control' => 'text',
				'section' => 'acoda_blogconfig',
				'live'	  => 'no',
				'priority' => $priorty++
			),	

			// Blog Single Images Heading
			'blog_singleimages_header'  => array(
				'name' 	  => 'blog_singleimages_header',
				'label'   => esc_html__( 'Single Post Images', 'you' ),
				'type'	  => 'option',
				'control' => 'heading',
				'section' => 'acoda_blogconfig',
				'priority' => $priorty++
			),

			'post_lightbox'  => array(
				'name' 	  => 'YOU[post_lightbox]',
				'label'   => esc_html__( 'Image Lightbox', 'you' ),
				'type'	  => 'option',
				'control' => 'select',
				'choices' => $options['post_lightbox']['options'],
				'section' => 'acoda_blogconfig',
				'live'	  => 'no',
				'priority' => $priorty++
			),		

			'postimgeffect'  => array(
				'name' 	  => 'YOU[postimgeffect]',
				'label'   => esc_html__( 'Image Effect', 'you' ),
				'type'	  => 'option',
				'control' => 'select',
				'choices' => $options['postimgeffect']['options'],
				'section' => 'acoda_blogconfig',
				'live'	  => 'no',
				'priority' => $priorty++
			),											

			'single_img_size'  => array(
				'name' 	  => 'YOU[single_img_size]',
				'label'   => esc_html__( 'Image Size', 'you' ),
				'type'	  => 'option',
				'control' => 'text',
				'section' => 'acoda_blogconfig',
				'live'	  => 'no',
				'priority' => $priorty++
			),	
		
			// Portfolio
			'portlayout'  => array(
				'name' 	  => 'YOU[portlayout]',
				'label'   => esc_html__( 'Portfolio Page Layout', 'you' ),
				'type'	  => 'option',
				'control' => 'select',
				'choices' => $options['portlayout']['options'],
				'section' => 'acoda_portfolioconfig',
				'live'	  => 'no',
				'priority' => $priorty++
			),		

			'portcolone'  => array(
				'name' 	  => 'YOU[portcolone]',
				'label'   => esc_html__( 'Column 1 Sidebar', 'you' ),
				'type'	  => 'option',
				'control' => 'select',
				'choices' => $options['portcolone']['options'],
				'section' => 'acoda_portfolioconfig',
				'live'	  => 'no',
				'priority' => $priorty++
			),								

			'portcoltwo'  => array(
				'name' 	  => 'YOU[portcoltwo]',
				'label'   => esc_html__( 'Column 2 Sidebar', 'you' ),
				'type'	  => 'option',
				'control' => 'select',
				'choices' => $options['portcoltwo']['options'],
				'section' => 'acoda_portfolioconfig',
				'live'	  => 'no',
				'priority' => $priorty++
			),

			'portpostdisplay'  => array(
				'name' 	  => 'YOU[portpostdisplay]',
				'label'   => esc_html__( 'Layout Format', 'you' ),
				'type'	  => 'option',
				'control' => 'select',
				'choices' => $options['portpostdisplay']['options'],
				'section' => 'acoda_portfolioconfig',
				'live'	  => 'no',
				'priority' => $priorty++
			),			

			'portfolio_layout_style'  => array(
				'name' 	  => 'YOU[portfolio_layout_style]',
				'label'   => esc_html__( 'Boxed Post Style', 'you' ),
				'type'	  => 'option',
				'control' => 'select',
				'choices' => $options['portfolio_layout_style']['options'],
				'section' => 'acoda_portfolioconfig',
				'live'	  => 'no',
				'priority' => $priorty++
			),		
			
			'portpostcolumns'  => array(
				'name' 	  => 'YOU[portpostcolumns]',
				'label'   => esc_html__( 'Grid Columns', 'you' ),
				'type'	  => 'option',
				'control' => 'select',
				'choices' => $options['portpostcolumns']['options'],
				'section' => 'acoda_portfolioconfig',
				'live'	  => 'no',
				'priority' => $priorty++
			),	

			'portfoliopage'  => array(
				'name' 	  => 'YOU[portfoliopage]',
				'label'   => esc_html__( 'Parent Portfolio Page', 'you' ),
				'type'	  => 'option',
				'control' => 'select',
				'choices' => $options['portfoliopage']['options'],
				'section' => 'acoda_portfolioconfig',
				'live'	  => 'no',
				'priority' => $priorty++
			),	

			'portfoliopagelink'  => array(
				'name' 	  => 'YOU[portfoliopagelink]',
				'label'   => esc_html__( 'Portfolio Page Link', 'you' ),
				'type'	  => 'option',
				'control' => 'select',
				'choices' => $options['portfoliopagelink']['options'],
				'section' => 'acoda_portfolioconfig',
				'live'	  => 'no',
				'priority' => $priorty++
			),								

			'portfolio_search'  => array(
				'name' 	  => 'YOU[portfolio_search]',
				'label'   => esc_html__( 'Search', 'you' ),
				'type'	  => 'option',
				'control' => 'select',
				'choices' => $options['portfolio_search']['options'],
				'section' => 'acoda_portfolioconfig',
				'live'	  => 'no',
				'priority' => $priorty++
			),		
			
			'portfolio_pagination'  => array(
				'name' 	  => 'YOU[portfolio_pagination]',
				'label'   => esc_html__( 'Pagination', 'you' ),
				'type'	  => 'option',
				'control' => 'select',
				'choices' => $options['portfolio_pagination']['options'],
				'section' => 'acoda_portfolioconfig',
				'live'	  => 'no',
				'priority' => $priorty++
			),	

			// Blog Content Heading
			'portfolio_content_header'  => array(
				'name' 	  => 'portfolio_content_header',
				'label'   => esc_html__( 'Featured Images', 'you' ),
				'type'	  => 'option',
				'control' => 'heading',
				'section' => 'acoda_portfolioconfig',
				'priority' => $priorty++
			),	

			'portpostimage'  => array(
				'name' 	  => 'YOU[portpostimage]',
				'label'   => esc_html__( 'Featured Image', 'you' ),
				'type'	  => 'option',
				'control' => 'select',
				'choices' => $options['portpostimage']['options'],
				'section' => 'acoda_portfolioconfig',
				'live'	  => 'no',
				'priority' => $priorty++
			),																										

			// Blog Page Images Heading
			'portfolio_pageimages_header'  => array(
				'name' 	  => 'portfolio_pageimages_header',
				'label'   => esc_html__( 'Blog Page Images', 'you' ),
				'type'	  => 'option',
				'control' => 'heading',
				'section' => 'acoda_portfolioconfig',
				'priority' => $priorty++
			),

			'portfolio_img_align'  => array(
				'name' 	  => 'YOU[portfolio_img_align]',
				'label'   => esc_html__( 'Image Alignment', 'you' ),
				'type'	  => 'option',
				'control' => 'select',
				'choices' => $options['portfolio_img_align']['options'],
				'section' => 'acoda_portfolioconfig',
				'live'	  => 'no',
				'priority' => $priorty++
			),		

			'portfolio_lightbox'  => array(
				'name' 	  => 'YOU[portfolio_lightbox]',
				'label'   => esc_html__( 'Image Lightbox', 'you' ),
				'type'	  => 'option',
				'control' => 'select',
				'choices' => $options['portfolio_lightbox']['options'],
				'section' => 'acoda_portfolioconfig',
				'live'	  => 'no',
				'priority' => $priorty++
			),	

			'portfolio_img_size'  => array(
				'name' 	  => 'YOU[portfolio_img_size]',
				'label'   => esc_html__( 'Image Size', 'you' ),
				'type'	  => 'option',
				'control' => 'text',
				'section' => 'acoda_portfolioconfig',
				'live'	  => 'no',
				'priority' => $priorty++
			),	

			// Blog Single Images Heading
			'portfolio_singleimages_header'  => array(
				'name' 	  => 'portfolio_singleimages_header',
				'label'   => esc_html__( 'Single Post Images', 'you' ),
				'type'	  => 'option',
				'control' => 'heading',
				'section' => 'acoda_portfolioconfig',
				'priority' => $priorty++
			),

			'portfolio_post_lightbox'  => array(
				'name' 	  => 'YOU[portfolio_post_lightbox]',
				'label'   => esc_html__( 'Image Lightbox', 'you' ),
				'type'	  => 'option',
				'control' => 'select',
				'choices' => $options['portfolio_post_lightbox']['options'],
				'section' => 'acoda_portfolioconfig',
				'live'	  => 'no',
				'priority' => $priorty++
			),											

			'port_single_img_size'  => array(
				'name' 	  => 'YOU[port_single_img_size]',
				'label'   => esc_html__( 'Image Size', 'you' ),
				'type'	  => 'option',
				'control' => 'text',
				'section' => 'acoda_portfolioconfig',
				'live'	  => 'no',
				'priority' => $priorty++
			),				

			'mainfooter'  => array(
				'name' 	  => 'YOU[mainfooter]',
				'label'   => esc_html__( 'Display Footer', 'you' ),
				'type'	  => 'option',
				'control' => 'select',
				'choices' => $options['mainfooter']['options'],
				'section' => 'acoda_footerconfig',
				'live'	  => 'no',
				'priority' => $priorty++
			),	

			'footer_columns_num'  => array(
				'name' 	  => 'YOU[footer_columns_num]',
				'label'   => esc_html__( 'Footer Columns', 'you' ),
				'type'	  => 'option',
				'control' => 'select',
				'choices' => $options['footer_columns_num']['options'],
				'section' => 'acoda_footerconfig',
				'live'	  => 'no',
				'priority' => $priorty++
			),					

			// Footer 
			'lowerfooter_header'  => array(
				'name' 	  => 'lowerfooter_header',
				'label'   => esc_html__( 'Lower Footer', 'you' ),
				'control' => 'heading',
				'section' => 'acoda_footerconfig',
				'priority' => $priorty++
			),		

			'lowerfooter'  => array(
				'name' 	  => 'YOU[lowerfooter]',
				'label'   => esc_html__( 'Display Lower Footer', 'you' ),
				'type'	  => 'option',
				'control' => 'select',
				'choices' => $options['lowerfooter']['options'],
				'section' => 'acoda_footerconfig',
				'live'	  => 'no',
				'priority' => $priorty++
			),					

			'lowfooterleft'  => array(
				'name' 	  => 'YOU[lowfooterleft]',
				'label'   => esc_html__( 'Left Column', 'you' ),
				'type'	  => 'option',
				'control' => 'textarea',
				'section' => 'acoda_footerconfig',
				'live'	  => 'no',
				'priority' => $priorty++
			),	

			'lowfooterright'  => array(
				'name' 	  => 'YOU[lowfooterright]',
				'label'   => esc_html__( 'Right Column', 'you' ),
				'type'	  => 'option',
				'control' => 'textarea',
				'section' => 'acoda_footerconfig',
				'live'	  => 'no',
				'priority' => $priorty++
			),				

			// Social Media 
			'socialicons_header'  => array(
				'name' 	  => 'socialicons_header',
				'label'   => esc_html__( 'Social Icons', 'you' ),
				'desc' => sprintf( wp_kses( __( 'To set what icons are visible, please visit the <a href="%s">Social Media</a> Options Page.', 'you' ), $allowed_tags  ), esc_url( add_query_arg( 'page', 'options-framework#socialmedia', admin_url( 'themes.php' ) ) ) ),
				'control' => 'heading',
				'section' => 'acoda_socialmedia',
				'priority' => $priorty++
			),			
			'display_socialicons' => array(
				'name' 	  => 'YOU[display_socialicons]',
				'label'   => esc_html__( 'Dock Social Icons', 'you' ),
				'type'	  => 'option',
				'control' => 'select',
				'choices' => $options['display_socialicons']['options'],
				'section' => 'acoda_socialmedia',
				'live'	  => 'no',
				'priority' => $priorty++
			),	
			
			'socialicons_share' => array(
				'name' 	  => 'YOU[socialicons_share]',
				'label'   => esc_html__( 'Share Icon', 'you' ),
				'type'	  => 'option',
				'control' => 'select',
				'choices' => $options['socialicons_share']['options'],
				'section' => 'acoda_socialmedia',
				'live'	  => 'no',
				'priority' => $priorty++
			),	
			
			'socialicons_color' => array(
				'name' 	  => 'YOU[socialicons_color]',
				'label'   => esc_html__( 'Social Icons Color', 'you' ),
				'type'	  => 'option',
				'control' => 'select',
				'choices' => $options['socialicons_color']['options'],
				'section' => 'acoda_socialmedia',
				'live'	  => 'no',
				'priority' => $priorty++
			),		
			
			'socialicons_rss_header'  => array(
				'name' 	  => 'socialicons_rss_header',
				'label'   => esc_html__( 'RSS', 'you' ),
				'control' => 'heading',
				'section' => 'acoda_socialmedia',
				'priority' => $priorty++
			),		
			
			// Customize 
			'header_css'  => array(
				'name'	  => 'YOU[header_css]',
				'label'   => esc_html__( 'Custom CSS', 'you' ),
				'type'	  => 'option',
				'control' => 'textarea',
				'section' => 'acoda_custom_css',
				'live'	  => 'no',
				'priority' => $priorty++
			),	

			'responsive_css'  => array(
				'name'	  => 'YOU[responsive_css]',
				'label'   => esc_html__( 'Mobile CSS', 'you' ),
				'type'	  => 'option',
				'control' => 'textarea',
				'section' => 'acoda_custom_css',
				'live'	  => 'no',
				'priority' => $priorty++
			),		
			
		);


		// bbPress
		if ( class_exists( 'bbPress' ) )
		{ 
			$bbpress_options = array(
				'buddylayout' => array(
					'name' 	  => 'YOU[buddylayout]',
					'label'   => esc_html__( 'Page Layout', 'you' ),
					'type'	  => 'option',
					'control' => 'select',
					'choices' => $options['buddylayout']['options'],
					'section' => 'acoda_bbpress',
					'live'	  => 'no',
					'priority' => $priorty++
				),
				'buddycolone' => array(
					'name' 	  => 'YOU[buddycolone]',
					'label'   => esc_html__( 'Column 1 Sidebar', 'you' ),
					'type'	  => 'option',
					'control' => 'select',
					'choices' => $options['buddycolone']['options'],
					'section' => 'acoda_bbpress',
					'live'	  => 'no',
					'priority' => $priorty++
				),	
				'buddycoltwo' => array(
					'name' 	  => 'YOU[buddycoltwo]',
					'label'   => esc_html__( 'Column 2 Sidebar', 'you' ),
					'type'	  => 'option',
					'control' => 'select',
					'choices' => $options['buddycoltwo']['options'],
					'section' => 'acoda_bbpress',
					'live'	  => 'no',
					'priority' => $priorty++
				),							
				
			);		
			
			$options_array = array_merge( $options_array, $bbpress_options );
		}		
		
		// Woocommerce
		if ( class_exists( 'woocommerce' ) )
		{ 
			$woocommerce_options = array(
				'woocomlayout' => array(
					'name' 	  => 'YOU[woocomlayout]',
					'label'   => esc_html__( 'Page Layout', 'you' ),
					'type'	  => 'option',
					'control' => 'select',
					'choices' => $options['woocomlayout']['options'],
					'section' => 'acoda_woocommerce',
					'live'	  => 'no',
					'priority' => $priorty++
				),
				'woocomcolone' => array(
					'name' 	  => 'YOU[woocomcolone]',
					'label'   => esc_html__( 'Column 1 Sidebar', 'you' ),
					'type'	  => 'option',
					'control' => 'select',
					'choices' => $options['woocomcolone']['options'],
					'section' => 'acoda_woocommerce',
					'live'	  => 'no',
					'priority' => $priorty++
				),	
				'woocomcoltwo' => array(
					'name' 	  => 'YOU[woocomcoltwo]',
					'label'   => esc_html__( 'Column 2 Sidebar', 'you' ),
					'type'	  => 'option',
					'control' => 'select',
					'choices' => $options['woocomcoltwo']['options'],
					'section' => 'acoda_woocommerce',
					'live'	  => 'no',
					'priority' => $priorty++
				),
				'woocommerce_cart' => array(
					'name' 	  => 'YOU[woocommerce_cart]',
					'label'   => esc_html__( 'Cart Dock Icon', 'you' ),
					'type'	  => 'option',
					'control' => 'select',
					'choices' => $options['woocommerce_cart']['options'],
					'section' => 'acoda_woocommerce',
					'live'	  => 'no',
					'priority' => $priorty++
				),
				'woocomsearch' => array(
					'name' 	  => 'YOU[woocomsearch]',
					'label'   => esc_html__( 'Search Products Only', 'you' ),
					'type'	  => 'option',
					'control' => 'select',
					'choices' => $options['woocomsearch']['options'],
					'section' => 'acoda_woocommerce',
					'live'	  => 'no',
					'priority' => $priorty++
				),
				'share_product' => array(
					'name' 	  => 'YOU[share_product]',
					'label'   => esc_html__( 'Share Product', 'you' ),
					'type'	  => 'option',
					'control' => 'select',
					'choices' => $options['share_product']['options'],
					'section' => 'acoda_woocommerce',
					'live'	  => 'no',
					'priority' => $priorty++
				),																						
			);		
			
			$options_array = array_merge( $options_array, $woocommerce_options );
		}					
		

		/* ------------------------------------
		:: SKIN SETTINGS
		------------------------------------ */		
		
		$skin_options_array = array(									

			// Header Heading
			'alt_logo_heading'  => array(
				'name' 	  => 'alt_logo_heading',
				'label'   => esc_html__( 'Alternative Logo', 'you' ),
				'type'	  => 'option',
				'desc' => esc_html__('Set an alternative logo for this Skin, overiding the default logo.', 'you'), 
				'control' => 'heading',
				'section' => 'acoda_header',
				'priority' => $priorty++
			),

			// Branding Version
			'header_logo' => array(
				'name'	  => 'skin_data_'. $skin .'[skin_id_header_logo]',
				'label'   => esc_html__( 'Logo URL', 'you' ),
				'type'	  => 'option',
				'control' => 'image',
				'section' => 'acoda_header',
				'live'	  => 'no',
				'priority' => $priorty++
			),

			'header_logo_retina' => array(
				'name'	  => 'skin_data_'. $skin .'[skin_id_header_logo_retina]',
				'label'   => esc_html__( 'Logo URL Retina', 'you' ),
				'type'	  => 'option',
				'control' => 'image',
				'section' => 'acoda_header',
				'live'	  => 'no',
				'priority' => $priorty++
			),	

			// Header Heading
			'header_background_heading'  => array(
				'name' 	  => 'header_background_heading',
				'label'   => esc_html__( 'Background', 'you' ),
				'type'	  => 'option',
				'control' => 'heading',
				'section' => 'acoda_header',
				'priority' => $priorty++
			),								

			// Header Background Primary Color
			'header_pri_color' => array(
				'name'	  => 'skin_data_'. $skin .'[skin_id_layer_header_color]',
				'label'   => esc_html__( 'Background Color', 'you' ),
				'type'	  => 'option',
				'control' => 'color',
				'section' => 'acoda_header',
				'css' 	  => '#header-wrap.skinset-header',
				'js'	  => 'attr("data-pri-color", to ).attr("data-sec-color", to )',
				'func'	  => 'gradient',
				'live'	  => 'yes',
				'priority' => $priorty++
			),			

			// main Background Primary Opacity
			'layer_header_opac' => array(
				'name'	  => 'skin_data_'. $skin .'[skin_id_layer_header_opac]',
				'label'   => esc_html__( 'Background Opacity', 'you' ),
				'type'	  => 'option',
				'control' => 'range',
				'max'	  => '100',
				'min'	  => '0',
				'default' => '100',
				'section' => 'acoda_header',
				'css' 	  => '#header-wrap.skinset-header',
				'js'	  => 'attr("data-pri-opac", to ).attr("data-sec-opac", to )',
				'func'	  => 'gradient',
				'live'	  => 'yes',
				'priority' => $priorty++
			),					

			// Header Image
			'layer_header_image' => array(
				'name'	  => 'skin_data_'. $skin .'[skin_id_layer_header_image]',
				'label'   => esc_html__( 'Background Image', 'you' ),
				'type'	  => 'option',
				'control' => 'image',
				'section' => 'acoda_header',
				'live'	  => 'no',
				'priority' => $priorty++
			),
	

			'layer_header_image_featured' => array(
				'name'	  => 'skin_data_'. $skin .'[skin_id_layer_header_image_featured]',
				'label'   => esc_html__( 'Use Featured Image', 'you' ),
				'type'	  => 'option',
				'control' => 'checkbox',
				'section' => 'acoda_header',
				'live'	  => 'no',
				'priority' => $priorty++
			),						

			// Vertial Align
			'layer_header_image_position' => array(
				'name'	  => 'skin_data_'. $skin .'[skin_id_layer_header_image_position]',
				'label'   => esc_html__( 'Image Position', 'you' ),
				'type'	  => 'option',
				'control' => 'select',
				'choices' => array(
					'center center' => 'Center Center',
					'center top' => 'Center Top',
					'center bottom' => 'Center Bottom',					
					'left top' => 'Left Top',
					'left center' => 'Left Center',
					'left bottom' => 'Left Bottom',
					'right top' => 'Right Top',
					'right center' => 'Right Center',
					'right bottom' => 'Right Bottom',					
				),
				'section' => 'acoda_header',
				'live'	  => 'no',
				'priority' => $priorty++
			),

			// Repeat
			'layer_header_image_repeat' => array(
				'name'	  => 'skin_data_'. $skin .'[skin_id_layer_header_image_repeat]',
				'label'   => esc_html__( 'Image Repeat', 'you' ),
				'type'	  => 'option',
				'control' => 'select',
				'choices' => array(
					'' => 'Select',
					'repeat' => 'Repeat',
					'repeat-x' => 'Repeat X',
					'repeat-y' => 'Repeat Y',
					'no-repeat' => 'No Repeat',
				),
				'section' => 'acoda_header',
				'live'	  => 'no',
				'priority' => $priorty++
			),

			// Background Size
			'layer_header_image_size' => array(
				'name'	  => 'skin_data_'. $skin .'[skin_id_layer_header_image_size]',
				'label'   => esc_html__( 'Image Size', 'you' ),
				'type'	  => 'option',
				'control' => 'select',
				'choices' => array(
					'' => 'Select',
					'cover' => 'Cover',
					'contain' => 'Contain',
				),
				'section' => 'acoda_header',
				'live'	  => 'no',
				'priority' => $priorty++
			),

			// Vertial Align
			'layer_header_image_attachment' => array(
				'name'	  => 'skin_data_'. $skin .'[skin_id_layer_header_image_attachment]',
				'label'   => esc_html__( 'Image Attachment', 'you' ),
				'type'	  => 'option',
				'control' => 'select',
				'choices' => array(
					'scroll' => 'Scroll',
					'fixed' => 'Fixed',				
				),
				'section' => 'acoda_header',
				'live'	  => 'no',
				'priority' => $priorty++
			),

			// Header Background Primary Color
			'header_menulogo_color' => array(
				'name'	  => 'skin_data_'. $skin .'[skin_id_layer_header_menulogo_color]',
				'label'   => esc_html__( 'Menu / Logo Background Color', 'you' ),
				'type'	  => 'option',
				'control' => 'alpha_color',
				'section' => 'acoda_header',
				'css' 	  => '#header-wrap #header',
				'js'	  => 'css("background-color", to)',
				'live'	  => 'yes',
				'priority' => $priorty++
			),	

			// Header Background Primary Color
			'header_overlay_color' => array(
				'name'	  => 'skin_data_'. $skin .'[skin_id_layer_header_overlay_color]',
				'label'   => esc_html__( 'Overlay Color', 'you' ),
				'type'	  => 'option',
				'control' => 'alpha_color',
				'section' => 'acoda_header',
				'css' 	  => '#header-wrap .header-overlay',
				'js'	  => 'css("background-color", to)',
				'live'	  => 'yes',
				'priority' => $priorty++
			),	
			
			// Header Border Color
			'header_border_color' => array(
				'name'	  => 'skin_data_'. $skin .'[skin_id_layer_header_border_color]',
				'label'   => esc_html__( 'Border Color', 'you' ),
				'type'	  => 'option',
				'control' => 'color',
				'section' => 'acoda_header',
				'css' 	  => '#header-wrap.skinset-header',
				'js'	  => 'css("border-color", to)',
				'live'	  => 'yes',
				'priority' => $priorty++
			),					

			'dockbar_background_heading'  => array(
				'name' 	  => 'dockbar_background_heading',
				'label'   => esc_html__( 'Background', 'you' ),
				'type'	  => 'option',
				'control' => 'heading',
				'section' => 'acoda_dockbar',
				'priority' => $priorty++
			),					
			
			// dockbar Primary Color
			'dockbar_pri_color' => array(
				'name'	  => 'skin_data_'. $skin .'[skin_id_layer_dockbar_color]',
				'label'   => esc_html__( 'Background Color', 'you' ),
				'type'	  => 'option',
				'control' => 'color',
				'section' => 'acoda_dockbar',
				'css' 	  => $dockbar_class,
				'js'	  => 'attr("data-pri-color", to ).attr("data-sec-color", to )',
				'func'	  => 'gradient',
				'live'	  => 'yes',
				'priority' => $priorty++
			),	

			// main Background Primary Opacity
			'layer_dockbar_opac' => array(
				'name'	  => 'skin_data_'. $skin .'[skin_id_layer_dockbar_opac]',
				'label'   => esc_html__( 'Background Opacity', 'you' ),
				'type'	  => 'option',
				'control' => 'range',
				'max'	  => '100',
				'min'	  => '0',
				'default' => '100',
				'section' => 'acoda_dockbar',
				'css' 	  => $dockbar_class,
				'js'	  => 'attr("data-pri-opac", to ).attr("data-sec-opac", to )',
				'func'	  => 'gradient',
				'live'	  => 'yes',
				'priority' => $priorty++
			),	

			// Header Image
			'layer_dockbar_image' => array(
				'name'	  => 'skin_data_'. $skin .'[skin_id_layer_dockbar_image]',
				'label'   => esc_html__( 'Background Image', 'you' ),
				'type'	  => 'option',
				'control' => 'image',
				'section' => 'acoda_dockbar',
				'live'	  => 'no',
				'priority' => $priorty++
			),

			// Vertial Align
			'layer_dockbar_image_position' => array(
				'name'	  => 'skin_data_'. $skin .'[skin_id_layer_dockbar_image_position]',
				'label'   => esc_html__( 'Image Position', 'you' ),
				'type'	  => 'option',
				'control' => 'select',
				'choices' => array(
					'center center' => 'Center Center',
					'center top' => 'Center Top',
					'center bottom' => 'Center Bottom',					
					'left top' => 'Left Top',
					'left center' => 'Left Center',
					'left bottom' => 'Left Bottom',
					'right top' => 'Right Top',
					'right center' => 'Right Center',
					'right bottom' => 'Right Bottom',					
				),
				'section' => 'acoda_dockbar',
				'live'	  => 'no',
				'priority' => $priorty++
			),

			// Repeat
			'layer_dockbar_image_repeat' => array(
				'name'	  => 'skin_data_'. $skin .'[skin_id_layer_dockbar_image_repeat]',
				'label'   => esc_html__( 'Image Repeat', 'you' ),
				'type'	  => 'option',
				'control' => 'select',
				'choices' => array(
					'' => 'Select',
					'repeat' => 'Repeat',
					'repeat-x' => 'Repeat X',
					'repeat-y' => 'Repeat Y',
					'no-repeat' => 'No Repeat',
				),
				'section' => 'acoda_dockbar',
				'live'	  => 'no',
				'priority' => $priorty++
			),

			// Background Size
			'layer_dockbar_image_size' => array(
				'name'	  => 'skin_data_'. $skin .'[skin_id_layer_dockbar_image_size]',
				'label'   => esc_html__( 'Image Size', 'you' ),
				'type'	  => 'option',
				'control' => 'select',
				'choices' => array(
					'' => 'Select',
					'cover' => 'Cover',
					'contain' => 'Contain',
				),
				'section' => 'acoda_dockbar',
				'live'	  => 'no',
				'priority' => $priorty++
			),		

			// Header Heading
			'dockbar_border_heading'  => array(
				'name' 	  => 'dockbar_border_heading',
				'label'   => esc_html__( 'Border', 'you' ),
				'type'	  => 'option',
				'control' => 'heading',
				'section' => 'acoda_dockbar',
				'priority' => $priorty++
			),						

			// Header Border Color
			'dockbar_border_color' => array(
				'name'	  => 'skin_data_'. $skin .'[skin_id_layer_dockbar_border_color]',
				'label'   => esc_html__( 'Border Color', 'you' ),
				'type'	  => 'option',
				'control' => 'color',
				'section' => 'acoda_dockbar',
				'css' 	  => 'nav.skinset-dockbar',
				'js'	  => 'css("border-color", to)',
				'live'	  => 'yes',
				'priority' => $priorty++
			),	
		
			
			// Header Heading
			'dockbar_font_colors_heading'  => array(
				'name' 	  => 'dockbar_font_colors_heading',
				'label'   => esc_html__( 'Font Colors', 'you' ),
				'type'	  => 'option',
				'control' => 'heading',
				'section' => 'acoda_dockbar',
				'priority' => $priorty++
			),				

			// Font Color
			'dockbar_font_color' => array(
				'name'	  => 'skin_data_'. $skin .'[skin_id_dockbar_font_color]',
				'label'   => esc_html__( 'Font Color', 'you' ),
				'type'	  => 'option',
				'control' => 'color',
				'section' => 'acoda_dockbar',
				'css' 	  => '.skinset-dockbar',
				'js'	  => 'css("color", to )',
				'live'	  => 'yes',
				'priority' => $priorty++
			),					

			// Link Color
			'dockbar_link_color' => array(
				'name'	  => 'skin_data_'. $skin .'[skin_id_dockbar_link_color]',
				'label'   => esc_html__( 'Link Color', 'you' ),
				'type'	  => 'option',
				'control' => 'color',
				'section' => 'acoda_dockbar',
				'css' 	  => '.skinset-dockbar.dock-panel-wrap a',
				'js'	  => 'css("color", to )',
				'live'	  => 'yes',
				'priority' => $priorty++
			),	
			
			// Link Hover Color
			'dockbar_linkhover_color' => array(
				'name'	  => 'skin_data_'. $skin .'[skin_id_dockbar_linkhover_color]',
				'label'   => esc_html__( 'Link Hover Color', 'you' ),
				'type'	  => 'option',
				'control' => 'color',
				'section' => 'acoda_dockbar',
				'live'	  => 'no',
				'priority' => $priorty++
			),				
			
			// Header Icons
			'dockbar_shaded_heading'  => array(
				'name' 	  => 'dockbar_shaded_heading',
				'label'   => esc_html__( 'Dock Icons', 'you' ),
				'desc' => esc_html__('Search, Social, Cart Icon Colors', 'you'), 
				'type'	  => 'option',
				'control' => 'heading',
				'section' => 'acoda_dockbar',
				'priority' => $priorty++
			),			

			// Sub-menu Shade
			'skin_id_dockpanel_iconsize' => array(
				'name'	  => 'skin_data_'. $skin .'[skin_id_dockpanel_iconsize]',
				'label'   => esc_html__( 'Icon Size', 'you' ),
				'type'	  => 'option',
				'control' => 'select',
				'choices' => array(
					'' => 'Small',
					'icon-medium' => 'Medium',
					'icon-large' => 'Large',
					'icon-xlarge' => 'X-Large',
				),
				'section' => 'acoda_dockbar',
				'priority' => $priorty++
			),				

			// Element Color
			'dockbar_element_color' => array(
				'name'	  => 'skin_data_'. $skin .'[skin_id_dockbar_element_color]',
				'label'   => esc_html__( 'Color', 'you' ),
				'type'	  => 'option',
				'control' => 'color',
				'section' => 'acoda_dockbar',
				'css' 	  => '.skinset-dockbar .dock-tab a',
				'js'	  => 'css("color", to)',
				'live'	  => 'yes',
				'priority' => $priorty++
			),	

			// Element Background Color
			'dockbar_shaded_hover_color' => array(
				'name'	  => 'skin_data_'. $skin .'[skin_id_dockbar_element_hover_color]',
				'label'   => esc_html__( 'Hover Color', 'you' ),
				'type'	  => 'option',
				'control' => 'color',
				'section' => 'acoda_dockbar',
				'priority' => $priorty++
			),					

			// Element Background Color
			'dockbar_shaded_color' => array(
				'name'	  => 'skin_data_'. $skin .'[skin_id_dockbar_shaded_color]',
				'label'   => esc_html__( 'Background Color', 'you' ),
				'type'	  => 'option',
				'control' => 'color',
				'section' => 'acoda_dockbar',
				'css' 	  => '.skinset-dockbar .dock-tab a i',
				'js'	  => 'css("background-color", to)',
				'live'	  => 'yes',
				'priority' => $priorty++
			),				

			// Element Border Color
			'dockbar_shaded_border_color' => array(
				'name'	  => 'skin_data_'. $skin .'[skin_id_dockbar_shaded_border_color]',
				'label'   => esc_html__( 'Border Color', 'you' ),
				'type'	  => 'option',
				'control' => 'color',
				'section' => 'acoda_dockbar',
				'css' 	  => '.skinset-dockbar .dock-tab a',
				'js'	  => 'css("border-color", to)',
				'live'	  => 'yes',
				'priority' => $priorty++
			),										

			// Dropdown Panels Heading
			'dockpanel_heading'  => array(
				'name' 	  => 'dockpanel_heading',
				'label'   => esc_html__( 'Dock Dropdown Panels', 'you' ),
				'desc' => esc_html__('Search bar, Shopping Cart and Language Flags.', 'you'), 
				'type'	  => 'option',
				'control' => 'heading',
				'section' => 'acoda_dockbar',
				'priority' => $priorty++
			),				

			// Header Background Primary Color
			'dockpanel_pri_color' => array(
				'name'	  => 'skin_data_'. $skin .'[skin_id_layer_dockpanel_color]',
				'label'   => esc_html__( 'Background Color', 'you' ),
				'type'	  => 'option',
				'control' => 'color',
				'section' => 'acoda_dockbar',
				'css' 	  => '.dock-panels .skinset-dockpanel',
				'js'	  => 'attr("data-pri-color", to ).attr("data-sec-color", to )',
				'func'	  => 'gradient',
				'live'	  => 'yes',
				'priority' => $priorty++
			),	

			// main Background Primary Opacity
			'layer_dockpanel_opac' => array(
				'name'	  => 'skin_data_'. $skin .'[skin_id_layer_dockpanel_opac]',
				'label'   => esc_html__( 'Background Opacity', 'you' ),
				'type'	  => 'option',
				'control' => 'range',
				'max'	  => '100',
				'min'	  => '0',
				'default' => '100',
				'section' => 'acoda_dockbar',
				'css' 	  => '.dock-panels .skinset-dockpanel',
				'js'	  => 'attr("data-pri-opac", to ).attr("data-sec-opac", to )',
				'func'	  => 'gradient',
				'live'	  => 'yes',
				'priority' => $priorty++
			),								

			// Font Color
			'dockpanel_font_color' => array(
				'name'	  => 'skin_data_'. $skin .'[skin_id_dockpanel_font_color]',
				'label'   => esc_html__( 'Font Color', 'you' ),
				'type'	  => 'option',
				'control' => 'color',
				'section' => 'acoda_dockbar',
				'css' 	  => '.skinset-dockpanel',
				'js'	  => 'css("color", to )',
				'live'	  => 'yes',
				'priority' => $priorty++
			),					

			// Link Color
			'dockpanel_link_color' => array(
				'name'	  => 'skin_data_'. $skin .'[skin_id_dockpanel_link_color]',
				'label'   => esc_html__( 'Link Color', 'you' ),
				'type'	  => 'option',
				'control' => 'color',
				'section' => 'acoda_dockbar',
				'css' 	  => '.skinset-dockpanel a',
				'js'	  => 'css("color", to )',
				'live'	  => 'yes',
				'priority' => $priorty++
			),	
			
			// Link Hover Color
			'dockpanel_linkhover_color' => array(
				'name'	  => 'skin_data_'. $skin .'[skin_id_dockpanel_linkhover_color]',
				'label'   => esc_html__( 'Link Hover Color', 'you' ),
				'type'	  => 'option',
				'control' => 'color',
				'section' => 'acoda_dockbar',
				'live'	  => 'no',
				'priority' => $priorty++
			),		

			// Header Heading
			'dockpanel_shaded_heading'  => array(
				'name' 	  => 'dockpanel_shaded_heading',
				'label'   => esc_html__( 'Dock Dropdown Shaded Areas', 'you' ),
				'desc' => esc_html__('Search, Dividers, Form Fields.', 'you'), 
				'type'	  => 'option',
				'control' => 'heading',
				'section' => 'acoda_dockbar',
				'priority' => $priorty++
			),			

			// Element Color
			'dockpanel_element_color' => array(
				'name'	  => 'skin_data_'. $skin .'[skin_id_dockpanel_element_color]',
				'label'   => esc_html__( 'Color', 'you' ),
				'type'	  => 'option',
				'control' => 'color',
				'section' => 'acoda_dockbar',
				'css' 	  => '.skinset-dockpanel .ui-tabs .ui-tabs-nav li a,.skinset-dockpanel .ui-accordion-header a,.skinset-dockpanel .ui-tabs .ui-tabs-nav li,.skinset-dockpanel .ui-accordion-header,.skinset-dockpanel pre,.skinset-dockpanel xmp,.skinset-dockpanel input[type=text],.skinset-dockpanel input[type=password],.skinset-dockpanel input[type=file],.skinset-dockpanel input[type=tel],.skinset-dockpanel input[type=url],.skinset-dockpanel input[type=email],.skinset-dockpanel textarea,.skinset-dockpanel select,.skinset-dockpanel #searchsubmit,.skinset-dockpanel #panelsearchsubmit,.skinset-dockpanel .author-info,.skinset-dockpanel .frame .gridimg-wrap,.skinset-dockpanel .splitter ul li.active,.skinset-dockpanel li.pagebutton,.skinset-dockpanel .page-numbers li,.skinset-dockpanel .styledbox.general.shaded .boxcontent,.skinset-dockpanel .acoda-pricing-signup,.skinset-dockpanel .acoda-pricing-content .even,.skinset-dockpanel .socialicons .dock-tab,.skinset-dockpanel .panelcontent.heading,.skinset-dockpanel div.item-list-tabs,.skinset-dockpanel .tab-wrap .trigger,.skinset-dockpanel .wrapper .intro-text,.skinset-dockpanel .vc_progress_bar .vc_single_bar,.skinset-dockpanel .zoomflow .controlsCon > .arrow-left,.skinset-dockpanel .zoomflow .controlsCon > .arrow-right,.skinset-dockpanel li.dock-tab a,.skinset-dockpanel #lang_sel_list li,.skinset-dockpanel .autototop a,.skinset-dockpanel .ui-state-active a,.skinset-dockpanel .gallery-wrap .slidernav a,.skinset-dockpanel #reviews #comments ol.commentlist li .comment-text,.skinset-dockpanel table.shop_table,.skinset-dockpanel .commentlist .comment-content,.skinset-dockpanel .post-metadata li.post-format,.skinset-dockpanel  .post-metadata li.comments-list,.skinset-dockpanel .post-metadata li.comments-list a,.skinset-dockpanel .gridimg-wrap .info,span.highlight.three',
				'js'	  => 'css("color", to)',
				'live'	  => 'yes',
				'priority' => $priorty++
			),		

			// Element Background Color
			'dockpanel_shaded_color' => array(
				'name'	  => 'skin_data_'. $skin .'[skin_id_dockpanel_shaded_color]',
				'label'   => esc_html__( 'Background Color', 'you' ),
				'type'	  => 'option',
				'control' => 'color',
				'section' => 'acoda_dockbar',
				'css' 	  => '.skinset-dockpanel .ui-tabs .ui-tabs-nav li a,.skinset-dockpanel .ui-accordion-header a,.skinset-dockpanel .ui-tabs .ui-tabs-nav li,.skinset-dockpanel .ui-accordion-header,.skinset-dockpanel pre,.skinset-dockpanel xmp,.skinset-dockpanel input[type=text],.skinset-dockpanel input[type=password],.skinset-dockpanel input[type=file],.skinset-dockpanel input[type=tel],.skinset-dockpanel input[type=url],.skinset-dockpanel input[type=email],.skinset-dockpanel textarea,.skinset-dockpanel select,.skinset-dockpanel #searchsubmit,.skinset-dockpanel #panelsearchsubmit,.skinset-dockpanel .author-info,.skinset-dockpanel .frame .gridimg-wrap,.skinset-dockpanel .splitter ul li.active,.skinset-dockpanel li.pagebutton,.skinset-dockpanel .page-numbers li,.skinset-dockpanel .styledbox.general.shaded .boxcontent,.skinset-dockpanel .acoda-pricing-signup,.skinset-dockpanel .acoda-pricing-content .even,.skinset-dockpanel .socialicons .dock-tab,.skinset-dockpanel .panelcontent.heading,.skinset-dockpanel div.item-list-tabs,.skinset-dockpanel .tab-wrap .trigger,.skinset-dockpanel .wrapper .intro-text,.skinset-dockpanel .vc_progress_bar .vc_single_bar,.skinset-dockpanel .zoomflow .controlsCon > .arrow-left,.skinset-dockpanel .zoomflow .controlsCon > .arrow-right,.skinset-dockpanel li.dock-tab a,.skinset-dockpanel #lang_sel_list li,.skinset-dockpanel .autototop a,.skinset-dockpanel .ui-state-active a,.skinset-dockpanel .gallery-wrap .slidernav a,.skinset-dockpanel #reviews #comments ol.commentlist li .comment-text,.skinset-dockpanel table.shop_table,.skinset-dockpanel .commentlist .comment-content,.skinset-dockpanel .post-metadata li.post-format,.skinset-dockpanel  .post-metadata li.comments-list,.skinset-dockpanel .post-metadata li.comments-list a,.skinset-dockpanel .gridimg-wrap .info,span.highlight.three',
				'js'	  => 'css("background-color", to)',
				'live'	  => 'yes',
				'priority' => $priorty++
			),	

			// Element Border Color
			'dockpanel_shaded_border_color' => array(
				'name'	  => 'skin_data_'. $skin .'[skin_id_dockpanel_shaded_border_color]',
				'label'   => esc_html__( 'Border Color', 'you' ),
				'type'	  => 'option',
				'control' => 'color',
				'section' => 'acoda_dockbar',
				'css' 	  => '.skinset-dockpanel .ui-tabs .ui-tabs-nav li a,.skinset-dockpanel .ui-accordion-header a,.skinset-dockpanel .ui-tabs .ui-tabs-nav li,.skinset-dockpanel .ui-accordion-header,.skinset-dockpanel pre,.skinset-dockpanel xmp,.skinset-dockpanel input[type=text],.skinset-dockpanel input[type=password],.skinset-dockpanel input[type=file],.skinset-dockpanel input[type=tel],.skinset-dockpanel input[type=url],.skinset-dockpanel input[type=email],.skinset-dockpanel textarea,.skinset-dockpanel select,.skinset-dockpanel #searchsubmit,.skinset-dockpanel #panelsearchsubmit,.skinset-dockpanel .author-info,.skinset-dockpanel .frame .gridimg-wrap,.skinset-dockpanel .splitter ul li.active,.skinset-dockpanel li.pagebutton,.skinset-dockpanel .page-numbers li,.skinset-dockpanel .styledbox.general.shaded .boxcontent,.skinset-dockpanel .acoda-pricing-signup,.skinset-dockpanel .acoda-pricing-content .even,.skinset-dockpanel .socialicons .dock-tab,.skinset-dockpanel .panelcontent.heading,.skinset-dockpanel div.item-list-tabs,.skinset-dockpanel .tab-wrap .trigger,.skinset-dockpanel .wrapper .intro-text,.skinset-dockpanel .vc_progress_bar .vc_single_bar,.skinset-dockpanel .zoomflow .controlsCon > .arrow-left,.skinset-dockpanel .zoomflow .controlsCon > .arrow-right,.skinset-dockpanel li.dock-tab a,.skinset-dockpanel #lang_sel_list li,.skinset-dockpanel .autototop a,.skinset-dockpanel .ui-state-active a,.skinset-dockpanel .gallery-wrap .slidernav a,.skinset-dockpanel #reviews #comments ol.commentlist li .comment-text,.skinset-dockpanel table.shop_table,.skinset-dockpanel .commentlist .comment-content,.skinset-dockpanel .post-metadata li.post-format,.skinset-dockpanel  .post-metadata li.comments-list,.skinset-dockpanel .post-metadata li.comments-list a,.skinset-dockpanel .gridimg-wrap .info,span.highlight.three',
				'js'	  => 'css("border-color", to)',
				'live'	  => 'yes',
				'priority' => $priorty++
			),										
							

			/* ------------------------------------
			:: HEADER FONT COLORS
			------------------------------------ */				
			
			// Header Heading
			'header_font_colors_heading'  => array(
				'name' 	  => 'header_font_colors_heading',
				'label'   => esc_html__( 'Font Colors', 'you' ),
				'type'	  => 'option',
				'control' => 'heading',
				'section' => 'acoda_header',
				'priority' => $priorty++
			),			

			// Font Color
			'header_font_color' => array(
				'name'	  => 'skin_data_'. $skin .'[skin_id_header_font_color]',
				'label'   => esc_html__( 'Font Color', 'you' ),
				'type'	  => 'option',
				'control' => 'color',
				'section' => 'acoda_header',
				'css' 	  => '.skinset-header.acoda-skin',
				'js'	  => 'css("color", to )',
				'live'	  => 'yes',
				'priority' => $priorty++
			),					

			// Link Color
			'header_link_color' => array(
				'name'	  => 'skin_data_'. $skin .'[skin_id_header_link_color]',
				'label'   => esc_html__( 'Link Color', 'you' ),
				'type'	  => 'option',
				'control' => 'color',
				'section' => 'acoda_header',
				'css' 	  => '.skinset-header.acoda-skin a',
				'js'	  => 'css("color", to ).parents(".skinset-header.acoda-skin").find(".acoda-skin.highlight").css("background-color", to )',
				'live'	  => 'yes',
				'priority' => $priorty++
			),	
			
			// Link Hover Color
			'header_linkhover_color' => array(
				'name'	  => 'skin_data_'. $skin .'[skin_id_header_linkhover_color]',
				'label'   => esc_html__( 'Link Hover Color', 'you' ),
				'type'	  => 'option',
				'control' => 'color',
				'section' => 'acoda_header',
				'css' 	  => '.skinset-header.acoda-skin a:hover',
				'js'	  => 'css("color", to )',
				'live'	  => 'no',
				'priority' => $priorty++
			),

			// Header Heading
			'menu_hover_heading'  => array(
				'name' 	  => 'menu_hover_heading',
				'label'   => esc_html__( 'Main Menu', 'you' ),
				'type'	  => 'option',
				'control' => 'heading',
				'section' => 'acoda_header',
				'priority' => $priorty++
			),			

			// Link Color
			'menu_link_color' => array(
				'name'	  => 'skin_data_'. $skin .'[skin_id_menu_link_color]',
				'label'   => esc_html__( 'Link Color', 'you' ),
				'type'	  => 'option',
				'control' => 'color',
				'section' => 'acoda_header',
				'css' 	  => '.skinset-menu.acoda-skin a',
				'js'	  => 'css("color", to )',
				'live'	  => 'yes',
				'priority' => $priorty++
			),				

			// Menu Hover Color
			'header_menulink_hovercolor' => array(
				'name'	  => 'skin_data_'. $skin .'[skin_id_menu_linkhover_color]',
				'label'   => esc_html__( 'Link Hover Color', 'you' ),
				'type'	  => 'option',
				'control' => 'color',
				'section' => 'acoda_header',
				'live'	  => 'no',
				'priority' => $priorty++
			),			


			// Menu Hover Color
			'header_menulink_backgroundcolor' => array(
				'name'	  => 'skin_data_'. $skin .'[skin_id_menu_linkhover_backgroundcolor]',
				'label'   => esc_html__( 'Link Hover Background', 'you' ),
				'type'	  => 'option',
				'control' => 'color',
				'section' => 'acoda_header',
				'live'	  => 'no',
				'priority' => $priorty++
			),

			'header_menulink_backgroundcolor' => array(
				'name'	  => 'skin_data_'. $skin .'[skin_id_header_linkhover_backgroundcolor]',
				'label'   => esc_html__( 'Link Hover Background', 'you' ),
				'type'	  => 'option',
				'control' => 'color',
				'section' => 'acoda_header',
				'live'	  => 'no',
				'priority' => $priorty++
			),					
			

			/* ------------------------------------
			:: SUB-MENU
			------------------------------------ */				
			
			// Sub Menu Heading
			'submenu_font_colors_heading'  => array(
				'name' 	  => 'submenu_font_colors_heading',
				'label'   => esc_html__( 'Submenu', 'you' ),
				'type'	  => 'option',
				'control' => 'heading',
				'section' => 'acoda_header',
				'priority' => $priorty++
			),				

			// Header Background Primary Color
			'menu_pri_color' => array(
				'name'	  => 'skin_data_'. $skin .'[skin_id_layer_submenu_color]',
				'label'   => esc_html__( 'Background Color', 'you' ),
				'type'	  => 'option',
				'control' => 'color',
				'section' => 'acoda_header',
				'css' 	  => '.skinset-submenu',
				'js'	  => 'attr("data-pri-color", to ).attr("data-sec-color", to )',
				'func'	  => 'gradient',
				'live'	  => 'yes',
				'priority' => $priorty++
			),	

			// main Background Primary Opacity
			'layer_menu_opac' => array(
				'name'	  => 'skin_data_'. $skin .'[skin_id_layer_submenu_opac]',
				'label'   => esc_html__( 'Background Opacity', 'you' ),
				'type'	  => 'option',
				'control' => 'range',
				'max'	  => '100',
				'min'	  => '0',
				'default' => '100',
				'section' => 'acoda_header',
				'css' 	  => '.skinset-submenu',
				'js'	  => 'attr("data-pri-opac", to ).attr("data-sec-opac", to )',
				'func'	  => 'gradient',
				'live'	  => 'yes',
				'priority' => $priorty++
			),									

			// Font Color
			/*'submenu_font_color' => array(
				'name'	  => 'skin_data_'. $skin .'[skin_id_submenu_font_color]',
				'label'   => esc_html__( 'Font Color', 'you' ),
				'type'	  => 'option',
				'control' => 'color',
				'section' => 'acoda_header',
				'css' 	  => '#acoda-tabs ul ul',
				'js'	  => 'css("color", to )',
				'live'	  => 'yes',
				'priority' => $priorty++
			),*/					

			// Link Color
			'submenu_link_color' => array(
				'name'	  => 'skin_data_'. $skin .'[skin_id_submenu_link_color]',
				'label'   => esc_html__( 'Link Color', 'you' ),
				'type'	  => 'option',
				'control' => 'color',
				'section' => 'acoda_header',
				'css' 	  => '#acoda-tabs ul ul a',
				'js'	  => 'css("color", to )',
				'live'	  => 'yes',
				'priority' => $priorty++
			),	
			
			// Link Hover Color
			'submenu_linkhover_color' => array(
				'name'	  => 'skin_data_'. $skin .'[skin_id_submenu_linkhover_color]',
				'label'   => esc_html__( 'Link Hover Color', 'you' ),
				'type'	  => 'option',
				'control' => 'color',
				'section' => 'acoda_header',
				'live'	  => 'no',
				'priority' => $priorty++
			),	

			// Link Hover Background Color
			'submenu_linkhover_backgroundcolor' => array(
				'name'	  => 'skin_data_'. $skin .'[skin_id_submenu_linkhover_backgroundcolor]',
				'label'   => esc_html__( 'Link Hover Background', 'you' ),
				'type'	  => 'option',
				'control' => 'color',
				'section' => 'acoda_header',
				'live'	  => 'no',
				'priority' => $priorty++
			),				


			// Header Heading
			/*'floatingheader_font_colors_heading'  => array(
				'name' 	  => 'floatingheader_font_colors_heading',
				'label'   => esc_html__( 'Transparent Header', 'options_framework_themeva' ),
				'type'	  => 'option',
				'control' => 'heading',
				'section' => 'themeva_background_1',
				'priority' => '900'
			),			

			// Font Color
			'floatingheader_font_color' => array(
				'name'	  => 'skin_data_'. $skin .'[skin_id_floatingheader_font_color]',
				'label'   => esc_html__( 'Font Color', 'options_framework_themeva' ),
				'type'	  => 'option',
				'control' => 'color',
				'section' => 'themeva_background_1',
				'css' 	  => '.header_transparent .skinset-header.nv-skin,.header_transparent .skinset-header a',
				'js'	  => 'css("color", to )',
				'live'	  => 'yes',
				'priority' => '901'
			),	

			// Branding Version
			'transparent_branding_ver'  => array(
				'name' 	  => 'skin_data_'. $skin .'[skin_id_transparent_branding_ver]',
				'label'   => esc_html__( 'Transparent Logo', 'options_framework_themeva' ),
				'type'	  => 'option',
				'control' => 'select',
				'choices' => array(
					'' => 'Default',
					'primary' => 'Primary',
					'secondary' => 'Secondary',
				),
				'section' => 'themeva_background_1',
				'priority' => '902'
			),	*/
				

			// Transparent Header Heading
			'transparent_header_heading'  => array(
				'name' 	  => 'transparent_header_heading',
				'label'   => esc_html__( 'Transparent Floating Header', 'you' ),
				'type'	  => 'option',
				'control' => 'heading',
				'section' => 'acoda_header',
				'priority' => $priorty++
			),	

			// Branding Version
			'header_logo_transparent' => array(
				'name'	  => 'skin_data_'. $skin .'[skin_id_logo_transparent]',
				'label'   => esc_html__( 'Transparent Logo', 'you' ),
				'type'	  => 'option',
				'control' => 'image',
				'section' => 'acoda_header',
				'live'	  => 'no',
				'priority' => $priorty++
			),	

			'header_logo_transparent_retina' => array(
				'name'	  => 'skin_data_'. $skin .'[skin_id_logo_transparent_retina]',
				'label'   => esc_html__( 'Transparent Logo Retina', 'you' ),
				'type'	  => 'option',
				'control' => 'image',
				'section' => 'acoda_header',
				'live'	  => 'no',
				'priority' => $priorty++
			),						

			// Transparent Font Color
			'transparent_header_font_color' => array(
				'name'	  => 'skin_data_'. $skin .'[skin_id_transparent_header_font_color]',
				'label'   => esc_html__( 'Font Color', 'you' ),
				'type'	  => 'option',
				'control' => 'color',
				'section' => 'acoda_header',
				'css' 	  => '.skinset-header.acoda-skin.transparent',
				'js'	  => 'css("color", to )',
				'live'	  => 'yes',
				'priority' => $priorty++
			),					

			// Transparent Link Color
			'transparent_header_link_color' => array(
				'name'	  => 'skin_data_'. $skin .'[skin_id_transparent_header_link_color]',
				'label'   => esc_html__( 'Link Color', 'you' ),
				'type'	  => 'option',
				'control' => 'color',
				'section' => 'acoda_header',
				'css' 	  => '.skinset-header.acoda-skin.transparent a',
				'js'	  => 'css("color", to )',
				'live'	  => 'yes',
				'priority' => $priorty++
			),	
			
			// Transparent Link Hover Color
			'transparent_header_linkhover_color' => array(
				'name'	  => 'skin_data_'. $skin .'[skin_id_transparent_header_linkhover_color]',
				'label'   => esc_html__( 'Link Hover Color', 'you' ),
				'type'	  => 'option',
				'control' => 'color',
				'section' => 'acoda_header',
				'css' 	  => '.skinset-header.acoda-skin.transparent a:hover',
				'js'	  => 'css("color", to )',
				'live'	  => 'no',
				'priority' => $priorty++
			),
		
				
			
			// Header Heading
			/*'heading_colors_heading'  => array(
				'name' 	  => 'heading_colors_heading',
				'label'   => esc_html__( 'Headings', 'you' ),
				'type'	  => 'option',
				'control' => 'heading',
				'section' => 'acoda_header',
				'priority' => $priorty++
			),		*/				


			// Default H1 Color
			/*'header_h1_color' => array(
				'name'	  => 'skin_data_'. $skin .'[skin_id_header_h1_color]',
				'label'   => esc_html__( 'H1 Color', 'you' ),
				'type'	  => 'option',
				'control' => 'color',
				'section' => 'acoda_header',
				'css' 	  => '.skinset-header h1, .skinset-header h1 a',
				'js'	  => 'css("color", to )',
				'live'	  => 'yes',
				'priority' => $priorty++
			),

			// Default H2 Color
			'header_h2_color' => array(
				'name'	  => 'skin_data_'. $skin .'[skin_id_header_h2_color]',
				'label'   => esc_html__( 'H2 Color', 'you' ),
				'type'	  => 'option',
				'control' => 'color',
				'section' => 'acoda_header',
				'css' 	  => '.skinset-header h2, .skinset-header h2 a',
				'js'	  => 'css("color", to )',
				'live'	  => 'yes',
				'priority' => $priorty++
			),			

			// Default h3 Color
			'header_h3_color' => array(
				'name'	  => 'skin_data_'. $skin .'[skin_id_header_h3_color]',
				'label'   => esc_html__( 'h3 Color', 'you' ),
				'type'	  => 'option',
				'control' => 'color',
				'section' => 'acoda_header',
				'css' 	  => '.skinset-header h3, .skinset-header h3 a',
				'js'	  => 'css("color", to )',
				'live'	  => 'yes',
				'priority' => $priorty++
			),

			// Default h4 Color
			'header_h4_color' => array(
				'name'	  => 'skin_data_'. $skin .'[skin_id_header_h4_color]',
				'label'   => esc_html__( 'h4, h5, h6 Color', 'you' ),
				'type'	  => 'option',
				'control' => 'color',
				'section' => 'acoda_header',
				'css' 	  => '.skinset-header h4, .skinset-header h4 a',
				'js'	  => 'css("color", to )',
				'live'	  => 'yes',
				'priority' => $priorty++
			),		*/	


			// Header Heading
			'sub_header_background_heading'  => array(
				'name' 	  => 'sub_header_background_heading',
				'label'   => esc_html__( 'Background', 'you' ),
				'type'	  => 'option',
				'control' => 'heading',
				'section' => 'acoda_sub_header',
				'priority' => $priorty++
			),						
			

			// Header Background Primary Color
			'sub_header_pri_color' => array(
				'name'	  => 'skin_data_'. $skin .'[skin_id_layer_sub_header_color]',
				'label'   => esc_html__( 'Background Color', 'you' ),
				'type'	  => 'option',
				'control' => 'color',
				'section' => 'acoda_sub_header',
				'css' 	  => '.skinset-sub_header',
				'js'	  => 'attr("data-pri-color", to ).attr("data-sec-color", to )',
				'func'	  => 'gradient',
				'live'	  => 'yes',
				'priority' => $priorty++
			),	

			// main Background Primary Opacity
			'layer_sub_header_opac' => array(
				'name'	  => 'skin_data_'. $skin .'[skin_id_layer_sub_header_opac]',
				'label'   => esc_html__( 'Opacity', 'you' ),
				'type'	  => 'option',
				'control' => 'range',
				'max'	  => '100',
				'min'	  => '0',
				'default' => '100',
				'section' => 'acoda_sub_header',
				'css' 	  => '.skinset-sub_header',
				'js'	  => 'attr("data-pri-opac", to ).attr("data-sec-opac", to )',
				'func'	  => 'gradient',
				'live'	  => 'yes',
				'priority' => $priorty++
			),		

			// Header Image
			'layer_sub_header_image' => array(
				'name'	  => 'skin_data_'. $skin .'[skin_id_layer_sub_header_image]',
				'label'   => esc_html__( 'Background Image', 'you' ),
				'type'	  => 'option',
				'control' => 'image',
				'section' => 'acoda_sub_header',
				'live'	  => 'no',
				'priority' => $priorty++
			),

			// Vertial Align
			'layer_sub_header_image_position' => array(
				'name'	  => 'skin_data_'. $skin .'[skin_id_layer_sub_header_image_position]',
				'label'   => esc_html__( 'Image Position', 'you' ),
				'type'	  => 'option',
				'control' => 'select',
				'choices' => array(
					'center center' => 'Center Center',
					'center top' => 'Center Top',
					'center bottom' => 'Center Bottom',					
					'left top' => 'Left Top',
					'left center' => 'Left Center',
					'left bottom' => 'Left Bottom',
					'right top' => 'Right Top',
					'right center' => 'Right Center',
					'right bottom' => 'Right Bottom',					
				),
				'section' => 'acoda_sub_header',
				'live'	  => 'no',
				'priority' => $priorty++
			),

			// Repeat
			'layer_sub_header_image_repeat' => array(
				'name'	  => 'skin_data_'. $skin .'[skin_id_layer_sub_header_image_repeat]',
				'label'   => esc_html__( 'Image Repeat', 'you' ),
				'type'	  => 'option',
				'control' => 'select',
				'choices' => array(
					'' => 'Select',
					'repeat' => 'Repeat',
					'repeat-x' => 'Repeat X',
					'repeat-y' => 'Repeat Y',
					'no-repeat' => 'No Repeat',
				),
				'section' => 'acoda_sub_header',
				'live'	  => 'no',
				'priority' => $priorty++
			),

			// Background Size
			'layer_sub_header_image_size' => array(
				'name'	  => 'skin_data_'. $skin .'[skin_id_layer_sub_header_image_size]',
				'label'   => esc_html__( 'Image Size', 'you' ),
				'type'	  => 'option',
				'control' => 'select',
				'choices' => array(
					'' => 'Select',
					'cover' => 'Cover',
					'contain' => 'Contain',
				),
				'section' => 'acoda_sub_header',
				'live'	  => 'no',
				'priority' => $priorty++
			),

			// Header Heading
			'sub_header_border_heading'  => array(
				'name' 	  => 'dockbar_border_heading',
				'label'   => esc_html__( 'Border', 'you' ),
				'type'	  => 'option',
				'control' => 'heading',
				'section' => 'acoda_sub_header',
				'priority' => $priorty++
			),						

			// Header Border Color
			'sub_header_border_color' => array(
				'name'	  => 'skin_data_'. $skin .'[skin_id_layer_sub_header_border_color]',
				'label'   => esc_html__( 'Border Color', 'you' ),
				'type'	  => 'option',
				'control' => 'color',
				'section' => 'acoda_sub_header',
				'css' 	  => '.intro-wrap.skinset-sub_header',
				'js'	  => 'css("border-color", to)',
				'live'	  => 'yes',
				'priority' => $priorty++
			),								

			// Header Heading
			'sub_header_font_colors_heading'  => array(
				'name' 	  => 'sub_header_font_colors_heading',
				'label'   => esc_html__( 'Font Colors', 'you' ),
				'type'	  => 'option',
				'control' => 'heading',
				'section' => 'acoda_sub_header',
				'priority' => $priorty++
			),			

			// Font Color
			'sub_header_font_color' => array(
				'name'	  => 'skin_data_'. $skin .'[skin_id_sub_header_font_color]',
				'label'   => esc_html__( 'Font Color', 'you' ),
				'type'	  => 'option',
				'control' => 'color',
				'section' => 'acoda_sub_header',
				'css' 	  => '.skinset-sub_header.acoda-skin',
				'js'	  => 'css("color", to )',
				'live'	  => 'yes',
				'priority' => $priorty++
			),					

			// Link Color
			'sub_header_link_color' => array(
				'name'	  => 'skin_data_'. $skin .'[skin_id_sub_header_link_color]',
				'label'   => esc_html__( 'Link Color', 'you' ),
				'type'	  => 'option',
				'control' => 'color',
				'section' => 'acoda_sub_header',
				'css' 	  => '.skinset-sub_header.acoda-skin a',
				'js'	  => 'css("color", to ).parents(".skinset-sub_header.acoda-skin").find(".acoda-skin.highlight").css("background-color", to )',
				'live'	  => 'yes',
				'priority' => $priorty++
			),	
			
			// Link Hover Color
			'sub_header_linkhover_color' => array(
				'name'	  => 'skin_data_'. $skin .'[skin_id_sub_header_linkhover_color]',
				'label'   => esc_html__( 'Link Hover Color', 'you' ),
				'type'	  => 'option',
				'control' => 'color',
				'section' => 'acoda_sub_header',
				'css' 	  => '.skinset-sub_header.acoda-skin a:hover',
				'js'	  => 'css("color", to )',
				'live'	  => 'no',
				'priority' => $priorty++
			),


			// Default H1 Color
			'sub_header_h1_color' => array(
				'name'	  => 'skin_data_'. $skin .'[skin_id_sub_header_h1_color]',
				'label'   => esc_html__( 'Title Color', 'you' ),
				'type'	  => 'option',
				'control' => 'color',
				'section' => 'acoda_sub_header',
				'css' 	  => '.skinset-sub_header h1, .skinset-sub_header h1 a',
				'js'	  => 'css("color", to )',
				'live'	  => 'yes',
				'priority' => $priorty++
			),

			// Default H2 Color
			'sub_header_h2_color' => array(
				'name'	  => 'skin_data_'. $skin .'[skin_id_sub_header_h2_color]',
				'label'   => esc_html__( 'Subtitle Color', 'you' ),
				'type'	  => 'option',
				'control' => 'color',
				'section' => 'acoda_sub_header',
				'css' 	  => '.skinset-sub_header h2, .skinset-sub_header h2 a',
				'js'	  => 'css("color", to )',
				'live'	  => 'yes',
				'priority' => $priorty++
			),								
			
			/* ------------------------------------
			:: CONTENT SETTINGS
			------------------------------------ */

			// Background Heading
			'main_background_heading'  => array(
				'name' 	  => 'main_background_heading',
				'label'   => esc_html__( 'Background', 'you' ),
				'type'	  => 'option',
				'control' => 'heading',
				'section' => 'acoda_frame',
				'priority' => $priorty++
			),	

			// main Background Color
			'layer_main_color' => array(
				'name'	  => 'skin_data_'. $skin .'[skin_id_layer_main_color]',
				'label'   => esc_html__( 'Background Color', 'you' ),
				'type'	  => 'option',
				'control' => 'color',
				'section' => 'acoda_frame',
				'css' 	  => '.skinset-main',
				'js'	  => 'attr("data-pri-color", to ).attr("data-sec-color", to )',
				'func'	  => 'gradient',
				'live'	  => 'yes',
				'priority' => $priorty++
			),

			// main Background Primary Opacity
			'layer_main_opac' => array(
				'name'	  => 'skin_data_'. $skin .'[skin_id_layer_main_opac]',
				'label'   => esc_html__( 'Opacity', 'you' ),
				'type'	  => 'option',
				'control' => 'range',
				'max'	  => '100',
				'min'	  => '0',
				'default' => '100',
				'section' => 'acoda_frame',
				'css' 	  => '.skinset-main',
				'js'	  => 'attr("data-pri-opac", to ).attr("data-sec-opac", to )',
				'func'	  => 'gradient',
				'live'	  => 'yes',
				'priority' => $priorty++
			),				

			// Header Image
			'layer_main_image' => array(
				'name'	  => 'skin_data_'. $skin .'[skin_id_layer_main_image]',
				'label'   => esc_html__( 'Background Image', 'you' ),
				'type'	  => 'option',
				'control' => 'image',
				'section' => 'acoda_frame',
				'live'	  => 'no',
				'priority' => $priorty++
			),

			// Vertial Align
			'layer_main_image_position' => array(
				'name'	  => 'skin_data_'. $skin .'[skin_id_layer_main_image_position]',
				'label'   => esc_html__( 'Image Position', 'you' ),
				'type'	  => 'option',
				'control' => 'select',
				'choices' => array(
					'center center' => 'Center Center',
					'center top' => 'Center Top',
					'center bottom' => 'Center Bottom',					
					'left top' => 'Left Top',
					'left center' => 'Left Center',
					'left bottom' => 'Left Bottom',
					'right top' => 'Right Top',
					'right center' => 'Right Center',
					'right bottom' => 'Right Bottom',					
				),
				'section' => 'acoda_frame',
				'live'	  => 'no',
				'priority' => $priorty++
			),

			// Repeat
			'layer_main_image_repeat' => array(
				'name'	  => 'skin_data_'. $skin .'[skin_id_layer_main_image_repeat]',
				'label'   => esc_html__( 'Image Repeat', 'you' ),
				'type'	  => 'option',
				'control' => 'select',
				'choices' => array(
					'' => 'Select',
					'repeat' => 'Repeat',
					'repeat-x' => 'Repeat X',
					'repeat-y' => 'Repeat Y',
					'no-repeat' => 'No Repeat',
				),
				'section' => 'acoda_frame',
				'live'	  => 'no',
				'priority' => $priorty++
			),

			// Background Size
			'layer_main_image_size' => array(
				'name'	  => 'skin_data_'. $skin .'[skin_id_layer_main_image_size]',
				'label'   => esc_html__( 'Image Size', 'you' ),
				'type'	  => 'option',
				'control' => 'select',
				'choices' => array(
					'' => 'Select',
					'cover' => 'Cover',
					'contain' => 'Contain',
				),
				'section' => 'acoda_frame',
				'live'	  => 'no',
				'priority' => $priorty++
			),					

			/*'main_border_heading'  => array(
				'name' 	  => 'main_border_heading',
				'label'   => esc_html__( 'Border', 'you' ),
				'type'	  => 'option',
				'control' => 'heading',
				'section' => 'acoda_frame',
				'priority' => $priorty++
			),	

			'main_border_color' => array(
				'name'	  => 'skin_data_'. $skin .'[skin_id_layer_main_border_color]',
				'label'   => esc_html__( 'Border Color', 'you' ),
				'type'	  => 'option',
				'control' => 'color',
				'section' => 'acoda_frame',
				'css' 	  => '.main-wrap.skinset-main',
				'js'	  => 'css("border-color", to)',
				'live'	  => 'yes',
				'priority' => $priorty++
			),*/				

			// Element Heading
			'main_element_heading'  => array(
				'name' 	  => 'main_element_heading',
				'label'   => esc_html__( 'Shaded Areas', 'you' ),
				'desc' => esc_html__('Accordion, Tabs, Search, Dividers, Form Fields, Boxed Posts, Back to Top Button.', 'you'), 
				'type'	  => 'option',
				'control' => 'heading',
				'section' => 'acoda_frame',
				'priority' => $priorty++
			),				

			// Element Color
			'main_element_color' => array(
				'name'	  => 'skin_data_'. $skin .'[skin_id_main_element_color]',
				'label'   => esc_html__( 'Color', 'you' ),
				'type'	  => 'option',
				'control' => 'color',
				'section' => 'acoda_frame',
				'css' 	  => '.skinset-main .ui-tabs .ui-tabs-nav li a,.skinset-main .ui-accordion-header a,.skinset-main .ui-tabs .ui-tabs-nav li,.skinset-main .ui-accordion-header,.skinset-main pre,.skinset-main xmp,.skinset-main input[type=text],.skinset-main input[type=password],.skinset-main input[type=file],.skinset-main input[type=tel],.skinset-main input[type=url],.skinset-main input[type=email],.skinset-main textarea,.skinset-main select,.skinset-main #searchsubmit,.skinset-main #panelsearchsubmit,.skinset-main .author-info,.skinset-main .frame .gridimg-wrap,.skinset-main .splitter ul li.active,.skinset-main li.pagebutton,.skinset-main .page-numbers li,.skinset-main .styledbox.general.shaded .boxcontent,.skinset-main .acoda-pricing-signup,.skinset-main .acoda-pricing-content .even,.skinset-main .socialicons .dock-tab a,.skinset-main .panelcontent.heading,.skinset-main div.item-list-tabs,.skinset-main .tab-wrap .trigger,.skinset-main .wrapper .intro-text,.skinset-main .vc_progress_bar .vc_single_bar,.skinset-main .zoomflow .controlsCon > .arrow-left,.skinset-main .zoomflow .controlsCon > .arrow-right,.skinset-main li.dock-tab a,.skinset-main #lang_sel_list li,.skinset-main .autototop a,.skinset-main .ui-state-active a,.skinset-main .gallery-wrap .slidernav a,.skinset-main #reviews #comments ol.commentlist li .comment-text,.skinset-main table.shop_table,.skinset-main .commentlist .comment-content,.skinset-main .post-metadata li.post-format,.skinset-main  .post-metadata li.comments-list,.skinset-main .post-metadata li.comments-list a,.skinset-main .gridimg-wrap .info,span.highlight.three',
				'js'	  => 'css("color", to)',
				'live'	  => 'yes',
				'priority' => $priorty++
			),			

			// Shaded Background Color
			'main_shaded_color' => array(
				'name'	  => 'skin_data_'. $skin .'[skin_id_main_shaded_color]',
				'label'   => esc_html__( 'Background Color', 'you' ),
				'type'	  => 'option',
				'control' => 'color',
				'section' => 'acoda_frame',
				'css' 	  => '.skinset-main .ui-tabs .ui-tabs-nav li,.skinset-main .ui-accordion-header,.skinset-main pre,.skinset-main xmp,.skinset-main input[type=text],.skinset-main input[type=password],.skinset-main input[type=file],.skinset-main input[type=tel],.skinset-main input[type=url],.skinset-main input[type=email],.skinset-main input.input-text,.skinset-main textarea,.skinset-main select,.skinset-main .author-info,.skinset-main .frame .gridimg-wrap,.skinset-main .splitter ul li.active,.skinset-main li.pagebutton,.skinset-main .page-numbers li,.skinset-main .styledbox.general.shaded .boxcontent,.skinset-main .acoda-pricing-signup,.skinset-main div.item-list-tabs,.skinset-main .wrapper .intro-text,.skinset-main .vc_progress_bar .vc_single_bar,.skinset-main .zoomflow .controlsCon > .arrow-left,.skinset-main .zoomflow .controlsCon > .arrow-right,.skinset-main #lang_sel_list li,.skinset-main .autototop a,.skinset-main .woocommerce-message,.skinset-main .woocommerce-error,.skinset-main .woocommerce-info,.skinset-main .woocommerce .payment_box,.skinset-main .woocommerce-tabs li,.skinset-main #reviews #comments ol.commentlist li .comment-text,.skinset-main .product-remove a,.skinset-main table.shop_table thead th,.skinset-main .cart_totals .cart-subtotal td,.skinset-main .cart_totals .cart-subtotal th,.skinset-main .cart_totals .total td,.skinset-main .cart_totals .total th,.skinset-main .commentlist .comment-content,.skinset-main .single_variation_wrap .single_variation,.skinset-main .row.custom-row-inherit,.skinset-main .post-metadata li.post-format,.skinset-main  .post-metadata li.comments-list,.skinset-main .post-titles ul.post-metadata-wrap > li i,.skinset-main .gridimg-wrap .info,.skinset-main #content.boxed article,span.highlight.three,.skinset-main .socialicons .dock-tab a',
				'js'	  => 'css("background-color", to)',
				'live'	  => 'yes',
				'priority' => $priorty++
			),		

			// Shaded Border Color
			'main_shaded_border_color' => array(
				'name'	  => 'skin_data_'. $skin .'[skin_id_main_shaded_border_color]',
				'label'   => esc_html__( 'Border / Divider Color', 'you' ),
				'type'	  => 'option',
				'control' => 'color',
				'section' => 'acoda_frame',
				'css' 	  => '.skinset-main .sub-header,.skinset-main #acoda_selectmenu select,.skinset-main #content article.hentry,.skinset-main .frame .gridimg-wrap,.skinset-main .styledbox.general .boxcontent,.skinset-main .shop-cart .shopping-cart-wrapper,.skinset-main .acoda-pricing-container,.skinset-main img.avatar,.skinset-main .tagcloud a,.skinset-main .widget ul,.skinset-main #respond,.skinset-main .hozbreak, .skinset-main hr,.skinset-main ul.dock-tab-wrapper,.skinset-main #lang_sel_list li,.skinset-main .commentlist .children li.comment,.skinset-main #comments-title,.skinset-main .commentlist > li.comment,.skinset-main #payment ul.payment_methods,.skinset-main table.shop_table td,.skinset-main table.shop_table tfoot td,.skinset-main table.shop_table,.skinset-main table.shop_table tfoot th,.skinset-main .cart-collaterals .cart_totals table,.skinset-main .cart-collaterals .cart_totals tr td,.skinset-main .cart-collaterals .cart_totals tr th,.skinset-main .woocommerce form.login,.skinset-main .woocommerce-page form.login,.skinset-main form.checkout_coupon,.skinset-main .woocommerce form.register,.skinset-main .woocommerce-page form.register,.skinset-main ul.product_list_widget li,.skinset-main .post-titles ul.post-metadata-wrap,.skinset-main .splitter ul li.active,.skinset-main .vc_progress_bar .vc_single_bar,.skinset-main  .ui-tabs .ui-tabs-nav li,.skinset-main .ui-accordion-header, .skinset-main .splitter ul li.active, .skinset-main .row.custom-row-inherit,.skinset-main .styledbox.general.shaded, .skinset-main .post-titles ul.post-metadata-wrap,.skinset-main .post-titles ul.post-metadata-wrap > li i, .skinset-main input[type=text],	.skinset-main .autototop a, .skinset-main input[type=password],	.skinset-main input[type=file], .skinset-main input[type=tel], .skinset-main input[type=url],	.skinset-main input[type=email],.skinset-main textarea,.skinset-main select,.skinset-main pre, .skinset-main .gridimg-wrap .info,.skinset-main .socialicons .dock-tab a',
				'js'	  => 'css("border-color", to)',
				'live'	  => 'yes',
				'priority' => $priorty++
			),	


			// Element Heading
			'buttons_heading'  => array(
				'name' 	  => 'buttons_heading',
				'label'   => esc_html__( 'Buttons', 'you' ),
				'desc' => esc_html__('Uses "Link Color" if left blank.', 'you'), 
				'type'	  => 'option',
				'control' => 'heading',
				'section' => 'acoda_frame',
				'priority' => $priorty++
			),	

			// Button Color
			'background_button_color' => array(
				'name'	  => 'skin_data_'. $skin .'[skin_id_background_button_color]',
				'label'   => esc_html__( 'Button Color', 'you' ),
				'type'	  => 'option',
				'control' => 'color',
				'section' => 'acoda_frame',
				'css' 	  => '.skinset-background input[type=button], .skinset-background button, .skinset-background submit, .skinset-background input[type=submit], .skinset-background a.button, .skinset-background button.button, .skinset-background input.button, .skinset-background #review_form #submit, .skinset-background .button-wrap .button.link_color,.skinset-background .vc_btn3-color-link_color',
				'js'	  => 'css("background-color", to )',
				'live'	  => 'yes',
				'priority' => $priorty++
			),	

			'background_button_hover_color' => array(
				'name'	  => 'skin_data_'. $skin .'[skin_id_background_button_hover_color]',
				'label'   => esc_html__( 'Button Hover Color', 'you' ),
				'type'	  => 'option',
				'control' => 'color',
				'section' => 'acoda_frame',
				'live'	  => 'no',
				'priority' => $priorty++
			),					

			// Button Hover Color
			'background_button_text_color' => array(
				'name'	  => 'skin_data_'. $skin .'[skin_id_background_button_text_color]',
				'label'   => esc_html__( 'Text Color', 'you' ),
				'type'	  => 'option',
				'control' => 'color',
				'section' => 'acoda_frame',
				'css' 	  => '.skinset-background input[type=button], .skinset-background button, .skinset-background submit, .skinset-background input[type=submit], .skinset-background a.button, .skinset-background button.button, .skinset-background input.button, .skinset-background #review_form #submit,.skinset-background .button-wrap .button.link_color',
				'js'	  => 'css("color", to )',
				'live'	  => 'yes',
				'priority' => $priorty++
			),	

			'background_button_text_hover_color' => array(
				'name'	  => 'skin_data_'. $skin .'[skin_id_background_button_text_hover_color]',
				'label'   => esc_html__( 'Text Hover Color', 'you' ),
				'type'	  => 'option',
				'control' => 'color',
				'section' => 'acoda_frame',
				'live'	  => 'no',
				'priority' => $priorty++
			),													
		
			// Element Heading
			'hoveroverlay_heading'  => array(
				'name' 	  => 'hoveroverlay_heading',
				'label'   => esc_html__( 'Hover Overlay', 'you' ),
				'desc' => esc_html__('Overlay Color for elements with Hover Effect enabled. Uses "Link Color" if left blank.', 'you'), 
				'type'	  => 'option',
				'control' => 'heading',
				'section' => 'acoda_frame',
				'priority' => $priorty++
			),	

			// Overlay Color
			'hover_overlay_color' => array(
				'name'	  => 'skin_data_'. $skin .'[skin_id_background_hover_overlay_color]',
				'label'   => esc_html__( 'Hover Overlay Color', 'you' ),
				'type'	  => 'option',
				'control' => 'color',
				'section' => 'acoda_frame',
				'css' 	  => '.action-hover',
				'js'	  => 'css("background-color", to )',
				'live'	  => 'yes',
				'priority' => $priorty++
			),

			// Overlay Text Color
			'hover_overlay_text_color' => array(
				'name'	  => 'skin_data_'. $skin .'[skin_id_background_hover_overlay_text_color]',
				'label'   => esc_html__( 'Overlay Text Color', 'you' ),
				'type'	  => 'option',
				'control' => 'color',
				'section' => 'acoda_frame',
				'css' 	  => '.stage .info,.carousel .info,.ih-item.square.effect5 .info,.ih-item.square.effect6 .info,.ih-item.square.effect7 .info,.ih-item.circle.effect13 .info',
				'js'	  => 'css("color", to )',
				'live'	  => 'yes',
				'priority' => $priorty++
			),						
	
			/* ------------------------------------
			:: GENERAL FONT COLORS
			------------------------------------ */	

			// Header Heading
			'font_colors_heading'  => array(
				'name' 	  => 'font_colors_heading',
				'label'   => esc_html__( 'Font Colors', 'you' ),
				'type'	  => 'option',
				'control' => 'heading',
				'section' => 'acoda_frame',
				'priority' => $priorty++
			),

			// Font Color
			'background_font_color' => array(
				'name'	  => 'skin_data_'. $skin .'[skin_id_background_font_color]',
				'label'   => esc_html__( 'Font Color', 'you' ),
				'type'	  => 'option',
				'control' => 'color',
				'section' => 'acoda_frame',
				'css' 	  => '.skinset-background.acoda-skin',
				'js'	  => 'css("color", to )',
				'live'	  => 'yes',
				'priority' => $priorty++
			),			

			// Link Color
			'background_link_color' => array(
				'name'	  => 'skin_data_'. $skin .'[skin_id_background_link_color]',
				'label'   => esc_html__( 'Link Color', 'you' ),
				'type'	  => 'option',
				'control' => 'color',
				'section' => 'acoda_frame',
				'css' 	  => '.skinset-background.acoda-skin .entry a',
				'js'	  => 'css("color", to )',
				'live'	  => 'yes',
				'priority' => $priorty++
			),			

			// Link Hover Color
			'background_linkhover_color' => array(
				'name'	  => 'skin_data_'. $skin .'[skin_id_background_linkhover_color]',
				'label'   => esc_html__( 'Link Hover Color', 'you' ),
				'type'	  => 'option',
				'control' => 'color',
				'section' => 'acoda_frame',
				'css' 	  => '.skinset-background.acoda-skin a:hover',
				'js'	  => 'css("color", to )',
				'live'	  => 'no',
				'priority' => $priorty++
			),	

			// Metadata Color
			'background_meta_color' => array(
				'name'	  => 'skin_data_'. $skin .'[skin_id_background_meta_color]',
				'label'   => esc_html__( 'Metadata Font Color', 'you' ),
				'type'	  => 'option',
				'control' => 'color',
				'section' => 'acoda_frame',
				'css' 	  => '.skinset-background.acoda-skin .post-metadata-wrap,.skinset-background.acoda-skin .post-metadata-wrap a,.skinset-background.acoda-skin .entry-title span.date',
				'js'	  => 'css("color", to )',
				'live'	  => 'yes',
				'priority' => $priorty++
			),							

			// Default H1 Color
			'background_h1_color' => array(
				'name'	  => 'skin_data_'. $skin .'[skin_id_background_h1_color]',
				'label'   => esc_html__( 'H1 Color', 'you' ),
				'type'	  => 'option',
				'control' => 'color',
				'section' => 'acoda_frame',
				'css' 	  => '.skinset-background h1, .skinset-background h1 a',
				'js'	  => 'css("color", to )',
				'live'	  => 'yes',
				'priority' => $priorty++
			),

			// Default H2 Color
			'background_h2_color' => array(
				'name'	  => 'skin_data_'. $skin .'[skin_id_background_h2_color]',
				'label'   => esc_html__( 'H2 Color', 'you' ),
				'type'	  => 'option',
				'control' => 'color',
				'section' => 'acoda_frame',
				'css' 	  => '.skinset-background h2, .skinset-background h2 a',
				'js'	  => 'css("color", to )',
				'live'	  => 'yes',
				'priority' => $priorty++
			),

			// Default h3 Color
			'background_h3_color' => array(
				'name'	  => 'skin_data_'. $skin .'[skin_id_background_h3_color]',
				'label'   => esc_html__( 'h3 Color', 'you' ),
				'type'	  => 'option',
				'control' => 'color',
				'section' => 'acoda_frame',
				'css' 	  => '.skinset-background h3, .skinset-background h3 a',
				'js'	  => 'css("color", to )',
				'live'	  => 'yes',
				'priority' => $priorty++
			),	

			// Default h4,h5,h6 Color
			'background_h4_color' => array(
				'name'	  => 'skin_data_'. $skin .'[skin_id_background_h4_color]',
				'label'   => esc_html__( 'h4, h5, h6 Color', 'you' ),
				'type'	  => 'option',
				'control' => 'color',
				'section' => 'acoda_frame',
				'css' 	  => '.skinset-background h4, .skinset-background h4 a,.skinset-background h5, .skinset-background h5 a,.skinset-background h6, .skinset-background h6 a',
				'js'	  => 'css("color", to )',
				'live'	  => 'yes',
				'priority' => $priorty++
			),				



	
			/* ------------------------------------
			:: FOOTER SECTION
			------------------------------------ */

			// footer Background Primary Color
			'footer_pri_color' => array(
				'name'	  => 'skin_data_'. $skin .'[skin_id_layer_footer_color]',
				'label'   => esc_html__( 'Background Color', 'you' ),
				'type'	  => 'option',
				'control' => 'color',
				'section' => 'acoda_footer',
				'css' 	  => '.skinset-footer',
				'js'	  => 'attr("data-pri-color", to ).attr("data-sec-color", to )',
				'func'	  => 'gradient',
				'live'	  => 'yes',
				'priority' => $priorty++
			),	

			// main Background Primary Opacity
			'layer_footer_opac' => array(
				'name'	  => 'skin_data_'. $skin .'[skin_id_layer_footer_opac]',
				'label'   => esc_html__( 'Opacity', 'you' ),
				'type'	  => 'option',
				'control' => 'range',
				'max'	  => '100',
				'min'	  => '0',
				'default' => '100',
				'section' => 'acoda_footer',
				'css' 	  => '.skinset-footer',
				'js'	  => 'attr("data-pri-opac", to ).attr("data-sec-opac", to )',
				'func'	  => 'gradient',
				'live'	  => 'yes',
				'priority' => $priorty++
			),		

			// Header Image
			'layer_footer_image' => array(
				'name'	  => 'skin_data_'. $skin .'[skin_id_layer_footer_image]',
				'label'   => esc_html__( 'Background Image', 'you' ),
				'type'	  => 'option',
				'control' => 'image',
				'section' => 'acoda_footer',
				'live'	  => 'no',
				'priority' => $priorty++
			),

			// Vertial Align
			'layer_footer_image_position' => array(
				'name'	  => 'skin_data_'. $skin .'[skin_id_layer_footer_image_position]',
				'label'   => esc_html__( 'Image Position', 'you' ),
				'type'	  => 'option',
				'control' => 'select',
				'choices' => array(
					'center center' => 'Center Center',
					'center top' => 'Center Top',
					'center bottom' => 'Center Bottom',					
					'left top' => 'Left Top',
					'left center' => 'Left Center',
					'left bottom' => 'Left Bottom',
					'right top' => 'Right Top',
					'right center' => 'Right Center',
					'right bottom' => 'Right Bottom',					
				),
				'section' => 'acoda_footer',
				'live'	  => 'no',
				'priority' => $priorty++
			),

			// Repeat
			'layer_footer_image_repeat' => array(
				'name'	  => 'skin_data_'. $skin .'[skin_id_layer_footer_image_repeat]',
				'label'   => esc_html__( 'Image Repeat', 'you' ),
				'type'	  => 'option',
				'control' => 'select',
				'choices' => array(
					'' => 'Select',
					'repeat' => 'Repeat',
					'repeat-x' => 'Repeat X',
					'repeat-y' => 'Repeat Y',
					'no-repeat' => 'No Repeat',
				),
				'section' => 'acoda_footer',
				'live'	  => 'no',
				'priority' => $priorty++
			),

			// Background Size
			'layer_footer_image_size' => array(
				'name'	  => 'skin_data_'. $skin .'[skin_id_layer_footer_image_size]',
				'label'   => esc_html__( 'Image Size', 'you' ),
				'type'	  => 'option',
				'control' => 'select',
				'choices' => array(
					'' => 'Select',
					'cover' => 'Cover',
					'contain' => 'Contain',
				),
				'section' => 'acoda_footer',
				'live'	  => 'no',
				'priority' => $priorty++
			),					
			
			// Footer Heading
			'footer_shaded_heading'  => array(
				'name' 	  => 'footer_shaded_heading',
				'label'   => esc_html__( 'Shaded Areas', 'you' ),
				'type'	  => 'option',
				'control' => 'heading',
				'section' => 'acoda_footer',
				'priority' => $priorty++
			),				
			

			// Element Color
			'footer_element_color' => array(
				'name'	  => 'skin_data_'. $skin .'[skin_id_footer_element_color]',
				'label'   => esc_html__( 'Color', 'you' ),
				'type'	  => 'option',
				'control' => 'color',
				'section' => 'acoda_footer',
				'css' 	  => '.skinset-footer .ui-tabs .ui-tabs-nav li a,.skinset-footer .ui-accordion-header a,.skinset-footer .ui-tabs .ui-tabs-nav li,.skinset-footer .ui-accordion-header,.skinset-footer pre,.skinset-footer xmp,.skinset-footer input[type=text],.skinset-footer input[type=password],.skinset-footer input[type=file],.skinset-footer input[type=tel],.skinset-footer input[type=url],.skinset-footer input[type=email],.skinset-footer textarea,.skinset-footer select,.skinset-footer #searchsubmit,.skinset-footer #panelsearchsubmit,.skinset-footer .author-info,.skinset-footer .frame .gridimg-wrap,.skinset-footer .splitter ul li.active,.skinset-footer li.pagebutton,.skinset-footer .page-numbers li,.skinset-footer .styledbox.general.shaded .boxcontent,.skinset-footer .acoda-pricing-signup,.skinset-footer .acoda-pricing-content .even,.skinset-footer .socialicons .dock-tab a,.skinset-footer .panelcontent.heading,.skinset-footer div.item-list-tabs,.skinset-footer .tab-wrap .trigger,.skinset-footer .wrapper .intro-text,.skinset-footer .vc_progress_bar .vc_single_bar,.skinset-footer .zoomflow .controlsCon > .arrow-left,.skinset-footer .zoomflow .controlsCon > .arrow-right,.skinset-footer li.dock-tab a,.skinset-footer #lang_sel_list li,.skinset-footer .autototop a,.skinset-footer .ui-state-active a,.skinset-footer .gallery-wrap .slidernav a,.skinset-footer #reviews #comments ol.commentlist li .comment-text,.skinset-footer table.shop_table,.skinset-footer .commentlist .comment-content,.skinset-footer .post-metadata li.post-format,.skinset-footer  .post-metadata li.comments-list,.skinset-footer .post-metadata li.comments-list a,.skinset-footer .gridimg-wrap .info,span.highlight.three',
				'js'	  => 'css("color", to)',
				'live'	  => 'yes',
				'priority' => $priorty++
			),			

			// Shaded Background Color
			'footer_shaded_color' => array(
				'name'	  => 'skin_data_'. $skin .'[skin_id_footer_shaded_color]',
				'label'   => esc_html__( 'Background Color', 'you' ),
				'type'	  => 'option',
				'control' => 'color',
				'section' => 'acoda_footer',
				'css' 	  => '.skinset-footer .ui-tabs .ui-tabs-nav li,.skinset-footer .ui-accordion-header,.skinset-footer pre,.skinset-footer xmp,.skinset-footer input[type=text],.skinset-footer input[type=password],.skinset-footer input[type=file],.skinset-footer input[type=tel],.skinset-footer input[type=url],.skinset-footer input[type=email],.skinset-footer input.input-text,.skinset-footer textarea,.skinset-footer select,.skinset-footer .author-info,.skinset-footer .frame .gridimg-wrap,.skinset-footer .splitter ul li.active,.skinset-footer li.pagebutton,.skinset-footer .page-numbers li,.skinset-footer .styledbox.general.shaded .boxcontent,.skinset-footer .socialicons .dock-tab a,.skinset-footer .acoda-pricing-signup,.skinset-footer div.item-list-tabs,.skinset-footer .wrapper .intro-text,.skinset-footer .vc_progress_bar .vc_single_bar,.skinset-footer .zoomflow .controlsCon > .arrow-left,.skinset-footer .zoomflow .controlsCon > .arrow-right,.skinset-footer #lang_sel_list li,.skinset-footer .autototop a,.skinset-footer .woocommerce-message,.skinset-footer .woocommerce-error,.skinset-footer .woocommerce-info,.skinset-footer .woocommerce .payment_box,.skinset-footer .woocommerce-tabs li,.skinset-footer #reviews #comments ol.commentlist li .comment-text,.skinset-footer .product-remove a,.skinset-footer table.shop_table thead th,.skinset-footer .cart_totals .cart-subtotal td,.skinset-footer .cart_totals .cart-subtotal th,.skinset-footer .cart_totals .total td,.skinset-footer .cart_totals .total th,.skinset-footer .commentlist .comment-content,.skinset-footer .single_variation_wrap .single_variation,.skinset-footer .row.custom-row-inherit,.skinset-footer .post-metadata li.post-format,.skinset-footer  .post-metadata li.comments-list,.skinset-footer .post-titles ul.post-metadata-wrap > li i,.skinset-footer .gridimg-wrap .info,.skinset-footer #content.boxed article,span.highlight.three',
				'js'	  => 'css("background-color", to)',
				'live'	  => 'yes',
				'priority' => $priorty++
			),		

			// Shaded Border Color
			'footer_shaded_border_color' => array(
				'name'	  => 'skin_data_'. $skin .'[skin_id_footer_shaded_border_color]',
				'label'   => esc_html__( 'Border / Divider Color', 'you' ),
				'type'	  => 'option',
				'control' => 'color',
				'section' => 'acoda_footer',
				'css' 	  => '.skinset-footer .sub-header,.skinset-footer #acoda_selectmenu select,.skinset-footer #content article.hentry,.skinset-footer .frame .gridimg-wrap,.skinset-footer .styledbox.general .boxcontent,.skinset-footer .shop-cart .shopping-cart-wrapper,.skinset-footer .acoda-pricing-container,.skinset-footer img.avatar,.skinset-footer .tagcloud a,.skinset-footer .widget ul,.skinset-footer #respond,.skinset-footer .hozbreak, .skinset-footer hr,.skinset-footer ul.dock-tab-wrapper,.skinset-footer #lang_sel_list li,.skinset-footer .commentlist .children li.comment,.skinset-footer #comments-title,.skinset-footer .commentlist > li.comment,.skinset-footer #payment ul.payment_methods,.skinset-footer table.shop_table td,.skinset-footer table.shop_table tfoot td,.skinset-footer table.shop_table,.skinset-footer table.shop_table tfoot th,.skinset-footer .cart-collaterals .cart_totals table,.skinset-footer .socialicons .dock-tab a,.skinset-footer .cart-collaterals .cart_totals tr td,.skinset-footer .cart-collaterals .cart_totals tr th,.skinset-footer .woocommerce form.login,.skinset-footer .woocommerce-page form.login,.skinset-footer form.checkout_coupon,.skinset-footer .woocommerce form.register,.skinset-footer .woocommerce-page form.register,.skinset-footer ul.product_list_widget li,.skinset-footer .post-titles ul.post-metadata-wrap,.skinset-footer .splitter ul li.active,.skinset-footer .vc_progress_bar .vc_single_bar,.skinset-footer  .ui-tabs .ui-tabs-nav li,.skinset-footer .ui-accordion-header, .skinset-footer .splitter ul li.active, .skinset-footer .row.custom-row-inherit,.skinset-footer .styledbox.general.shaded, .skinset-footer .post-titles ul.post-metadata-wrap,.skinset-footer .post-titles ul.post-metadata-wrap > li i, .skinset-footer input[type=text],	.skinset-footer input[type=password],	.skinset-footer input[type=file], .skinset-footer input[type=tel], .skinset-footer input[type=url],	.skinset-footer input[type=email],.skinset-footer .gridimg-wrap .info',
				'js'	  => 'css("border-color", to)',
				'live'	  => 'yes',
				'priority' => $priorty++
			),	



			/* ------------------------------------
			:: FOOTER FONT COLORS
			------------------------------------ */				

			// Footer Heading
			'footer_font_colors_heading'  => array(
				'name' 	  => 'footer_font_colors_heading',
				'label'   => esc_html__( 'Footer Font Colors', 'you' ),
				'type'	  => 'option',
				'control' => 'heading',
				'section' => 'acoda_footer',
				'priority' => $priorty++
			),							
		
			// Font Color
			'footer_font_color' => array(
				'name'	  => 'skin_data_'. $skin .'[skin_id_footer_font_color]',
				'label'   => esc_html__( 'Font Color', 'you' ),
				'type'	  => 'option',
				'control' => 'color',
				'section' => 'acoda_footer',
				'css' 	  => '.skinset-footer.acoda-skin',
				'js'	  => 'css("color", to )',
				'live'	  => 'yes',
				'priority' => $priorty++
			),			

			// Link Color
			'footer_link_color' => array(
				'name'	  => 'skin_data_'. $skin .'[skin_id_footer_link_color]',
				'label'   => esc_html__( 'Link Color', 'you' ),
				'type'	  => 'option',
				'control' => 'color',
				'section' => 'acoda_footer',
				'css' 	  => '.skinset-footer.acoda-skin a',
				'js'	  => 'css("color", to ).parents(".skinset-footer.acoda-skin").find(".acoda-skin.highlight").css("background-color", to )',
				'live'	  => 'yes',
				'priority' => $priorty++
			),

			// Link Hover Color
			'footer_linkhover_color' => array(
				'name'	  => 'skin_data_'. $skin .'[skin_id_footer_linkhover_color]',
				'label'   => esc_html__( 'Link Hover Color', 'you' ),
				'type'	  => 'option',
				'control' => 'color',
				'section' => 'acoda_footer',
				'css' 	  => '.skinset-footer.acoda-skin a:hover',
				'js'	  => 'css("color", to )',
				'live'	  => 'no',
				'priority' => $priorty++
			),				

			// Footer H1 Color
			/*'footer_h1_color' => array(
				'name'	  => 'skin_data_'. $skin .'[skin_id_footer_h1_color]',
				'label'   => esc_html__( 'H1 Color', 'you' ),
				'type'	  => 'option',
				'control' => 'color',
				'section' => 'acoda_footer',
				'css' 	  => '.skinset-footer h1, .skinset-footer h1 a',
				'js'	  => 'css("color", to )',
				'live'	  => 'yes',
				'priority' => $priorty++
			),

			// Footer H2 Color
			'footer_h2_color' => array(
				'name'	  => 'skin_data_'. $skin .'[skin_id_footer_h2_color]',
				'label'   => esc_html__( 'H2 Color', 'you' ),
				'type'	  => 'option',
				'control' => 'color',
				'section' => 'acoda_footer',
				'css' 	  => '.skinset-footer h2, .skinset-footer h2 a',
				'js'	  => 'css("color", to )',
				'live'	  => 'yes',
				'priority' => $priorty++
			),*/

			// Footer h3 Color
			'footer_h3_color' => array(
				'name'	  => 'skin_data_'. $skin .'[skin_id_footer_h3_color]',
				'label'   => esc_html__( 'h3 Color', 'you' ),
				'type'	  => 'option',
				'control' => 'color',
				'section' => 'acoda_footer',
				'css' 	  => '.skinset-footer h3, .skinset-footer h3 a',
				'js'	  => 'css("color", to )',
				'live'	  => 'yes',
				'priority' => $priorty++
			),		
	
			// Footer h4 Color
			'footer_h4_color' => array(
				'name'	  => 'skin_data_'. $skin .'[skin_id_footer_h4_color]',
				'label'   => esc_html__( 'h4, h5, h6 Color', 'you' ),
				'type'	  => 'option',
				'control' => 'color',
				'section' => 'acoda_footer',
				'css' 	  => '.skinset-footer h4, .skinset-footer h4 a, .skinset-footer h5, .skinset-footer h5 a,.skinset-footer h6, .skinset-footer h6 a',
				'js'	  => 'css("color", to )',
				'live'	  => 'yes',
				'priority' => $priorty++
			),	


			/* ------------------------------------
			:: FONT SETTINGS
			------------------------------------ */	

			// General Font Heading
			'background_font_heading'  => array(
				'name' 	  => 'background_font_heading',
				'label'   => esc_html__( 'General', 'you' ),
				'type'	  => 'option',
				'control' => 'heading',
				'section' => 'acoda_font_settings',
				'priority' => $priorty++
			),

			// Font Family
			'background_font'  => array(
				'name' 	  => 'skin_data_'. $skin .'[skin_id_background_font]',
				'label'   => esc_html__( 'Font Family', 'you' ),
				'type'	  => 'option',
				'control' => 'select',
				'choices' => $font_list,
				'section' => 'acoda_font_settings',
				'live'	  => 'no',
				'priority' => $priorty++
			),

			'background_font_weight'  => array(
				'name' 	  => 'skin_data_'. $skin .'[skin_id_background_font_weight]',
				'label'   => esc_html__( 'Font Style', 'you' ),
				'type'	  => 'option',
				'control' => 'select',
				'choices' => $font_list_weights,
				'section' => 'acoda_font_settings',
				'live'	  => 'no',
				'priority' => $priorty++
			),			

			'background_font_transform'  => array(
				'name' 	  => 'skin_data_'. $skin .'[skin_id_background_font_transform]',
				'label'   => esc_html__( 'Text Transform', 'you' ),
				'type'	  => 'option',
				'control' => 'select',
				'choices' => $font_list_transform,
				'section' => 'acoda_font_settings',
				'live'	  => 'no',
				'priority' => $priorty++
			),				

			'background_font_spacing'  => array(
				'name' 	  => 'skin_data_'. $skin .'[skin_id_background_font_spacing]',
				'label'   => esc_html__( 'Letter Spacing ( px, rem, em, % )', 'you' ),
				'type'	  => 'option',
				'control' => 'text',
				'section' => 'acoda_font_settings',
				'live'	  => 'no',
				'priority' => $priorty++
			),

			// Font Size
			'background_font_size'  => array(
				'name' 	  => 'skin_data_'. $skin .'[skin_id_background_font_size]',
				'label'   => esc_html__( 'Font Size ( px, rem, em, %  )', 'you' ),
				'type'	  => 'option',
				'control' => 'text',
				'section' => 'acoda_font_settings',
				'live'	  => 'no',
				'priority' => $priorty++
			),

			// Heading Font Heading
			'logo_font_heading'  => array(
				'name' 	  => 'logo_font_heading',
				'label'   => esc_html__( 'Logo', 'you' ),
				'type'	  => 'option',
				'control' => 'heading',
				'section' => 'acoda_font_settings',
				'priority' => $priorty++
			),			

			// Heading Font Family
			'background_logo_font'  => array(
				'name' 	  => 'skin_data_'. $skin .'[skin_id_background_logo_font]',
				'label'   => esc_html__( 'Font Family', 'you' ),
				'type'	  => 'option',
				'control' => 'select',
				'choices' => $font_list,
				'section' => 'acoda_font_settings',
				'live'	  => 'no',
				'priority' => $priorty++
			),

			'background_logo_font_weight'  => array(
				'name' 	  => 'skin_data_'. $skin .'[skin_id_background_logo_font_weight]',
				'label'   => esc_html__( 'Font Style', 'you' ),
				'type'	  => 'option',
				'control' => 'select',
				'choices' => $font_list_weights,
				'section' => 'acoda_font_settings',
				'live'	  => 'no',
				'priority' => $priorty++
			),	

			'background_logo_font_transform'  => array(
				'name' 	  => 'skin_data_'. $skin .'[skin_id_background_logo_font_transform]',
				'label'   => esc_html__( 'Text Transform', 'you' ),
				'type'	  => 'option',
				'control' => 'select',
				'choices' => $font_list_transform,
				'section' => 'acoda_font_settings',
				'live'	  => 'no',
				'priority' => $priorty++
			),				

			'background_logo_size'  => array(
				'name' 	  => 'skin_data_'. $skin .'[skin_id_background_logo_size]',
				'label'   => esc_html__( 'Logo Font Size ( px, rem, em, % )', 'you' ),
				'type'	  => 'option',
				'control' => 'text',
				'section' => 'acoda_font_settings',
				'live'	  => 'no',
				'priority' => $priorty++
			),

			'background_logo_spacing'  => array(
				'name' 	  => 'skin_data_'. $skin .'[skin_id_background_logo_spacing]',
				'label'   => esc_html__( 'Letter Spacing ( px, rem, em, % )', 'you' ),
				'type'	  => 'option',
				'control' => 'text',
				'section' => 'acoda_font_settings',
				'live'	  => 'no',
				'priority' => $priorty++
			),			

			'tagline_heading'  => array(
				'name' 	  => 'tagline_heading',
				'label'   => esc_html__( 'Logo Tagline', 'you' ),
				'type'	  => 'option',
				'control' => 'heading',
				'section' => 'acoda_font_settings',
				'priority' => $priorty++
			),	

			'background_tagline_size'  => array(
				'name' 	  => 'skin_data_'. $skin .'[skin_id_background_tagline_size]',
				'label'   => esc_html__( 'Font Size ( px, rem, em, % )', 'you' ),
				'type'	  => 'option',
				'control' => 'text',
				'section' => 'acoda_font_settings',
				'live'	  => 'no',
				'priority' => $priorty++
			),

			'background_tagline_spacing'  => array(
				'name' 	  => 'skin_data_'. $skin .'[skin_id_background_tagline_spacing]',
				'label'   => esc_html__( 'Letter Spacing ( px, rem, em, % )', 'you' ),
				'type'	  => 'option',
				'control' => 'text',
				'section' => 'acoda_font_settings',
				'live'	  => 'no',
				'priority' => $priorty++
			),									

			// Heading Font Heading
			'header_font_heading'  => array(
				'name' 	  => 'header_font_heading',
				'label'   => esc_html__( 'Menu', 'you' ),
				'type'	  => 'option',
				'control' => 'heading',
				'section' => 'acoda_font_settings',
				'priority' => $priorty++
			),

			// Menu Font Family
			'header_font'  => array(
				'name' 	  => 'skin_data_'. $skin .'[skin_id_header_font]',
				'label'   => esc_html__( 'Font Family', 'you' ),
				'type'	  => 'option',
				'control' => 'select',
				'choices' => $font_list,
				'section' => 'acoda_font_settings',
				'live'	  => 'no',
				'priority' => $priorty++
			),	

			'header_font_weight'  => array(
				'name' 	  => 'skin_data_'. $skin .'[skin_id_header_font_weight]',
				'label'   => esc_html__( 'Font Style', 'you' ),
				'type'	  => 'option',
				'control' => 'select',
				'choices' => $font_list_weights,
				'section' => 'acoda_font_settings',
				'live'	  => 'no',
				'priority' => $priorty++
			),				

			'header_font_transform'  => array(
				'name' 	  => 'skin_data_'. $skin .'[skin_id_header_font_transform]',
				'label'   => esc_html__( 'Text Transform', 'you' ),
				'type'	  => 'option',
				'control' => 'select',
				'choices' => $font_list_transform,
				'section' => 'acoda_font_settings',
				'live'	  => 'no',
				'priority' => $priorty++
			),				

			// Menu Font Size
			'header_font_size'  => array(
				'name' 	  => 'skin_data_'. $skin .'[skin_id_header_font_size]',
				'label'   => esc_html__( 'Font Size ( px, rem, em, %  )', 'you' ),
				'type'	  => 'option',
				'control' => 'text',
				'section' => 'acoda_font_settings',
				'live'	  => 'no',
				'priority' => $priorty++
			),			

			'header_font_spacing'  => array(
				'name' 	  => 'skin_data_'. $skin .'[skin_id_header_font_spacing]',
				'label'   => esc_html__( 'Letter Spacing ( px, rem, em, % )', 'you' ),
				'type'	  => 'option',
				'control' => 'text',
				'section' => 'acoda_font_settings',
				'live'	  => 'no',
				'priority' => $priorty++
			),	

			// Heading Font Heading
			'submenu_font_heading'  => array(
				'name' 	  => 'submenu_font_heading',
				'label'   => esc_html__( 'Sub Menu', 'you' ),
				'type'	  => 'option',
				'control' => 'heading',
				'section' => 'acoda_font_settings',
				'priority' => $priorty++
			),		

			// Menu Font Size
			'menu_font_size'  => array(
				'name' 	  => 'skin_data_'. $skin .'[skin_id_menu_font_size]',
				'label'   => esc_html__( 'Font Size ( px, rem, em, %  )', 'you' ),
				'type'	  => 'option',
				'control' => 'text',
				'section' => 'acoda_font_settings',
				'live'	  => 'no',
				'priority' => $priorty++
			),					
			
			// Heading Font Heading
			'heading_font_heading'  => array(
				'name' 	  => 'heading_font_heading',
				'label'   => esc_html__( 'Headings', 'you' ),
				'type'	  => 'option',
				'control' => 'heading',
				'section' => 'acoda_font_settings',
				'priority' => $priorty++
			),

			// Heading Font Family
			'background_heading_font'  => array(
				'name' 	  => 'skin_data_'. $skin .'[skin_id_background_heading_font]',
				'label'   => esc_html__( 'Font Family', 'you' ),
				'type'	  => 'option',
				'control' => 'select',
				'choices' => $font_list,
				'section' => 'acoda_font_settings',
				'live'	  => 'no',
				'priority' => $priorty++
			),

			'background_heading_font_weight'  => array(
				'name' 	  => 'skin_data_'. $skin .'[skin_id_background_heading_font_weight]',
				'label'   => esc_html__( 'Font Style', 'you' ),
				'type'	  => 'option',
				'control' => 'select',
				'choices' => $font_list_weights,
				'section' => 'acoda_font_settings',
				'live'	  => 'no',
				'priority' => $priorty++
			),	

			'background_heading_font_transform'  => array(
				'name' 	  => 'skin_data_'. $skin .'[skin_id_background_heading_font_transform]',
				'label'   => esc_html__( 'Text Transform', 'you' ),
				'type'	  => 'option',
				'control' => 'select',
				'choices' => $font_list_transform,
				'section' => 'acoda_font_settings',
				'live'	  => 'no',
				'priority' => $priorty++
			),	

			'background_heading_font_spacing'  => array(
				'name' 	  => 'skin_data_'. $skin .'[skin_id_background_heading_font_spacing]',
				'label'   => esc_html__( 'Letter Spacing ( px, rem, em, % )', 'you' ),
				'type'	  => 'option',
				'control' => 'text',
				'section' => 'acoda_font_settings',
				'live'	  => 'no',
				'priority' => $priorty++
			),


			'background_title_size'  => array(
				'name' 	  => 'skin_data_'. $skin .'[skin_id_background_title_size]',
				'label'   => esc_html__( 'Page Title Font Size ( px, rem, em, % )', 'you' ),
				'type'	  => 'option',
				'control' => 'text',
				'section' => 'acoda_font_settings',
				'live'	  => 'no',
				'priority' => $priorty++
			),	

			'background_sub_title_size'  => array(
				'name' 	  => 'skin_data_'. $skin .'[skin_id_background_sub_title_size]',
				'label'   => esc_html__( 'Page Subtitle Font Size ( px, rem, em, % )', 'you' ),
				'type'	  => 'option',
				'control' => 'text',
				'section' => 'acoda_font_settings',
				'live'	  => 'no',
				'priority' => $priorty++
			),				

			// Increase Heading Size
			'background_h1_size'  => array(
				'name' 	  => 'skin_data_'. $skin .'[skin_id_background_h1_size]',
				'label'   => esc_html__( 'H1 Font Size ( px, rem, em, % )', 'you' ),
				'type'	  => 'option',
				'control' => 'text',
				'section' => 'acoda_font_settings',
				'live'	  => 'no',
				'priority' => $priorty++
			),

			'background_h1_line_height'  => array(
				'name' 	  => 'skin_data_'. $skin .'[skin_id_background_h1_line_height]',
				'label'   => esc_html__( 'H1 Line Height ( px, rem, em, % )', 'you' ),
				'type'	  => 'option',
				'control' => 'text',
				'section' => 'acoda_font_settings',
				'live'	  => 'no',
				'priority' => $priorty++
			),			

			'background_h2_size'  => array(
				'name' 	  => 'skin_data_'. $skin .'[skin_id_background_h2_size]',
				'label'   => esc_html__( 'H2 Font Size ( px, rem, em, %  )', 'you' ),
				'type'	  => 'option',
				'control' => 'text',
				'section' => 'acoda_font_settings',
				'live'	  => 'no',
				'priority' => $priorty++
			),	

			'background_h2_line_height'  => array(
				'name' 	  => 'skin_data_'. $skin .'[skin_id_background_h2_line_height]',
				'label'   => esc_html__( 'H2 Line Height ( px, rem, em, % )', 'you' ),
				'type'	  => 'option',
				'control' => 'text',
				'section' => 'acoda_font_settings',
				'live'	  => 'no',
				'priority' => $priorty++
			),				

			'background_h3_size'  => array(
				'name' 	  => 'skin_data_'. $skin .'[skin_id_background_h3_size]',
				'label'   => esc_html__( 'H3 Font Size ( px, rem, em, %  )', 'you' ),
				'type'	  => 'option',
				'control' => 'text',
				'section' => 'acoda_font_settings',
				'live'	  => 'no',
				'priority' => $priorty++
			),	

			'background_h3_line_height'  => array(
				'name' 	  => 'skin_data_'. $skin .'[skin_id_background_h3_line_height]',
				'label'   => esc_html__( 'H3 Line Height ( px, rem, em, % )', 'you' ),
				'type'	  => 'option',
				'control' => 'text',
				'section' => 'acoda_font_settings',
				'live'	  => 'no',
				'priority' => $priorty++
			),	

			'background_h4_size'  => array(
				'name' 	  => 'skin_data_'. $skin .'[skin_id_background_h4_size]',
				'label'   => esc_html__( 'H4 Font Size ( px, rem, em, %  )', 'you' ),
				'type'	  => 'option',
				'control' => 'text',
				'section' => 'acoda_font_settings',
				'live'	  => 'no',
				'priority' => $priorty++
			),					

			'background_h5_size'  => array(
				'name' 	  => 'skin_data_'. $skin .'[skin_id_background_h5_size]',
				'label'   => esc_html__( 'H5 Font Size ( px, rem, em, %  )', 'you' ),
				'type'	  => 'option',
				'control' => 'text',
				'section' => 'acoda_font_settings',
				'live'	  => 'no',
				'priority' => $priorty++
			),		
			
			'background_h6_size'  => array(
				'name' 	  => 'skin_data_'. $skin .'[skin_id_background_h6_size]',
				'label'   => esc_html__( 'H6 Font Size ( px, rem, em, %  )', 'you' ),
				'type'	  => 'option',
				'control' => 'text',
				'section' => 'acoda_font_settings',
				'live'	  => 'no',
				'priority' => $priorty++
			),										
					
		);
		
		// Add Skin Options if a Skin is selected
		if( !empty( $skin ) )
		{
			$options_array = array_merge( $options_array, $skin_options_array );	
		}


		/* ------------------------------------
		
		:: BACKGROUND LAYERS SECTION
		
		------------------------------------ */		

		for ( $i=1; $i <= 1; $i++ )
		{

			// Selection
			$layers_array['layer'. $i .'_type'] = array(
				'name' 	  => 'skin_data_'. $skin .'[skin_id_layer'. $i .'_type]',
				'label'   => esc_html__( 'Select Background Type', 'you' ),
				'type'	  => 'option',
				'control' => 'select',
				'choices' => array(
					'' => 'Select Type',
					'layer'. $i .'_image' => 'Enable',
				),
				'section' => 'acoda_background_'. $i ,
				'live'	  => 'no',
				'priority' => $priorty++
			);			
			
				

			// IMAGEPOSITIONED: Image
			$layers_array['layer'. $i .'_image_opt'] = array(
				'name'	  => 'skin_data_'. $skin .'[skin_id_layer'. $i .'_image]',
				'label'   => esc_html__( 'Image', 'you' ),
				'type'	  => 'option',
				'control' => 'image',
				'section' => 'acoda_background_'. $i ,
				'live'	  => 'no',
				'priority' => $priorty++
			);			

			// IMAGEFULL: Featured
			/*$layers_array['layer'. $i .'_image_opt_imagefeatured'] = array(
				'name'	  => 'skin_data_'. $skin .'[skin_id_layer'. $i .'_image_featured]',
				'label'   => esc_html__( 'Use Page / Post Featured Image', 'you' ),
				'type'	  => 'option',
				'control' => 'checkbox',
				'section' => 'acoda_background_'. $i ,
				'live'	  => 'no',
				'priority' => $priorty++
			);*/				

			// IMAGEPOSITIONED: Color
			$layers_array['layer'. $i .'_image_opt_color'] = array(
				'name'	  => 'skin_data_'. $skin .'[skin_id_layer'. $i .'_image_color]',
				'label'   => esc_html__( 'Background Color', 'you' ),
				'type'	  => 'option',
				'control' => 'color',
				'section' => 'acoda_background_'. $i ,
				'css' 	  => '#custom-layer'. $i ,
				'js'	  => 'css("background-color", to )',
				'live'	  => 'yes',
				'priority' => $priorty++
			);

			// IMAGEPOSITIONED: Opacity
			/*$layers_array['layer'. $i .'_image_opt_opac'] = array(
				'name'	  => 'skin_data_'. $skin .'[skin_id_layer'. $i .'_image_opac]',
				'label'   => esc_html__( 'Background Opacity', 'you' ),
				'type'	  => 'option',
				'control' => 'range',
				'max'	  => '100',
				'min'	  => '0',
				'default' => '100',
				'section' => 'acoda_background_'. $i ,
				'css' 	  => '#custom-layer'. $i,
				'func'	  => 'background_opacity',
				'js'	  => 'attr("data-pri-opac", to )',
				'live'	  => 'yes',
				'priority' => $priorty++
			);*/

			// IMAGEPOSITIONED: Vertial Align
			$layers_array['layer'. $i .'_image_opt_valign'] = array(
				'name' 	  => 'skin_data_'. $skin .'[skin_id_layer'. $i .'_image_valign]',
				'label'   => esc_html__( 'Image Position', 'you' ),
				'type'	  => 'option',
				'control' => 'select',
				'choices' => array(
					'center center' => 'Center Center',
					'center top' => 'Center Top',
					'center bottom' => 'Center Bottom',					
					'left top' => 'Left Top',
					'left center' => 'Left Center',
					'left bottom' => 'Left Bottom',
					'right top' => 'Right Top',
					'right center' => 'Right Center',
					'right bottom' => 'Right Bottom',	
				),
				'section' => 'acoda_background_'. $i ,
				'live'	  => 'no',
				'priority' => $priorty++
			);	


			// IMAGEPOSITIONED: Horizontal Align
			$layers_array['layer'. $i .'_image_opt_repeat'] = array(
				'name' 	  => 'skin_data_'. $skin .'[skin_id_layer'. $i .'_image_repeat]',
				'label'   => esc_html__( 'Image Repeat', 'you' ),
				'type'	  => 'option',
				'control' => 'select',
				'choices' => array(
					'' => 'Select',
					'repeat' => 'Repeat',
					'repeat-x' => 'Repeat X',
					'repeat-y' => 'Repeat Y',
					'no-repeat' => 'No Repeat',
				),
				'section' => 'acoda_background_'. $i ,
				'live'	  => 'no',
				'priority' => $priorty++
			);

			// IMAGEPOSITIONED: Image Size
			$layers_array['layer'. $i .'_image_opt_size'] = array(
				'name' 	  => 'skin_data_'. $skin .'[skin_id_layer'. $i .'_image_size]',
				'label'   => esc_html__( 'Image Size', 'you' ),
				'type'	  => 'option',
				'control' => 'select',
				'choices' => array(
					'' => 'Select',
					'cover' => 'Cover',
					'contain' => 'Contain',
				),
				'section' => 'acoda_background_'. $i ,
				'live'	  => 'no',
				'priority' => $priorty++
			);								
									
		}	

		// Add Layout Options if a Skin is selected
		if( !empty( $skin ) )
		{
			$options_array = array_merge( $options_array, $layers_array );
		}
		
		return $options_array;
	
	}
	
	function acoda_customize_register($wp_customize)
	{
		class Customize_Alpha_Color_Control extends WP_Customize_Control {
		
			/**
			 * Official control name.
			 */
			public $type = 'alpha-color';
		
			/**
			 * Add support for palettes to be passed in.
			 *
			 * Supported palette values are true, false, or an array of RGBa and Hex colors.
			 */
			public $palette;
		
			/**
			 * Add support for showing the opacity value on the slider handle.
			 */
			public $show_opacity;
		
			/**
			 * Enqueue scripts and styles.
			 *
			 * Ideally these would get registered and given proper paths before this control object
			 * gets initialized, then we could simply enqueue them here, but for completeness as a
			 * stand alone class we'll register and enqueue them here.
			 */
			public function enqueue() {
				wp_enqueue_script(
					'alpha-color-picker',
					get_stylesheet_directory_uri() . '/lib/adm/inc/alpha-color-picker/alpha-color-picker.js',
					array( 'jquery', 'wp-color-picker' ),
					'1.0.0',
					true
				);
				wp_enqueue_style(
					'alpha-color-picker',
					get_stylesheet_directory_uri() . '/lib/adm/inc/alpha-color-picker/alpha-color-picker.css',
					array( 'wp-color-picker' ),
					'1.0.0'
				);
			}
		
			/**
			 * Render the control.
			 */
			public function render_content() {
		
				// Process the palette
				if ( is_array( $this->palette ) ) {
					$palette = implode( '|', $this->palette );
				} else {
					// Default to true.
					$palette = ( false === $this->palette || 'false' === $this->palette ) ? 'false' : 'true';
				}
		
				// Support passing show_opacity as string or boolean. Default to true.
				$show_opacity = ( false === $this->show_opacity || 'false' === $this->show_opacity ) ? 'false' : 'true';
		
				// Begin the output. ?>
				<label>
					<?php // Output the label and description if they were passed in.
					if ( isset( $this->label ) && '' !== $this->label ) {
						echo '<span class="customize-control-title">' . sanitize_text_field( $this->label ) . '</span>';
					}
					if ( isset( $this->description ) && '' !== $this->description ) {
						echo '<span class="description customize-control-description">' . sanitize_text_field( $this->description ) . '</span>';
					} ?>
					<input class="alpha-color-control" type="text" data-show-opacity="<?php echo $show_opacity; ?>" data-palette="<?php echo esc_attr( $palette ); ?>" data-default-color="<?php echo esc_attr( $this->settings['default']->default ); ?>" <?php $this->link(); ?>  />
				</label>
				<?php
			}
		}
		
		// Custom Controls
		class ACODA_Customize_Range_Control extends WP_Customize_Control {
			public $type = 'range';
			public $min;
			public $max;
			public $default;
			
			public function enqueue() {
					wp_enqueue_script( 'jquery-ui-slider' );
			}
		 
			public function render_content() {
				
				$value = ( esc_attr( $this->value() ) != '' ) ? esc_attr( $this->value() ) : esc_attr( $this->default );
				$name  = ( isset( $name ) ) ? esc_attr( $name ) : '';
		
				?>
				<label>	<span class="customize-control-title"><?php echo esc_html( $this->label ); ?></span></label>
              <input type="text" class="range-value"  id="<?php echo esc_attr( $this->id ); ?>" value="<?php echo esc_attr( $value ); ?>" <?php esc_attr( $this->link() ); ?> />
				<div class="range-slider" id="<?php echo esc_attr( $this->id ); ?>_slider" data-value="<?php echo esc_attr( $value ); ?>" data-default="<?php echo esc_attr( $this->default ); ?>" data-min="<?php echo esc_attr( $this->min ); ?>" data-max="<?php echo esc_attr( $this->max ); ?>"><?php echo esc_html( $name ); ?></div>                    
                
				<?php
			}
		}

		// Custom Controls
		class ACODA_Customize_Media_Control extends WP_Customize_Control {
			public $type = 'media';
		 
			public function render_content() {

				wp_enqueue_script( 'media-upload' );
				wp_enqueue_script( 'thickbox' );
				wp_enqueue_style( 'thickbox' );	
				
				?>
				<label>
					<span class="customize-control-title"><?php echo esc_html( $this->label ); ?></span>
                    <input type="text" class="upload has-file" id="<?php echo esc_attr( $this->id ); ?>" name="<?php echo esc_attr( $this->id ); ?>" value="<?php echo esc_attr( $this->value() ); ?>" <?php esc_attr( $this->link() ); ?> />
                    <a href="#" id="<?php echo esc_attr( $this->id ); ?>_button" class="button-secondary media-upload"><?php esc_html_e( 'Select', 'you' ); ?></a>  
                </label>
				<?php
			}
		}

		class ACODA_Customize_Hidden_Control extends WP_Customize_Control {
			public $type = 'hidden';
		 
			public function render_content() {
				?>
                <input type="hidden" value="<?php echo esc_attr( $this->value() ); ?>" <?php esc_attr( $this->link() ); ?> />
				<?php
			}
		}	

		class ACODA_Customize_Heading_Control extends WP_Customize_Control {
			public $type = 'heading';
			public $desc;
		 
			public function render_content() {
				?>
                <h6 class="customizer-title"><?php echo esc_html( $this->label ); ?></h6>
                <?php if( isset( $this->desc ) ) echo '<p class="cmb_metabox_description left">'. esc_html( $this->desc ) .'</p>';
			}
		}					


		/* ------------------------------------
		:: GET SKIN DATA
		------------------------------------ */	
		
		// New Skin
		if( !empty($_POST['new-skin-title']) ) 
		{
			update_option( 'preview_skin', $_POST['new-skin-title'] );
			update_option( 'skins_you_ids', get_option('skins_you_ids') . $_POST['new-skin-title'] . ',' ); 
		}
		// Duplicate Skin
		elseif( !empty($_POST['duplicate-skin-title']) )
		{
			$duplicate_skin = get_option('preview_skin');
			$duplicate_skin_data = get_option( 'skin_data_'. $duplicate_skin );
			
			update_option( 'skin_data_'. $_POST['duplicate-skin-title'] , $duplicate_skin_data );
			update_option( 'skins_you_ids', get_option('skins_you_ids' ) . $_POST['duplicate-skin-title'] . ',' ); 
			update_option( 'preview_skin', $_POST['duplicate-skin-title'] );
		}
		// Delete Skin
		elseif( isset($_POST['delete-skin-title']) )
		{
			$delete_skin = get_option( 'preview_skin' );
			
			if( !empty( $delete_skin ) && !empty( $_POST['delete-skin-title'] ) )
			{
				$skin_ids = str_replace( $delete_skin.',','', get_option( 'skins_you_ids' ) );
				update_option( 'skins_you_ids', $skin_ids );
				delete_option( 'skin_data_'. $delete_skin );
				delete_option( 'preview_skin' );
				delete_option('select_skin');			
			}
		}
		// Load Skin
		elseif( !empty($_POST['skin_select']) )
		{
			update_option('preview_skin', $_POST['skin_select']);
		}
		
		$skin = '';
		
		if( get_option('preview_skin') ) 
		{
			$skin = get_option('preview_skin');
			update_option('skin_select', $skin );
		}
		else
		{
			delete_option('skin_select' );
		}
		
		// Skin Select
		$wp_customize->add_setting( 
			'default_skin', 
				array(
					'default'    => get_option('default_skin'),
					'type'           => 'option',
					'sanitize_callback' => 'sanitize_text_field',
					'capability'     => 'edit_theme_options',
			) 
		);

		$wp_customize->add_setting(
			'header_css',
				array(
					'default'              => '',
					'capability'           => 'edit_theme_options',
					'sanitize_callback'    => 'wp_filter_nohtml_kses',
					'sanitize_js_callback' => 'wp_filter_nohtml_kses'
				)
		);

		$wp_customize->add_setting(
			'responsive_css',
				array(
					'default'              => '',
					'capability'           => 'edit_theme_options',
					'sanitize_callback'    => 'wp_filter_nohtml_kses',
					'sanitize_js_callback' => 'wp_filter_nohtml_kses'
				)
		);				

		$wp_customize->add_setting( 'skin_select', array(
			'default'        => $skin,
			'type'           => 'option',
			'sanitize_callback' => 'sanitize_text_field',
			'capability'     => 'edit_theme_options',
			'transport'	   => 'postMessage'
		) );		

		$wp_customize->add_panel( 'skin_settings', array(
			'priority'       => 300,
			'capability'     => 'edit_theme_options',
			'theme_supports' => '',
			'title'          => esc_html__( 'Customize Skins', 'you' ),
			'description'    => '',
		) );			
		
		$skin_ids = explode(',', rtrim( get_option('skins_you_ids'), ',' ) );
		
		$skin_arr[''] = esc_html__( 'Select Skin', 'you' );
		
		foreach( $skin_ids as $skin_id )
		{
			$skin_arr[$skin_id] = $skin_id;
		}

		/* ------------------------------------
		:: DEFAULT OPTIONS
		------------------------------------ */		


		$wp_customize->add_setting( 'skins_you_ids', array(
			'default'    => get_option('skins_you_ids'),
			'capability' => 'edit_theme_options',
			'sanitize_callback' => 'sanitize_text_field',
			'type'    	 => 'hidden',	
		) );					

		$wp_customize->add_control( 'skin_select', array(
			'label'   => esc_html__( 'Select Skin to Edit:', 'you' ),
			'section' => 'acoda_skin',
			'type'    => 'select',
			'choices'    => $skin_arr
		) );

		$wp_customize->add_control( 'default_skin', array(
			'label'   => esc_html__( 'Apply Skin to Site:', 'you' ),
			'section' => 'acoda_skin',
			'type'    => 'select',
			'choices'    => $skin_arr
		) );		

		$wp_customize->add_control( new ACODA_Customize_Hidden_Control( $wp_customize, 'skins_you_ids', array(
			'section'  => 'acoda_skin',
			'settings' => 'skins_you_ids',
		) ) );

		$wp_customize->add_section( 'acoda_skin', array(
			'title' => sprintf( esc_html__( 'Select Skin | %s', 'you' ), $skin ),
			'description' => sprintf( esc_html__( 'Currently editing %s', 'you' ), $skin ),
			'priority'       => 200,
			'panel'          => 'skin_settings',
		) );			
		

		/* ------------------------------------
		:: GET SKIN OPTIONS
		------------------------------------ */		

	
		// Get Options				
		$options_array = acoda_customizer_options($skin);	
			
		foreach ( $options_array as $key => $option )
		{
			// Reset
			$option['live'] 	= ( isset( $option['live'] ) ? $option['live'] : '' );
			$option['choices']	= ( isset( $option['choices'] ) ? $option['choices'] : '' );
			$option['default']	= ( isset( $option['default'] ) ? $option['default'] : '' );
			$option['name'] 	= ( isset( $option['name'] ) ? $option['name'] : '' );
			$option['desc']	= ( isset( $option['desc'] ) ? $option['desc'] : '' );
			$option['type']	= ( isset( $option['type'] ) ? $option['type'] : '' );
			
			// Settings
			$wp_customize->add_setting( $option['name'] , array(
				'default'        => '',
				'type'           => $option['type'],
				'sanitize_callback' => 'sanitize_text_field',
				'capability'     => 'edit_theme_options'
			) );
				
			// Controls
			if( $option['control'] == 'color' )
			{
				$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, $key, array(
					'label'    => $option['label'],
					'section'  => $option['section'],
					'settings' => $option['name'],
					'priority' => $option['priority']
				) ) );
			}
			elseif( $option['control'] == 'alpha_color' )
			{			
				$wp_customize->add_control( new Customize_Alpha_Color_Control( $wp_customize, $key, array(
					'label'    => $option['label'],
					'section'  => $option['section'],
					'settings' => $option['name'],
					'priority' => $option['priority'],
					'show_opacity'  => true, // Optional.
					'palette'   => array(
						'rgb(150, 50, 220)', // RGB, RGBa, and hex values supported
						'rgba(50,50,50,0.8)',
						'rgba( 255, 255, 255, 0.2 )', // Different spacing = no problem
						'#00CC99' // Mix of color types = no problem
                )					
				) ) );				
				
			}
			elseif( $option['control'] == 'range' )
			{
				$wp_customize->add_control( new ACODA_Customize_Range_Control( $wp_customize, $key, array(
					'label'    => $option['label'],
					'section'  => $option['section'],
					'settings' => $option['name'],
					'min'	   => $option['min'],
					'max'	   => $option['max'],
					'default'  => $option['default'],
					'priority' => $option['priority']
				) ) );
			}
			elseif( $option['control'] == 'image' )
			{
				$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, $key, array(
					'label'    => $option['label'],
					'section'  => $option['section'],
					'settings' => $option['name'],
					'priority' => $option['priority']
				) ) );
				
			}
			elseif( $option['control'] == 'media' )
			{
				$wp_customize->add_control( new WP_Customize_Upload_Control( $wp_customize, $key, array(
					'label'    => $option['label'],
					'section'  => $option['section'],
					'settings' => $option['name'],
					'priority' => $option['priority']
				) ) );
					
			}							
			elseif( $option['control'] == 'heading' )
			{
				$wp_customize->add_control( new ACODA_Customize_Heading_Control( $wp_customize, $key, array(
					'label'    => $option['label'],
					'section'  => $option['section'],
					'settings' => $option['name'],
					'desc'	   => $option['desc'],
					'priority' => $option['priority']
				) ) );				
			}											
			else
			{
				$wp_customize->add_control( $key, array(
					'label'    => $option['label'],
					'type'     => $option['control'],
					'choices'  => $option['choices'],
					'section'  => $option['section'],
					'settings' => $option['name'],
					'priority' => $option['priority']
				) );
			}
				
			// Transports				
			if( $option['live'] == 'yes' )
			{
				$wp_customize->get_setting( $option['name'] )->transport='postMessage';
			}			
				
			// Sections
			$wp_customize->add_section( 'acoda_general', array(
				'title'          => esc_html__( 'General', 'you' ),
				'priority'       => 97,
			) );

			$wp_customize->add_section( 'acoda_dockbarconfig', array(
				'title'          => esc_html__( 'Dock Bar', 'you' ),
				'priority'       => 98,
			) );	

			$wp_customize->add_section( 'acoda_headerconfig', array(
				'title'          => esc_html__( 'Header', 'you' ),
				'priority'       => 99,
			) );		

			$wp_customize->add_section( 'acoda_blogconfig', array(
				'title'          => esc_html__( 'Blog', 'you' ),
				'priority'       => 100,
			) );

			$wp_customize->add_section( 'acoda_portfolioconfig', array(
				'title'          => esc_html__( 'Portfolio', 'you' ),
				'priority'       => 101,
			) );							
				
			$wp_customize->add_section( 'acoda_footerconfig', array(
				'title'          => esc_html__( 'Footer', 'you' ),
				'priority'       => 101,
			) );				

			$wp_customize->add_section( 'acoda_socialmedia', array(
				'title'          => esc_html__( 'Social Media', 'you' ),
				'priority'       => 102,
			) );		

			$wp_customize->add_section( 'acoda_custom_scripts', array(
				'title'          => esc_html__( 'Custom Scripts', 'you' ),
				'priority'       => 104,
			) );	

			$wp_customize->add_section( 'acoda_custom_css', array(
				'title'          => esc_html__( 'Custom CSS', 'you' ),
				'priority'       => 104,
			) );											
			
			$wp_customize->add_section( 'acoda_woocommerce', array(
				'title'          => esc_html__( 'WooCommerce', 'you' ),
				'priority'       => 105,
			) );		
				
			$wp_customize->add_section( 'acoda_bbpress', array(
				'title'          => esc_html__( 'bbPress', 'you' ),
				'priority'       => 106,
			) );	
	
			$wp_customize->add_section( 'acoda_dockbar', array(
				'title'          => esc_html__( 'Dock Bar', 'you' ),
				'priority'       => 201,
				'panel'          => 'skin_settings',
			) );	

			$wp_customize->add_section( 'acoda_header', array(
				'title'          => esc_html__( 'Header', 'you' ),
				'priority'       => 202,
				'panel'          => 'skin_settings',
			) );	

			$wp_customize->add_section( 'acoda_sub_header', array(
				'title'          => esc_html__( 'Subheader', 'you' ),
				'priority'       => 203,
				'panel'          => 'skin_settings',
			) );								

			$wp_customize->add_section( 'acoda_frame', array(
				'title'          => esc_html__( 'Body', 'you' ),
				'priority'       => 204,
				'panel'          => 'skin_settings',
			) );	
				
			$wp_customize->add_section( 'acoda_footer', array(
				'title'          => esc_html__( 'Footer', 'you' ),
				'priority'       => 205,
				'panel'          => 'skin_settings',
			) );								

			$wp_customize->add_section( 'acoda_font_settings', array(
				'title'          => esc_html__( 'Font Settings', 'you' ),
				'priority'       => 206,
				'panel'          => 'skin_settings',
			) );				

			$wp_customize->add_section( 'acoda_background_1', array(
				'title'          => esc_html__( 'Background', 'you' ),
				'priority'       => 207,
				'panel'          => 'skin_settings',
			) );															
		}
	}

	function acoda_customize_preview()
	{
		// Get Options
		$preview_skin = get_option('preview_skin');
		$options_array = acoda_customizer_options($preview_skin);	
		
		$custom_option = '';

		foreach ( $options_array as $key => $option )
		{
			$live = ( isset( $option['live'] ) ) ? $option['live'] : '';
				
			if( $live == 'yes' )
			{
				$custom_option .= 'wp.customize("'. $option['name'] .'",function( value ) {' . "\n";
				$custom_option .=  'value.bind(function(to) {' . "\n";
					
				$custom_option .=  '$("'. $option['css'] .'").'. $option['js'] . ';' . "\n";
	
				if( !empty($option['func']) )
				{
					$custom_option .=  $option['func'] . '( "' . $option['css'] . '", to );';
				}
					
				$custom_option .=  '});' . "\n";
				$custom_option .=  '});' . "\n";	
			}
		}
		
		$params = array(
		'controls' => $custom_option,
		);
		
		wp_enqueue_script('acoda-customizer-controls', get_template_directory_uri().'/lib/adm/js/controls-customizer.js',array('jquery','customize-preview'), true );
		wp_localize_script( 'acoda-customizer-controls', 'CUSTOM_CONTROLS', $params );	
	}
	
	function acoda_customize_scripts()
	{		
		$font_list_array 		= acoda_font_list();
		$font_list_weights 	= $font_list_array['font_weights'];	
		
		echo $font_list_weights;
	
		$customize_options = array(
			'font_list_weights' => $font_list_weights	
		);

		// Javascript
		wp_enqueue_script('acoda-customizer', get_template_directory_uri().'/lib/adm/js/acoda-customizer.js',false,array('jquery','customize-preview'),true);
		wp_localize_script('acoda-customizer', 'CUSTOMIZE_OPTIONS', $customize_options );

		
		// Styles
		wp_enqueue_style('acoda_theme_settings_css', get_template_directory_uri() . '/lib/adm/css/acoda-theme-settings.css');
		wp_enqueue_style('font-awesome', get_template_directory_uri().'/css/font-icons/fontawesome/css/fontawesome.min.css',false,null);
	}
	
	// Init Customizer Script
	add_action( 'customize_preview_init', 'acoda_customize_preview', 21);
	add_action( 'customize_controls_init', 'acoda_customize_scripts', 21);