<?php 

/* ------------------------------------

:: CONFIGURE SLIDE

------------------------------------*/

	// Check if postformat enabled
	if( empty( $acoda_gallery_postformat ) ) $acoda_gallery_postformat = ''; 	

	$max_width = ( !empty( $img['width'] ) ) ? 'style="max-width:'. $img['width'] .'px"' : '';

	// Set columns
	$columns = 12 / $acoda_gridcolumns;	

	if( $postcount == "1" )
	{ 
		$output .= "\n". '<div class="groupslides-wrap '.  esc_attr( $columnpadding ) .'">';
		$output .= "\n". '<div class="row groupslider-row">';
	}
			
    $output .= "\n\t". '<div class="panel block columns large-'. esc_attr( $columns ) .' '. ( !empty($categories) ? esc_attr( $categories ) : '' ) .'" data-id="id-'. esc_attr( $data_id ) .'">';
    $output .= "\n\t\t". '<div class="panel-inner">';
    
		if( $acoda_gallery_postformat == 'yes' )
		{
        	get_template_part( 'content', get_post_format() );	
    	}
		else
		{			
			$content_display = 'static';
			
			// Hover Effect
 			if( ( !empty( $acoda_posttitle ) || !empty( $acoda_description ) ) && ( $acoda_groupgridcontent == "titleoverlay" || $acoda_groupgridcontent == "titletextoverlay" ) )
			{
				$content_display = 'ih-item '. ( $acoda_imageeffect == 'round' || $acoda_imageeffect == 'frame round' ? 'circle ' : 'square ' ) . $hover_effect;
			}

			// Media Type
			$mediatype = '';
				
			if( !empty( $acoda_videotype ) ) 
			{
				$mediatype = 'videotype';
				$acoda_blackwhite = '';
				
				if( !empty( $hover_effect ) && $acoda_groupgridcontent != 'image' )
				{
					$acoda_groupgridcontent = 'image';
					$content_display = 'static';
				}
			}	
	
			$output .= "\n\t\t\t". '<div class="container '. esc_attr( $mediatype .' '. $acoda_imageeffect .' '.$acoda_cssclasses ) .'" '.  esc_attr( $max_width ) .'>';
			$output .= "\n\t\t\t\t". '<div class="gridimg-wrap '. esc_attr( $acoda_blackwhite .' '. $content_display ) .' '. ( $acoda_lightbox == "yes" || $acoda_disablegallink != 'yes' || !empty( $content_display ) ? 'effect' : '' ) .'">';							
			$output .= "\n\t\t\t\t\t". '<div class="inner-wrap">';						
			$output .= "\n\t\t\t\t\t\t". '<div class="img">';

			// Action Hover 
			if( empty( $acoda_videotype ) && ( $acoda_lightbox == "yes" || $acoda_disablegallink != 'yes' || $acoda_groupgridcontent == "titleoverlay" || $acoda_groupgridcontent == "titletextoverlay" ) )
			{
				$output .= '<span class="action-hover"></span>';
			}			

			if( $acoda_groupgridcontent != "text" )
			{				
				if( !empty( $acoda_videotype ) ) // Video
				{
					include(get_template_directory() .'/lib/inc/classes/video-class.php');
				}
				elseif( !empty( $img['thumbnail'] ) ) // Image
				{ 					
					$output .= $img['thumbnail'];
				}
			}				

			// Product Price  
			if(class_exists('WPSC_Query') || class_exists('Woocommerce')   && $acoda_datasource=='data-5')
			{ 
				if( !empty( $acoda_productprice ) ) 
				{
					$output .= '<span class="productprice">'. esc_html( $acoda_productprice ) .'</span>';
				}
			} 			
			
			// Lightbox
			$lightbox = '';
			
			if( $acoda_lightbox == "yes" || $acoda_disablegallink != 'yes' )
			{							
				// Split Icon Space
				$split = '';
														
				if( $acoda_lightbox == "yes" && $acoda_disablegallink != 'yes' ) $split = 'split';
									
				// Set Link + Lightbox
				if( $acoda_lightbox == "yes" )
				{ 
					$lightbox_url = $lightbox_type = '';
								
					if( !empty($acoda_movieurl) )
					{
						$lightbox_url = $acoda_movieurl; 
						$lightbox_type = 'fa fa-play';
					}
					else
					{
						$lightbox_url  = $img['img_full_src'];
						$lightbox_type = 'fa fa-expand';
					}
										
					$lightbox .= '<a href="'. esc_url( $lightbox_url ) .'" data-fancybox-group="gallery'. esc_attr( $acoda_shortcode_id ) .'" data-title="'. esc_attr( $acoda_posttitle ) .'" data-caption="'. esc_attr( $acoda_description ) .'" class="fancybox action-icons lightbox-icon '. $split .'"><i class="'. esc_attr( $lightbox_type ) .' fa-lg"></i></a>';
				}
		
				if( $acoda_disablegallink != 'yes' )
				{ 
					$lightbox .= '<a href="'. esc_url( $acoda_altlink ) .'" class="action-icons link-icon '. esc_attr( $split ) .'"><i class="fa fa-plus fa-lg"></i></a>';
				}
			}

			if( !empty( $lightbox ) && ( $acoda_groupgridcontent != "titleoverlay" && $acoda_groupgridcontent != "titletextoverlay" ) && empty( $acoda_videotype ) )
			{
				$output .= $lightbox;
			}			

			$output .= "\n\t\t\t\t\t\t". '</div>';			

			if( $acoda_groupgridcontent != "image" && ( !empty( $acoda_posttitle ) || !empty( $acoda_description ) ) )
			{				
				$output .= "\n\t\t\t".'<div class="info '. esc_attr( $acoda_cssclasses ) .'">';
				$output .= "\n\t\t\t\t".'<div class="info-back">';		
				$output .= "\n\t\t\t\t\t".'<div class="info-holder">';	

				// Title
				if( $acoda_disablegallink != 'yes' )
				{ 							
					$output .= "\n\t\t". '<h3 '. ( !empty( $title_size ) ? 'class="caption-title-'. esc_attr( $title_size ) .'"' : '' ) .'><a href="'. esc_url( $acoda_altlink ) .'">'. esc_html( $acoda_posttitle ) .'</a></h3>';
				}
				else
				{
					$output .= "\n\t\t". '<h3 '. ( !empty( $title_size ) ? 'class="caption-title-'. esc_attr( $title_size ) .'"' : '' ) .'>'. esc_html( $acoda_posttitle ) .'</h3>';
				}

				// Post Date
				if( !empty( $acoda_post_date ) )
				{
					$output .= $acoda_post_date;
				}					

				// Product Price  
				if( !empty( $acoda_product_price ) )
				{ 
					$output .= '<span class="productprice metadata">'. esc_html( $acoda_product_price ) .'</span>';
				} 						
		
				// Description
				if( !empty( $acoda_description ) && ( $acoda_groupgridcontent == "textimage" || $acoda_groupgridcontent == "titletextoverlay" ) )
				{					
					$output .= "\n\t\t". '<p>'. wp_kses_post( do_shortcode( $acoda_description ) ) .'</p>';
				}			

				// Post Author
				if( !empty( $acoda_post_author ) )
				{
					$output .= $acoda_post_author;
				}					
				
				if( !empty( $lightbox ) && ( $acoda_groupgridcontent == "titleoverlay" || $acoda_groupgridcontent == "titletextoverlay" ) )
				{
					$output .= '<div class="lightbox-wrap">';
					$output .= $lightbox;
					$output .= '</div>';
				}
				
				$output .= "\n\t\t\t\t\t".'</div>';
				$output .= "\n\t\t\t\t".'</div>';
				$output .= "\n\t\t\t".'</div>';
			}	
		
			$output .= "\n\t\t\t\t\t". '</div>';			
			$output .= "\n\t\t\t\t". '</div><!-- / gridimg-wrap -->';
			$output .= "\n\t\t\t". '</div><!-- / container -->';
		}  
		
	$output .= "\n\t\t". '</div><!--  / panel-inner -->';
	$output .= "\n\t". '</div><!--  / panel -->';

	if( empty( $total_count ) ) 
	{
		$total_count = 1;
	}
	else
	{
		$total_count++;
	}

	if( $postcount == $acoda_slidercolumns || $total_count == $post_count )
	{ 
		$postcount = "0";
		
		$output .= "\n". '</div><!--  / row -->';
		$output .= "\n". '</div><!--  / groupslides-wrap -->';
	}