<?php

	/* ------------------------------------
	:: GROUP SLIDER
	------------------------------------*/
		  
	class WPBakeryShortCode_postgallery_slider extends WPBakeryShortCode { // WPBakeryShortCode_ PREFIX REQUIRED 

		protected function content( $atts, $content = null )
		{
			$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
			extract( $atts );		  

			// Hover Effect
			$hover_effect = '';		  
		
			$acoda_groupgridcontent 	= ( !empty( $content_type ) ) ? $content_type : '';	
			$acoda_gridcolumns 		= ( !empty( $columns ) ? $columns : 3 );	
			$acoda_imageeffect 		= esc_attr($imageeffect);
			$acoda_lightbox 			= esc_attr($lightbox);
	
			// Ajax
			$load_value 	= $acoda_gridcolumns;
			$load_limit 	= $load_value * 2;
			
			if( $acoda_groupgridcontent == "titleoverlay" || $acoda_groupgridcontent == "titletextoverlay" )
			{
				if( $acoda_imageeffect == 'round' || $acoda_imageeffect == 'frame round' )
				{
					if( !empty( $hover_effect_circle ) )
					{
						$hover_effect = $hover_effect_circle;
					}
					else
					{
						$hover_effect = 'effect20 top_to_bottom';
					}
				}
				else
				{
					if( !empty( $hover_effect_square ) )
					{
						$hover_effect = $hover_effect_square;
					}
					else
					{
						$hover_effect = 'effect6 from_top_and_bottom';
					}				
				}
		
				if( !empty( $hover_effect ) )
				{
					wp_enqueue_style('ihover', get_template_directory_uri().'/css/ihover.min.css',false,null );
				}	
			}	
	
			$acoda_class 			= esc_attr($class);
			$acoda_imgalign 		= ( !empty( $image_align ) ? 'imgalign-'. $image_align : '' );
			$acoda_slidercolumns	= ( !empty( $columns ) ? $columns : '3' );
		
		
			// Set effect
			if( !empty( $animation ) )
			{
				$acoda_effect = $animation;
			}
			else
			{
				$acoda_effect = 'scrollHorz';
			}
			 
			// Tween
			$acoda_tween = "easeInOutExpo";
		
			// Excerpt
			if( !empty($excerpt) )
			{
				$acoda_galleryexcerpt = esc_attr($excerpt);
			}
			else
			{
				$acoda_galleryexcerpt = "55";
			}
		
		
			$output = '';
			
			/* ------------------------------------
			:: SET SOURCE VARIABLES
			------------------------------------*/
			
			$acoda_shortcode_id = uniqid();
			$acoda_show_slider = 'groupslider';
			$acoda_slidesetid = esc_attr($slidesetid);
			$acoda_images_attach = esc_attr($images_attach);
			$acoda_loop = esc_attr($loop);
	
			// Data Source
			$acoda_datasource = ( empty( $data_source  ) ) ? 'data-10' : $data_source;
	
			if( $acoda_datasource == "data-4" )
			{
				$query = $slidesetid;
			}
			elseif( $acoda_datasource == "data-9" )
			{
				$query = $acoda_images_attach;
			}	
			elseif( $acoda_datasource == "data-10" )
			{
				$query = $acoda_loop;
			}			

			
			if( !empty( $text_align ) )
			{
				$acoda_class .= ' text_align_'. $text_align;
			}

			if( !empty( $hover_icons ) )
			{
				$acoda_class .= ' disable_icons';
			}			
			
			if( $acoda_groupgridcontent == "textoverlay_static" || $acoda_groupgridcontent == "titleoverlay_static" )
			{
				$acoda_class .= ' overlay_content';
			}					
			
			/* ------------------------------------
			:: SET VARIABLES *END*
			------------------------------------*/
			
			$attributes = 'content:'. $acoda_groupgridcontent .'|excerpt:'. $acoda_galleryexcerpt . '|lightbox:'. $acoda_lightbox . '|img_size:'. $img_size. '|imageeffect:'. $acoda_imageeffect. '|hover_effect:'. $hover_effect.'|title_size:'. $title_size.'|gallery_id:'.$acoda_shortcode_id. '|product_price:'. $product_price. '|post_date:'. $post_date. '|post_author:'. $post_author;		
		
			$output .= '<div id="group-slider-'. esc_attr( $acoda_shortcode_id ) .'" class="'. ( !empty( $load_ajax ) ? 'acoda-ajax-container ' : '' ) .'gallery-wrap group-slider shortcode loading '. esc_attr( $acoda_class ) .' nav-'. esc_attr( $navigation ) .' acoda-skin clearfix" data-groupslider-fx="'. esc_attr( $acoda_effect ) .'" data-type="'. esc_attr( $acoda_show_slider ) .'" '. ( !empty( $load_ajax ) ? 'data-grid-columns="'. esc_attr( $acoda_gridcolumns ) .'" data-load-method="'. esc_attr( $load_ajax ) .'" data-source="'. esc_attr( $acoda_datasource ) .'" data-attributes="'. esc_attr( $attributes ) .'" data-query="'. esc_attr( $query ) .'" data-ajaxurl="'. esc_url( admin_url() ) .'admin-ajax.php"' : '' ) .'>';
			$output .= '<div class="group-slider '. esc_attr( $acoda_imgalign ) .'" '. ( !empty( $min_height ) ? 'style="min-height:'. esc_attr( $min_height ) .'px"' : '' ).'>';
			
			/* ------------------------------------
			:: LOAD DATA SOURCE
			------------------------------------*/
		
			if( $acoda_datasource == "data-4" )
			{
				//include(get_template_directory() .'/lib/inc/classes/slideset-class.php');		
			}
			elseif( $acoda_datasource == "data-9" )
			{
				include(get_template_directory() .'/lib/inc/classes/attach-images-class.php');		
			}	
			elseif( $acoda_datasource == "data-10" )
			{
				include(get_template_directory() .'/lib/inc/classes/post-loop-class.php');		
			}			
		
			/* ------------------------------------
			:: LOAD DATA SOURCE *END*
			------------------------------------*/ 
		
		
			$postcount = 0;
		
			$output .= '</div><!-- / groupslider -->';
			
	
			if( $navigation != "disabled" && $post_count > $acoda_slidercolumns )
			{
				$output .= '<div class="slidernav-left">';
				$output .= '<div class="slidernav"><a href="#"></a></div>';
				$output .= '</div>';
				$output .= '<div class="slidernav-right">';
				$output .= '<div class="slidernav"><a href="#"></a></div>';
				$output .= '</div>';
			}
			
			$output .= '<div class="dynamic-frame" data-offset="'. esc_attr( $load_limit ) .'" data-total="'. esc_attr( $post_count ) .'" data-load-value="'. esc_attr( $load_value ) .'">';
			$output .= '<input name="group-slider-'. esc_attr( $acoda_shortcode_id ) .'_timeout" class="timeout" value="'. esc_attr( $timeout ) .'" type="hidden" />';
			$output .= '</div>';
			$output .= '</div><!-- / gallery-wrap -->';
		

			wp_enqueue_script('jquery-cycle', get_template_directory_uri().'/js/jquery.cycle.plugin.min.js',false,array('jquery'),true ); 
			wp_enqueue_script('touch-gestures', get_template_directory_uri().'/js/touch.gestures.min.js',false,array('jquery'),true );
			wp_enqueue_script('acoda-group-slider', get_template_directory_uri().'/js/group.slider.min.js',false,array('jquery-cycle'),true );	
			
			return $output;	
		}
	}

	/* ------------------------------------
	:: GROUP GALLERY MAP
	------------------------------------*/

	vc_map( array(
		"base"		=> "postgallery_slider",
		"name"		=> esc_html__("Group Slider", 'you'),
		"class"		=> "group",
		"controls"	=> "edit_popup_delete",
		"icon" => get_template_directory_uri() . '/images/ACODA.png',
		"category"  => esc_html__('Gallery', 'you'),
		"params"	=> array(
			acoda_common_options( 'datasource' ),
			acoda_common_options( 'data-9' ),
			acoda_common_options( 'data-10' ),
			acoda_common_options( 'excerpt' ),			
			acoda_common_options( 'data-4' ),
			array(
				"type" => "dropdown",
				"heading" => esc_html__("Ajax Lazy Load", 'you'),
				"param_name" => "load_ajax",
				"value" => array( 
					esc_html__("Disabled", 'you') => '',
					esc_html__("Enable", 'you') => 'auto_load',	
				),
				"description" => esc_html__("Load Gallery content in via Ajax ( Reduces page load time ).", 'you'),
			),		
			array(
				"type" => "textfield",
				"class" => "",
				"heading" => esc_html__("Lazy Load Initial Limit", 'you'),
				"param_name" => "load_limit",
				"value" => "",
				"description" => esc_html__("Enter how many slides you wish to display on initial load.", 'you'),
				"dependency" => Array('element' => 'load_ajax', 'not_empty' => true ),
			),				
			array(
				"type" => "textfield",
				"class" => "",
				"heading" => esc_html__("Posts Limit", 'you'),
				"param_name" => "limit",
				"value" => "",
				"dependency" => Array('element' => 'data_source' /*, 'not_empty' => true*/, 'value' => array('data-2','data-5','data-8')),
				"description" => esc_html__("Set a posts limit.", 'you')
			),				
			array(
				"type" => "textfield",
				"class" => "",
				"heading" => esc_html__("Image Size", 'you'),
				"param_name" => "img_size",
				"value" => "medium",
				"description" => esc_html__("Enter image size. Example: 'thumbnail', 'medium', 'large', 'full' or other sizes defined by current theme. Alternatively enter image size in pixels: 200x100 (Width x Height). Leave empty to use 'medium' size.", 'you')
			),	
			array(
				"type" => "textfield",
				"class" => "",
				"heading" => esc_html__("Minimum Slider Height", 'you'),
				"param_name" => "min_height",
				"value" => "",
				"description" => esc_html__("Enter a height to prevent the Slider from adjusting height when using different sized images.", 'you')
			),				
			acoda_common_options( 'content' ),
			array(
				'type' => 'dropdown',
				'heading' => esc_html__( 'Title Size', 'you' ),
				'param_name' => 'title_size',
				"value" => array( 
					esc_html__("Normal", 'you') => '',
					esc_html__("Small", 'you') => 'small',
					esc_html__("Medium", 'you') => 'medium',
					esc_html__("Large", 'you') => 'large',
				),					
				"dependency" => Array('element' => "content_type", 'value' => array('titleimage','textimage','titleoverlay','titletextoverlay','textoverlay_static','titleoverlay_static') ),
				"description" => esc_html__("Set the Caption Title size.", 'you')
			),
			array(
				'type' => 'dropdown',
				'heading' => esc_html__( 'Text Align', 'you' ),
				'param_name' => 'text_align',
				"value" => array( 
					esc_html__("Center", 'you') => '',
					esc_html__("Left", 'you') => 'left',
					esc_html__("Right", 'you') => 'right',
					esc_html__("Justify", 'you') => 'justify',
				),					
				"dependency" => Array('element' => "content_type", 'value' => array('titleimage','textimage','titleoverlay','titletextoverlay','textoverlay_static','titleoverlay_static') ),
			),	
			array(
				'type' => 'checkbox',
				'heading' => esc_html__( 'Product Price ( WooCommerce )', 'you' ),
				'param_name' => 'product_price',
				"value" => array(
					esc_html__( 'Enable', 'you' ) => 'enable',
				),
				"dependency" => Array('element' => 'data_source' /*, 'not_empty' => true*/, 'value' => array('data-10')),
				"group" => esc_html__('Metadata', 'you')
			),	
			array(
				'type' => 'checkbox',
				'heading' => esc_html__( 'Post Author', 'you' ),
				'param_name' => 'post_author',
				"value" => array(
					esc_html__( 'Enable', 'you' ) => 'enable',
				),
				"dependency" => Array('element' => 'data_source' /*, 'not_empty' => true*/, 'value' => array('data-10')),
				"group" => esc_html__('Metadata', 'you')
			),	
			array(
				'type' => 'checkbox',
				'heading' => esc_html__( 'Post Date', 'you' ),
				'param_name' => 'post_date',
				"value" => array(
					esc_html__( 'Enable', 'you' ) => 'enable',
				),
				"dependency" => Array('element' => 'data_source' /*, 'not_empty' => true*/, 'value' => array('data-10')),
				"group" => esc_html__('Metadata', 'you')
			),							
			acoda_common_options( 'imageeffect' ),	
			array(
				"type" => "dropdown",
				"heading" => esc_html__("Hover Effect", 'you'),
				"param_name" => "hover_effect_circle",
				"value" => array( 
					esc_html__("Select Effect", 'you') => '',
					esc_html__("Fade + Slide Text ( From Bottom ) + Animate Text", 'you') => 'effect13 bottom_to_top'	,
					esc_html__("Fade + Slide Text ( From Left ) + Animate Text", 'you') => 'effect13 from_left_and_right'	,
					esc_html__("Spin + Slide", 'you') => 'effect2 left_to_right',
					esc_html__("Slide + Shrink", 'you') => 'effect3 left_to_right',
					esc_html__("Slide + Fade", 'you') => 'circle effect4 top_to_bottom',
					esc_html__("Roll Right + Fade", 'you') => 'effect9 left_to_right',
					esc_html__("Spin + Fade", 'you') => 'effect11 bottom_to_top',
					esc_html__("Fade + Fold Down", 'you') => 'effect14 top_to_bottom'	,
					esc_html__("Flip Image Top", 'you') => 'effect18 bottom_to_top',
					esc_html__("Flip Image Down", 'you') => 'effect18 top_to_bottom',
					esc_html__("Flip Image Left", 'you') => 'effect18 right_to_left',
					esc_html__("Flip Image Right", 'you') => 'effect18 left_to_right',

				),
				"description" => esc_html__("Select hover effect - requires a title or caption.", 'you'),
				"dependency" => Array('element' => 'imageeffect' /*, 'not_empty' => true*/, 'value' => array('round','frame round')),
			),	
			array(
				"type" => "dropdown",
				"heading" => esc_html__("Hover Effect", 'you'),
				"param_name" => "hover_effect_square",
				"value" => array( 
					esc_html__("Select Effect", 'you') => '',
					esc_html__("Zoom Image + Slide Text ( From Top )", 'you') => 'effect6 from_top_and_bottom',
					esc_html__("Zoom Image + Slide Text ( From Left )", 'you') => 'effect6 from_left_and_right',
					esc_html__("Zoom Image + Text", 'you') => 'effect7'	,					
					esc_html__("Flip Image Top", 'you') => 'effect9 bottom_to_top',
					esc_html__("Flip Image Bottom", 'you') => 'effect9 top_to_bottom',
					esc_html__("Flip Image Left", 'you') => 'effect9 right_to_left',
					esc_html__("Flip Image Right", 'you') => 'effect9 left_to_right',
					esc_html__("Slide Image + Text", 'you') => 'effect10 right_to_left',
					esc_html__("3d Rotate Vertical", 'you') => 'effect15 bottom_to_top'	,
					esc_html__("3d Rotate Horizontal", 'you') => 'effect15 right_to_left',
				
					
				),
				"description" => esc_html__("Select hover effect - requires a title or caption.", 'you'),
			),												
			acoda_common_options( 'timeout' ),
			acoda_common_options( 'columns' ),
			array(
				"type" => "dropdown",
				"class" => "",
				"heading" => esc_html__( 'Navigation', 'you'),
				"param_name" => "navigation",
				"value" => array(
					'Static Arrows' => 'arrowstatic',
					'Arrows on Hover' => 'arrowhover',
					'Disable Navigation' => 'disabled'
				)
			),			
			acoda_common_options( 'columnpadding' ),		
			array(
				"type" => "dropdown",
				"class" => "",
				"heading" => esc_html__( 'Image Align', 'you'),
				"param_name" => "image_align",
				"value" => array(
					esc_html__( 'Center', 'you' ) => '',
					esc_html__( 'Left', 'you' ) => 'left',
					esc_html__( 'Right', 'you' ) => 'right'
				)
			),			
			array(
				"type" => "checkbox",
				"class" => "",
				"heading" => esc_html__("Lightbox", 'you'),
				"param_name" => "lightbox",
				"value" => array(
					esc_html__( 'Enable', 'you' ) => 'yes',
				)
			),	
			array(
				"type" => "dropdown",
				"heading" => esc_html__("Hover Icons", 'you'),
				"param_name" => "hover_icons",
				"value" => array( 
					esc_html__("Enable", 'you') => '',
					esc_html__("Disable", 'you') => 'disable',			
				),
			),					
			array(
				"type" => "textfield",
				"class" => "",
				"heading" => esc_html__("CSS Classes", 'you'),
				"param_name" => "class",
				"value" => "",
				"description" => esc_html__("Add an optional CSS classes.", 'you')
			),					
		)		
	) );