<?php

/* ------------------------------------
:: SOCIAL ICONS
------------------------------------*/

if ( class_exists( 'WPBakeryShortCodesContainer' ) ) {
	
		class WPBakeryShortCode_Socialicon extends WPBakeryShortCode { // WPBakeryShortCode_ PREFIX REQUIRED 

			protected function content( $atts, $content = null )
			{
				$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
				extract( $atts );
		
				$output = '';
				
				require get_template_directory() .'/lib/adm/inc/social-media-urls.php';
	
				// Get Social Icons
				$get_social_icons = acoda_social_icon_data();
				
				foreach( $get_social_icons as $social_icon => $value )
				{
					$icon_id = str_replace( 'sociallink_','',$social_icon );
					
					if( $icon_id == $name )
					{
						if( $url !='' )
						{
							$sociallink = $url;
						}
						else
						{
							$sociallink = acoda_social_link( ${'sociallink_'.$name} );
						}

						// Check for lightbox attribute
						$popup = '';
						
						if( strpos( $sociallink , 'popup=yes' ) !== false ) 
						{
							$sociallink = str_replace( 'popup=yes', '', $sociallink );
							$popup = 'javascript:window.open(this.href, "", "menubar=no,toolbar=no,resizable=yes,scrollbars=yes,height=300,width=600")';
						}		
				
						
						$icon_name = '';
						$icon_name = strtolower( str_replace('.','',$value['name'] ) );
					
						
						if( $icon_name == 'vimeo' ) $icon_name = 'vimeo-square';
						if( $icon_name == 'email' ) $icon_name = 'envelope';
						if( $icon_name == 'google' ) $icon_name = 'google-plus';
							
						$output .= "\n\t\t". '<li class="dock-tab social-'. esc_attr( strtolower( str_replace('.','',$value['name'] ) ) ) .'">';
				
						$output .= "\n\t\t\t". '<a href="'. esc_url( str_replace(' ', '%20', $sociallink) ) .'" rel="nofollow" title="'. esc_attr( $value['name'] ) .'" '. ( !empty( $popup ) ? 'data-test="test" onclick="'. esc_js( $popup ) .'"' : '' ) .' target="_blank"><i class="social-icon fa fa-lg fa-'. esc_attr( $icon_name ) .'"></i></a>';
						
						$output .= "\n\t\t". '</li>';
						
					}
				}
		
				return $output;
			}
	
			public function mainHtmlBlockParams($width, $i) {
				return 'data-element_type="'. esc_attr( $this->settings["base"] ) .'" class=" wpb_'. esc_attr( $this->settings['base'] ) .'"'. esc_attr( $this->customAdminBlockParams() );
			}
			public function containerHtmlBlockParams($width, $i) {
				return 'class="wpb_column_container vc_container_for_children"';
			}
			protected function outputTitle($title) {
				return  '';
			}
		
			public function customAdminBlockParams() {
				return '';
			}
		
		}

	
		class WPBakeryShortCode_Socialwrap extends WPBakeryShortCodesContainer {

			protected function content( $atts, $content = null )
			{
				$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
				extract( $atts );
				
				$output = '';
		
				$el_class = $this->getExtraClass($el_class);
	
				if( $share_icon == 'yes' )
				{
					$output .= "\n\t".'<div class="socialicons init '. esc_attr( $size .' '. $align .' '. $el_class ) .' clearfix">';
					$output .= "\n\t\t".'<ul>';
					$output .= "\n\t\t\t".'<li class="dock-tab"><a class="socialinit" href="#"><i class="fa fa-share-alt fa-lg"></i></a></li>';
					$output .= "\n\t\t".'</ul>';
					$output .= "\n\t".'</div>';
					$output .= "\n\t".'<div class="socialicons '. esc_attr( $align.' '. $el_class ) .' toggle">';
					$output .= "\n\t\t".'<ul class="clearfix">';
					$output .= "\n\t\t\t". do_shortcode( $content );
					$output .= "\n\t\t".'</ul>';
					$output .= "\n\t".'</div>';
				}
				else
				{
					$output .= "\n\t".'<div class="socialicons display '. esc_attr( $size .' '.$align.' '. $el_class ) .' clearfix">';
					$output .= "\n\t\t".'<ul>';
					$output .= "\n\t\t\t". do_shortcode( $content );
					$output .= "\n\t\t".'</ul>';
					$output .= "\n\t".'</div>';
					$output .= "\n\t".'<div class="clear"></div>';				
				}
	
				return $output;
			}
		}
	}


	/* ------------------------------------
	:: SOCIAL ICONS MAP
	------------------------------------*/	

	vc_map( array(
		"name"		=> esc_html__("Social Icons", 'you'),
		"base"		=> "socialwrap",
		"show_settings_on_create" => false,
		"icon" => get_template_directory_uri() . '/images/ACODA.png',
		"content_element" => true,
		"as_parent" => array('only' => 'socialicon'), // Use only|except attributes 
		"category"  => esc_html__('Social', 'you'),
		"wrapper_class" => "clearfix social_wrap",
		"params"	=> array(
			array(
				"type" => "checkbox",
				"class" => "",
				"heading" => esc_html__("Share Icon", 'you'),
				"param_name" => "share_icon",
				"value" =>  array(
					esc_html__('Enable', 'you') => "yes", 
				)
			),	
			array(
				"type" => "dropdown",
				"heading" => esc_html__("Size", 'you'),
				"param_name" => "size",
				"value" => array(
					esc_html__('Normal', 'you') => 'medium',
					esc_html__('Large', 'you') => 'large', 
				),
			),				
			array(
				"type" => "dropdown",
				"heading" => esc_html__("Align", 'you'),
				"param_name" => "align",
				"value" => array(
					esc_html__('Left', 'you') => 'left',
					esc_html__('Center', 'you') => 'center', 
					esc_html__('Right', 'you') => 'right', 

				),
			),							
			array(
				"type" => "textfield",
				"heading" => esc_html__("Extra class name", 'you'),
				"param_name" => "el_class",
				"value" => "",
				"description" => esc_html__("Add custom CSS classes. Use color for social icons in color.", 'you')
			)
		),
	  "js_view" => 'VcColumnView'
	) );
	
	
	// Get Social Icons
	$get_social_icons = acoda_social_icon_data();
	
	foreach( $get_social_icons as $social_icon => $value )
	{
		$social_icons[ $value['name'] ] = str_replace('sociallink_','',$social_icon);
	}
	
	vc_map( array(
		"name"		=> esc_html__("Social Icon", 'you'),
		"base"		=> "socialicon",
		"content_element" => true,
		"as_child" => array('only' => 'socialwrap'), // Use only|except attributes 
		"params"	=> array(
			array(
				"type" => "dropdown",
				"heading" => esc_html__("Social Icon", 'you'),
				"holder" => "h4",
				"param_name" => "name",
				"value" => $social_icons,
				"description" => esc_html__("Select color of the toggle icon.", 'you')
			),				
			array(
				"type" => "textfield",
				"heading" => esc_html__("Link URL", 'you'),
				"param_name" => "url",
				"value" => "",
				"description" => esc_html__("Optional Link URL", 'you')
			),	
		)
	) );