<?php

	/* ------------------------------------
	:: STAGE SLIDER
	------------------------------------*/
	
	class WPBakeryShortCode_postgallery_image extends WPBakeryShortCode { // WPBakeryShortCode_ PREFIX REQUIRED 

		protected function content( $atts, $content = null )
		{
			$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
			extract( $atts );

			/* ------------------------------------
			:: SET VARIABLES
			------------------------------------*/
		
			$acoda_stagetimeout	= '';
			$acoda_shortcode_id 	= uniqid();
			$acoda_show_slider	= 'stageslider';
			$acoda_slidesetid 		= esc_attr($slidesetid);
			$acoda_images_attach	= esc_attr($images_attach);
			$acoda_loop 			= esc_attr($loop);		
			$acoda_lightbox 		= esc_attr($lightbox);
			
			// Ajax
			$load_value = 1;
		
			// Data Source
			$acoda_datasource = ( empty( $data_source  ) ) ? 'data-10' : $data_source;
	
			if( $acoda_datasource == "data-4" )
			{
				$query = $slidesetid;
			}
			elseif( $acoda_datasource == "data-9" )
			{
				$query = $acoda_images_attach;
			}	
			elseif( $acoda_datasource == "data-10" )
			{
				$query = $acoda_loop;
			}			
			
			$acoda_galleryexcerpt = ( !empty( $excerpt ) ) ? $excerpt : '55';
			$acoda_animation = ( !empty( $animation ) ) ? $animation : 'fade';
			$acoda_tween = ( !empty( $tween ) ) ? $tween : 'linear';
	
			$acoda_imageeffect = esc_attr($imageeffect);
			
			$acoda_groupgridcontent = ( !empty( $content_type ) ) ? $content_type : '';
						
			if( !empty($timeout) )
			{
				$acoda_stagetimeout = esc_attr($timeout);
			}
	
			$hover_effect = '';
					
			// Hover Effect
			if( $acoda_groupgridcontent == "titleoverlay" || $acoda_groupgridcontent == "titletextoverlay" )
			{
				$hover_effect = 'effect6 from_top_and_bottom';
			}			
	
			if( !empty( $hover_effect ) )
			{
				wp_enqueue_style('ihover', get_template_directory_uri().'/css/ihover.min.css',false,null );
			}			
			
			$attributes = 'content:'. $acoda_groupgridcontent .'|excerpt:'. $acoda_galleryexcerpt . '|lightbox:'. $acoda_lightbox . '|img_size:'. $img_size. '|imageeffect:'. $acoda_imageeffect . '|hover_effect:'. $hover_effect;	
		
			$output = '';
						
			$output .= '<div id="id-'. esc_attr( $acoda_shortcode_id ) .'" class="'. ( !empty( $load_ajax ) ? 'acoda-ajax-container ' : '' ) .'gallery-wrap '. esc_attr( $acoda_imageeffect ) .' nav-'. esc_attr( $navigation ) .' stage shortcode id-'. esc_attr( $acoda_shortcode_id ) .'" data-type="'. esc_attr( $acoda_show_slider ) .'" '. ( !empty( $ratio ) ? 'data-ratio="'. esc_attr( $ratio ) .'"' : '' ) .' data-stage-nav="'. esc_attr( $navigation ) .'" data-stage-effect="'. esc_attr( $acoda_animation ) .'" data-stage-easing="'. esc_attr( $acoda_tween ) .'" '. ( !empty( $load_ajax ) ? 'data-load-method="'. esc_attr( $load_ajax ) .'" data-source="'. esc_attr( $acoda_datasource ) .'" data-attributes="'. esc_attr( $attributes ) .'" data-query="'. esc_attr( $query ) .'" data-ajaxurl="'. esc_url( admin_url() ) .'admin-ajax.php"' : '' ) .'>';
				
			if( strpos( $navigation, "bullet" ) !== false ) 
			{			
				$output .= '<div class="control-wrap">';
				$output .= '<div class="control-panel">';
				$output .= '</div><!-- / control-panel -->';
				$output .= '</div><!-- / control-wrap -->';
			} 		
			 
			$output .= '<div class="stage-slider '. ( !empty( $image_fit ) ? esc_attr( 'fit-image-'. $image_fit ) : '' ) .'" '. ( !empty( $height ) && $ratio == 'custom' ? 'style="height:'. esc_attr( $height ) .'px"' : '' ) .'>';
			
	
			/* ------------------------------------
			:: LOAD DATA SOURCE
			------------------------------------*/		
		
			if( $acoda_datasource == "data-9" )
			{
				include(get_template_directory() .'/lib/inc/classes/attach-images-class.php');		
			}	
			elseif( $acoda_datasource == "data-10" )
			{
				include(get_template_directory() .'/lib/inc/classes/post-loop-class.php');		
			}			
		
			/* ------------------------------------
			:: LOAD DATA SOURCE *END*
			------------------------------------*/ 
		
			$slidenum_chk = $postcount;
			if( !empty($post_count) ) $slidenum_chk = $post_count;
		
			$output .= '</div><!-- / stageslider -->';
	
			if( strpos( $navigation, "arrow" ) !== false )
			{
				$output .= '<div class="slidernav-left">';
				$output .= '<div class="slidernav">';
				$output .= '<a class="poststage-prev nav-prev"></a>';
				$output .= '</div>';
				$output .= '</div>';
				$output .= '<div class="slidernav-right">';
				$output .= '<div class="slidernav">';
				$output .= '<a class="poststage-next nav-next"></a>';
				$output .= '</div>';
				$output .= '</div>';	
			} 
	
			$output .= '<div class="dynamic-frame clearfix" data-offset="'. esc_attr( $load_limit ) .'" data-total="'. esc_attr( $post_count ) .'" data-load-value="'. esc_attr( $load_value ) .'">';
			$output .= '<input name="'. esc_attr( $acoda_shortcode_id ) .'_timeout_array" class="timeout_array" value="'. esc_attr( $acoda_slidearray ) .'" type="hidden" />';
			$output .= '<input name="'. esc_attr( $acoda_shortcode_id ) .'_timeout" class="timeout" value="'. esc_attr( $acoda_stagetimeout ) .'" type="hidden" />';
			$output .= '</div>';
			$output .= '</div><!-- / gallery-wrap -->';
		
			wp_enqueue_script('jquery-cycle', get_template_directory_uri().'/js/jquery.cycle.plugin.min.js',false,array('jquery'),true );	
			wp_enqueue_script('touch-gestures', get_template_directory_uri().'/js/touch.gestures.min.js',false,array('jquery'),true );
			wp_enqueue_script('acoda-stage-slider', get_template_directory_uri().'/js/stage.slider.min.js',false,array('jquery-cycle'),true );			
				
			return $output;
		
		}
	}

	/* ------------------------------------
	:: STAGE
	------------------------------------*/

	vc_map( array(
		"base"		=> "postgallery_image",
		"name"		=> esc_html__("Stage Slider", 'you'),
		"class"		=> "stage",
		"controls"	=> "edit_popup_delete",
		"icon" => get_template_directory_uri() . '/images/ACODA.png',
		"category"  => esc_html__('Gallery', 'you'),
		"params"	=> array(				
			acoda_common_options( 'datasource' ),
			acoda_common_options( 'data-9' ),
			acoda_common_options( 'data-10' ),
			acoda_common_options( 'excerpt' ),				
			acoda_common_options( 'data-4' ),
			array(
				"type" => "dropdown",
				"heading" => esc_html__("Ajax Lazy Load", 'you'),
				"param_name" => "load_ajax",
				"value" => array( 
					esc_html__("Disabled", 'you') => '',
					esc_html__("Enable", 'you') => 'auto_load',	
				),
				"description" => esc_html__("Load Gallery content in via Ajax ( Reduces page load time ).", 'you'),
			),		
			array(
				"type" => "textfield",
				"class" => "",
				"heading" => esc_html__("Lazy Load Initial Limit", 'you'),
				"param_name" => "load_limit",
				"value" => "",
				"description" => esc_html__("Enter how many slides you wish to display on initial load.", 'you'),
				"dependency" => Array('element' => 'load_ajax', 'not_empty' => true ),
			),			
			array(
				"type" => "textfield",
				"class" => "",
				"heading" => esc_html__("Image Size", 'you'),
				"param_name" => "img_size",
				"value" => "full",
				"description" => esc_html__("Enter image size. Example: 'thumbnail', 'medium', 'large', 'full' or other sizes defined by current theme. Alternatively enter image size in pixels: 200x100 (Width x Height). Leave empty to use 'large' size.", 'you')
			),		
			array(
				"type" => "dropdown",
				"class" => "",
				"heading" => esc_html__( 'Image Fit', 'you'),
				"param_name" => "image_fit",
				"value" => array(
					'Default' => '',
					'Cover' => 'cover',
					'Contain' => 'contain',
				),
				"description" => esc_html__("Select how the image fits within the Slider. 'Default' allows for images to be set individually.", 'you')
			),
			array(
				"type" => "dropdown",
				"class" => "",
				"heading" => esc_html__( 'Height', 'you'),
				"param_name" => "ratio",
				"value" => array(
					'Custom' => 'custom',
					'21:9' => '21:9',
					'16:9' => '16:9',
					'4:3' => '4:3',
					"1:1" => "1:1",
					'9:21' => '9:21',
					'9:16' => '9:16',
					'3:4' => '3:4',					
				),
				"description" => esc_html__("Select how the image fits within the Slider. 'Default' allows for images to be set individually.", 'you')
			),			
			array(
				"type" => "textfield",
				"class" => "",
				"heading" => esc_html__("Custom Height", 'you'),
				"param_name" => "height",
				"value" => "",
				"dependency" => Array('element' => "ratio", 'value' => array('custom') ),
				"description" => esc_html__("Set a height for the Gallery, default is 400.", 'you')
			),						
			acoda_common_options( 'content' ),
			array(
				'type' => 'dropdown',
				'heading' => esc_html__( 'Title Size', 'you' ),
				'param_name' => 'title_size',
				"value" => array( 
					esc_html__("Normal", 'you') => '',
					esc_html__("Small", 'you') => 'small',
					esc_html__("Medium", 'you') => 'medium',
					esc_html__("Large", 'you') => 'large',
				),					
				"dependency" => Array('element' => "content_type", 'value' => array('titleimage','textimage','titleoverlay','titletextoverlay') ),
				"description" => esc_html__("Set the Caption Title size.", 'you')
			),			
			acoda_common_options( 'timeout' ),
			acoda_common_options( 'imageeffect' ),
			array(
				"type" => "dropdown",
				"class" => "",
				"heading" => esc_html__( 'Animation Type', 'you'),
				"param_name" => "animation",
				"value" => acoda_options_array( 'animation' )
			),	
			array(
				"type" => "dropdown",
				"class" => "",
				"heading" => esc_html__( 'Navigation', 'you' ),
				"param_name" => "navigation",
				"value" => array(
					esc_html__( 'Arrows on Hover', 'you' ) => 'arrowhover',
					esc_html__( 'Static Arrows', 'you' ) => 'arrowstatic',
					esc_html__( 'Bullet Navigation', 'you' ) => 'bullet',
					esc_html__( 'Arrows on Hover + Bullet', 'you' ) => 'bulletarrowhover',
					esc_html__( 'Static Arrows + Bullet', 'you' ) => 'bulletarrowstatic',	
					esc_html__( 'Disable Navigation', 'you' ) => 'disabled'
				)
			),			
			array(
				"type" => "checkbox",
				"class" => "",
				"heading" => esc_html__("Lightbox", 'you'),
				"param_name" => "lightbox",
				"value" => array(
					esc_html__( 'Enable', 'you' ) => 'yes',
				)
			),								
			array(
				"type" => "textfield",
				"class" => "",
				"heading" => esc_html__("CSS Classes", 'you'),
				"param_name" => "class",
				"value" => "",
				"description" => esc_html__("Add an optional CSS classes.", 'you')
			),					
		)		
	) );