<?php

/* ------------------------------------
:: CONFIGURE SLIDE
------------------------------------*/
	
	// Reset the ratio
	$ratio = 'normal';
		
	$acoda_gallery_postformat = ( !empty( $acoda_gallery_postformat ) ) ? $acoda_gallery_postformat : '';

	// Lightbox
	$lightbox = '';
							
	if( $acoda_lightbox == "yes" || $acoda_disablegallink != 'yes' )
	{							
		// Split Icon Space
		$split = '';
																		
		if( $acoda_lightbox == "yes" && $acoda_disablegallink != 'yes' ) $split = 'split';
													
		// Set Link + Lightbox
		if( $acoda_lightbox == "yes" )
		{ 
			$lightbox_url = $lightbox_type = '';
												
			if( !empty($acoda_movieurl) )
			{
				$lightbox_url = $acoda_movieurl; 
				$lightbox_type = 'fa fa-play';
			}
			else
			{
				$lightbox_url  = $img['img_full_src'];
				$lightbox_type = 'fa fa-expand';
			}
														
			$lightbox .= '<a href="'. esc_url( $lightbox_url ) .'" data-fancybox-group="gallery'. esc_attr( $acoda_shortcode_id ) .'" data-title="'. esc_attr( $acoda_posttitle ) .'" data-caption="'. esc_attr( $acoda_description ) .'" class="fancybox action-icons lightbox-icon '. $split .'"><i class="'. esc_attr( $lightbox_type ) .' fa-lg"></i></a>';
		}
						
		if( $acoda_disablegallink != 'yes' )
		{ 
			$lightbox .= '<a href="'. esc_url( $acoda_altlink ) .'" class="action-icons link-icon '. esc_attr( $split ) .'"><i class="fa fa-link fa-lg"></i></a>';
		}
	}	
	
	// Carousel
	if( $acoda_show_slider == 'carousel' && !empty( $img['src'] ) )
	{
		$output .= "\n". '<div class="item-tobe" data-source="'. esc_url( $img['src'] ) .'">';

		// Product Price  
		if(class_exists('WPSC_Query') || class_exists('Woocommerce')   && $acoda_datasource=='data-5')
		{ 
			if( !empty( $acoda_productprice ) ) $output .= "\n\t". '<span class="productprice">'. esc_html( $acoda_productprice ) .'</span>';
		}

		$content_display = 'static';
			
		// Hover Effect
		if( ( !empty( $acoda_posttitle ) || !empty( $acoda_description ) ) && ( $acoda_groupgridcontent == "titleoverlay" || $acoda_groupgridcontent == "titletextoverlay" ) )
		{
			$content_display = 'ih-item square '. $hover_effect;
		}			
		
		$output .= "\n\t". '<div class="item-inner container '. esc_attr( $content_display ) .'">';

		// Action Hover 
		if( $acoda_groupgridcontent == "titleoverlay" || $acoda_groupgridcontent == "titletextoverlay" )
		{
			$output .= '<span class="action-hover"></span>';
		}								
	
							
		if( !empty( $lightbox ) && ( $acoda_groupgridcontent != "titleoverlay" && $acoda_groupgridcontent != "titletextoverlay" ) )
		{
			$output .= $lightbox;
		}		
		
		if( $acoda_groupgridcontent != "image" && ( !empty( $acoda_posttitle ) || !empty( $acoda_description ) ) )
		{ 
			$output .= '<div class="info '. esc_attr( $acoda_cssclasses ) .'">';
			$output .= "\n\t\t\t\t".'<div class="info-back">';		
			$output .= "\n\t\t\t\t\t".'<div class="info-holder">';	
										
			// Title
			if( !empty( $acoda_posttitle ) )
			{	
				if( $acoda_disablegallink != 'yes' )
				{ 							
					$output .= "\n\t\t". '<h3 '. ( !empty( $title_size ) ? 'class="caption-title-'. esc_attr( $title_size ) .'"' : '' ) .'><a href="'. esc_url( $acoda_altlink ) .'">'. esc_html( $acoda_posttitle ) .'</a></h3>';
				}
				else
				{
					$output .= "\n\t\t". '<h3 '. ( !empty( $title_size ) ? 'class="caption-title-'. esc_attr( $title_size ) .'"' : '' ) .'>'. esc_html( $acoda_posttitle ) .'</h3>';
				}
			}

			// Description
			if( !empty( $acoda_description ) && ( $acoda_groupgridcontent == "textimage" || $acoda_groupgridcontent == "titletextoverlay" ) )
			{					
				$output .= "\n\t\t". '<p>'. wp_kses_post( do_shorcode( $acoda_description ) ) .'</p>';
			}	

			if( !empty( $lightbox ) && ( $acoda_groupgridcontent == "titleoverlay" || $acoda_groupgridcontent == "titletextoverlay" ) )
			{
				$output .= '<div class="lightbox-wrap">';
				$output .= $lightbox;
				$output .= '</div>';
			}														

			$output .= "\n\t\t\t\t\t".'</div>';
			$output .= "\n\t\t\t\t".'</div>';								
			$output .= '</div><!-- /info -->';
		}
	
		$output .= "\n\t". '</div>';
		$output .= "\n". '</div>';
	}
	else
	{
    	$output .= "\n\t". '<div class="panel">';
    
			if( $acoda_gallery_postformat == 'yes' )
			{
        		get_template_part( 'content', get_post_format() );	
    		}
			else
			{			
				// Media Type
				$mediatype = '';
				
				if( !empty( $acoda_videotype ) && $acoda_lightbox != 'yes' ) 
				{
					$mediatype = 'videotype';
					$acoda_blackwhite = '';
				}

				$content_display = 'static';
				
				// Hover Effect
				if( ( !empty( $acoda_posttitle ) || !empty( $acoda_description ) ) && ( $acoda_groupgridcontent == "titleoverlay" || $acoda_groupgridcontent == "titletextoverlay" ) )
				{
					$content_display = 'ih-item square '. $hover_effect;
				}				
             
				$output .= "\n\t\t\t". '<div class="container '. esc_attr( $mediatype .' '. $acoda_imageeffect .' '. $content_display ) .'">';

					// Action Hover 
					if( $acoda_groupgridcontent == "titleoverlay" || $acoda_groupgridcontent == "titletextoverlay" )
					{
						$output .= '<span class="action-hover"></span>';
					}				
                    
					if( $acoda_groupgridcontent != "textonly" )
					{
						if( !empty( $acoda_videotype ) && $acoda_lightbox != 'yes'  ) // Video
						{
							include(get_template_directory() .'/lib/inc/classes/video-class.php');
						}
						elseif( !empty( $img['thumbnail'] ) ) // Image
						{ 											
							if(preg_match('/(?i)msie [4-8]/',$_SERVER['HTTP_USER_AGENT']))
							{
								$output .= $img['thumbnail'];
							}
							else
							{
								$output .= "\n". '<div class="image-wrapper '. esc_attr( $acoda_cssclasses ) .'" style="background-image: url('. esc_url( $img['src'] ) .');"></div>';
							}							
							
							// Product Price  
							if(class_exists('WPSC_Query') || class_exists('Woocommerce')   && $acoda_datasource=='data-5')
							{ 
								if( !empty( $acoda_productprice ) ) $output .= '<span class="productprice">'. esc_html( $acoda_productprice ) .'</span>';
							} 
				
							if( !empty( $lightbox ) && ( $acoda_groupgridcontent != "titleoverlay" && $acoda_groupgridcontent != "titletextoverlay" ) )
							{
								$output .= $lightbox;
							}								
						}
					}
					        
					if( $acoda_groupgridcontent != "image" && ( !empty( $acoda_posttitle ) || !empty( $acoda_description ) ) )
					{ 				
						$output .= '<div class="info '. esc_attr( $acoda_cssclasses ) .'">';
						$output .= "\n\t\t\t\t".'<div class="info-back">';		
						$output .= "\n\t\t\t\t\t".'<div class="info-holder">';	
										
							// Title
							if( !empty( $acoda_posttitle ) )
							{	
								if( $acoda_disablegallink != 'yes' )
								{ 							
									$output .= "\n\t\t". '<h3 '. ( !empty( $title_size ) ? 'class="caption-title-'. esc_attr( $title_size ) .'"' : '' ) .'><a href="'. esc_url( $acoda_altlink ) .'">'. esc_html( $acoda_posttitle ) .'</a></h3>';
								}
								else
								{
									$output .= "\n\t\t". '<h3 '. ( !empty( $title_size ) ? 'class="caption-title-'. esc_attr( $title_size ) .'"' : '' ) .'>'. esc_html( $acoda_posttitle ) .'</h3>';
								}
							}

							// Description
							if( !empty( $acoda_description ) && ( $acoda_groupgridcontent == "textimage" || $acoda_groupgridcontent == "titletextoverlay" ) )
							{					
								$output .= "\n\t\t". '<p>'. wp_kses_post( do_shorcode( $acoda_description ) ) .'</p>';
							}	

							if( !empty( $lightbox ) && ( $acoda_groupgridcontent == "titleoverlay" || $acoda_groupgridcontent == "titletextoverlay" ) )
							{
								$output .= '<div class="lightbox-wrap">';
								$output .= $lightbox;
								$output .= '</div>';
							}														

						$output .= "\n\t\t\t\t\t".'</div>';
						$output .= "\n\t\t\t\t".'</div>';								
						$output .= '</div><!-- /info -->';	
					}
					
				$output .= "\n\t\t\t". '</div><!-- / container -->';
			}  
		
		$output .= "\n\t". '</div><!--  / panel -->';
	}