<?php 

	/* ------------------------------------
	:: REGISTER NAVIGATION MENUS
	------------------------------------ */

	add_theme_support( 'nav-menus' );
	
	register_nav_menus( array(
		'mainnav' => esc_html__( 'Main Navigation', 'you' ),
		'mobilenav' => esc_html__( 'Mobile Navigation', 'you' ),
	) );

	/* ------------------------------------
	:: REGISTER WIDGET AREAS
	------------------------------------ */

	add_action( 'widgets_init', 'acoda_widgets_init' );
	
	function acoda_widgets_init()
	{	
		$sidebars_num		= ( of_get_option('sidebars_num') !='' ) ? of_get_option('sidebars_num') : '2';
		$get_footer_num 	= ( of_get_option('footer_columns_num') !='' ) ? of_get_option('footer_columns_num') : '4';
		$widget_tag			= ( of_get_option('widget_tag') !='' ) ? of_get_option('widget_tag') : 'h4';
	
		// Sidebar Columns
		$i = 1;
			
		while( $i <= $sidebars_num )
		{
			register_sidebar(
			array(
				'name'=>'Sidebar '.$i,
				'id'=>'sidebar'.$i,
				'before_title' => '<'. $widget_tag .' class="widget-title">',
				'after_title' => '</'. $widget_tag .'>',
			));
			$i++;
		}
	
		// Information Panel
		register_sidebar(
		array(
			'name'=>'Information Panel',
			'id'=>'infopanel',
			'before_title' => '<'. $widget_tag .' class="widget-title">',
			'after_title' => '</'. $widget_tag .'>',
		));	
	
	
		// Menu Dock Panel
		register_sidebar(
		array(
			'name' => 'Docked Menu Panel',
			'id' => 'dockedmenupanel',
			'description' => esc_html__('Add widgets to appear below the Menu within the Dock Bar.','you'),
			'before_title' => '<'. $widget_tag .' class="widget-title">',
			'after_title' => '</'. $widget_tag .'>',
		));	
	
		// Header Panel		
		register_sidebar(
		array(
			'name' => 'Header Panel',
			'id' => 'headerpanel',
			'description' => esc_html__('Add widgets to appear within the header.','you'),
			'before_title' => '<'. $widget_tag .' class="widget-title">',
			'after_title' => '</'. $widget_tag .'>',
		));	
	
		// Footer Columns
		$i = 1;
			
		while( $i <= $get_footer_num )
		{
			register_sidebar(
			array(
				'name'=>'Footer Column '.$i,
				'id'=>'footer'.$i,
				'description' => 'Widgets in this area will be shown in Footer column '.$i.'.',
				'before_title' => '<'. $widget_tag .' class="widget-title">',
				'after_title' => '</'. $widget_tag .'>',
			));
			
			$i++;
		}		
	}
	
	
	/* ------------------------------------
	:: CONTENT WIDTH
	------------------------------------ */
	
	if ( ! isset( $content_width ) ) {
		
		$acoda_layout = acoda_global_vars('page_layout');
		
		if( of_get_option( 'max_site_width' ) !='' )
		{
			if( $acoda_layout == 'layout_two' || $acoda_layout == 'layout_four' || empty( $acoda_layout ) )
			{
				$content_width = of_get_option( 'max_site_width' ) / 100 * 66.6;
			}
			elseif( $acoda_layout == 'layout_three' || $acoda_layout == 'layout_five' || $acoda_layout == 'layout_six' )
			{
				$content_width = of_get_option( 'max_site_width' ) / 100 * 50;
			}			
			else
			{
				$content_width = of_get_option( 'max_site_width' );
			}
		}
		else
		{
			$content_width = 1440;

			if( $acoda_layout == 'layout_two' || $acoda_layout == 'layout_four' || empty( $acoda_layout ) )
			{
				$content_width = $content_width / 100 * 66.6;
			}
			elseif( $acoda_layout == 'layout_three' || $acoda_layout == 'layout_five' || $acoda_layout == 'layout_six' )
			{
				$content_width = $content_width / 100 * 50;
			}					
		}
	}		

	/* ------------------------------------
	:: POST LIKES
	------------------------------------ */
		
	require_once get_template_directory() . '/lib/inc/post-like.php';

	/* ------------------------------------
	:: TGM PLUGIN SETUP
	------------------------------------ */

	
	add_action( 'tgmpa_register', 'acoda_register_required_plugins', 999 );

	function acoda_register_required_plugins() {		
	 
		/**
		 * Array of plugin arrays. Required keys are name, slug and required.
		 * If the source is NOT from the .org repo, then source is also required.
		 */
		$plugins = array(

			array(
				'name'                  => 'Visual Composer', // The plugin name
				'slug'                  => 'js_composer', // The plugin slug (typically the folder name)
				'source'                => get_template_directory_uri() . '/plugins/js_composer.zip', // The plugin source
				'required'              => false, // If false, the plugin is only 'recommended' instead of required
				'version'               => '5.4.7', // E.g. 1.0.0. If set, the active plugin must be this version or higher, otherwise a notice is presented
				'force_activation'      => false, // If true, plugin is activated upon theme activation and cannot be deactivated until theme switch
				'force_deactivation'    => false, // If true, plugin is deactivated upon theme switch, useful for theme-specific plugins
				'external_url'          => '', // If set, overrides default API URL and points to an external URL
			),	
			array(
				'name'                  => 'ACODA Typewriter', // The plugin name
				'slug'                  => 'acoda-typewriter', // The plugin slug (typically the folder name)
				'source'                => get_template_directory_uri() . '/plugins/acoda-typewriter.zip', // The plugin source
				'required'              => false, // If false, the plugin is only 'recommended' instead of required
				'version'               => '1.1.3', // E.g. 1.0.0. If set, the active plugin must be this version or higher, otherwise a notice is presented
				'force_activation'      => false, // If true, plugin is activated upon theme activation and cannot be deactivated until theme switch
				'force_deactivation'    => false, // If true, plugin is deactivated upon theme switch, useful for theme-specific plugins
				'external_url'          => '', // If set, overrides default API URL and points to an external URL
			),
			array(
				'name'                  => 'ACODA Gigatools', // The plugin name
				'slug'                  => 'acoda-gigatools', // The plugin slug (typically the folder name)
				'source'                => get_template_directory_uri() . '/plugins/acoda-gigatools.zip', // The plugin source
				'required'              => false, // If false, the plugin is only 'recommended' instead of required
				'version'               => '1.0', // E.g. 1.0.0. If set, the active plugin must be this version or higher, otherwise a notice is presented
				'force_activation'      => false, // If true, plugin is activated upon theme activation and cannot be deactivated until theme switch
				'force_deactivation'    => false, // If true, plugin is deactivated upon theme switch, useful for theme-specific plugins
				'external_url'          => '', // If set, overrides default API URL and points to an external URL
			),			
			array(
				'name'                  => 'ACODA Counters', // The plugin name
				'slug'                  => 'acoda-counters', // The plugin slug (typically the folder name)
				'source'                => get_template_directory_uri() . '/plugins/acoda-counters.zip', // The plugin source
				'required'              => false, // If false, the plugin is only 'recommended' instead of required
				'version'               => '1.0.1', // E.g. 1.0.0. If set, the active plugin must be this version or higher, otherwise a notice is presented
				'force_activation'      => false, // If true, plugin is activated upon theme activation and cannot be deactivated until theme switch
				'force_deactivation'    => false, // If true, plugin is deactivated upon theme switch, useful for theme-specific plugins
				'external_url'          => '', // If set, overrides default API URL and points to an external URL
			),
			array(
				'name'                  => 'Visual Composer Clipboard', // The plugin name
				'slug'                  => 'vc_clipboard', // The plugin slug (typically the folder name)
				'source'                => get_template_directory_uri() . '/plugins/clipboard-wordpress-plugin.zip', // The plugin source
				'required'              => false, // If false, the plugin is only 'recommended' instead of required
				'version'               => '4.1.1', // E.g. 1.0.0. If set, the active plugin must be this version or higher, otherwise a notice is presented
				'force_activation'      => false, // If true, plugin is activated upon theme activation and cannot be deactivated until theme switch
				'force_deactivation'    => false, // If true, plugin is deactivated upon theme switch, useful for theme-specific plugins
				'external_url'          => '', // If set, overrides default API URL and points to an external URL
			),			
			array(
				'name'                  => 'ACODA Pricing Tables', // The plugin name
				'slug'                  => 'ultimate-pricing-tables', // The plugin slug (typically the folder name)
				'source'                => get_template_directory_uri() . '/plugins/ultimate-pricing-tables.zip', // The plugin source
				'required'              => false, // If false, the plugin is only 'recommended' instead of required
				'version'               => '1.8', // E.g. 1.0.0. If set, the active plugin must be this version or higher, otherwise a notice is presented
				'force_activation'      => false, // If true, plugin is activated upon theme activation and cannot be deactivated until theme switch
				'force_deactivation'    => false, // If true, plugin is deactivated upon theme switch, useful for theme-specific plugins
				'external_url'          => '', // If set, overrides default API URL and points to an external URL
			),						
			array(
				'name'                  => 'Portfolio Post Type', // The plugin name
				'slug'                  => 'portfolio-post-type', // The plugin slug (typically the folder name)
				'source'                => get_template_directory_uri() . '/plugins/portfolio-post-type.zip', // The plugin source
				'required'              => false, // If false, the plugin is only 'recommended' instead of required
				'version'               => '', // E.g. 1.0.0. If set, the active plugin must be this version or higher, otherwise a notice is presented
				'force_activation'      => false, // If true, plugin is activated upon theme activation and cannot be deactivated until theme switch
				'force_deactivation'    => false, // If true, plugin is deactivated upon theme switch, useful for theme-specific plugins
				'external_url'          => '', // If set, overrides default API URL and points to an external URL
			),				
			array(
				'name'                  => 'Revolution Slider', // The plugin name
				'slug'                  => 'revslider', // The plugin slug (typically the folder name)
				'source'                => get_template_directory_uri() . '/plugins/revslider.zip', // The plugin source
				'required'              => false, // If false, the plugin is only 'recommended' instead of required
				'version'               => '5.4.7.3', // E.g. 1.0.0. If set, the active plugin must be this version or higher, otherwise a notice is presented
				'force_activation'      => false, // If true, plugin is activated upon theme activation and cannot be deactivated until theme switch
				'force_deactivation'    => false, // If true, plugin is deactivated upon theme switch, useful for theme-specific plugins
				'external_url'          => '', // If set, overrides default API URL and points to an external URL
			),
			array(
				'name'                  => 'Contact Form 7', // The plugin name
				'slug'                  => 'contact-form-7', // The plugin slug (typically the folder name)
				'required'              => false, // If false, the plugin is only 'recommended' instead of required
				'version'               => '', // E.g. 1.0.0. If set, the active plugin must be this version or higher, otherwise a notice is presented
				'force_activation'      => false, // If true, plugin is activated upon theme activation and cannot be deactivated until theme switch
				'force_deactivation'    => false, // If true, plugin is deactivated upon theme switch, useful for theme-specific plugins
				'external_url'          => '', // If set, overrides default API URL and points to an external URL
			),	
			array(
				'name'                  => 'WooCommerce', // The plugin name
				'slug'                  => 'woocommerce', // The plugin slug (typically the folder name)
				'required'              => false, // If false, the plugin is only 'recommended' instead of required
				'version'               => '', // E.g. 1.0.0. If set, the active plugin must be this version or higher, otherwise a notice is presented
				'force_activation'      => false, // If true, plugin is activated upon theme activation and cannot be deactivated until theme switch
				'force_deactivation'    => false, // If true, plugin is deactivated upon theme switch, useful for theme-specific plugins
				'external_url'          => '', // If set, overrides default API URL and points to an external URL
			),															
		);
	 
	
		$config = array(
			'domain'            => 'you',           // Text domain - likely want to be the same as your theme.
			'default_path'      => '',                           // Default absolute path to pre-packaged plugins
			'menu'              => 'install-required-plugins',   // Menu slug
			'has_notices'       => true,                         // Show admin notices or not
			'is_automatic'      => true,            // Automatically activate plugins after installation or not
			'message'           => '',               // Message to output right before the plugins table
			'strings'           => array(
				'page_title'                                => esc_html__( 'Install Required Plugins', 'you' ),
				'menu_title'                                => esc_html__( 'Install Plugins', 'you' ),
				'installing'                                => esc_html__( 'Installing Plugin: %s', 'you' ), // %1$s = plugin name
				'oops'                                      => esc_html__( 'Something went wrong with the plugin API.', 'you' ),
				'notice_can_install_required'               => _n_noop( 'This theme requires the following plugin: <span class="highlight-admin-text"> %1$s</span>.', 'This theme requires the following plugins: <span class="highlight-admin-text">%1$s</span>.', 'you' ), // %1$s = plugin name(s)
				'notice_can_install_recommended'            => _n_noop( 'This theme recommends the following plugin: <span class="highlight-admin-text"> %1$s</span>.', 'This theme recommends the following plugins: <span class="highlight-admin-text">%1$s</span>.', 'you' ), // %1$s = plugin name(s)
				'notice_cannot_install'                     => _n_noop( 'Sorry, but you do not have the correct permissions to install the %s plugin. Contact the administrator of this site for help on getting the plugin installed.', 'Sorry, but you do not have the correct permissions to install the %s plugins. Contact the administrator of this site for help on getting the plugins installed.', 'you' ), // %1$s = plugin name(s)
				'notice_can_activate_required'              => _n_noop( 'The following required plugin is currently inactive: <span class="highlight-admin-text">%1$s</span>.', 'The following required plugins are currently inactive: <span class="highlight-admin-text">%1$s</span>.', 'you' ), // %1$s = plugin name(s)
				'notice_can_activate_recommended'           => _n_noop( 'The following recommended plugin is currently inactive: <span class="highlight-admin-text">%1$s</span>.', 'The following recommended plugins are currently inactive: <span class="highlight-admin-text">%1$s</span>.', 'you' ), // %1$s = plugin name(s)
				'notice_cannot_activate'                    => _n_noop( 'Sorry, but you do not have the correct permissions to activate the %s plugin. Contact the administrator of this site for help on getting the plugin activated.', 'Sorry, but you do not have the correct permissions to activate the %s plugins. Contact the administrator of this site for help on getting the plugins activated.', 'you' ), // %1$s = plugin name(s)
				'notice_ask_to_update'                      => _n_noop( '<h3>Update Required</h3><span class="highlight-admin-text">%1$s</span> needs to be updated to ensure maximum compatibility with this theme.<p></p><a href="http://docs.acoda.com/you/2016/03/10/updating-installing-theme-plugins/" target="_blank" class="button button-primary">How to Update Plugins</a><p></p>', '<h3>Update Required</h3><span class="highlight-admin-text">%1$s</span> needs to be updated to ensure maximum compatibility with this theme.<p></p><a href="http://docs.acoda.com/you/2016/03/10/updating-installing-theme-plugins/" target="_blank" class="button button-primary">How to Update Plugins</a><p></p>', 'you' ), // %1$s = plugin name(s)
				'notice_cannot_update'                      => _n_noop( 'Sorry, but you do not have the correct permissions to update the %s plugin. Contact the administrator of this site for help on getting the plugin updated.', 'Sorry, but you do not have the correct permissions to update the %s plugins. Contact the administrator of this site for help on getting the plugins updated.', 'you' ), // %1$s = plugin name(s)
				'install_link'                              => _n_noop( 'Begin installing plugin', 'Begin installing plugins', 'you' ),
				'activate_link'                             => _n_noop( 'Activate installed plugin', 'Activate installed plugins', 'you' ),
				'return'                                    => esc_html__( 'Return to Required Plugins Installer', 'you' ),
				'plugin_activated'                          => esc_html__( 'Plugin activated successfully.', 'you' ),
				'complete'                                  => esc_html__( 'All plugins installed and activated successfully. %s', 'you' ) // %1$s = dashboard link
			)
		);
	 
		tgmpa( $plugins, $config );
	 
	}		
	

	/* ------------------------------------
	:: VISUAL COMPOSER
	------------------------------------  */	
	
	add_action( 'vc_before_init', 'acoda_vcSetAsTheme' );
	
	function acoda_vcSetAsTheme() 
	{
		vc_set_as_theme();
	}
	
	function acoda_classes_for_vc_row_and_vc_column($class_string, $tag)
	{
		if ($tag=='vc_row' || $tag=='vc_row_inner')
		{
			$class_string = str_replace('vc_row-fluid', 'row', $class_string);
		}
	  
		return $class_string;
	}
	
	// Filter to Replace default css class for vc_row shortcode and vc_column
	add_filter('vc_shortcodes_css_class', 'acoda_classes_for_vc_row_and_vc_column', 10, 2);	
	

	/* ------------------------------------
	:: WOOCOMMERCE CSS + FUNCTIONS
	------------------------------------ */
	
	define('WOOCOMMERCE_USE_CSS', false);

	function acoda_woocommerce_style()
	{
		if ( class_exists( 'woocommerce' ) )
		{
			wp_dequeue_style( 'woocommerce-general' );
			wp_dequeue_style( 'woocommerce-layout' );
			wp_dequeue_style( 'woocommerce-smallscreen' );
	
			wp_enqueue_style( 'acoda-woocommerce', get_template_directory_uri() . '/css/woocommerce.css' );
		}
	}
	
	add_action( 'wp_enqueue_scripts', 'acoda_woocommerce_style', 1000 );	
	
	//add_filter( 'woocommerce_show_page_title', function() { return false; } );
	remove_action( 'woocommerce_single_product_summary', 'woocommerce_template_single_title', 5 );

	add_filter( 'woocommerce_output_related_products_args', 'acoda_cross_products_args' );
	
	function acoda_cross_products_args( $args ) {
	 
		$args['posts_per_page'] = 4; // 4 related products
		$args['columns'] = 4; // arranged in 2 columns
		return $args;
	}	

	add_filter('woocommerce_cross_sells_total', 'acoda_woocommerce_cross_sale_count');
	add_filter('woocommerce_cross_sells_columns', 'acoda_woocommerce_cross_sale_count');
	
	// Remove Product Description Title
	add_filter( 'woocommerce_product_description_heading', 'remove_product_description_heading' );
	
	function remove_product_description_heading() 
	{
		return '';
	}
	
	function acoda_woocommerce_cross_sale_count( $value )
	{
		return 4;
	}
	
	remove_action( 'woocommerce_cart_collaterals', 'woocommerce_cross_sell_display' );
	add_action( 'woocommerce_after_cart', 'woocommerce_cross_sell_display' , 10);

	add_action( 'woocommerce_before_single_product_summary', 'acoda_image_open_wrap', 2);
	add_action( 'woocommerce_before_single_product_summary',  'acoda_close_image_div', 20);
	
	function acoda_image_open_wrap()
	{
		echo "<div class='row'>";
		echo "<div class='columns large-6'>";
	}

	add_action( 'woocommerce_before_single_product_summary', 'acoda_summary_open_wrap', 25);
	add_action( 'woocommerce_after_single_product_summary',  'acoda_close_summary_div', 3);
	
	function acoda_summary_open_wrap()
	{
		echo "<div class='columns large-6'>";
	}	
	
	function acoda_close_image_div()
	{
		echo "</div>";
	}

	function acoda_close_summary_div()
	{
		if( 'enable' == of_get_option("share_product") )
		{
			$acoda_socialicons_color = ( of_get_option('socialicons_color') != '' ? of_get_option('socialicons_color') : '' );
			$acoda_socialicons = 'yes';
				
			echo "\n". '<div class="product-social-icons">';
			echo "\n". '<div class="heading-font">'. esc_html__('Share This','you') .'</div>';
			echo "\n". '<div class="socialicons '. esc_attr( $acoda_socialicons_color ) .' display">';
			echo "\n". '<ul>';
			require get_template_directory() .'/lib/inc/social-icons.php';
			echo "\n". '</ul>';
			echo "\n". '</div>';
			echo "\n". '</div>';
		}		
		
		echo "</div>";
		echo "</div>";
	}	

	add_action( 'woocommerce_before_shop_loop_item_title', 'acoda_woocommerce_thumbnail', 10);
	remove_action( 'woocommerce_before_shop_loop_item_title', 'woocommerce_template_loop_product_thumbnail', 10);
	remove_action( 'woocommerce_after_shop_loop_item_title', 'woocommerce_template_loop_rating', 5 );
	remove_action( 'woocommerce_after_shop_loop_item', 'woocommerce_template_loop_add_to_cart', 10 );
	remove_action( 'woocommerce_shop_loop_item_title', 'woocommerce_template_loop_product_title', 10 );
	remove_action( 'woocommerce_before_shop_loop_item', 'woocommerce_template_loop_product_link_open', 10 );
	remove_action( 'woocommerce_after_shop_loop_item', 'woocommerce_template_loop_product_link_close', 5 );	
	
	add_action( 'woocommerce_shop_loop_item_title', 'acoda_loop_product_title', 10 );

	function acoda_loop_product_title($html)
	{
		echo '<h3 class="product-title"><a href="' . esc_url( get_the_permalink() ) . '">' . get_the_title() . '</a></h3>';
	}	

	add_filter( 'woocommerce_show_page_title' , 'acoda_hide_page_title' );

	function acoda_hide_page_title() 
	{	
		return false;
	}
		

	function acoda_woocommerce_single_product_image_html($html)
	{
		$html = str_replace('data-rel="prettyPhoto', 'rel="lightbox', $html);
		$html = str_replace('class="zoom', 'class="fancybox', $html);
		$html = str_replace('class="woocommerce-main-image zoom', 'class="fancybox', $html);

		return $html;
	}
	
	add_filter('woocommerce_single_product_image_html', 'acoda_woocommerce_single_product_image_html', 99, 1); // single image
	add_filter('woocommerce_single_product_image_thumbnail_html', 'acoda_woocommerce_single_product_image_html', 99, 1); // thumbnails	
	
	function acoda_woocommerce_thumbnail( $value )
	{
		global $product;
		$rating_html = $product->get_rating_html();
		$add_to_cart_url = $product->add_to_cart_url();
		$add_to_cart_text = $product->add_to_cart_text();
		$product_url = get_the_permalink();
	
		echo "<div class='product_thumbnail_wrap'>";
			
			echo woocommerce_get_product_thumbnail();
			
			/*echo '<div class="acoda_product_wrap"><div class="inner-wrap"><div class="content-wrap container">'. ( !empty($rating_html) ? wp_kses_post( $rating_html ) : '' ) .'
			<div class="lightbox-wrap">
			<a href="'. esc_url( $add_to_cart_url ) .'" class="action-icons lightbox-icon split"><i class="fa fa-shopping-basket fa-lg"></i></a>
			<a href="'. esc_url( $product_url ) .'" class="action-icons link-icon split "><i class="fa fa-link fa-lg"></i></a>
			</div></div></div></div>';*/
			
			echo '<div class="acoda_product_wrap"><a href="'. esc_url( $product_url ) .'" class="action-icons link-icon"><i class="fa fa-plus fa-lg"></i></a></div>';				
			
		echo "</div>";
	}	

	// Custom Cart Widget
	add_action( 'widgets_init', 'acoda_woocommerce_cart_widget', 15 );
	 
	function acoda_woocommerce_cart_widget() 
	{ 
	  if ( class_exists( 'WC_Widget_Cart' ) )
	  {
		unregister_widget( 'WC_Widget_Cart' );
		include_once( get_template_directory() . '/widgets/class-acoda-widget-cart.php' );
		register_widget( 'Acoda_WC_Widget_Cart' );
	  }
	}

	/* ------------------------------------
	:: WOOCOMMERCE
	------------------------------------ */

	add_theme_support( 'woocommerce' );	

	add_filter('woocommerce_add_to_cart_fragments', 'acoda_woo_header_add_to_cart_fragment');
	
	function acoda_woo_header_add_to_cart_fragment( $fragments ) {
		global $woocommerce;
		
		ob_start();	?>
	 
		<a class="cart-contents" href="<?php echo esc_url( $woocommerce->cart->get_cart_url() ); ?>" title="<?php esc_attr_e('View your shopping cart', 'you'); ?>">
			<span class="shop-cart-itemnum">
				<?php echo esc_html( sprintf(_n('%d item', '%d items', $woocommerce->cart->cart_contents_count, 'you'), $woocommerce->cart->cart_contents_count) ); ?> - 
			</span>
			 <?php echo esc_html( $woocommerce->cart->get_cart_total() ); ?>
			
		</a>
		<?php
	
		$fragments['a.cart-contents'] = ob_get_clean();
	
		return $fragments;
	}

	/* ------------------------------------
	:: BBPRESS
	------------------------------------ */

	add_theme_support( 'bbpress' );
	
	// Breadcrumb Separator
	function acoda_bbp_breadcrumb_separator()
	{
		$sep = ' <span class="subbreak">/</span> ';
		return $sep;
	}
	
	add_filter('bbp_breadcrumb_separator', 'acoda_bbp_breadcrumb_separator');

	// Blank Function
	add_filter( 'bbp_get_single_forum_description', 'acoda_bbp_return_blank' );
	add_filter( 'bbp_get_single_topic_description', 'acoda_bbp_return_blank' );
		
	function acoda_bbp_return_blank()
	{
		return '';
	}
	
	// Subscribe Link
	function acoda_bbp_subscribe_icon ( $args = array() )
	{
		$args['before'] = '';
		$args['subscribe'] = '<i class="fa fa-envelope-o"></i>'. esc_html('Subscribe', 'you' );
		$args['unsubscribe'] = '<i class="fa fa-envelope"></i>'. esc_html( 'Unsubscribe', 'you' );		
		
		return $args;
	}

	add_filter ('bbp_before_get_user_subscribe_link_parse_args','acoda_bbp_subscribe_icon') ;

	// Favorite Link
	function acoda_bbp_favorite_icon ( $args = array() )
	{
		$args['before'] = '';
		$args['favorite'] =  '<i class="fa fa-star-o"></i >'. esc_html('Favorite',  'you' );
		$args['favorited'] = '<i class="fa fa-star"></i>'. esc_html('Favorited',  'you' );
		
		return $args;
	}

	add_filter ('bbp_before_get_user_favorites_link_parse_args','acoda_bbp_favorite_icon') ;	

	// Admin Links
	function acoda_bbp_topic_admin_link( $args = array() )
	{
		$args['sep'] = '';		
		
		return $args;
	}
	
	add_filter( 'bbp_before_get_topic_admin_links_parse_args', 'acoda_bbp_topic_admin_link' );	

	// Admin Links
	function acoda_bbp_reply_admin_link( $args = array() )
	{
		$args['sep'] = '';		
		
		return $args;
	}
	
	add_filter( 'bbp_before_get_reply_admin_links_parse_args', 'acoda_bbp_reply_admin_link' );	

	// Tags
	function acoda_bbp_tags_icon( $args = array() )
	{
		$args['before'] = '<div class="bbp-topic-tags"><p><i class="fa fa-tag"></i>&nbsp;';		
		
		return $args;
	}
	
	add_filter( 'bbp_before_get_topic_tag_list_parse_args', 'acoda_bbp_tags_icon' );				



	/* ------------------------------------
	:: FONT LISTS
	------------------------------------ */

	function acoda_font_list() 
	{	
		$font_list        		= array();
		$font_list_weights 		= array();
		$default_font_list_weights = array();
	
		$webfonts_array    		= file( get_template_directory() .'/fonts.json' );	
		$webfonts          		= implode( '', $webfonts_array );
		$font_list_decode 			= json_decode( $webfonts, true );	 
		
		$font_list[''] = 'Default';
		
		foreach ( $font_list_decode['items'] as $key => $value ) {
			$item_family						= $font_list_decode['items'][$key]['family'];
			$font_list[$item_family]			= $item_family; 
			$font_list_weights[$item_family]	= $font_list_decode['items'][$key]['variants'];
		}
	
		$default_font_list_weights = array( 
			''       => esc_html__( 'Select Style', 'you' ),
			'100'       => esc_html__( 'Ultra Light', 'you' ),
			'100italic' => esc_html__( 'Ultra Light Italic', 'you' ),
			'200'       => esc_html__( 'Light', 'you' ),
			'200italic' => esc_html__( 'Light Italic', 'you' ),
			'300'       => esc_html__( 'Book', 'you' ),
			'300italic' => esc_html__( 'Book Italic', 'you' ),
			'400'       => esc_html__( 'Regular', 'you' ),
			'regular'   => esc_html__( 'Regular', 'you' ),
			'400italic' => esc_html__( 'Regular Italic', 'you' ),
			'500'       => esc_html__( 'Medium', 'you' ),
			'500italic' => esc_html__( 'Medium Italic', 'you' ),
			'600'       => esc_html__( 'Semi-Bold', 'you' ),
			'600italic' => esc_html__( 'Semi-Bold Italic', 'you' ),
			'700'       => esc_html__( 'Bold', 'you' ),
			'700italic' => esc_html__( 'Bold Italic', 'you' ),
			'800'       => esc_html__( 'Extra Bold', 'you' ),
			'800italic' => esc_html__( 'Extra Bold Italic', 'you' ),
			'900'       => esc_html__( 'Ultra Bold', 'you' ),
			'900italic' => esc_html__( 'Ultra Bold Italic', 'you' )
		);	
		
		$font_list_array = array(
			'font_list' => $font_list,
			'font_weights' => $font_list_weights,
			'default_font_weights' => $default_font_list_weights
		);
		
		return $font_list_array;
	}


	/* ------------------------------------
	:: CUSTOM EXCERPT
	------------------------------------ */
	
	remove_filter( 'get_the_excerpt', 'wp_trim_excerpt', 999  );
	add_filter( 'get_the_excerpt', 'acoda_custom_excerpt', 999  );	
			
	function acoda_custom_excerpt( $text = '' )
	{
		$raw_excerpt = $text;
		if ( '' == $text ) {
			$text = get_the_content('');
			$text = apply_filters('the_content', $text);
			$excerpt_length = apply_filters('excerpt_length', 50 );
			$excerpt_more = apply_filters('excerpt_more', '...' . '...');
			$text = wp_trim_words( $text, $excerpt_length, $excerpt_more );
			$text = preg_replace("~(?:\[/?)[^/\]]+/?\]~s", '', $text);  # strip shortcodes, keep shortcode content
			$text = '<p>'. $text .'</p>';
		}
		return apply_filters('wp_trim_excerpt', $text, $raw_excerpt);
	}	

	/* ------------------------------------
	:: READ MORE
	------------------------------------ */
	
	add_filter('excerpt_more', 'acoda_readmore' );
	add_filter( 'the_content_more_link', 'acoda_readmore' );
	
	function acoda_readmore()
	{
		return '<a class="read-more" href="' . esc_url( get_permalink() ) . '">'. esc_html__( 'Continue reading', 'you' ) .' <i class="fa fa-angle-right fa-lg"></i></a>';
	}		
	
	/* ------------------------------------
	:: FONT ICONS
	------------------------------------ */	

	add_action( 'vc_base_register_front_css', 'vc_iconpicker_base_register_css_acoda' );
	add_action( 'vc_base_register_admin_css', 'vc_iconpicker_base_register_css_acoda' );	
	
	function vc_iconpicker_base_register_css_acoda() 
	{
		wp_register_style( 'nucleo-glyph', get_template_directory_uri() .'/css/font-icons/nucleo/glyph/css/nucleo-glyph.css', false );
		wp_register_style( 'nucleo-outline', get_template_directory_uri() .'/css/font-icons/nucleo/outline/css/nucleo-outline.css', false );
	}

	add_action( 'vc_backend_editor_enqueue_js_css', 'vc_iconpicker_editor_jscss_acoda_icons' );
	add_action( 'vc_frontend_editor_enqueue_js_css', 'vc_iconpicker_editor_jscss_acoda_icons' );

	function vc_iconpicker_editor_jscss_acoda_icons() 
	{
		wp_enqueue_style( 'nucleo-glyph' );	
		wp_enqueue_style( 'nucleo-outline' );		
	}		
		
	add_action( 'vc_enqueue_font_icon_element', 'vc_acoda_icons' );

	function vc_acoda_icons( $font ) 
	{
		switch ( $font ) {
			case 'fontawesome':
				wp_enqueue_style( 'font-awesome' );
				break;				
			case 'nucleo_glyph':
				wp_enqueue_style( 'nucleo-glyph' );
				break;
			case 'nucleo_outline':
				wp_enqueue_style( 'nucleo-outline' );
				break;				
			case 'typicons':
				wp_enqueue_style( 'vc_typicons' );
				break;
			case 'entypo':
				wp_enqueue_style( 'vc_entypo' );
				break;
			case 'linecons':
				wp_enqueue_style( 'vc_linecons' );
				break;
			case 'monosocial':
				wp_enqueue_style( 'vc_monosocialiconsfont' );
				break;
			default:
				do_action( 'vc_enqueue_font_icon_element', $font ); // hook to custom do enqueue style
		}
	}			
	

	// HEX TO RGB
	function acoda_html2rgb($color)
	{
		if ($color[0] == '#')
		{
			$color = substr($color, 1);
		}
		
		if (strlen($color) == 6)
		{
			list($r, $g, $b) = array(
				$color[0].$color[1],
				$color[2].$color[3],
				$color[4].$color[5]
			);
		}
		elseif (strlen($color) == 3)
		{
			list($r, $g, $b) = array(
				$color[0].$color[0],
				$color[1].$color[1],
				$color[2].$color[2]
			);
		}
		else
		{
			return false;
		}
	
		$r = hexdec($r); $g = hexdec($g); $b = hexdec($b);
	
		return $r.','.$g.','.$b;
	}

	function acoda_adjust_brightness($hex, $steps) 
	{
		// Steps should be between -255 and 255. Negative = darker, positive = lighter
		$steps = max(-255, min(255, $steps));
	
		// Normalize into a six character long hex string
		$hex = str_replace('#', '', $hex);
		if (strlen($hex) == 3) {
			$hex = str_repeat(substr($hex,0,1), 2).str_repeat(substr($hex,1,1), 2).str_repeat(substr($hex,2,1), 2);
		}
	
		// Split into three parts: R, G and B
		$color_parts = str_split($hex, 2);
		$return = '#';
	
		foreach ($color_parts as $color) {
			$color   = hexdec($color); // Convert to decimal
			$color   = max(0,min(255,$color + $steps)); // Adjust color
			$return .= str_pad(dechex($color), 2, '0', STR_PAD_LEFT); // Make two char hex code
		}
	
		return $return;
	}	


	// SOCIAL LINK CONVERSION
	function acoda_social_link($socialitem)
	{ 
		$permalink = '';
		
		if( is_page() || is_single() ) 
		{
			$permalink = get_permalink();
		}
		elseif( is_category() )
		{
			$category = get_the_category();
			$permalink = get_category_link( $category[0] );
		}
		
		$title = get_the_title();
		$url = esc_url( home_url('/') );
	
		$find = array('[get_permalink]','[get_the_title]','[get_blogurl]');
		$replace = array( $permalink, $title, $url );
		$socialitem = str_replace($find,$replace, $socialitem);
	
		return htmlspecialchars ( $socialitem );
	}

	/* ------------------------------------
	:: SKIN SETTINGS
	------------------------------------ */
	
	function acoda_set_layer( $layer, $setvalue, $skin )
	{
		// reset
		$layersettings = ''; 
		if( empty( $z ) ) $z = '';
		 
		// Get the skin data 
		$get_skin_data = maybe_unserialize(get_option('skin_data_'.$skin));
		
		// IMAGE POSITIONED background layer
		if( $setvalue == $layer.'_image' )
		{ 				
			// Background Image	
			$image_featured = ( isset( $get_skin_data['skin_id_'. $layer .'_image_featured'] ) ) ? $get_skin_data['skin_id_'. $layer .'_image_featured'] : '';
			
			if( $image_featured == 'enable' )
			{
				$post_image_id = get_post_thumbnail_id(get_the_ID());
				if( !empty($post_image_id) )
				{
					$thumbnail = wp_get_attachment_image_src( $post_image_id, 'post-thumbnail', false );
					$image = $thumbnail[0];
					$image = parse_url( $image, PHP_URL_PATH ); // make relative Image URL
				}
				else
				{
					$image = ( isset( $get_skin_data['skin_id_'. $layer .'_image'] ) ) ? $get_skin_data['skin_id_'. $layer .'_image'] : '';
				}
			}
			else
			{
				$image = ( isset( $get_skin_data['skin_id_'. $layer .'_image'] ) ) ? $get_skin_data['skin_id_'. $layer .'_image'] : '';
			}
			
			if( !empty($image) )
			{
				$layersettings.='
				background-image: url('. esc_url( $image ) .');'; 
			}	
		
			// Background Image Position
			$image_valign = ( isset( $get_skin_data['skin_id_'. $layer .'_image_valign'] ) ) ? $get_skin_data['skin_id_'. $layer .'_image_valign'] : '';
			$image_halign = ( isset( $get_skin_data['skin_id_'. $layer .'_image_halign'] ) ) ? $get_skin_data['skin_id_'. $layer .'_image_halign'] : '';
		
			if( !empty($image_halign) || !empty($image_valign) )
			{
				if( !$image_halign ) $image_halign = '0'; // set defaults
				if( !$image_valign ) $image_valign = '0'; 
		
				$layersettings.='
				background-position: '. $image_halign .' '. $image_valign .';'; 
			}
		
			$image_repeat = ( isset( $get_skin_data['skin_id_'. $layer .'_image_repeat'] ) ) ? $get_skin_data['skin_id_'. $layer .'_image_repeat'] : '';
			
		
			// Background Image Repeat
			if( !empty($image_repeat) )
			{ 
				$layersettings.='
				background-repeat: '. $image_repeat .';'; 
			}
			
			$image_size = ( isset( $get_skin_data['skin_id_'. $layer .'_image_size'] ) ) ? $get_skin_data['skin_id_'. $layer .'_image_size'] : '';

			// Background Image Size
			if( !empty($image_size) )
			{ 
				$layersettings.='
				background-size: '. $image_size .';'; 
			}

			$image_attachment = ( isset( $get_skin_data['skin_id_'. $layer .'_image_attachment'] ) ) ? $get_skin_data['skin_id_'. $layer .'_image_attachment'] : '';

			// Background Image Size
			if( !empty($image_attachment) )
			{ 
				$layersettings.='
				background-attachment: '. $image_attachment .';'; 
			}			

			// Background Color
			$background_color = ( isset( $get_skin_data['skin_id_'. $layer .'_image_color'] ) ) ? str_replace( '#', '', $get_skin_data['skin_id_'. $layer .'_image_color'] ) : '';		

			if( !empty( $background_color ) )
			{
				$layersettings.='
				background-color:#'. $background_color .';
				';
			}				
		}

		if( !empty($layersettings) )
		{
			$output = '#custom-'. $layer .' { '. $layersettings .' }
			';
			
			return $output;
		}		
		
		
		if( !empty($layersettings) )
		{
			return '#custom-'. $layer .' { '.$layersettings.' }
			';	
		}
	}

	
	// CUSTOM LAYER CSS
	function acoda_set_element( $element,$skin,$inherited_elements,$z )
	{ 
		$get_skin_data = maybe_unserialize(get_option('skin_data_'. $skin));

		$layersettings=$elementsettings=$menu_inherit_element=$css=$heading_color_settings=$logo_settings=$logo_tagline_settings=$title_settings=$sub_title_settings=$h1_color_settings=$h1_tag_settings=$h2_color_settings=$h2_tag_settings=$h3_color_settings=$h4_color_settings=$h5_color_settings=$h6_color_settings=$font_color_settings=$class=$linkhover_color_settings=$heading_tag_settings=$elemhover_bgcolor_settings=$linkhover_color_border_top=$link_color_settings=$elem_bgcolor_settings=$elem_extras_1=$shaded_settings=$shaded_font_settings=$header_bgcolor=$header_pseudo=$menu_pseudo=$font_family_settings=$font_size_settings=$elemhover_bordercolor_settings=$footer_background=$main_background=$button_hover_settings=$menu_icon_width=$h1_size_settings=$h2_size_settings=$h3_size_settings=$h4_size_settings=$h5_size_settings=$h6_size_settings=''; // reset

		// FONT SIZE
		if( isset($get_skin_data['skin_id_'. $element .'_font_size'. $z]) ) $font_size = stripslashes( $get_skin_data['skin_id_'.$element.'_font_size'. $z] ); else $font_size = '';

		if( $font_size !='' )
		{
			$font_size_settings.='
 			font-size:'. $font_size .';';
		}
		
		if( $element == 'header' && !empty( $font_size ) )
		{
			$menu_icon_width = '
			min-width:'. $font_size .';';	
		}
		
		if( isset($get_skin_data['skin_id_'. $element .'_font_weight'. $z]) )
		{
			if ( strpos( $get_skin_data['skin_id_'. $element .'_font_weight'. $z] , 'italic' ) !== false )
			{
				$font_family_settings.='
 				font-style:italic;';	
			}
			else
			{
				$font_family_settings.='
 				font-style:normal;';					
			}
		}

		// FONT 
		$font				= ( isset( $get_skin_data['skin_id_'.$element.'_font'.$z] )	? stripslashes( $get_skin_data['skin_id_'.$element.'_font'.$z]) : '' );
		$font_transform	= ( isset( $get_skin_data['skin_id_'.$element.'_font_transform'.$z] )	? stripslashes( $get_skin_data['skin_id_'.$element.'_font_transform'.$z]) : '' );
		$font_weight		= ( isset( $get_skin_data['skin_id_'.$element.'_font_weight'.$z] )	? stripslashes( $get_skin_data['skin_id_'.$element.'_font_weight'.$z]) : '' );
		$font_spacing		= ( isset( $get_skin_data['skin_id_'.$element.'_font_spacing'.$z] )	? stripslashes( $get_skin_data['skin_id_'.$element.'_font_spacing'.$z]) : '' );

		if( $font !='' )
		{
			$font_family_settings .='
 			font-family:'. $font .';
			';
		}

		if( $font_transform !='' )
		{
			$font_family_settings .='
 			text-transform:'.$font_transform.';
			';
		}			

		if( $font_weight !='' )
		{
			if( $font_weight == 'regular' )
			{
				$font_weight = 'normal';
			}
			
			$font_family_settings .='
 			font-weight:'. $font_weight .';
			';
		}	
	
		if( $font_spacing !='' )
		{
			$font_family_settings .='
 			letter-spacing:'. $font_spacing .';
			';
		}			
		

		// HEADING FONT		
		$heading_font		= ( isset( $get_skin_data['skin_id_'.$element.'_heading_font'.$z] )				? stripslashes( $get_skin_data['skin_id_'.$element.'_heading_font'.$z]) : '' );
		$heading_transform	= ( isset( $get_skin_data['skin_id_'.$element.'_heading_font_transform'.$z] )		? stripslashes( $get_skin_data['skin_id_'.$element.'_heading_font_transform'.$z]) : '' );
		$heading_weight		= ( isset( $get_skin_data['skin_id_'.$element.'_heading_font_weight'.$z] )		? stripslashes( $get_skin_data['skin_id_'.$element.'_heading_font_weight'.$z]) : '' );
		$heading_spacing	= ( isset( $get_skin_data['skin_id_'.$element.'_heading_font_spacing'.$z] )		? stripslashes( $get_skin_data['skin_id_'.$element.'_heading_font_spacing'.$z]) : '' );

		if( $heading_font !='' )
		{
			$heading_tag_settings .='
 			font-family:'. $heading_font .';
			';
		}

		if( $heading_transform !='' )
		{
			$heading_tag_settings .='
 			text-transform:'. $heading_transform .';
			';
		}	

		if( $heading_weight !='' )
		{
			if( $heading_weight == 'regular' )
			{
				$heading_weight = 'normal';
			}		
				
			$heading_tag_settings .='
 			font-weight:'. $heading_weight .';
			';
		}		

		if( $heading_spacing !='' )
		{
			$heading_tag_settings .='
 			letter-spacing:'. $heading_spacing .';
			';
		}				

		if( isset($get_skin_data['skin_id_'. $element .'_heading_font_weight'. $z]) )
		{
			if ( strpos( $get_skin_data['skin_id_'. $element .'_heading_font_weight'. $z] , 'italic' ) !== false )
			{
				$heading_tag_settings .='
 				font-style:italic;';	
			}
			else
			{
				$heading_tag_settings .='
 				font-style:normal;';					
			}
		}		

		// FONT COLOR
		if( isset($get_skin_data['skin_id_'. $element .'_font_color'. $z]) ) $font_color = $get_skin_data['skin_id_'. $element .'_font_color'. $z]; else $font_color = '';

		if( $font_color !='' )
		{
			$font_color_settings='
 			color:#'. str_replace('#','', $font_color ) .';';
			$elementsettings.='
 			color:#'. str_replace('#','', $font_color ) .';'; 
		}

		// LINK COLOR
		if( isset($get_skin_data['skin_id_'. $element .'_link_color'. $z]) ) $link_color = $get_skin_data['skin_id_'. $element .'_link_color'. $z]; else $link_color = '';

		if( $link_color !='' )
		{
			$link_color_settings = '
			color:#'. str_replace('#','', $link_color ) .';';
			
			$elem_bgcolor_settings = '
 			background-color:#'. str_replace('#','', $link_color ) .';'; // set background color for various elements

			$elem_bordercolor_settings = '
 			border-color:#'. str_replace('#','', $link_color ) .' !important;'; // set background color for various elements			
			
			$elem_extras_1 = '
 			border-bottom: 1px dashed #'. str_replace('#','', $link_color ) .';'; // set border color for various elements	
		}

		// LINK HOVER COLOR
		if( isset($get_skin_data['skin_id_'. $element .'_linkhover_color'. $z]) ) $linkhover_color = $get_skin_data['skin_id_'.$element.'_linkhover_color'. $z]; else $linkhover_color = '';

		if( $linkhover_color !='' )
		{
			$linkhover_color_settings = '
 			color:#'. str_replace('#','', $linkhover_color ) .';';
			
			$elemhover_bgcolor_settings = '
			background-color:#'. str_replace('#','', $linkhover_color ) .';';

			$elemhover_bordercolor_settings = '
 			border-color:#'. str_replace('#','', $linkhover_color ) .';'; // set background color for various elements	

			$linkhover_color_border_top = '
 			border-top-color: #'. str_replace('#','', $linkhover_color ) .';'; // set border color for various elements	

			$linkhover_color_border_left = '
 			border-left-color: #'. str_replace('#','', $linkhover_color ) .';'; // set border color for various elements											
		}

		// LINK HOVER BACKGROUND COLOR	
		$linkhover_backgroundcolor = ( isset( $get_skin_data['skin_id_'. $element .'_linkhover_backgroundcolor'. $z] ) ? $get_skin_data['skin_id_'. $element .'_linkhover_backgroundcolor'. $z] : '' );	

		
		if( $linkhover_backgroundcolor !='' )
		{		
			$linkhover_backgroundcolor_settings = '
			background-color:#'. str_replace('#','', $linkhover_backgroundcolor ) .';';										
		}		
		

		// FLOATING HEADER FONT COLORS
		$transparent_font_color		= ( isset( $get_skin_data['skin_id_transparent_'. $element .'_font_color'. $z] ) ? $get_skin_data['skin_id_transparent_'. $element .'_font_color'. $z] : '' );	
		$transparent_link_color 		= ( isset( $get_skin_data['skin_id_transparent_'. $element .'_link_color'. $z] ) ? $get_skin_data['skin_id_transparent_'. $element .'_link_color'. $z] : '' );	
		$transparent_linkhover_color	= ( isset( $get_skin_data['skin_id_transparent_'. $element .'_linkhover_color'. $z] ) ? $get_skin_data['skin_id_transparent_'. $element .'_linkhover_color'. $z] : '' );	

		if( $transparent_font_color !='' )
		{
			$transparent_font_color = '
 			color:#'. str_replace('#','', $transparent_font_color ) .';';
		}	

		if( $transparent_link_color !='' )
		{
			$transparent_link_color = '
 			color:#'. str_replace('#','', $transparent_link_color ) .';';
		}	

		if( $transparent_linkhover_color !='' )
		{
			$transparent_linkhover_color = '
 			color:#'. str_replace('#','', $transparent_linkhover_color ) .';';
		}					
		

		// Logo Text Size
		$logo_size 		= ( isset( $get_skin_data['skin_id_'.$element.'_logo_size'. $z] ) ? stripslashes( $get_skin_data['skin_id_'.$element.'_logo_size'. $z] ) : '' );		
		$logo_font 		= ( isset( $get_skin_data['skin_id_'.$element.'_logo_font'. $z] ) ? stripslashes( $get_skin_data['skin_id_'.$element.'_logo_font'. $z] ) : '' );
		$logo_spacing		= ( isset( $get_skin_data['skin_id_'.$element.'_logo_spacing'.$z] )	? stripslashes( $get_skin_data['skin_id_'.$element.'_logo_spacing'.$z]) : '' );
		$logo_transform	= ( isset( $get_skin_data['skin_id_'.$element.'_logo_font_transform'.$z] )	? stripslashes( $get_skin_data['skin_id_'.$element.'_logo_font_transform'.$z]) : '' );
		$logo_weight		= ( isset( $get_skin_data['skin_id_'.$element.'_logo_font_weight'.$z] )	? stripslashes( $get_skin_data['skin_id_'.$element.'_logo_font_weight'.$z]) : '' );

		if( $logo_font !='' )
		{
			$logo_settings .='
 			font-family:'. $logo_font .';
			';
		}

		if( $logo_transform !='' )
		{
			$logo_settings .='
 			text-transform:'. $logo_transform .';
			';
		}	

		if( $logo_weight !='' )
		{
			if( $logo_weight == 'regular' )
			{
				$logo_weight = 'normal';
			}
			
			$logo_settings .='
 			font-weight:'. $logo_weight .';
			';
		}	

		if( $logo_spacing !='' )
		{
			$logo_settings .='
 			letter-spacing:'. $logo_spacing .';
			';
		}						

		if( isset($get_skin_data['skin_id_'. $element .'_logo_font_weight'. $z]) )
		{
			if ( strpos( $get_skin_data['skin_id_'. $element .'_logo_font_weight'. $z] , 'italic' ) !== false )
			{
				$logo_settings .='
 				font-style:italic;
				';	
			}
			else
			{
				$logo_settings .='
 				font-style:normal;
				';					
			}
		}			
		
		if( !empty($logo_size) )
		{		
			$logo_settings .= '
			font-size:'. $logo_size .';
			'; 		
		}
		
		// Logo Tagline
		$tagline_size 		= ( isset( $get_skin_data['skin_id_'.$element.'_tagline_size'. $z] ) 	? stripslashes( $get_skin_data['skin_id_'.$element.'_tagline_size'. $z] ) : '' );
		$tagline_spacing	= ( isset($get_skin_data['skin_id_'.$element.'_tagline_spacing'.$z])	? stripslashes( $get_skin_data['skin_id_'.$element.'_tagline_spacing'.$z]) : '' );

		if( !empty($tagline_size) )
		{		
			$logo_tagline_settings .= '
			font-size:'. $tagline_size .';'; 		
		}	

		if( !empty($tagline_spacing) )
		{		
			$logo_tagline_settings .= '
			letter-spacing:'. $tagline_spacing .';'; 		
		}			
			

		// Title Text Size
		$title_size = ( isset( $get_skin_data['skin_id_'.$element.'_title_size'. $z] ) ? stripslashes( $get_skin_data['skin_id_'.$element.'_title_size'. $z] ) : '' );		

		if( !empty($title_size) )
		{		
			$title_settings .= '
			font-size:'. $title_size .';'; 		
		}

		// Sub Title Text Size
		$sub_title_size = ( isset( $get_skin_data['skin_id_'.$element.'_sub_title_size'. $z] ) ? stripslashes( $get_skin_data['skin_id_'.$element.'_sub_title_size'. $z] ) : '' );		

		if( !empty($sub_title_size) )
		{		
			$sub_title_settings .= '
			font-size:'. $sub_title_size .';'; 		
		}		

		// H1
		if( isset($get_skin_data['skin_id_'.$element.'_h1_color'. $z]) ) $h1_color = $get_skin_data['skin_id_'.$element.'_h1_color'. $z];
		if( isset($get_skin_data['skin_id_'.$element.'_h1_size'. $z]) ) $h1_size = stripslashes( $get_skin_data['skin_id_'.$element.'_h1_size'. $z] ); else $h1_size = '';
		if( isset($get_skin_data['skin_id_'.$element.'_h1_line_height'. $z]) ) $h1_line_height = stripslashes( $get_skin_data['skin_id_'.$element.'_h1_line_height'. $z] ); else $h1_line_height = '';

		if( !empty($h1_color) )
		{
			$h1_color_settings = '
			color:#'. str_replace('#','', $h1_color ) .';';
		}

		if( !empty($h1_size) )
		{
			$h1_size_settings .= '
			font-size:'. $h1_size .';'; 
		}

  		if( !empty($h1_line_height) )
		{
			$h1_color_settings .= '
			line-height:'. $h1_line_height .';'; 
		}			
		

		// H2 COLOR
		if( isset($get_skin_data['skin_id_'.$element.'_h2_color'.$z]) ) $h2_color = $get_skin_data['skin_id_'.$element.'_h2_color'.$z];
		if( isset($get_skin_data['skin_id_'.$element.'_h2_size'. $z]) ) $h2_size = stripslashes( $get_skin_data['skin_id_'.$element.'_h2_size'. $z] ); else $h2_size = '';
		if( isset($get_skin_data['skin_id_'.$element.'_h2_line_height'. $z]) ) $h2_line_height = stripslashes( $get_skin_data['skin_id_'.$element.'_h2_line_height'. $z] ); else $h2_line_height = '';
		
		if( !empty($h2_color) )
		{
			$h2_color_settings = '
 			color:#'. str_replace('#','', $h2_color ) .';';
		}

		if( !empty($h2_size) )
		{
			$h2_size_settings .= '
			font-size:'. $h2_size .';'; 
		}
 
  		if( !empty($h2_line_height) )
		{
			$h2_color_settings .= '
			line-height:'. $h2_line_height .';'; 
		}		
 
 
		// H3 COLOR
		if( isset($get_skin_data['skin_id_'. $element .'_h3_color'. $z]) ) $h3_color = $get_skin_data['skin_id_'.$element.'_h3_color'. $z];
		if( isset($get_skin_data['skin_id_'.$element.'_h3_size'. $z]) ) $h3_size = stripslashes( $get_skin_data['skin_id_'.$element.'_h3_size'. $z] ); else $h3_size = '';
		if( isset($get_skin_data['skin_id_'.$element.'_h3_line_height'. $z]) ) $h3_line_height = stripslashes( $get_skin_data['skin_id_'.$element.'_h3_line_height'. $z] ); else $h3_line_height = '';
		
		

		if( !empty($h3_color) )
		{
			$h3_color_settings = '
 			color:#'. str_replace('#','', $h3_color ) .';';
		}

		if( !empty($h3_size) )
		{
			$h3_size_settings .= '
			font-size:'. $h3_size .';'; 
		}		
 
 		if( !empty($h3_line_height) )
		{
			$h3_color_settings .= '
			line-height:'. $h3_line_height .';'; 
		}		
 
 
		// H4 COLOR
		if( isset($get_skin_data['skin_id_'.$element.'_h4_color'. $z]) ) $h4_color = $get_skin_data['skin_id_'. $element .'_h4_color'.$z];
		if( isset($get_skin_data['skin_id_'.$element.'_h4_size'. $z]) ) $h4_size = stripslashes( $get_skin_data['skin_id_'.$element.'_h4_size'. $z] ); else $h4_size = '';

		if( !empty($h4_color) )
		{
			$h4_color_settings = '
 			color:#'. str_replace('#','', $h4_color ) .';';
		}

		if( !empty($h4_size) )
		{
			$h4_size_settings .= '
			font-size:'. $h4_size .';'; 
		}	


		// H5 COLOR
		if( isset($get_skin_data['skin_id_'.$element.'_h5_color'. $z]) ) $h5_color = $get_skin_data['skin_id_'.$element.'_h5_color'. $z];
		if( isset($get_skin_data['skin_id_'.$element.'_h5_size'. $z]) ) $h5_size = stripslashes( $get_skin_data['skin_id_'.$element.'_h5_size'. $z] ); else $h5_size = '';

		if( !empty($h5_color) )
		{
			$h5_color_settings = '
 			color:#'. str_replace('#','', $h5_color ) .';';
		}

		if( !empty($h5_size) )
		{
			$h5_size_settings .= '
			font-size:'. $h5_size .';'; 
		}	


		// H6 COLOR
		if( isset( $get_skin_data['skin_id_'.$element.'_h6_color'. $z]) ) $h6_color = $get_skin_data['skin_id_'.$element.'_h6_color'. $z];
		if( isset($get_skin_data['skin_id_'.$element.'_h6_size'. $z]) ) $h6_size = stripslashes( $get_skin_data['skin_id_'.$element.'_h6_size'. $z] ); else $h6_size = '';

		if( !empty($h6_color) )
		{
			$h6_color_settings = '
 			color:#'. str_replace('#','', $h6_color ) .';';
		}

		if( !empty($h6_size) )
		{
			$h6_size_settings .= '
			font-size:'. $h6_size .';'; 
		}	

		// Metadata Color Settings
		$metadata_color = ( isset( $get_skin_data['skin_id_'. $element .'_meta_color'.$z] ) ) ? str_replace( '#', '', $get_skin_data['skin_id_'. $element .'_meta_color'.$z] ) : '';
	

		// Button Background Color
		if( !empty($metadata_color) )
		{
			$metadata_color = '
 			color: #'. str_replace('#','', $metadata_color ) .';';	
		}		

		// Shaded Color Settings
		$shaded_color = ( isset( $get_skin_data['skin_id_'. $element .'_shaded_color'.$z] ) ) ? str_replace( '#', '', $get_skin_data['skin_id_'. $element .'_shaded_color'.$z] ) : '';
		$shaded_border = ( isset( $get_skin_data['skin_id_'. $element .'_shaded_border_color'. $z] ) ) ? $get_skin_data['skin_id_'.$element.'_shaded_border_color'. $z] : '';


		// Shaded Background Color
		if( !empty($shaded_color) )
		{
			$shaded_background_color = '
 			background-color: #'. str_replace('#','', $shaded_color ) .';';

			$shaded_background_color_shadow = '
 			box-shadow: 0 5px 0 #'. str_replace('#','', acoda_adjust_brightness( str_replace('#','', $shaded_color ), -30 ) ) .';';				
			
			// Border using Shaded Background Color 
			$shaded_background_color_border = '
 			border-color: #'. str_replace('#','', $shaded_color ) .';';	
		}


		// Shaded Border Color
		if( !empty($shaded_border) )
		{
			$shaded_border_color = '
 			border-color:#'. str_replace('#','', $shaded_border ) .';';

			$shaded_border_background_color = '
 			background-color:#'. str_replace('#','', $shaded_border ) .';';			
		}

		// Element Color Settings
		$element_color = ( isset( $get_skin_data['skin_id_'. $element .'_element_color'.$z] ) ) ? str_replace( '#', '', $get_skin_data['skin_id_'. $element .'_element_color'.$z] ) : '';	

		// Element Hover Color Settings
		$element_hover_color = ( isset( $get_skin_data['skin_id_'. $element .'_element_hover_color'.$z] ) ) ? str_replace( '#', '', $get_skin_data['skin_id_'. $element .'_element_hover_color'.$z] ) : '';				

		// Shaded Element Color
		if( !empty($element_color) )
		{
			$shaded_element_color = '
 			color: #'. str_replace('#','', $element_color ) .';';	
		}

		if( !empty($element_hover_color) )
		{
			$shaded_element_hover_color = '
 			color: #'. str_replace('#','', $element_hover_color ) .';';	
		}		

		// Header Overlay Color Settings
		$header_overlay_color 			= ( isset( $get_skin_data['skin_id_layer_'. $element .'_overlay_color'.$z] ) ) ? $get_skin_data['skin_id_layer_'. $element .'_overlay_color'.$z] : '';


		if( !empty($header_overlay_color) )
		{					
			$header_overlay_color = '
 			background-color:'. $header_overlay_color;				
		}			
		
		

		// Header Menu / Logo Color
		$header_menulogo_color 			= ( isset( $get_skin_data['skin_id_layer_'. $element .'_menulogo_color'.$z] ) ) ? $get_skin_data['skin_id_layer_'. $element .'_menulogo_color'.$z] : '';


		if( !empty($header_menulogo_color) )
		{					
			$header_menulogo_color = '
 			background-color:'. $header_menulogo_color;				
		}	


		// Hover Overlay Color Settings
		$hover_overlay_color 				= ( isset( $get_skin_data['skin_id_'. $element .'_hover_overlay_color'.$z] ) ) ? str_replace( '#', '', $get_skin_data['skin_id_'. $element .'_hover_overlay_color'.$z] ) : '';
		$hover_overlay_text_color 		= ( isset( $get_skin_data['skin_id_'. $element .'_hover_overlay_text_color'.$z] ) ) ? str_replace( '#', '', $get_skin_data['skin_id_'. $element .'_hover_overlay_text_color'.$z] ) : '';


		if( !empty($hover_overlay_color) )
		{		
			$hover_overlay_rgb = acoda_html2rgb( $hover_overlay_color );
			
			$hover_overlay_gradient = '
 			background: #'. str_replace('#','', $hover_overlay_color ) .';	
			background: -webkit-linear-gradient( rgba('. $hover_overlay_rgb .',0 ), #'. str_replace('#','', $hover_overlay_color ) .');
			background: -o-linear-gradient( rgba('. $hover_overlay_rgb .',0 ), #'. str_replace('#','', $hover_overlay_color ) .'); 
			background: -moz-linear-gradient( rgba('. $hover_overlay_rgb .',0 ), #'. str_replace('#','', $hover_overlay_color ) .');
			background: linear-gradient( rgba('. $hover_overlay_rgb .',0 ), #'. str_replace('#','', $hover_overlay_color ) .'); 		
			';	
					
			$hover_overlay_color = '
 			background-color: #'. str_replace('#','', $hover_overlay_color ) .';';			
		}	

		if( !empty($hover_overlay_text_color) )
		{		
			$hover_overlay_text_color = '
 			color: #'. str_replace('#','', $hover_overlay_text_color ) .';';	
		}	

		// Button Color Settings
		$button_color 				= ( isset( $get_skin_data['skin_id_'. $element .'_button_color'.$z] ) ) ? str_replace( '#', '', $get_skin_data['skin_id_'. $element .'_button_color'.$z] ) : '';
		$button_hover_color		= ( isset( $get_skin_data['skin_id_'. $element .'_button_hover_color'.$z] ) ) ? str_replace( '#', '', $get_skin_data['skin_id_'. $element .'_button_hover_color'.$z] ) : '';
		$button_text_color		= ( isset( $get_skin_data['skin_id_'. $element .'_button_text_color'. $z] ) ) ? $get_skin_data['skin_id_'.$element.'_button_text_color'. $z] : '';
		$button_text_hover_color	= ( isset( $get_skin_data['skin_id_'. $element .'_button_text_hover_color'. $z] ) ) ? $get_skin_data['skin_id_'.$element.'_button_text_hover_color'. $z] : '';


		// Button Background Color
		if( !empty($button_color) )
		{
			$button_outline_settings = '
 			border-color: #'. str_replace('#','', $button_color ) .';color: #'. str_replace('#','', $button_color ) .';';				

			$button_color_as_text = '
 			color: #'. str_replace('#','', $button_color ) .';';		
			
			$button_color_darker = acoda_adjust_brightness( str_replace('#','', $button_color ), -30 );	
			
			$button_color_shadow = '
 			box-shadow: 0 5px 0 #'. str_replace('#','', $button_color_darker ) .';';		
			
			$button_color_shadow_hover = '
 			box-shadow: 0 3px 0 #'. str_replace('#','', $button_color_darker ) .';';						
			
			$button_color = '
 			background-color: #'. str_replace('#','', $button_color ) .';';	
		}	

		// Button Text Color
		if( !empty($button_text_color) )
		{
			$button_text_color = '
 			color: #'. str_replace('#','', $button_text_color ) .';';	
		}	

		// Button Hover Background Color
		if( !empty($button_hover_color) )
		{
			$button_outline_hover_settings = '
 			border-color: #'. str_replace('#','', $button_hover_color ) .';color: #'. str_replace('#','', $button_hover_color ) .';';		
						
			$button_hover_settings .= '
 			background-color: #'. str_replace('#','', $button_hover_color ) .';';			
		}	

		// Button Text Hover Color
		if( !empty($button_text_hover_color) )
		{
			$button_hover_settings .= '
 			color: #'. str_replace('#','', $button_text_hover_color ) .';';	
		}						

		
		// Frame Background
		$color_pri = ( isset( $get_skin_data['skin_id_layer_'. $element .'_color'.$z] ) ) ? str_replace( '#', '', $get_skin_data['skin_id_layer_'. $element .'_color'.$z] ) : '';
		$color_sec = $color_pri;
		

		// Background Image	
		$image_featured = ( isset( $get_skin_data['skin_id_layer_'. $element .'_image_featured'] ) ) ? $get_skin_data['skin_id_layer_'. $element .'_image_featured'] : '';
			
		if( $image_featured == TRUE || ( is_single() && of_get_option( 'post_headerimage' ) == 'enable' ) && $element == 'header' )
		{
			$post_image_id = get_post_thumbnail_id( get_the_ID() );
			
			if( !empty( $post_image_id ) )
			{
				$thumbnail = wp_get_attachment_image_src( $post_image_id, 'post-thumbnail', false );
				$image = $thumbnail[0];
				$background_image = parse_url( $image, PHP_URL_PATH ); // make relative Image URL
			}
			else
			{
				$background_image 	= ( isset( $get_skin_data['skin_id_layer_'. $element .'_image'.$z] ) ) ? $get_skin_data['skin_id_layer_'. $element .'_image'.$z] : '';
			}
		}
		else
		{
			$background_image 	= ( isset( $get_skin_data['skin_id_layer_'. $element .'_image'.$z] ) ) ? $get_skin_data['skin_id_layer_'. $element .'_image'.$z] : '';
		}
		
		$background_image_repeat		= ( isset( $get_skin_data['skin_id_layer_'. $element .'_image_repeat'.$z] ) ) ? $get_skin_data['skin_id_layer_'. $element .'_image_repeat'.$z] : '';
		$background_image_position	= ( isset( $get_skin_data['skin_id_layer_'. $element .'_image_position'.$z] ) ) ? $get_skin_data['skin_id_layer_'. $element .'_image_position'.$z] : '';
		$background_image_size		= ( isset( $get_skin_data['skin_id_layer_'. $element .'_image_size'.$z] ) ) ? $get_skin_data['skin_id_layer_'. $element .'_image_size'.$z] : '';
		$background_image_attachment	= ( isset( $get_skin_data['skin_id_layer_'. $element .'_image_attachment'.$z] ) ) ? $get_skin_data['skin_id_layer_'. $element .'_image_attachment'.$z] : '';
		$background_border_color		= ( isset( $get_skin_data['skin_id_layer_'. $element .'_border_color'.$z] ) ) ? $get_skin_data['skin_id_layer_'. $element .'_border_color'.$z] : '';
 
		if( !empty($background_image) )
		{
			$elementsettings .= '
			background-image: url( '. esc_url( $background_image ) .' );
			';	

			if( !empty($background_image_repeat) )
			{
				$elementsettings .= '
				background-repeat: '.$background_image_repeat.';
				';	
			}
	
			if( !empty($background_image_position) )
			{
				$elementsettings .= '
				background-position: '.$background_image_position.';
				';	
			}

			if( !empty($background_image_size) )
			{
				$elementsettings .= '
				background-size: '.$background_image_size.';
				';	
			}	

			if( !empty($background_image_attachment) )
			{
				$elementsettings .= '
				background-attachment: '.$background_image_attachment.';
				';	
			}								
		}

		// Background Border Color
		if( !empty( $background_border_color ) )
		{
			$elementsettings .= '
			border-color: #'. str_replace('#','', $background_border_color ) .';
			';				
			
			if( 'sub_header' == $element )
			{
				$elementsettings .= '
				border-width: 1px 0 0 0;
				';						
			}
			else
			{
				$elementsettings .= '
				border-width: 0 0 1px 0;
				';						
			}
		}

		if( !empty($color_pri) )
		{
			$rgb_color_pri = acoda_html2rgb($color_pri);
			$rgb_color_sec = acoda_html2rgb($color_sec);
			
			// Primary Opacity
			$opacity_pri = ( isset( $get_skin_data['skin_id_layer_'. $element .'_opac'. $z] ) ) ? $get_skin_data['skin_id_layer_'. $element .'_opac'. $z] : 100;

			// Set Footer Opacity
			if( $element == 'footer' ) 	$opacity_pri = '100';

			// Secondary Opacity
			$opacity_sec = $opacity_pri;			
			
			if( $opacity_pri == '100' || $opacity_pri == '' )
			{
				$opacity_pri = '1';
			}
			elseif( $opacity_pri == '.' ) 
			{
				$opacity_pri = '0'; 
			}
			elseif( $opacity_pri < '10' ) 
			{
				$opacity_pri = '0.1'. $opacity_pri;
			}
			else 
			{
				$opacity_pri = '0.'.$opacity_pri;
			}
	
				 
			$ie_opacity_pri = $opacity_pri * 255;
			$ie_opacity_pri = dechex($ie_opacity_pri);
			$ie_opacity_sec = $opacity_sec * 255;
			$ie_opacity_sec = dechex($ie_opacity_sec);
		 
			if( $ie_opacity_pri == '0' ) $ie_opacity_pri = '00';
			if( $ie_opacity_sec == '0' ) $ie_opacity_sec = '00';
		 
		 	if( $element == 'header' || $element == 'dockpanel' )
			{
				$header_bgcolor .= '
				background: rgba( '.$rgb_color_pri.',  '.$opacity_pri.');';

				$header_pseudo .= '
				border-color: rgba( '.$rgb_color_pri.',  '.$opacity_pri.');';		
			}
			
			if( $element == 'submenu' )
			{
				$menu_pseudo .= '
				border-color: rgba( '.$rgb_color_pri.',  '.$opacity_pri.');';						
			}

		 	if( $element == 'footer' )
			{
				$footer_background = '
				background-color: rgb( '.$rgb_color_pri.' );
				background-color: rgba( '.$rgb_color_pri.',  '.$opacity_pri.');
				';
			}

		 	if( $element == 'main' )
			{
				$main_background = '
				background-color: rgb( '.$rgb_color_pri.' );
				background-color: rgba( '.$rgb_color_pri.',  '.$opacity_pri.');
				';
			}			
		
			$elementsettings .= '
			background-color: rgb( '.$rgb_color_pri.' );
			background-color: rgba( '.$rgb_color_pri.',  '.$opacity_pri.');
			';	
									
		} 

		
		// format css style number
		if( !empty($z) )
		{ 
			$z = str_replace( '_', '', $z ); 
			$z = $z + 1;
			$z = '-'. $z;	
		}

		if( !empty($elementsettings) )
		{
			$class = acoda_set_css( $inherited_elements,'' );
			$extras = '';
			$formatgallery = ''; 
	 
			$css_elems = '.skinset-'. $element . $z .'.acoda-skin';	
	 
			$css .= $class . $css_elems.' {
			'.$elementsettings.'
			}';
	
		}
	
		// header menu
		if( !empty($header_bgcolor) && ( $element == 'header' ||  $element == 'dockpanel' ) )
		{		
			if( $element == 'header' || $element == 'menu' )
			{
				$css .= '
				#primary-wrapper .skinset-header.acoda-skin #header.stuck,
				.skinset-submenu,
				.skinset-dockpanel  { '. $header_bgcolor .' }
	
				#acoda-tabs ul ul.sub-menu:before,
				#acoda-tabs ul ul.sub-menu ul:before,
				#acoda-tabs ul ul.sub-menu span.pointer:before,
				.dock-panel-wrap .dock-tab-wrapper span.pointer:before { '. $header_pseudo .' }
				
				@media only screen and (min-width: 64.063em) {
				 .dock_layout_2 .dock-panel-wrap .dock-tab-wrapper span.pointer:before,
				 .dock_layout_3 .dock-panel-wrap .dock-tab-wrapper span.pointer:before { '. $header_pseudo .' }
				}';
			}
			
			if( $element == 'dockpanel' )
			{
				$css .= '
				.skinset-dockpanel  { '. $header_bgcolor .' }
				.dock-panel-wrap .dock-tab-wrapper span.pointer:before { '. $header_pseudo .' }

				@media only screen and (min-width: 64.063em) {
				 .dock_layout_2 .dock-panel-wrap .dock-tab-wrapper span.pointer:before,
				 .dock_layout_3 .dock-panel-wrap .dock-tab-wrapper span.pointer:before { '. $header_pseudo .' }
				}';				
			}
		}

		if( $element == 'submenu' && !empty( $menu_pseudo ) )
		{
			$css .= '	
			#acoda-tabs ul ul.sub-menu span.pointer:before,
			#acoda-tabs ul ul.sub-menu:before,
			#acoda-tabs ul ul.sub-menu ul:before { '. $menu_pseudo .' }';				
		}		
	
		if( !empty($font_color_settings) )
		{
			$css .= '
			.skinset-'. $element.$z .' div.item-list-tabs ul li a,
			.skinset-'. $element.$z .' .widget ul li.current_page_item a,
			.skinset-'. $element.$z .' div.post-metadata a,
			.skinset-'. $element.$z .' .commentlist .comment-author a,
			.skinset-'. $element.$z .' .recent-metadata a,
			.skinset-'. $element.$z .' .post-metadata a,
			.skinset-'. $element.$z .' .widget.widget_pages li a,
			.skinset-'. $element.$z .' .widget.widget_nav_menu li a,
			.skinset-'. $element.$z .' .widget.widget_recent_entries li a,
			.skinset-'. $element.$z .' #content span.price,
			.skinset-'. $element.$z .' #content span.amount,
			.skinset-'. $element.$z .' ul.products li.product h3 { '. $font_color_settings .' }
			';
		}
		
		if( !empty( $elem_bordercolor_settings ) )
		{		
			$css .= '
			.skinset-'. $element.$z .' .blockquote_line,
			.skinset-'. $element.$z .' blockquote,
			.skinset-'. $element.$z .' .button.vc_btn_outlined:hover,
			.skinset-'. $element.$z .' .button.vc_btn_square_outlined:hover,
			.skinset-'. $element.$z .' .vc_sep_color_link_color .vc_sep_line { '. $elem_bordercolor_settings .' }
			';			
		}
		
		if( !empty($link_color_settings) )
		{
			$class = acoda_set_css($inherited_elements,'a');
			$css .= $class.'
			.skinset-'. $element.$z .' a,
			.skinset-'. $element.$z .' #sub-tabs i,
			.skinset-'. $element.$z .' .current_page_item>a,
			.skinset-'. $element.$z .' .current-menu-item>a,
			.skinset-'. $element.$z .' .current-menu-ancestor>a,
			.skinset-'. $element.$z .' #content .cart-collaterals .cart_totals .total,
			.skinset-'. $element.$z .' #content .cart-collaterals .cart_totals .cart-subtotal,
			.skinset-'. $element.$z .' #content .cart-collaterals .cart_totals span.amount,
			.skinset-'. $element.$z .' #content div.product .stock,
			.skinset-'. $element.$z .' span.text_linkcolor,
			.skinset-'. $element.$z .' span.white-text a:hover,
			.skinset-'. $element.$z .' .commentlist .comment-author h6,
			.skinset-'. $element.$z .' .commentlist .comment-author h6 a,
			.skinset-'. $element.$z .' .list.link_color li:before {'. $link_color_settings .' }
			';
			
			if( $element == 'submenu' )
			{
				$css .= $class.'
				#acoda-tabs ul li.mega-menu > ul > li.current-menu-ancestor > a,
				#acoda-tabs ul li.mega-menu > ul > li.menu-title:hover > a {'. $link_color_settings .' }
				';
			}
		}
	
		if( !empty($linkhover_color_settings) )
		{
			$class = acoda_set_css($inherited_elements,'a:hover');

			if( $element == 'header' || $element == 'menu' || $element == 'dockbar'  || $element == 'submenu' )
			{
				$css .='
				.skinset-'. $element.$z .' li:hover > a,
				.skinset-'. $element.$z .' li.current_page_item > a,
				.skinset-'. $element.$z .' li.current_page_parent > a,
				.skinset-'. $element.$z .' li.current-post-parent > a,
				.skinset-'. $element.$z .' li.current-menu-item > a,
				.skinset-'. $element.$z .' #acoda_dropmenu > li.menu-item:hover > a,
				.skinset-'. $element.$z .' li.current-menu-ancestor > a,';
			}
			
			// bbPress Styling
			if( class_exists( 'bbPress' ) )
			{
				$css .='
				.skinset-'. $element.$z .' #favorite-toggle .is-favorite i,
				.skinset-'. $element.$z .' #subscription-toggle .is-subscribed i,
				.skinset-'. $element.$z .' #bbpress-forums .bbp-meta a:hover,
				.skinset-'. $element.$z .' #bbpress-forums .bbp-topic-tags a:hover,
				.skinset-'. $element.$z .' #bbpress-forums .bbp-topic-meta a:hover,';				
			}

			if( $element == 'dockpanel' || $element == 'submenu' )
			{
				$css .= '
				#header .skinset-'. $element.$z .' a:hover,
				#header .skinset-'. $element.$z .' a:active,
				';
			}				
	
			
			$css .= $class.'
			.skinset-'. $element.$z .' a:hover,
			.skinset-'. $element.$z .' a:active,
			.skinset-'. $element.$z .' a.waypoint_active,
			.skinset-'. $element.$z .' .post-metadata a:hover,
			.skinset-'. $element.$z .' nav.pagination .page-numbers.current,
			.skinset-'. $element.$z .' ul.post-metadata-wrap a:hover,
			.skinset-'. $element.$z .' .widget.widget_pages li a:hover,
			.skinset-'. $element.$z .' .widget.widget_nav_menu li a:hover,
			.skinset-'. $element.$z .' .widget.widget_recent_entries li a:hover,
			.skinset-'. $element.$z .' .widget.widget_pages a,
			.skinset-'. $element.$z .' .gallery-wrap .slidernav-left:hover a,
			.skinset-'. $element.$z .' .gallery-wrap .slidernav-right:hover a,
			.skinset-'. $element.$z .' .zoomflow .controlsCon > .arrow-left:hover i,
			.skinset-'. $element.$z .' .zoomflow .controlsCon > .arrow-right:hover i,
			.skinset-'. $element.$z .' .control-panel li a:hover,
			.skinset-'. $element.$z .' .info .info-back a:hover,
			.skinset-'. $element.$z .' .post-like a.liked i,
			.skinset-'. $element.$z .' span.text_linkhovercolor,
			.skinset-'. $element.$z .' span.text_linkhovercolor a,
			.skinset-'. $element.$z .' nav.pagination > .page-numbers,
			.skinset-'. $element.$z .' .acoda-ajax-loading:after,
			.skinset-'. $element.$z .' .wpb_content_element .wpb_wrapper .ui-state-active a,
			.skinset-'. $element.$z .' .gallery-wrap .ih-item .info a:hover,
			.skinset-'. $element.$z .' .vc_btn3.vc_btn3-style-outline.text_only:hover,
			.skinset-'. $element.$z .' .page-numbers.current { '. $linkhover_color_settings .' }
			';	
		}

		if( !empty($heading_color_settings) || !empty($heading_tag_settings) )
		{
			$class = acoda_set_css($inherited_elements,'h1, h1 a, h2, h2 a, h3, h3 a, h4, h4 a, h5, h5 a, h6, h6 a');
			$css .= $class.'
			.skinset-'. $element.$z .' h1,
			.skinset-'. $element.$z .' h1 a,
			.skinset-'. $element.$z .' h2,
			.skinset-'. $element.$z .' h2 a,
			.skinset-'. $element.$z .' h3,
			.skinset-'. $element.$z .' h3 a,
			.skinset-'. $element.$z .' h4,
			.skinset-'. $element.$z .' h4 a,
			.skinset-'. $element.$z .' h5,
			.skinset-'. $element.$z .' h5 a,
			.skinset-'. $element.$z .' h6,
			.skinset-'. $element.$z .' h6 a,
			.skinset-'. $element.$z .' .blockquote_line,
			.skinset-'. $element.$z .' blockquote,
			.skinset-'. $element.$z .' .vc_tta.vc_general .vc_tta-tab>a,
			.skinset-'. $element.$z .' .vc_pie_chart_value,
			.skinset-'. $element.$z .' .heading-font,
			.skinset-'. $element.$z .' .widget-title,
			.skinset-'. $element.$z .' .bbp-topic-title a.bbp-topic-permalink,
			.skinset-'. $element.$z .' .bbp-forum-title { '. $heading_color_settings.$heading_tag_settings .'	}
			';
		}
				
	
		if( !empty($logo_settings) )
		{
			$css .='
			.skinset-'. $element.$z .' #logo .logo,
			.skinset-'. $element.$z .' #logo .logo a { '. $logo_settings .' }
			';
		}
		
		if( !empty($logo_tagline_settings) )
		{
			$css .='
			.skinset-'. $element.$z .' #logo .description { '. $logo_tagline_settings .' }
			';
		}	
		
		if( !empty($title_settings) )
		{
			$css .='
			.skinset-'. $element.$z .' .intro-wrap .post-titles h1 { '. $title_settings .' }
			';
		}	

		if( !empty($sub_title_settings) )
		{
			$css .='
			.skinset-'. $element.$z .' .intro-wrap .post-titles h2 { '. $sub_title_settings .' }
			';
		}					

		if( !empty($h1_color_settings) || !empty($h1_tag_settings) )
		{
			$class = acoda_set_css($inherited_elements,'h1, h1 a');
			$css .= $class.'.skinset-'. $element.$z .' h1, .skinset-'. $element.$z .' h1 a { '.$h1_color_settings.$h1_tag_settings.' }
			';
		}
	
		if( !empty($h2_color_settings) || !empty($h2_tag_settings) )
		{
			$class = acoda_set_css($inherited_elements,'h2, h2 a');
			$css .= $class.'.skinset-'. $element.$z .' h2, .skinset-'. $element.$z .' h2 a { '.$h2_color_settings.$h2_tag_settings.' }
			';	
			
			if( 'sub_header' == $element )
			{
				$css .= $class.'.skinset-'. $element.$z .' .post-titles span.date { '.$h2_color_settings.$h2_tag_settings.' }
				';					
			}
		}
	
		if( !empty($h3_color_settings) )
		{
			$class = acoda_set_css($inherited_elements,'h3, h3 a');
			$css .= $class.'.skinset-'. $element.$z .' h3, .skinset-'. $element.$z .' h3 a { '.$h3_color_settings.' }
			';	
		}
	
		if( !empty($h4_color_settings) )
		{
			$class = acoda_set_css($inherited_elements,'h4, h4 a, h5, h5 a, h6, h6 a');
			$css .= $class.'.skinset-'. $element.$z .' h4, .skinset-'. $element.$z .' h4 a, .skinset-'. $element.$z .' h5, .skinset-'. $element.$z .' h5 a, .skinset-'. $element.$z .' h6, .skinset-'. $element.$z .' h6 a { '.$h4_color_settings.' }
			';	
		}

		if( !empty($h5_color_settings) )
		{
			$class = acoda_set_css($inherited_elements,'h5, h5 a');
			$css .= $class.'.skinset-'. $element.$z .' h5, .skinset-'. $element.$z .' h5 a { '.$h5_color_settings.' }
			';	
		}

		if( !empty($h6_color_settings) )
		{
			$class = acoda_set_css($inherited_elements,'h6, h6 a');
			$css .= $class.'.skinset-'. $element.$z .' h6, .skinset-'. $element.$z .' h6 a { '.$h6_color_settings.' }
			';	
		}			
		
		if( !empty( $h1_size_settings	 ) || !empty( $h2_size_settings ) || !empty( $h3_size_settings ) || !empty( $h4_size_settings ) || !empty( $h5_size_settings ) ||!empty( $h6_size_settings ) )
		{
			$css .='
			@media only screen and (min-width: 64.063em) {
			';
			
				if( !empty( $h1_size_settings	) )
				{
					$css .= '.skinset-'. $element.$z .' h1 { '.$h1_size_settings.' }		
					';							
				}

				if( !empty( $h2_size_settings	) )
				{
					$css .= '.skinset-'. $element.$z .' h2 { '.$h2_size_settings.' }		
					';							
				}	

				if( !empty( $h3_size_settings	) )
				{
					$css .= '.skinset-'. $element.$z .' h3 { '.$h3_size_settings.' }		
					';							
				}			

				if( !empty( $h4_size_settings	) )
				{
					$css .= '.skinset-'. $element.$z .' h4 { '.$h4_size_settings.' }		
					';							
				}						

				if( !empty( $h5_size_settings	) )
				{
					$css .= '.skinset-'. $element.$z .' h5 { '.$h5_size_settings.' }		
					';							
				}		

				if( !empty( $h6_size_settings	) )
				{
					$css .= '.skinset-'. $element.$z .' h6 { '.$h6_size_settings.' }		
					';							
				}												
			

			$css .='}
			';			
		}
	

		if( !empty($form_color_settings) )
		{
			$class = acoda_set_css($inherited_elements,'input[type="text"], input[type="password"],input[type="file"],textarea,input');
			$css .= $class.'.skinset-'. $element.$z .' input[type="text"],.skinset-'. $element.$z .' input[type="password"],.skinset-'. $element.$z .' input[type="file"],.skinset-'. $element.$z .' textarea,.skinset-'. $element.$z .' input { '.$form_color_settings.' }
			';	
		}

		if( !empty($font_family_settings) )
		{
			if( $element == 'header' )
			{
				$class = acoda_set_css($inherited_elements,'#acoda-tabs');

				$css .=  $class.'
				.skinset-'. $element.$z .' #acoda-tabs,
				.skinset-'. $element.$z .' #acoda-tabs ul,
				.splitter-wrap li a,
				nav.dock-panel-wrap ul.dock_menu li  { '. $font_family_settings .' }
				';					
			}
			else
			{
				$css .='.skinset-'. $element.$z .' { '.$font_family_settings.' }
				';					
			}

		}	
		
		if( !empty( $menu_icon_width ) && $element == 'header' )
		{
			$css .=  $class.'
			.skinset-'. $element.$z .' #acoda-tabs .menu-item > a > i { '. $menu_icon_width .' }
			';				
		}

		if( !empty($font_size_settings) )
		{
			// Media Query Start
			$css .='@media only screen and (min-width: 64.063em) { 
			';
			
			if( $element == 'header' )
			{
				$css .='
				.skinset-'. $element.$z .' #acoda-tabs,
				.skinset-'. $element.$z .' #acoda-tabs ul,
				.skinset-'. $element.$z .' #acoda-tabs ul.dock-panel li.dock-tab a i,
				nav.dock-panel-wrap ul.dock_menu li { '.$font_size_settings.' }
				';					
			}
			else if( $element == 'menu' )
			{
				$css .='
				#primary-wrapper .skinset-'. $element.$z .'#acoda-tabs ul ul,
				#primary-wrapper .skinset-'. $element.$z .'#acoda-tabs ul ul.dock-panel li.dock-tab a i,
				#primary-wrapper  nav.dock-panel-wrap ul ul.dock_menu li { '.$font_size_settings.' }
				';					
			}			
			else
			{
				$class = acoda_set_css($inherited_elements,'body,p,ul,ol,dl');
				$css .= $class.'.skinset-'. $element.$z .',.skinset-'. $element.$z .' p,.skinset-'. $element.$z .' ul,.skinset-'. $element.$z .' dl,.skinset-'. $element.$z .' ol { '.$font_size_settings.' }
				';			
			}

			// Media Query End
			$css .='}
			';			
		}
	
		if( !empty($linkhover_backgroundcolor_settings) )
		{	
			if( $element == 'header' )			
			{
				$css .='		
				.skinset-'. $element.$z .' .dock-tab span.items-count,';
			}
		
			if( $element == 'header' || $element == 'menu' || $element == 'submenu'  )
			{
				$css .= '
				.skinset-'. $element.$z .' #acoda_dropmenu > li:hover > a,
				.skinset-'. $element.$z .' #acoda_dropmenu > li > a.waypoint_active,
				.skinset-'. $element.$z .' #acoda_dropmenu > li.current_page_parent > a,
				.skinset-'. $element.$z .' #acoda_dropmenu > li.current-menu-item > a,
				.skinset-'. $element.$z .' #acoda_dropmenu > li.current-post-parent > a,
				.skinset-'. $element.$z .' #acoda_dropmenu > li.current_page_item > a,
				.skinset-'. $element.$z .' #acoda_dropmenu > li.current-menu-ancestor > a,
				.skinset-'. $element.$z .' span.highlight.two { '. $linkhover_backgroundcolor_settings .' }
				';
			}			
		}
		
		if( !empty($elem_bgcolor_settings) )
		{
			$class = acoda_set_css($inherited_elements,'span.highlight.one, .commentlist .reply a, div.header-message');
			
			if( $element == 'background' )
			{
				$class .= '
				.skinset-'. $element.$z .' .dock-tab span.items-count,';
			}

			$css .= $class.'
			.skinset-'. $element.$z .' span.highlight.one,
			.skinset-'. $element.$z .' .commentlist .reply a,
			.skinset-'. $element.$z .' div.header-infobar,
			.skinset-'. $element.$z .' div.item-list-tabs ul li a span,
			.skinset-'. $element.$z .' .widget_display_stats dd strong,
			.skinset-'. $element.$z .' div#message.updated,
			.skinset-'. $element.$z .' input[type="button"],
			.skinset-'. $element.$z .' button, 
			.skinset-'. $element.$z .' submit,
			.skinset-'. $element.$z .' input[type="submit"],
			.skinset-'. $element.$z .' a.button, 
			.skinset-'. $element.$z .' .button-wrap .button.link_color a,
			.skinset-'. $element.$z .' button.button, 
			.skinset-'. $element.$z .' input.button, 
			.skinset-'. $element.$z .' #review_form #submit,
			.skinset-'. $element.$z .' .woocommerce-info:before,
			.skinset-'. $element.$z .' span.onsale,
			.skinset-'. $element.$z .' .vc_general.vc_btn3-color-link_color,
			.skinset-'. $element.$z .' span.fonticon.background,
			.skinset-'. $element.$z .' a.action-icons i,
			.skinset-'. $element.$z .' .color .socicons.social-email a,
			.skinset-'. $element.$z .' .color_hover .socicons.social-email a:hover,
			.skinset-'. $element.$z .' .vc_toggle_title h4:before,
			.skinset-'. $element.$z .' span.portfolio-link,
			.skinset-'. $element.$z .' span.action-hover { '. $elem_bgcolor_settings .' }
			';	
		}
	
		if( !empty($elemhover_bgcolor_settings) )
		{
			$class = acoda_set_css($inherited_elements,'');

			if( class_exists( 'bbPress' ) )
			{
				$css .='
				.skinset-'. $element.$z .' #bbpress-forums li.bbp-body .hentry.bbp-private-reply:before,
				.skinset-'. $element.$z .' #bbpress-forums li.bbp-body .hentry.super-sticky:before,
				.skinset-'. $element.$z .' #bbpress-forums li.bbp-body .hentry.sticky:before,
				.skinset-'. $element.$z .' #bbpress-forums .bbp-body a.bbp-reply-permalink,
				';				
			}			
			
			$css .= $class.'
			.skinset-'. $element.$z .' input[type="submit"]:hover,
			.skinset-'. $element.$z .' input[type="button"]:hover,
			.skinset-'. $element.$z .' a.button:hover,
			.skinset-'. $element.$z .' span.highlight,
			.skinset-'. $element.$z .' button.button:hover,
			.skinset-'. $element.$z .' .vc_general.vc_btn3-color-link_color:focus,
			.skinset-'. $element.$z .' .vc_general.vc_btn3-color-link_color:hover,
			.skinset-'. $element.$z .' .post.sticky .entry > h2:before,
			.skinset-'. $element.$z .' .status-sticky .entry > h2:before,
			.skinset-'. $element.$z .' .comments-value,
			.skinset-'. $element.$z .' .acoda-spinner .dot1, 
			.skinset-'. $element.$z .' .acoda-spinner .dot2,
			.skinset-'. $element.$z .' .acoda-spinner .dot3  { '. $elemhover_bgcolor_settings .' }
			
			.skinset-'. $element.$z .' ::selection  { '.$elemhover_bgcolor_settings.' }	
			.skinset-'. $element.$z .' ::-moz-selection  { '.$elemhover_bgcolor_settings.' }		
				
			';
		}	

		if( !empty($elemhover_bordercolor_settings) )
		{
			$class = acoda_set_css($inherited_elements,'');
				
			$css .= $class.'
			.skinset-'. $element.$z .' .comments-value:after  { '. $elemhover_bordercolor_settings .' }			
			';
		}				
		
	
		if( !empty($elem_extras_1) )
		{
			$class = acoda_set_css($inherited_elements,'acronym, abbr');
			$css .= $class.'.skinset-'. $element.$z .' acronym, .skinset-'. $element.$z .' abbr { '.$elem_extras_1.' }
			';	
		}

		if( !empty($linkhover_color_border_top) )
		{
			if( class_exists( 'bbPress' ) )
			{
				$css .='
				.skinset-'. $element.$z .' #bbpress-forums li.bbp-header,
				.skinset-'. $element.$z .' #bbpress-forums .hentry.sticky,
				.skinset-'. $element.$z .' #bbpress-forums li.bbp-body .hentry.bbp-private-reply,
				.skinset-'. $element.$z .' #bbpress-forums .hentry.super-sticky,
				';				
			}	
			
			$css .= '
			.skinset-'. $element.$z .' #content article.hentry.sticky,
			.skinset-'. $element.$z .' #content article.hentry.status-sticky { '. $linkhover_color_border_top .' }
			';	
		}	

		if( !empty($linkhover_color_border_left) )
		{			
			$css .= '
			.skinset-'. $element.$z .' #bbpress-forums div.bbp-template-notice,
			.skinset-'. $element.$z .' #bbpress-forums div.indicator-hint { '. $linkhover_color_border_left .' }
			';	
		}				

		if( !empty( $hover_overlay_color ) )
		{
			$css .= '
			.skinset-'. $element.$z .' span.action-hover { '. $hover_overlay_color .' }
			.skinset-'. $element.$z .' .overlay_content span.action-hover { '. $hover_overlay_gradient .' }
			';
		}

		if( !empty( $header_overlay_color ) )
		{
			$css .= '
			.skinset-'. $element.$z .' .header-overlay { '. $header_overlay_color .' }
			';
		}

		if( !empty( $header_menulogo_color ) )
		{
			$css .= '
			.skinset-'. $element.$z .' #header { '. $header_menulogo_color .' }
			';
		}		
		
		if( !empty( $hover_overlay_text_color ) )
		{
			$css .= '
			.skinset-'. $element.$z .' .stage .info,
			.skinset-'. $element.$z .' .carousel .info,
			.skinset-'. $element.$z .' .ih-item.square.effect5 .info,
			.skinset-'. $element.$z .' .ih-item.square.effect6 .info,
			.skinset-'. $element.$z .' .ih-item.square.effect7 .info,
			.skinset-'. $element.$z .' .grid-gallery.overlay_content .info,
			.skinset-'. $element.$z .' .ih-item.circle.effect13 .info { '. $hover_overlay_text_color .' }
			';
		}		
	

		if( !empty( $button_color ) )
		{
			$css .= '
			.skinset-'. $element.$z .' button,
			.skinset-'. $element.$z .' input[type="button"],
			.skinset-'. $element.$z .' submit,
			.skinset-'. $element.$z .' input[type="submit"],
			.skinset-'. $element.$z .' a.button,
			.skinset-'. $element.$z .' button.button,
			.skinset-'. $element.$z .' .button-wrap .button.link_color a,
			.skinset-'. $element.$z .' input.button,
			.skinset-'. $element.$z .' #review_form #submit,
			.skinset-'. $element.$z .' .vc_toggle_title h4:before,
			.skinset-'. $element.$z .' a.action-icons i,
			.skinset-'. $element.$z .' .commentlist .reply a,
			.skinset-'. $element.$z .' .vc_tta-tabs.vc_tta-color-button_color .vc_tta-tab>a,
			.skinset-'. $element.$z .' .vc_general.vc_btn3-color-link_color,
			.skinset-'. $element.$z .' .dir-nav-icon-two .page-animate-nav,
			.skinset-'. $element.$z .' .vc_toggle_color_button_color .vc_toggle_icon,
			.skinset-'. $element.$z .' .vc_toggle_simple.vc_toggle_color_button_color .vc_toggle_icon::after, 
			.skinset-'. $element.$z .' .vc_toggle_simple.vc_toggle_color_button_color .vc_toggle_icon::before,
			.skinset-'. $element.$z .' .vc_tta-color-button_color.vc_tta-accordion .vc_tta-panel .vc_tta-panel-heading,
			.skinset-'. $element.$z .' .vc_tta-color-button_color.vc_tta-accordion .vc_tta-panel .vc_tta-panel-body,
			.skinset-'. $element.$z .' .vc_tta-tabs.vc_tta-color-button_color .vc_tta-panel-heading,
			.skinset-'. $element.$z .' .vc_message_box-3d.vc_color-button_color,
			.skinset-'. $element.$z .' .vc_message_box-3d.vc_color-button_color,
			.skinset-'. $element.$z .' .vc_message_box-solid.vc_color-button_color,
			.skinset-'. $element.$z .' .vc_message_box-standard.vc_color-button_color,
			.skinset-'. $element.$z .' .vc_message_box-solid-icon.vc_color-button_color .vc_message_box-icon,
			.skinset-'. $element.$z .' .woocommerce-message:before,
			.skinset-'. $element.$z .' nav li.button_color a,
			.skinset-'. $element.$z .' .dock-tab-wrapper .widget_shopping_cart a.button,
			.skinset-'. $element.$z .' a.woocommerce-product-gallery__trigger:after  { '. $button_color .' }
			';			
		}
		
		if( !empty( $button_outline_settings ) )
		{	
			$css .= '
			.skinset-'. $element.$z .' .vc_general.vc_btn3-style-outline.vc_btn3-color-link_color,
			.skinset-'. $element.$z .' .vc_toggle_color_inverted.vc_toggle_color_button_color .vc_toggle_icon,
			.skinset-'. $element.$z .' .vc_toggle.vc_toggle_arrow.vc_toggle_color_button_color .vc_toggle_icon::after,
			.skinset-'. $element.$z .' .vc_toggle.vc_toggle_arrow.vc_toggle_color_button_color .vc_toggle_icon::before,
			.skinset-'. $element.$z .' .vc_tta-color-button_color.vc_tta-accordion.vc_tta-style-outline .vc_tta-panel .vc_tta-panel-heading,
			.skinset-'. $element.$z .' .vc_tta-color-button_color.vc_tta-accordion.vc_tta-style-outline .vc_tta-panel .vc_tta-panel-body,
			.skinset-'. $element.$z .' .vc_message_box-outline.vc_color-button_color,
			.skinset-'. $element.$z .' .vc_message_box-standard.vc_color-button_color,
			.skinset-'. $element.$z .' .vc_message_box-solid-icon.vc_color-button_color,
			.skinset-'. $element.$z .' .vc_message_box-3d.vc_color-button_color { '. $button_outline_settings .' }
			';				
		}		

		if( !empty( $button_outline_hover_settings ) )
		{	
			$css .= '
			.skinset-'. $element.$z .' .vc_general.vc_btn3-style-outline.vc_btn3-color-link_color:focus,
			.skinset-'. $element.$z .' .vc_general.vc_btn3-style-outline.vc_btn3-color-link_color:hover,
			.skinset-'. $element.$z .' .vc_tta-color-button_color.vc_tta-accordion.vc_tta-style-outline .vc_tta-panel.vc_active .vc_tta-panel-heading,
			.skinset-'. $element.$z .' .vc_tta-color-button_color.vc_tta-accordion.vc_tta-style-outline .vc_tta-panel.vc_active .vc_tta-panel-body { '. $button_outline_hover_settings .' }
			';				
		}				
		

		if( !empty( $button_text_color ) )
		{
			$css .= '
			.skinset-'. $element.$z .' button,
			.skinset-'. $element.$z .' input[type="button"],
			.skinset-'. $element.$z .' submit,
			.skinset-'. $element.$z .' input[type="submit"],
			.skinset-'. $element.$z .' a.button,
			.skinset-'. $element.$z .' button.button,
			.skinset-'. $element.$z .' input.button,
			.skinset-'. $element.$z .' #review_form #submit,
			.skinset-'. $element.$z .' .commentlist .reply a,
			.skinset-'. $element.$z .' .button-wrap .button.link_color a,
			.skinset-'. $element.$z .' .vc_tta-tabs.vc_tta-color-button_color .vc_tta-tab>a,
			.skinset-'. $element.$z .' .vc_tta-tabs.vc_tta-color-button_color .vc_tta-panel-heading,
			.skinset-'. $element.$z .' .vc_general.vc_btn3-color-link_color,
			.skinset-'. $element.$z .' .dir-nav-icon-two .page-animate-nav,
			.skinset-'. $element.$z .' .vc_message_box-solid-icon.vc_color-button_color .vc_message_box-icon,
			.skinset-'. $element.$z .' .vc_message_box-3d.vc_color-button_color,
			.skinset-'. $element.$z .' .vc_message_box-solid.vc_color-button_color,
			.skinset-'. $element.$z .' .vc_message_box-standard.vc_color-button_color,
			.skinset-'. $element.$z .' .woocommerce-message:before,
			.skinset-'. $element.$z .' nav li.button_color,
			.skinset-'. $element.$z .' nav li.button_color a,
			.skinset-'. $element.$z .' .dock-tab-wrapper .widget_shopping_cart a.button,
			.skinset-'. $element.$z .' a.action-icons i,
			.skinset-'. $element.$z .' a.woocommerce-product-gallery__trigger:after  { '. $button_text_color .' }
			';			
		}	

		if( !empty( $button_hover_settings ) )
		{
			$css .= '
			.skinset-'. $element.$z .' button:hover,
			.skinset-'. $element.$z .' input[type="button"]:hover,
			.skinset-'. $element.$z .' submit:hover,
			.skinset-'. $element.$z .' input[type="submit"]:hover,
			.skinset-'. $element.$z .' a.button:hover,
			.skinset-'. $element.$z .' button.button:hover,
			.skinset-'. $element.$z .' input.button:hover,
			.skinset-'. $element.$z .' #review_form #submit:hover,
			.skinset-'. $element.$z .' .button-wrap .button.link_color a:hover,
			.skinset-'. $element.$z .' .commentlist .reply a:hover,
			.skinset-'. $element.$z .' .vc_tta-tabs.vc_tta-color-button_color .vc_tta-tab>a:hover,
			.skinset-'. $element.$z .' .vc_tta-tabs.vc_tta-color-button_color .vc_tta-tab.vc_active>a,
			.skinset-'. $element.$z .' .vc_general.vc_btn3-color-link_color:focus,
			.skinset-'. $element.$z .' .vc_general.vc_btn3-color-link_color:hover,
			.skinset-'. $element.$z .' .dir-nav-icon-two .page-animate-nav:hover,
			.skinset-'. $element.$z .' .vc_tta-color-button_color .vc_tta-panels .vc_tta-panel-body,
			.skinset-'. $element.$z .' .vc_tta-color-button_color.vc_tta-accordion .vc_tta-panel.vc_active .vc_tta-panel-heading,
			.skinset-'. $element.$z .' .vc_tta-color-button_color.vc_tta-accordion .vc_tta-panel.vc_active .vc_tta-panel-body,
			.skinset-'. $element.$z .' .dock-tab-wrapper .widget_shopping_cart a.button:hover,
			.skinset-'. $element.$z .' a.action-icons i:hover,
			.skinset-'. $element.$z .' nav li.button_color:hover a,
			.skinset-'. $element.$z .' .vc_tta-tabs.vc_tta-color-button_color .vc_active .vc_tta-panel-heading,
			.skinset-'. $element.$z .' a.woocommerce-product-gallery__trigger:after  { '. $button_hover_settings .' }
			';			
		}		
		
		if( !empty( $button_color_shadow ) )
		{
			$css .= '
			.skinset-'. $element.$z .' .vc_message_box-3d.vc_color-button_color,
			.skinset-'. $element.$z .' .vc_btn3.vc_btn3-color-link_color.vc_btn3-style-3d { '. $button_color_shadow .' }
			';
		}

		if( !empty( $button_color_shadow_hover ) )
		{
			$css .= '
			.skinset-'. $element.$z .' .vc_btn3.vc_btn3-color-link_color.vc_btn3-style-3d:hover { '. $button_color_shadow_hover .' }
			';
		}		

		if( !empty( $metadata_color ) )
		{
			if( class_exists( 'bbPress' ) )
			{
				$css .='
				.skinset-'. $element.$z .' .bbp-body .bbp-topic-freshness,
				.skinset-'. $element.$z .' .bbp-body .bbp-topic-freshness a,
				.skinset-'. $element.$z .' .bbp-body .bbp-forum-freshness,
				.skinset-'. $element.$z .' .bbp-body .bbp-forum-freshness a,
				.skinset-'. $element.$z .' #bbpress-forums .bbp-meta,
				.skinset-'. $element.$z .' #bbpress-forums .bbp-meta a,
				.skinset-'. $element.$z .' #bbpress-forums .bbp-topic-tags,
				.skinset-'. $element.$z .' #bbpress-forums .bbp-topic-tags a,
				.skinset-'. $element.$z .' #bbpress-forums .bbp-topic-meta,
				.skinset-'. $element.$z .' #bbpress-forums .bbp-topic-meta a,
				.skinset-'. $element.$z .' #bbpress-forums .bbp-pagination-count,
				';				
			}	
						
			$css .= '
			.skinset-'. $element.$z .' ul.post-metadata-wrap,
			.skinset-'. $element.$z .' ul.post-metadata-wrap a,
			.skinset-'. $element.$z .' .entry-title span.date,
			.skinset-'. $element.$z .' .post-titles span.date,
			.skinset-'. $element.$z .' .comment a.comment-date { '. $metadata_color .' }
			';			
		}

		if( !empty( $shaded_background_color ) )
		{
			$class = '';

			if( $element == 'dockbar' )
			{			
				$css .='
				.skinset-'. $element.$z .' .dock-panel > li.dock-tab > a,
				';
			}		
			
			if( $element == 'main' )
			{
				$css .='
				.gallery-wrap .slidernav,
				.headerpanel-widgets input[type=text],
				.headerpanel-widgets input[type=password],
				.headerpanel-widgets input[type=file],
				.headerpanel-widgets input[type=tel],
				.headerpanel-widgets input[type=url],
				.headerpanel-widgets input[type=email],
				.headerpanel-widgets input[type="date"],
				.headerpanel-widgets input[type="datetime"],
				.headerpanel-widgets input[type="datetime-local"],
				.headerpanel-widgets input[type="month"],
				.headerpanel-widgets input[type="week"],
				.headerpanel-widgets input[type="number"],
				.headerpanel-widgets input[type="search"],
				.headerpanel-widgets input[type="tel"],
				.headerpanel-widgets input[type="time"],
				.headerpanel-widgets pre,
				.headerpanel-widgets code,
				.headerpanel-widgets xmp,
				.headerpanel-widgets textarea,
				.headerpanel-widgets select,				
				';
			}			

			if( $element != 'header' && $element != 'dockbar' )
			{
				$css .= $class.'
				.skinset-'. $element.$z .' input[type=text],
				.skinset-'. $element.$z .' input[type=password],
				.skinset-'. $element.$z .' input[type=file],
				.skinset-'. $element.$z .' input[type=tel],
				.skinset-'. $element.$z .' input[type=url],
				.skinset-'. $element.$z .' input[type=email],
				.skinset-'. $element.$z .' input[type="date"],
				.skinset-'. $element.$z .' input[type="datetime"],
				.skinset-'. $element.$z .' input[type="datetime-local"],
				.skinset-'. $element.$z .' input[type="month"],
				.skinset-'. $element.$z .' input[type="week"],
				.skinset-'. $element.$z .' input[type="number"],
				.skinset-'. $element.$z .' input[type="search"],
				.skinset-'. $element.$z .' input[type="tel"],
				.skinset-'. $element.$z .' input[type="time"],
				.skinset-'. $element.$z .' pre,
				.skinset-'. $element.$z .' code,
				.skinset-'. $element.$z .' xmp,
				.skinset-'. $element.$z .' textarea,
				.skinset-'. $element.$z .' select,';					
			}					

			if( class_exists( 'bbPress' ) )
			{
				$css .='
				.skinset-'. $element.$z .' #bbpress-forums .hentry,
				.skinset-'. $element.$z .' #bbpress-forums .bbp-header,
				.skinset-'. $element.$z .' div.bbp-template-notice, 
				.skinset-'. $element.$z .' div.indicator-hint,
				.skinset-'. $element.$z .' .bbp-pagination-links a,
				.skinset-'. $element.$z .' .bbp-pagination-links span.current,
				';				
			}	
			
			if( class_exists( 'woocommerce' ) )
			{
				$css .='
				.skinset-'. $element.$z .' .woocommerce-message, 
				.skinset-'. $element.$z .' .woocommerce-error,
				.skinset-'. $element.$z .' .woocommerce-info,
				.skinset-'. $element.$z .' #payment div.payment_box,
				.skinset-'. $element.$z .' .woocommerce-tabs li,
				.skinset-'. $element.$z .' #reviews #comments ol.commentlist li .comment-text,
				.skinset-'. $element.$z .' .single_variation_wrap .single_variation,	
				.skinset-'. $element.$z .' .select2-container .select2-choice,
				.select2-drop,
				';
			}

			
			$css .= $class.'	
			.skinset-'. $element.$z .' table thead tr,	
			.skinset-'. $element.$z .' table tr:nth-child(even),
			.skinset-'. $element.$z .' fieldset legend,
			.skinset-'. $element.$z .' input.input-text,
			.skinset-'. $element.$z .' .author-info,
			.skinset-'. $element.$z .' .frame .gridimg-wrap .img,
			.skinset-'. $element.$z .' .wpb_video_widget.frame,
			.skinset-'. $element.$z .' .row.custom-row-inherit,
			.skinset-'. $element.$z .' .splitter ul li.active,
			.skinset-'. $element.$z .' nav.pagination .page-numbers,
			.skinset-'. $element.$z .' .woocommerce-pagination ul .page-numbers,
			.skinset-'. $element.$z .' .wpb_call_to_action,
			.skinset-'. $element.$z .' .vc_progress_bar .vc_single_bar,
			.skinset-'. $element.$z .' .zoomflow .controlsCon > .arrow-left,
			.skinset-'. $element.$z .' .zoomflow .controlsCon > .arrow-right,
			.skinset-'. $element.$z .' .autototop a,		
			.skinset-'. $element.$z .' .commentlist .comment-content,
			.skinset-'. $element.$z .' div.wp-caption,
			.skinset-'. $element.$z .' .gallery-caption,
			.skinset-'. $element.$z .' #related_posts .related_post_wrap,
			.skinset-'. $element.$z .' .socialicons ul li a,
			.skinset-'. $element.$z .' span.tooltip,
			.skinset-'. $element.$z .' #content.boxed article.hentry,
			.skinset-'. $element.$z .' span.highlight.three,
			.skinset-'. $element.$z .' .vc_cta3.vc_cta3-color-skin_element.vc_cta3-style-classic,
			.skinset-'. $element.$z .' .vc_cta3.vc_cta3-color-skin_element.vc_cta3-style-flat,
			.skinset-'. $element.$z .' .vc_icon_element-background.vc_icon_element-background-color-skin_element,
			.skinset-'. $element.$z .' .wpb_single_image .vc_single_image-wrapper.vc_box_border, 
			.skinset-'. $element.$z .' .wpb_single_image .vc_single_image-wrapper.vc_box_border_circle,
			.skinset-'. $element.$z .' .vc_tta-tabs.vc_tta-color-shaded_color .vc_tta-tab>a,
			.skinset-'. $element.$z .' .vc_tta-tabs.vc_tta-color-shaded_color .vc_tta-panel-heading,
			.skinset-'. $element.$z .' .vc_tta-color-shaded_color.vc_tta-accordion.vc_tta-style-flat.vc_tta-tabs .vc_tta-panels,
			.skinset-'. $element.$z .' .vc_tta-color-shaded_color.vc_tta-accordion .vc_tta-panel .vc_tta-panel-heading,
			.skinset-'. $element.$z .' .vc_tta-color-shaded_color.vc_tta-accordion .vc_tta-panel .vc_tta-panel-body,
			.skinset-'. $element.$z .' .vc_message_box-3d.vc_color-shaded_color,
			.skinset-'. $element.$z .' .vc_message_box-3d.vc_color-shaded_color,
			.skinset-'. $element.$z .' .vc_message_box-solid.vc_color-shaded_color,
			.skinset-'. $element.$z .' .vc_message_box-standard.vc_color-shaded_color,
			.skinset-'. $element.$z .' .vc_message_box-solid-icon.vc_color-shaded_color .vc_message_box-icon,
			.skinset-'. $element.$z .' .screen-reader-text:focus { '. $shaded_background_color .' }
			';
		}
		
		if( !empty( $shaded_background_color_border ) )
		{
			$css .= $class.'
			.skinset-'. $element.$z .' #payment div.payment_box:after,
			.skinset-'. $element.$z .' .woocommerce-tabs ul.tabs li.active:after,
			.skinset-'. $element.$z .' #reviews #comments ol.commentlist li .comment-text:after,
			.skinset-'. $element.$z .' .commentlist .comment-content:before,
			.skinset-'. $element.$z .' .author-info:before,
			.skinset-'. $element.$z .' .single_variation_wrap .single_variation:after  { '. $shaded_background_color_border .' }
			';			
		}

		if( !empty( $shaded_border_color ) )
		{
			$class = acoda_set_css($inherited_elements,'');


			if( $element == 'dockbar' )
			{			
				$css .='
				.skinset-'. $element.$z .' .dock-panel > li.dock-tab a,
				';
			}	

			if( $element != 'header' )
			{
				$css .= $class.'
				.skinset-'. $element.$z .' input[type=text],
				.skinset-'. $element.$z .' input[type=password],
				.skinset-'. $element.$z .' input[type=file],
				.skinset-'. $element.$z .' input[type=tel],
				.skinset-'. $element.$z .' input[type=url],
				.skinset-'. $element.$z .' input[type=email],
				.skinset-'. $element.$z .' input[type="date"],
				.skinset-'. $element.$z .' input[type="datetime"],
				.skinset-'. $element.$z .' input[type="datetime-local"],
				.skinset-'. $element.$z .' input[type="month"],
				.skinset-'. $element.$z .' input[type="week"],
				.skinset-'. $element.$z .' input[type="number"],
				.skinset-'. $element.$z .' input[type="search"],
				.skinset-'. $element.$z .' input[type="tel"],
				.skinset-'. $element.$z .' input[type="time"],
				.skinset-'. $element.$z .' pre,
				.skinset-'. $element.$z .' code,
				.skinset-'. $element.$z .' xmp,
				.skinset-'. $element.$z .' textarea,
				.skinset-'. $element.$z .' select,';				
			}

			if( class_exists( 'bbPress' ) )
			{
				$css .='
				.skinset-'. $element.$z .' #bbpress-forums .hentry,
				.skinset-'. $element.$z .' #bbpress-forums .bbp-header,
				.skinset-'. $element.$z .' div.bbp-template-notice, 
				.skinset-'. $element.$z .' div.indicator-hint,
				.skinset-'. $element.$z .' #bbpress-forums .bbp-forums-list,
				';
			}	

			if( class_exists( 'woocommerce' ) )
			{
				$css .='
				.skinset-'. $element.$z .' .shop-cart .shopping-cart-wrapper,				
				.skinset-'. $element.$z .' #payment ul.payment_methods,
				.skinset-'. $element.$z .' table.shop_table td,
				.skinset-'. $element.$z .' table.shop_table tfoot td,
				.skinset-'. $element.$z .' table.shop_table,
				.skinset-'. $element.$z .' table.shop_table tfoot th,
				.skinset-'. $element.$z .' .cart-collaterals .cart_totals table,
				.skinset-'. $element.$z .' .cart-collaterals .cart_totals tr td,
				.skinset-'. $element.$z .' .cart-collaterals .cart_totals tr th,
				.skinset-'. $element.$z .' #payment div.payment_box,
				.skinset-'. $element.$z .' #payment div.payment_box:before,
				.skinset-'. $element.$z .' .woocommerce form.login,
				.skinset-'. $element.$z .' .woocommerce-page form.login,
				.skinset-'. $element.$z .' form.checkout_coupon,
				.skinset-'. $element.$z .' .woocommerce form.register,
				.skinset-'. $element.$z .' .woocommerce-page form.register,
				.skinset-'. $element.$z .' ul.product_list_widget li,
				.skinset-'. $element.$z .' .quantity input.qty,
				.skinset-'. $element.$z .' .coupon #coupon_code,	
				.skinset-'. $element.$z .' div.product .woocommerce-tabs ul.tabs li,
				.skinset-'. $element.$z .' .woocommerce-tabs ul.tabs li.active:before,
				.skinset-'. $element.$z .' #reviews #comments ol.commentlist li .comment-text,
				.skinset-'. $element.$z .' #reviews #comments ol.commentlist li .comment-text:before,
				.skinset-'. $element.$z .' .single_variation_wrap .single_variation:before,
				.skinset-'. $element.$z .' .single_variation_wrap .single_variation,
				.skinset-'. $element.$z .' .woocommerce-message, 
				.skinset-'. $element.$z .' .woocommerce-error,
				.skinset-'. $element.$z .' .woocommerce-info,	
				.skinset-'. $element.$z .' .select2-container .select2-choice,
				';
			}			

			if( $element == 'main' )
			{
				$css .='
				.gallery-wrap .slidernav,
				.headerpanel-widgets input[type=text],
				.headerpanel-widgets input[type=password],
				.headerpanel-widgets input[type=file],
				.headerpanel-widgets input[type=tel],
				.headerpanel-widgets input[type=url],
				.headerpanel-widgets input[type=email],
				.headerpanel-widgets input[type="date"],
				.headerpanel-widgets input[type="datetime"],
				.headerpanel-widgets input[type="datetime-local"],
				.headerpanel-widgets input[type="month"],
				.headerpanel-widgets input[type="week"],
				.headerpanel-widgets input[type="number"],
				.headerpanel-widgets input[type="search"],
				.headerpanel-widgets input[type="tel"],
				.headerpanel-widgets input[type="time"],
				.headerpanel-widgets pre,
				.headerpanel-widgets code,
				.headerpanel-widgets xmp,
				.headerpanel-widgets textarea,
				.headerpanel-widgets select,	
				.select2-drop,
				.select2-search .select2-input,			
				';
			}	
		
			$css .= $class.'
			.skinset-'. $element.$z .' .dock-tab-wrapper .pointer,		
			.skinset-'. $element.$z .' .sub-header,
			.skinset-'. $element.$z .' legend,
			.skinset-'. $element.$z .' input.input-text,
			.skinset-'. $element.$z .' #content article.hentry,
			.skinset-'. $element.$z .' .frame .gridimg-wrap .img,
			.skinset-'. $element.$z .' .wpb_video_widget.frame,
			.skinset-'. $element.$z .' .wpb_call_to_action,
			.skinset-'. $element.$z .' img.avatar,
			.skinset-'. $element.$z .' .tagcloud a,
			.skinset-'. $element.$z .' .vc_sep_color_skin_element .vc_sep_line, 
			.skinset-'. $element.$z .' hr,
			.skinset-'. $element.$z .' #lang_sel_list li,
			.skinset-'. $element.$z .' .commentlist .children li.comment,
			.skinset-'. $element.$z .' .commentlist > li.comment,
			.skinset-'. $element.$z .' .autototop a,
			.skinset-'. $element.$z .' .row.custom-row-inherit,
			.skinset-'. $element.$z .' .splitter ul li.active,
			.skinset-'. $element.$z .' .vc_progress_bar .vc_single_bar,
			.skinset-'. $element.$z .' .twitter-wrap,
			.skinset-'. $element.$z .' table tr,
			.skinset-'. $element.$z .' .author-info,
			.skinset-'. $element.$z .' .author-info:after,
			.skinset-'. $element.$z .' .commentlist .comment-content,
			.skinset-'. $element.$z .' .commentlist .comment-content:after,
			.skinset-'. $element.$z .' div.wp-caption,
			.skinset-'. $element.$z .' .gallery-caption,
			.skinset-'. $element.$z .' ul.post-metadata-wrap,
			.skinset-'. $element.$z .' #related_posts .related_post_wrap,
			.skinset-'. $element.$z .' .socialicons ul li a,
			.skinset-'. $element.$z .' span.tooltip,
			.skinset-'. $element.$z .' nav.pagination .page-numbers,
			.skinset-'. $element.$z .' .woocommerce-pagination ul .page-numbers,
			.skinset-'. $element.$z .' span.highlight.three,
			.skinset-'. $element.$z .' .vc_cta3.vc_cta3-color-skin_element.vc_cta3-style-classic,
			.skinset-'. $element.$z .' .vc_cta3.vc_cta3-color-skin_element.vc_cta3-style-outline,
			.skinset-'. $element.$z .' .wpb_single_image .vc_single_image-wrapper.vc_box_border, 
			.skinset-'. $element.$z .' .wpb_single_image .vc_single_image-wrapper.vc_box_border_circle,
			.skinset-'. $element.$z .' .vc_tta-tabs.vc_tta-color-shaded_color.vc_tta-style-outline .vc_tta-tab>a,
			.skinset-'. $element.$z .' .vc_tta.vc_general.vc_tta-color-shaded_color.vc_tta-style-outline .vc_tta-panels,
			.skinset-'. $element.$z .' .vc_tta.vc_tta-style-outline.vc_tta-color-shaded_color .vc_tta-panel-body::after,
			.skinset-'. $element.$z .' .vc_tta.vc_tta-style-outline.vc_tta-color-shaded_color .vc_tta-panel-body::before,
			.skinset-'. $element.$z .' .vc_tta-tabs.vc_tta-color-shaded_color .vc_tta-panel-heading,
			.skinset-'. $element.$z .' .vc_tta-color-shaded_color.vc_tta-style-classic.vc_tta-accordion .vc_tta-panel .vc_tta-panel-body,
			.skinset-'. $element.$z .' .vc_tta-color-shaded_color.vc_tta-style-classic.vc_tta-accordion .vc_tta-panel .vc_tta-panel-heading,
			.skinset-'. $element.$z .' .vc_tta-color-shaded_color.vc_tta-style-outline.vc_tta-accordion .vc_tta-panel .vc_tta-panel-body,
			.skinset-'. $element.$z .' .vc_tta-color-shaded_color.vc_tta-style-outline.vc_tta-accordion .vc_tta-panel .vc_tta-panel-heading,
			.skinset-'. $element.$z .' .vc_message_box-outline.vc_color-shaded_color,
			.skinset-'. $element.$z .' .vc_message_box-standard.vc_color-shaded_color,
			.skinset-'. $element.$z .' .vc_message_box-solid-icon.vc_color-shaded_color,
			.skinset-'. $element.$z .' .vc_message_box-3d.vc_color-shaded_color,
			.skinset-'. $element.$z .' .wpb_wrapper .vc_icon_element.vc_icon_element-outer .vc_icon_element-inner.vc_icon_element-outline.vc_icon_element-background-color-skin_element { '. $shaded_border_color .' }
			';
		}		
		
		
		if( !empty( $shaded_element_hover_color ) )
		{
			$class = acoda_set_css($inherited_elements,'');

			if( $element == 'dockbar' )
			{
				$css .='
				.skinset-'. $element.$z .' .dock-panel > li.dock-tab.inactive > a,
				.skinset-'. $element.$z .' .dock-panel > li.dock-tab > a:hover { '. $shaded_element_hover_color .' }
				';
			}	
		}
		
		
		if( !empty( $shaded_element_color ) )
		{
			$class = acoda_set_css($inherited_elements,'');

			if( $element == 'dockbar' )
			{
				$css .='
				.skinset-'. $element.$z .' .dock-panel > li.dock-tab a,
				';
			}				

			if( $element != 'header' && $element != 'dockbar' )
			{
				$css .= $class.'
				.skinset-'. $element.$z .' input[type=text],
				.skinset-'. $element.$z .' input[type=password],
				.skinset-'. $element.$z .' input[type=file],
				.skinset-'. $element.$z .' input[type=tel],
				.skinset-'. $element.$z .' input[type=url],
				.skinset-'. $element.$z .' input[type=email],
				.skinset-'. $element.$z .' input[type="date"],
				.skinset-'. $element.$z .' input[type="datetime"],
				.skinset-'. $element.$z .' input[type="datetime-local"],
				.skinset-'. $element.$z .' input[type="month"],
				.skinset-'. $element.$z .' input[type="week"],
				.skinset-'. $element.$z .' input[type="number"],
				.skinset-'. $element.$z .' input[type="search"],
				.skinset-'. $element.$z .' input[type="tel"],
				.skinset-'. $element.$z .' input[type="time"],
				.skinset-'. $element.$z .' pre,
				.skinset-'. $element.$z .' code,
				.skinset-'. $element.$z .' xmp,
				.skinset-'. $element.$z .' textarea,
				.skinset-'. $element.$z .' select,';	
			}	

			if( $element == 'main' )
			{
				$css .='
				.gallery-wrap .slidernav,
				.headerpanel-widgets input[type=text],
				.headerpanel-widgets input[type=password],
				.headerpanel-widgets input[type=file],
				.headerpanel-widgets input[type=tel],
				.headerpanel-widgets input[type=url],
				.headerpanel-widgets input[type=email],
				.headerpanel-widgets input[type="date"],
				.headerpanel-widgets input[type="datetime"],
				.headerpanel-widgets input[type="datetime-local"],
				.headerpanel-widgets input[type="month"],
				.headerpanel-widgets input[type="week"],
				.headerpanel-widgets input[type="number"],
				.headerpanel-widgets input[type="search"],
				.headerpanel-widgets input[type="tel"],
				.headerpanel-widgets input[type="time"],
				.headerpanel-widgets pre,
				.headerpanel-widgets code,
				.headerpanel-widgets xmp,
				.headerpanel-widgets textarea,
				.headerpanel-widgets select,				
				';
			}				
			
			$css .= $class.'		
			.skinset-'. $element.$z .' table thead tr,	
			.skinset-'. $element.$z .' table tr:nth-child(even),	
			.skinset-'. $element.$z .' #searchsubmit,
			.skinset-'. $element.$z .' .author-info,
			.skinset-'. $element.$z .' .splitter ul li.active,
			.skinset-'. $element.$z .' .bbp-pagination-links a,
			.skinset-'. $element.$z .' .bbp-pagination-links span.current,			
			.skinset-'. $element.$z .' .wpb_call_to_action,
			.skinset-'. $element.$z .' .acoda-pricing-signup,
			.skinset-'. $element.$z .' .panelcontent.heading,
			.skinset-'. $element.$z .' div.item-list-tabs,
			.skinset-'. $element.$z .' .tab-wrap .trigger,
			.skinset-'. $element.$z .' .wrapper .intro-text,
			.skinset-'. $element.$z .' .vc_progress_bar .vc_single_bar,
			.skinset-'. $element.$z .' .zoomflow .controlsCon > .arrow-left,
			.skinset-'. $element.$z .' .zoomflow .controlsCon > .arrow-right,
			.skinset-'. $element.$z .' .autototop a,
			.skinset-'. $element.$z .' .gallery-wrap .slidernav a,
			.skinset-'. $element.$z .' #reviews #comments ol.commentlist li .comment-text,
			.skinset-'. $element.$z .' table.shop_table thead th,
			.skinset-'. $element.$z .' .commentlist .comment-content,
			.skinset-'. $element.$z .' .row.custom-row-inherit,
			.skinset-'. $element.$z .' div.wp-caption,
			.skinset-'. $element.$z .' .gallery-caption,
			.skinset-'. $element.$z .' .socialicons ul li,
			.skinset-'. $element.$z .' span.tooltip,
			.skinset-'. $element.$z .' #content.boxed article.hentry,
			.skinset-'. $element.$z .' #bbpress-forums .hentry,
			.skinset-'. $element.$z .' #bbpress-forums .bbp-header,
			.skinset-'. $element.$z .' div.bbp-template-notice, 
			.skinset-'. $element.$z .' div.indicator-hint,
			.skinset-'. $element.$z .' nav.anchorlink-nav ul,
			.skinset-'. $element.$z .' span.highlight.three,
			.skinset-'. $element.$z .' .vc_cta3.vc_cta3-color-skin_element.vc_cta3-style-classic,
			.skinset-'. $element.$z .' .vc_cta3.vc_cta3-color-skin_element.vc_cta3-style-flat,
			.skinset-'. $element.$z .' .vc_tta-panels.vc_tta-color-button_color .vc_tta-panel-body,
			.skinset-'. $element.$z .' .vc_tta-tabs.vc_tta-color-shaded_color .vc_tta-tab>a,
			.skinset-'. $element.$z .' .vc_tta-color-shaded_color.vc_tta-accordion .vc_tta-panel .vc_tta-panel-heading,
			.skinset-'. $element.$z .' .vc_tta-color-shaded_color.vc_tta-accordion .vc_tta-panel .vc_tta-panel-body,
			.skinset-'. $element.$z .' .vc_message_box-solid-icon.vc_color-shaded_color .vc_message_box-icon,
			.skinset-'. $element.$z .' .vc_message_box-3d.vc_color-shaded_color,
			.skinset-'. $element.$z .' .vc_message_box-solid.vc_color-shaded_color,
			.skinset-'. $element.$z .' .vc_message_box-standard.vc_color-shaded_color,
			.skinset-'. $element.$z .' .screen-reader-text:focus,
			.skinset-'. $element.$z .' .vc_tta-tabs.vc_tta-color-shaded_color .vc_tta-panel-heading { '. $shaded_element_color .' }
			';					
		}
		
		if( !empty( $shaded_background_color_shadow ) )
		{
			$css .= '
			.skinset-'. $element.$z .' .vc_message_box-3d.vc_color-shaded_color { '. $shaded_background_color_shadow .' }			
			';
		}
		
		if( !empty( $main_background ) )
		{
			$css .= $class.'
			.skinset-'. $element.$z .' #content.boxed input[type=text],
			.skinset-'. $element.$z .' #content.boxed input[type=password],
			.skinset-'. $element.$z .' #content.boxed input[type=file],
			.skinset-'. $element.$z .' #content.boxed input[type=tel],
			.skinset-'. $element.$z .' #content.boxed input[type=url],
			.skinset-'. $element.$z .' #content.boxed input[type=email],
			.skinset-'. $element.$z .' #content.boxed input[type="date"],
			.skinset-'. $element.$z .' #content.boxed input[type="datetime"],
			.skinset-'. $element.$z .' #content.boxed input[type="datetime-local"],
			.skinset-'. $element.$z .' #content.boxed input[type="month"],
			.skinset-'. $element.$z .' #content.boxed input[type="week"],
			.skinset-'. $element.$z .' #content.boxed input[type="number"],
			.skinset-'. $element.$z .' #content.boxed input[type="search"],
			.skinset-'. $element.$z .' #content.boxed input[type="tel"],
			.skinset-'. $element.$z .' #content.boxed input[type="time"],
			.skinset-'. $element.$z .' #content.boxed article pre,
			.skinset-'. $element.$z .' #content.boxed article code,
			.skinset-'. $element.$z .' #content.boxed article xmp,
			.skinset-'. $element.$z .' #content.boxed article textarea,
			.skinset-'. $element.$z .' #content.boxed article select,
			.skinset-'. $element.$z .' #content.boxed article table thead tr,	
			.skinset-'. $element.$z .' #content.boxed article table tr:nth-child(even),
			.skinset-'. $element.$z .' #content.boxed article div.wp-caption,
			.skinset-'. $element.$z .' #content.boxed article .gallery-caption,
			.skinset-'. $element.$z .' #content.boxed article nav.pagination .page-numbers {'. $main_background .'}';				
		}

		if( !empty( $footer_background ) )
		{
			$css .='
			.footer-filler {'.  $footer_background .'}
			';
		}

		if( !empty( $transparent_font_color ) )
		{
			if( $element == 'header' )
			{			
				$css .= '
				#header-wrap.transparent.skinset-'.$element.$z.' h2,
				#header-wrap.transparent.skinset-'.$element.$z.' .headerpanel-widgets .textwidget {'. $transparent_font_color .' }
				';
			}
		}
		

		if( !empty( $transparent_link_color ) )
		{
			if( $element == 'header' )
			{			
				$css .= '
				#header-wrap.transparent.skinset-'. $element.$z .' #acoda-tabs > ul > li > a,
				#header-wrap.transparent.skinset-'. $element.$z .' #acoda-tabs > ul > li > .dropmenu-icon,
				#header-wrap.transparent.skinset-'. $element.$z .' h1 a,
				#header-wrap.transparent.skinset-'. $element.$z .' .logo a,
				#header-wrap.transparent.skinset-'. $element.$z .' .headerpanel-widgets .textwidget a,
				#header-wrap.transparent.skinset-'. $element.$z .' .dock-panel > li > a {'. $transparent_link_color .' }
				';
			}
		}	

		if( !empty( $transparent_linkhover_color ) )
		{
			if( $element == 'header' )
			{			
				$css .= '
				#header-wrap.transparent.skinset-'. $element.$z .' #acoda-tabs > ul > li:hover > a,
				#header-wrap.transparent.skinset-'. $element.$z .' #acoda-tabs > ul > li > a.waypoint_active,
				#header-wrap.transparent.skinset-'. $element.$z .' #acoda-tabs > ul > li:hover > .dropmenu-icon,
				#header-wrap.transparent.skinset-'. $element.$z .' h1 a:hover,
				#header-wrap.transparent.skinset-'. $element.$z .' #acoda-tabs > ul > li.current-menu-item > a,
				#header-wrap.transparent.skinset-'. $element.$z .' #acoda-tabs > ul > li.current_page_item > a,
				#header-wrap.transparent.skinset-'. $element.$z .' #acoda-tabs > ul > li.current-menu-ancestor > a,
				#header-wrap.transparent.skinset-'. $element.$z .' .headerpanel-widgets .textwidget a:hover,
				#header-wrap.transparent.skinset-'. $element.$z .' .dock-panel > li > a:hover {'. $transparent_linkhover_color .' }
				';
			}
		}				
		
		
		return $css;
	}

	
	function acoda_set_css( $inherited_elements,$tags )
	{
		if( !isset($class) ) $class='';
		if( !isset($z) ) $z='';	
	
		if( $inherited_elements )
		{
			$inherited_elements = explode(",",$inherited_elements); 
			
			// loop through elements which will inherit settings
			foreach( $inherited_elements as $element_class )
			{ 
				//if( $element_class == 'menu' ) $element_class = 'menu ul ul'; // add menu attribute
				$tagsarray = explode(",",$tags);
				
				foreach( $tagsarray as $tag )
				{
					$class .= '.skinset-'.$element_class.$z.' '.$tag.',';
				}
			}
		}
		else
		{
			$class='';
		}
		
		return $class;
	}

	// BUILD SKIN PRESETS
	function acoda_skin_presets()
	{ 
		require get_template_directory() .'/lib/adm/inc/skin-presets.php'; // skin data
		$skin_data_ids  = maybe_unserialize(get_option('skins_you_ids'));
	 
		if( !empty($skin_data_ids) )
		{
			foreach( $skin_preset_ids as $skin_preset_id => $value )
			{
				if ( !preg_match("/\b". $skin_preset_id ."\b/", $skin_data_ids) )
				{
					delete_option( 'skins_you_ids' );
					update_option( 'skins_you_ids', $skin_data_ids . $skin_preset_id .',' );						
					update_option( 'skin_data_'. $skin_preset_id , $value );	
				}
			}
		}
		else // no previous skin data present
		{ 
			foreach( $skin_preset_ids as $skin_preset_id => $value )
			{
				$skin_data_ids.=$skin_preset_id.',';
				update_option( 'skin_data_'.$skin_preset_id,$value);
			}
	 
			update_option( 'skins_you_ids', $skin_data_ids);	
		}
	 
	} 


	/* ------------------------------------
	:: TINYMCE EXTENSION
	------------------------------------ */
 
	function acoda_mce_editor_buttons( $buttons ) {
	   array_unshift( $buttons, 'styleselect' );
	   return $buttons;
	}
	
	add_filter('mce_buttons', 'acoda_mce_editor_buttons');
	
	function acoda_mce_before_init( $init ) {
	
		$style_formats = array(  
			array(  
				'title' => 'Text Link Color',  
				'inline' => 'span',  
				'classes' => 'text_linkcolor',
			), 
			array(  
				'title' => 'Text Link Hover Color',  
				'inline' => 'span',  
				'classes' => 'text_linkhovercolor',
			), 			
			array(  
				'title' => 'Highlight Link Color',  
				'inline' => 'span',  
				'classes' => 'highlight one',
			),
			array(  
				'title' => 'Highlight Link Hover Color',  
				'inline' => 'span',  
				'classes' => 'highlight two',
			),			
			array(  
				'title' => 'Highlight Shaded',  
				'inline' => 'span',  
				'classes' => 'highlight three',
			),
			array(  
				'title' => 'Highlight Black',  
				'inline' => 'span',  
				'classes' => 'highlight four',
			), 			
			array(  
				'title' => 'Drop Cap',  
				'inline' => 'span',  
				'classes' => 'dropcap',
			),			 			 						
			array(  
				'title' => 'Medium Text',  
				'inline' => 'span',  
				'classes' => 'medium-text',
			),
			array(  
				'title' => 'Big Text',  
				'inline' => 'span',  
				'classes' => 'big-text',
			),
			array(  
				'title' => 'Large Text',  
				'inline' => 'span',  
				'classes' => 'large-text',
			),			
			array(  
				'title' => 'Extra Large Text',  
				'inline' => 'span',  
				'classes' => 'xlarge-text',
			),
			array(  
				'title' => 'Supersize Text',  
				'inline' => 'span',  
				'classes' => 'supersize-text',
			),
			array(  
				'title' => 'Text Shadow',  
				'inline' => 'span',  
				'classes' => 'text-shadow',
			),
			array(  
				'title' => 'White Text',  
				'inline' => 'span',  
				'classes' => 'white-text',
			)							
		);  

	   $init['style_formats'] = json_encode( $style_formats );
	   return $init;
	}
	
	add_filter('tiny_mce_before_init', 'acoda_mce_before_init');	 
	 
	
	/* ------------------------------------
	:: acoda tinymce shortcodes							      
	--------------------------------------- */

	add_action( 'admin_init', 'acoda_add_tinymce' );
	
	function acoda_add_tinymce()
	{
		if ( current_user_can( 'edit_posts' ) && current_user_can( 'edit_pages' ) )
		{
			add_filter( 'mce_external_plugins', 'acoda_add_tinymce_plugin' );
			add_filter( 'mce_buttons', 'acoda_add_tinymce_button' );
		}
    }

    // inlcude the js for tinymce
    function acoda_add_tinymce_plugin( $plugin_array )
	{
        $plugin_array['acoda_shortcodes'] = get_template_directory_uri() . '/lib/adm/js/tinymce/tinymce_shortcodes.js';
        return $plugin_array;
    }

    // Add the button key for address via JSs
    function acoda_add_tinymce_button( $buttons )
	{
        array_push( $buttons, 'acoda_shortcodes' );
        return $buttons;
    }

	add_editor_style();
	
	
	/* ------------------------------------
	:: POST COMMENTS
	------------------------------------ */

	function acoda_comments( $comment, $args, $depth )
	{
		$GLOBALS['comment'] = $comment;	?>
		<li <?php esc_attr( comment_class() ); ?> id="li-comment-<?php esc_attr( comment_ID() ); ?>">
			<article id="comment-<?php esc_attr( comment_ID() ); ?>" class="comment">
				<header class="comment-meta row">
					<div class="comment-author vcard columns large-12">
						<?php
							$avatar_size = 39;
							if ( '0' != $comment->comment_parent )
								$avatar_size = 39;
	
							echo get_avatar( $comment, $avatar_size );
	
							/* translators: 1: comment author, 2: date and time */
							printf( esc_html__( '%1$s %2$s ', 'you' ),
								sprintf( '<span class="fn"><h6>%s</h6></span>', get_comment_author_link() ),
								sprintf( '<a href="%1$s" class="comment-date"><time pubdate datetime="%2$s">%3$s</time></a>',
									esc_url( get_comment_link( $comment->comment_ID ) ),
									get_comment_time( 'c' ),
									/* translators: 1: date, 2: time */
									sprintf( esc_html__( '%1$s at %2$s', 'you' ), get_comment_date(), get_comment_time() )
								)
							);
						 	
							edit_comment_link( esc_html__( '- Edit', 'you' ), '<span class="edit-link">', '</span>' ); ?>
					</div><!-- .comment-author .vcard -->
	
					<?php if ( $comment->comment_approved == '0' ) : ?>
						<em class="comment-awaiting-moderation"><?php esc_html_e( 'Your comment is awaiting moderation.', 'you' ); ?></em>
						<br />
					<?php endif; ?>
	
				</header>
				<section class="row">
                	<div class="columns large-12">
                        <div class="comment-content"><?php esc_attr( comment_text() ); ?></div>
            
                        <div class="reply">
                            <?php comment_reply_link( array_merge( $args, array( 'reply_text' => esc_html__( 'Reply', 'you' ), 'depth' => $depth, 'max_depth' => $args['max_depth'] ) ) ); ?>
                        </div><!-- .reply -->
                    </div>
                </section>
			</article><!-- #comment-## -->
	
		<?php
	}

	function acoda_recent_comment($comment, $args, $depth)
	{
	   $GLOBALS['comment'] = $comment; ?>
		<li <?php esc_attr( comment_class() ); ?> id="li-comment-<?php esc_attr( comment_ID() ); ?>">
			<div id="comment-<?php esc_attr( comment_ID() ); ?>">
                <div class="comment-author vcard">
						<?php echo get_avatar( $comment->comment_author_email, 48 ); 
						printf( esc_html__( '<cite class="fn">%s</cite> <span class="says">says:</span>', 'you' ), esc_url( get_comment_author_link() ) ) ?>
                </div>
                <?php if ($comment->comment_approved == '0') : ?>
                    <em><?php esc_html_e('Your comment is awaiting moderation.','you') ?></em>
                <?php endif; ?>
	
				<div class="comment-meta commentmetadata"><a href="<?php echo esc_url( get_comment_link( $comment->comment_ID ) ) ?>"><?php printf(esc_html__('%1$s at %2$s','you'), get_comment_date(),  get_comment_time()) ?></a><?php edit_comment_link(esc_html__('(Edit)','you'),'  ','') ?></div>
	
				<?php comment_text() ?>
	
                <div class="reply">
                <?php comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth']))) ?>
                </div>
			</div>
		</li>
	<?php
	}	