<?php
/**
 * ACODA Shopping Cart Widget
 *
 * Displays shopping cart widget
 *
 * @author 	ACODA
 * @category 	Widgets
 * @package 	WooCommerce/Widgets
 * @version 	2.0.1
 * @extends 	WC_Widget
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

class Acoda_WC_Widget_Cart extends WC_Widget_Cart {

	public function widget( $args, $instance ) {

		extract( $args );

		$title = apply_filters('widget_title', empty( $instance['title'] ) ? esc_html__( 'Shopping Cart', 'you' ) : $instance['title'], $instance, $this->id_base );
		$hide_if_empty = empty( $instance['hide_if_empty'] ) ? 0 : 1;
		
		$shop_page_url = get_permalink( WC_GET_PAGE_ID( 'shop' ) );

		echo $before_widget;

		if ( $title ) {
			echo '<h3 class="dock-title">'. esc_html( $title ) .'</h3>';
		}
		
		if ( $hide_if_empty )
		{
			echo '<div class="hide_cart_widget_if_empty">';
		}		
		
		// Insert cart widget placeholder - code in woocommerce.js will update this on page load
		echo '<div class="widget_shopping_cart_content"></div>';

		if ( $hide_if_empty )
		{
			echo '</div>';
		}
		
		echo $after_widget;
	}
}
