<?php

	/* ------------------------------------
	::	ACODA Core Functions
	------------------------------------ */	
	
	if ( ! function_exists( 'acoda_create_skin' ) ) 
	{	
		function acoda_create_skin()
		{
			// Skin
			if( get_option('preview_skin') == '' && get_option('skin_select') == '' )
			{
				update_option('preview_skin', 'Demo0' );
				update_option('skin_select', 'Demo0' ); 	
			}		
			
			$acoda_skin = acoda_global_vars('skin');	
			
			// Skin Settings	
			$skin = ( !empty( $acoda_skin ) ? $acoda_skin : 'Demo0' );
						
			$get_skin_data = maybe_unserialize( get_option('skin_data_'. $skin) );
			
			$layerset1 = ( !empty( $get_skin_data['skin_id_layer1_type'] ) ) ? stripslashes(htmlspecialchars($get_skin_data['skin_id_layer1_type'])) : '';
		
			$custom_css = '';
			
			if( $layerset1 !='' )
			{ 
				$custom_css .= acoda_set_layer( 'layer1', $layerset1, $skin );
			}
			
			$main_settings = $header_settings = $menu_settings = $submenu_settings = $footer_settings = $sub_header_settings = $dockbar_settings = $dockpanel_settings = 'custom';
			
			$custom_css .= acoda_set_element( 'background', $skin, '', '' );
			
			function acoda_inherit_chk( $element, $settings_array, $skin ) 
			{
				$get_skin_data  = maybe_unserialize( get_option('skin_data_' . $skin) );
				$settings_array = explode(",", $settings_array);
				
				$is_inherited='';
				
				foreach( $settings_array as $chk ) 
				{
					if( isset( $get_skin_data['skin_id_'.$chk.'_inherit'] ) ) 
					{
						$chk_element = stripslashes( htmlspecialchars($get_skin_data['skin_id_'.$chk.'_inherit'] ) );
					}
					else
					{
						$chk_element = ''; 
					}
					
					if( $chk_element == $element ) 
					{
						$is_inherited .= $chk.',';
					}
				}	
				return rTrim( $is_inherited, ',' );
			}
		
			
			if( $main_settings == 'custom' )
			{
				$inherited_elements = acoda_inherit_chk('main','header,menu,footer,sub_header,dockbar,dockpanel,submenu',$skin);
				$custom_css .= acoda_set_element('main',$skin,$inherited_elements,'');
			} 
			
			if( $header_settings == 'custom' )
			{
				$inherited_elements = acoda_inherit_chk('header','main,menu,footer,sub_header,dockbar,dockpanel,submenu',$skin);
				$custom_css .= acoda_set_element('header',$skin,$inherited_elements,'');
			} 
			
			if( $menu_settings == 'custom' )
			{
				$inherited_elements = acoda_inherit_chk('menu','header,main,footer,sub_header,dockbar,dockpanel,submenu',$skin);
				$custom_css .= acoda_set_element('menu',$skin,$inherited_elements,'');
			}
		
			if( $submenu_settings == 'custom' )
			{
				$inherited_elements = acoda_inherit_chk('submenu','header,main,menu,footer,sub_header,dockbar,dockpanel',$skin);
				$custom_css .= acoda_set_element('submenu',$skin,$inherited_elements,'');
			}	
			
			if( $footer_settings == 'custom' )
			{
				$inherited_elements = acoda_inherit_chk('footer','header,main,menu,sub_header,dockbar,dockpanel,submenu',$skin);
				$custom_css .= acoda_set_element('footer',$skin,$inherited_elements,'');
			} 
			
			if( $sub_header_settings == 'custom' )
			{
				$inherited_elements = acoda_inherit_chk('sub_header','header,main,menu,footer,dockbar,dockpanel,submenu',$skin);
				$custom_css .= acoda_set_element('sub_header',$skin,$inherited_elements,'');		
			}
		
			if( $dockbar_settings == 'custom' )
			{
				$inherited_elements = acoda_inherit_chk('dockbar','header,main,menu,footer,sub_header,dockpanel,submenu',$skin);
				$custom_css .= acoda_set_element('dockbar',$skin,$inherited_elements,'');		
			}	
		
			if( $dockpanel_settings == 'custom' )
			{
				$inherited_elements = acoda_inherit_chk('dockpanel','header,main,menu,footer,sub_header,dockbar,submenu',$skin);
				$custom_css .= acoda_set_element('dockpanel',$skin,$inherited_elements,'');		
			}		
			
			$count = ( !empty( $get_skin_data['skin_id_custom_count'] ) ) ? $get_skin_data['skin_id_custom_count'] : ''; 
			
			for($z = 0; $z < $count; $z++)
			{
				$custom_css .= acoda_set_element( 'custom', $skin, '', '_'. $z );
			}
			
			// Minify CSS
			$custom_css = str_replace( array("\r", "\n", "\t" ), '', $custom_css );
		
			wp_enqueue_style( 'acoda-skin',	get_template_directory_uri() . '/dynamic-style.css', false, null );
			wp_add_inline_style( 'acoda-skin', $custom_css );
		}
	}
	
	add_action('wp_head', 'acoda_create_skin');
	
	if ( ! function_exists( 'acoda_dynamic_css' ) ) 
	{	
		// Custom Dynamic CSS
		function acoda_dynamic_css()
		{
			global $post;
			$custom_css = $header_logo = $tabs = $subheader = '';
			
			$post_id = ( !empty( $post ) && ! is_search() ? $post->ID : '' );
				
			// Branding Alignment	
			if( of_get_option('logo_height') != '' || get_post_meta( $post_id, '_'. ACODA_THEME_PREFIX .'_logo_height', true ) != '' )
			{
				$logo_height = ( get_post_meta( $post_id, '_'. ACODA_THEME_PREFIX .'_logo_height', true ) != '' ? get_post_meta( $post_id, '_'. ACODA_THEME_PREFIX .'_logo_height', true ) : (  of_get_option('logo_height') != '' ?  of_get_option('logo_height') : '' ) );
				$header_logo .= 'height:'. str_replace( 'px', '', $logo_height ) .'px;line-height:'. str_replace( 'px', '', $logo_height ) .'px;';
			} 
				
			// Menu Alignment
			if( of_get_option('menu_height') != '' || get_post_meta( $post_id, '_'. ACODA_THEME_PREFIX .'_menu_height', true ) != '' )
			{
				$menu_height = ( get_post_meta( $post_id, '_'. ACODA_THEME_PREFIX .'_menu_height', true ) != '' ? get_post_meta( $post_id, '_'. ACODA_THEME_PREFIX .'_menu_height', true ) : (  of_get_option('menu_height') != '' ?  of_get_option('menu_height') : '' ) );
				
				if( $menu_height == 0 )
				{
					$tabs .= 'height:100px;line-height:100px;';
				}
				else
				{
					$tabs .= 'height:'. str_replace( 'px', '', $menu_height ) .'px;line-height:'. str_replace( 'px', '', $menu_height ) .'px;';
				}
			} 			
			
			// Subheader Height
			if( of_get_option('subheader_height') != '' )
			{
				$subheader_height = ( get_post_meta( $post_id, '_'. ACODA_THEME_PREFIX .'_subheader_height', true ) != '' ? get_post_meta( $post_id, '_'. ACODA_THEME_PREFIX .'_subheader_height', true ) : (  of_get_option('subheader_height') != '' ?  of_get_option('subheader_height') : '' ) );
				
				$vh = strpos( $subheader_height, 'vh' );
				
				if( $vh === false )
				{
					$subheader = 'min-height:'. str_replace( 'px', '', $subheader_height ) .'px;';
				}
				else
				{
					$subheader = 'min-height:'. $subheader_height;
				}
			} 
			
	
						
			if( !empty( $subheader ) )
			{ 
				$custom_css .= '
				@media only screen and (min-width: 64.063em) {
					.intro-wrap .intro-wrap-inner .intro-text,
					.intro-wrap.layout_3 .intro-wrap-inner {'. $subheader .'}
				}';
			}	
				
						
			if( !empty( $header_logo ) )
			{ 
				$custom_css .= '
				@media only screen and (min-width: 64.063em) {
					#primary-wrapper #header-logo {'. $header_logo .'}
				}';
			}	
				
			if( !empty( $tabs ) )
			{ 
				$custom_css .= '
				@media only screen and (min-width: 64.063em) {
					#primary-wrapper #acoda-tabs > ul > li,
					#header-wrap .dock-panel-wrap.main_nav ul.dock-panel li,
					#acoda-tabs .dock-panel li.dock-tab.dock-info	{'. $tabs .'}
				}';
			}				
				
			// Border Radius	
			if( of_get_option('elem_border_radius', of_get_default('elem_border_radius' ) ) != 0 )
			{		
				$max_radius = $radius = '';
				$radius_value = str_replace( 'px' , '', ( of_get_option('elem_border_radius') != '' ? of_get_option('elem_border_radius') : '4' ) );
				$radius_array = explode( ' ', $radius_value );
							
				foreach( $radius_array as $value )
				{
					$radius .= $value .'px ';
						
					if( $value > 10 )
					{
						$max_radius .= '10px ';
					}
					else
					{
						$max_radius .= $value .'px ';
					}	
				}
					
				$custom_css .= '
					code,
					table,
					div.button,
					#acoda-tabs ul ul.sub-menu,
					.ui-accordion-header,
					.ui-tabs-nav li,
					.vc_progress_bar .vc_single_bar,
					.vc_progress_bar .vc_single_bar .vc_bar,
					.wpb_call_to_action.vc_cta_rounded,
					.wpb_alert.vc_alert_rounded,
					.wpb_alert.vc_alert_rounded .icon-wrap,
					.wpb_alert.vc_alert_outlined,
					.wpb_alert.vc_alert_outlined .icon-wrap,
					a.comment-reply-link,
					a.comment-reply-login,
					a.button, 
					button.button, 
					input.button,
					.button a, 
					.button a:visited, 
					button, 
					select,
					input[type=text],
					input[type="password"],
					input[type="file"],
					input[type=tel],
					input[type=url],
					input[type=email],
					input[type="submit"],
					input[type="button"],
					textarea,
					.author-info,
					.tooltip,
					input.input-text,
					.commentlist .comment-content,
					.wpb_single_image.frame .gridimg-wrap,
					.wpb_single_image.rounded .img,
					.wpb_single_image.rounded .info,
					.product-thumbnail img,
					.dock-menu-tabs ul.dock_menu li a,
					#related_posts .related_post_wrap,
					.dock-tab-wrapper .background-wrap,
					.dock-panel-wrap .dock-tab-wrapper,
					#reviews #comments ol.commentlist li .comment-text,
					.woocommerce-tabs ul.tabs li,
					article.hentry,
					#bbpress-forums li.bbp-header,
					#bbpress-forums .hentry,
					#bbpress-forums .bbp-template-notice,
					#bbpress-forums li.bbp-body .hentry:before,
					#bbpress-forums .bbp-body .bbp-meta .bbp-reply-permalink,
					#content .post.sticky .entry > h2:before,
					nav.anchorlink-nav ul,
					.splitter ul li.active,
					.vc_general.vc_btn3.vc_btn3-shape-default,
					.vc_general.vc_cta3.vc_cta3-shape-rounded,
					.wpb_single_image .wpb_wrapper.vc_single_image-wrapper.rounded_style,
					.wpb_single_image .vc_single_image-wrapper.rounded_style .img img,
					.container.rounded .img,
					.container.rounded .img img,
					.container.rounded .gridimg-wrap,
					.container.rounded .action-hover {
					 -moz-border-radius: '. $max_radius .'; 
					 -webkit-border-radius: '. $max_radius .';
					 border-radius: '. $max_radius .';
					}';	
					
				$custom_css .= '
					pre,
					.post-metadata li,
					nav.pagination .page-numbers,
					.page-link span.pagination,
					.action-icons i,
					li.dock-tab a,
					li.dock-tab a i,
					span.dropcap,
					.dock-tab span.items-count,
					#lang_sel_list li a,
					img.avatar,
					.autototop a,
					.gallery-wrap .slidernav,
					.fonticon.background,
					span.productprice,
					#acoda-tabs .menu a,
					ul.post-metadata-wrap > li i,
					.zoomflow .controlsCon > .arrow-left,
					.zoomflow .controlsCon > .arrow-right,
					#related_posts .related-post-img img,
					.comments-wrapper .comments-value,
					ul.product_list_widget li img,
					ul.cart_list li img,
					.dock-tab-wrapper.wpml #flags li a,
					.vc_toggle_title h4:before,
					span.portfolio-link,
					.page-animate-nav {
					 -moz-border-radius: '. $radius .'; 
					 -webkit-border-radius: '. $radius .';
					 border-radius: '. $radius .';
				}';		
			}
				
			if( of_get_option( 'header_css' ) )
			{
				$custom_css .= of_get_option( 'header_css' );
			}
	
			// Dock Panel Layout
			if( of_get_option('dockicon_panels') == 'dockpanel_type_2' ||  of_get_option('dockicon_panels') == 'dockpanel_type_3' )
			{
				$custom_css .= '
					nav.dock-panel-wrap.dock_layout_1.dockpanel_type_2 {background:none;}
					
					.dock-panel-wrap .dock-panels-background {
					 position:absolute;
					 top:0;
					 left:0;
					 width:100%;
					 height:100%;
					 z-index:103;
					}
					
					.dock-panel-wrap ul.dock-panel {z-index:103;}
					.dockpanel_type_3.dock-panel-wrap ul.dock-panel,
					#header-wrap .dock-panel-wrap ul.dock-panel {z-index:105;}
					.dock-panel-wrap .dock-tab-wrapper .pointer {display:none;}
					.dock-panel-wrap .dock-tab-wrapper {margin:0;padding:0;}
					
					.dock-panel-wrap .dock-tab-wrapper,
					.dock-panel-wrap .background-wrap {
					 -moz-border-radius: 0; 
					 -webkit-border-radius: 0;
					 border-radius: 0;
					 border-width: 0 0 1px 0;
					}
					
					.dock-panel-wrap.animate-slide .dock-tab-wrapper {
					 -webkit-transform:translateY(-150%) rotateX(0);
					 transform:translateY(-150%) rotateX(0);  
					 padding-left:0;
					 padding-right:0;
					 margin-top:-2px;	
					}
					
					.dock-panel-wrap.animate-slide .dock-tab-wrapper.show {
					 -webkit-transform:translateX(0) rotateX(0);
					 transform:translateX(0) rotateX(0);  	
					}
				';
			}
	
			// Dock Panel Layout
			if( of_get_option('dockicon_panels') == 'dockpanel_type_3' )
			{
				$custom_css .= '			
					.dock-panel-wrap .dock-tab-wrapper .background-wrap {
					 border-width: 0;
					}
	
					.dock-panel-wrap.dockpanel_type_3.skinset-dockbar.acoda-skin .dock-tab-wrapper {
						margin:0 !important;
						top:0 !important;
						height: 100%;
						max-height:none;
						max-width:none;
						display:table;
						position:fixed;
					}
					
					nav.dock-panel-wrap.dockpanel_type_3.skinset-dockbar.acoda-skin .dock-tab-wrapper {
						right: 0 !important;
						left: auto !important;
					}
									
					.dock-panel-wrap.dockpanel_type_3.skinset-dockbar.acoda-skin .dock-tab-wrapper .background-wrap {
						display:table-cell;
						vertical-align:middle;
						text-align:center;
					}
					
					@media only screen and (min-width: 64.063em) {	
											
						.dock-panel-wrap.dockpanel_type_3.skinset-dockbar.acoda-skin .dock-tab-wrapper .background-wrap .infodock-innerwrap {
							max-width:none;	
							margin: 0 auto;
							overflow:visible;
							display:inline-block;
							text-align:left;
						}
						
						.dock-panel-wrap.dockpanel_type_3.skinset-dockbar.acoda-skin .dock-tab-wrapper.searchform .background-wrap .infodock-innerwrap,
						.dock-panel-wrap.dockpanel_type_3.skinset-dockbar.acoda-skin .dock-tab-wrapper.infodock .background-wrap .infodock-innerwrap  {
							min-width:700px;	
						}
					}
					
					.dock-panel-wrap.dockpanel_type_3.skinset-dockbar.acoda-skin .dock-tab-wrapper #panelsearchform #drops {width:100%;}
	
				';
			}		
	
			// Info Dock 
			if( of_get_option( 'dockicon_infopanel' ) != 'enable' )
			{
				$custom_css .= '
					.dock-panel-wrap.dock_layout_1 .infodock.static ul li,
					.dock-panel-wrap.dock_layout_1 .infodock.static ul ul {
					 display:inline-block;
					 margin:0 30px 0 0;
					 padding:0;
					 width:100%;
					}
					
					.dock-panel-wrap.dock_layout_1 .infodock.static ul {margin:0;line-height:inherit;}
					.dock_layout_1 .dock-tab-wrapper.infodock.static {padding: 0.9375rem 0;line-height:32px;}
		
					.dock_layout_1 .dock-tab-wrapper.infodock.static .infodock-innerwrap {
					 background:none;
					 padding:0;	
					 box-shadow:none;
					 margin-right: 0;
					}
						
					.dock_layout_1 .dock-tab-wrapper.infodock.static .pointer {
					 display:none;
					}
						
					.dock_layout_1 .dock-tab-wrapper.infodock.static .acoda-skin {
					 background:none;
					 border:none;
					 box-shadow:none;
					 padding:0 0.9375em;
					 color:inherit;
					}
	
					.dock-panel-wrap.dock_layout_1 .dock-tab-wrapper.infodock.static {
					 position:relative;
					 visibility:visible;
					 opacity:1;
					 margin:0 !important;
					 -webkit-transform: none !important;
					 transform: none !important;	 
					 top:0 !important;
					 left:0 !important;
					 max-width:100%;
					 width:auto;
					 float:none;
					 z-index:103;
					 min-width:0;
					 box-shadow:none;
					}
					
					.dock-panel-wrap.dock_layout_1 .dock-tab-wrapper.infodock.static  .acoda_Editor_Widget p {
					 margin-bottom:0;
					 text-align:center;
					}
				';		
			}
			
	
			// * Start * Desktop Media Query
			$custom_css .= '
			@media only screen and (min-width: 64.063em) {
			';		
	
				// Dock Panel Layout
				if( of_get_option('dockicon_panels') == 'dockpanel_type_3' )
				{
					$custom_css .= '					
						.dock-panel-wrap .background-wrap {
						 border-width: 0 1px 0 1px;
						}					
					';
				}
	
				// Dock Bar
				$dockicon_position = ( of_get_option('dockicon_position' ) != '' ? of_get_option('dockicon_position' ) : 'dock_layout_1' );
				
				// Dock Bar Position if Menu is Dock Icon
				if( of_get_option('dockicon_menu') == 'enable' && of_get_option('dockicon_position' ) == 'dock_layout_4' )
				{
					$dockicon_position = 'dock_layout_1';
				} 				
		
				if( $dockicon_position == 'dock_layout_1' || $dockicon_position == 'dock_layout_1 dock_float' )
				{
					$custom_css .= '
					
					.dock_layout_1 ul.dock-panel {
					 text-align:right;
					 white-space:nowrap;
					}
	
					.dock_layout_1.animate-3d .dock-tab-wrapper {
					 -webkit-transform:rotateX(-100deg);
					 transform:rotateX(-100deg);  	
					}	
					
					.dock-panel-wrap.dock_layout_1.animate-3d .dock-tab-wrapper.show {
					 -webkit-transform:rotateX(0);
					 transform:rotateX(0);  	
					}		
					
					.dock-panel-wrap.dockpanel_type_2.dock_layout_1 .dock-tab-wrapper {
					  position:fixed;
					  left:0;
					  margin-left:0;
					  margin-top:-2px;
					  width:100%;
					  max-width:none;
					 }
					 
					 .dock-panel-wrap.dock_layout_1 .dock-panel-inner {padding:0 0.9375em;}
						 
					.dock-panel-wrap.dockpanel_type_2.dock_layout_1 .infodock-innerwrap {margin:0 auto;}
					.dock-panel-wrap.dockpanel_type_2.dock_layout_1 #panelsearchform #drops {width:100%;}
										
					.dock_layout_1.dockpanel_type_2 .dock-menu-tabs .infodock-innerwrap > ul > li,
					nav.dock_layout_1.dockpanel_type_2 .infodock .infodock-innerwrap > ul > li.widget {
					 float:left;
					 width:25%;
					 clear:none;
					}
						
					.dock_layout_1 .dock-menu-tabs .infodock-innerwrap ul ul,
					.dock_layout_1 .dock-menu-tabs .infodock-innerwrap ul li {
					 margin-left:0;
					}	
						
					.dock_layout_1 .dock-menu-tabs li.menu-item-has-children > a:after {display:none;}	 	
					
					.dock_layout_1 .dock-tab-wrapper.infodock .acoda-skin a,
					.dock_layout_1 .dock-tab-wrapper.infodock .acoda-skin a:hover {color:inherit;}
				
					.dock_layout_1 .infodock.skinset-header {background:none;}					
					';
				}
		
				if( $dockicon_position == 'dock_layout_2' || $dockicon_position == 'dock_layout_2 dock_float' )
				{	
					if( $dockicon_position == 'dock_layout_2' )
					{	
						$custom_css .= '
						body.dock_layout_2 .vc_parallax .vc_parallax-inner {left:-61px;}
						body.dock_layout_2.icon-medium .vc_parallax .vc_parallax-inner {left:-69px;}
						body.dock_layout_2.icon-large .vc_parallax .vc_parallax-inner {left:-78px;}
						body.dock_layout_2.icon-xlarge .vc_parallax .vc_parallax-inner {left:-86px;}		
	
						body.dock_layout_2 .page_animate_2 nav.anchorlink-nav, 
						body.dock_layout_2 .page_animate_4 nav.anchorlink-nav,	
						body.dock_layout_2 .row.stretch_content,
						body.dock_layout_2 .row-shape-wrap,
						body.dock_layout_2 #header.stuck,
						body.dock_layout_2 {padding-left:61px;}
						
	
						body.dock_layout_2.icon-medium .row.stretch_content,
						body.dock_layout_2.icon-medium .row-shape-wrap,
						body.dock_layout_2.icon-medium  #header.stuck,
						body.dock_layout_2.icon-medium {padding-left:69px;}
						
						body.dock_layout_2.icon-large .row.stretch_content,
						body.dock_layout_2.icon-large .row-shape-wrap,
						body.dock_layout_2.icon-large  #header.stuck,
						body.dock_layout_2.icon-large {padding-left:78px;}			
						
						body.dock_layout_2.icon-xlarge .row-shape-wrap,
						body.dock_layout_2.icon-xlarge .row.stretch_content,
						body.dock_layout_2.icon-xlarge  #header.stuck,
						body.dock_layout_2.icon-xlarge {padding-left:86px;}
						';
					}
	
					if( of_get_option('dockicon_panels') == 'dockpanel_type_3' )
					{	
						$custom_css .= '					
						nav.dock-panel-wrap.dockpanel_type_3.skinset-dockbar.acoda-skin .dock-tab-wrapper {
							right: auto !important;
							left: 0 !important;
						}
						';			
					}
					
					$custom_css .= '							
					
					.dock-panel-wrap.dock_layout_2.skinset-dockbar {
					 position:fixed;
					 height:100%;
					 width:auto;
					 -webkit-perspective: 1400px;
					 -moz-perspective: 1400px;
					 perspective: 1400px;	 
					 border-width: 0 1px 0 0;
					}
					
					body.admin-bar .dock-panel-wrap.dock_layout_2 {
					 height:calc(100% - 32px);
					}
					
					.dock-panel-wrap.dock_layout_2 li.dock-tab {display:block;}	
						
					.dock_layout_2 .dock-tab-wrapper {
					 margin-top:0;
					}
						
					nav.dock_layout_2 .dock-panels,
					nav.dock_layout_2 .background-wrap,
					nav.dock_layout_2 .dock-panel-inner,
					nav.dock_layout_2 .dock-tab-wrapper.mobile-menu {
					 height:100%;
					}
	
					nav.dock_layout_2 .dock-tab-wrapper.dock-menu,
					nav.dock_layout_2 .dock-tab-wrapper.infodock {min-width:600px;}				
					
					.dock-panel-wrap.dock_layout_2.animate-3d .dock-tab-wrapper.show {
					 -webkit-transform:rotateY(0);
					 transform:rotateY(0);  	
					}		
					
					.dock-panel-wrap.dockpanel_type_1.dock_layout_2.animate-slide .dock-tab-wrapper.show,
					.dock-panel-wrap.dockpanel_type_2.dock_layout_2.animate-slide .dock-tab-wrapper.show,
					.dock-panel-wrap.dockpanel_type_3.dock_layout_2.animate-slide .dock-tab-wrapper.show	 {
					 -webkit-transform:translateX(0) rotateX(0);
					 transform:translateX(0) rotateX(0);  	
					}	
					
					.dock-panel-wrap.dockpanel_type_2.dock_layout_2 .dock-tab-wrapper {height:100%;}		
						
					.dock_layout_2.animate-3d .dock-tab-wrapper {
					 -webkit-transform-origin:left top;
					 transform-origin:left top;	
					 -webkit-transform:rotateY(100deg);
					 transform:rotateY(100deg);  	
					}	
						
					.dock-panel-wrap.dock_layout_2 {
					 left:0;
					}
					
					.dock_layout_2 .dock-panel-wrap .dock-tab-wrapper span.pointer:before,
					.dock_layout_2 .dock-panel-wrap .dock-tab-wrapper span.pointer:after {
					 margin: 0 0 0 -17px;
					 border-bottom-color: transparent;
					 border-top-color: transparent;
					 border-left-color: transparent;
					}
						
					.dock_layout_2 .dock-panel-wrap .dock-tab-wrapper span.pointer:after {
					 border-right-color:rgba(0,0,0,0.1);
					 margin: -1px 0 0 -20px;
					}
					
					.dock-panel-wrap.dockpanel_type_2.dock_layout_2.animate-slide .dock-tab-wrapper,
					.dock-panel-wrap.dockpanel_type_3.dock_layout_2.animate-slide .dock-tab-wrapper {
					 -webkit-transform:translateX(-150%) rotateX(0);
					 transform:translateX(-150%) rotateX(0); 
					 opacity:1; 	
					}	
					
					.dock-panel-wrap.dockpanel_type_1.dock_layout_2.animate-slide .dock-tab-wrapper {
					 -webkit-transform:translateX(100%) rotateX(0);
					 transform:translateX(100%) rotateX(0);  	
					}		
					
					.dock_layout_2 li.dock-tab > a { margin: 0 0 0.4687em 0; }
					';
				}
		
				if( $dockicon_position == 'dock_layout_3' || $dockicon_position == 'dock_layout_3 dock_float' )
				{	
					if( $dockicon_position == 'dock_layout_3' )
					{	
						$custom_css .= '
						body.dock_layout_3 .vc_parallax .vc_parallax-inner {left:-61px;}
						body.dock_layout_3.icon-medium .vc_parallax .vc_parallax-inner {left:-69px;}
						body.dock_layout_3.icon-large .vc_parallax .vc_parallax-inner {left:-78px;}
						body.dock_layout_3.icon-xlarge .vc_parallax .vc_parallax-inner {left:-86px;}	
	
						body.dock_layout_3 .page_animate_2 nav.anchorlink-nav, 
						body.dock_layout_3 .page_animate_4 nav.anchorlink-nav,
						body.dock_layout_3 .row.stretch_content,		
						body.dock_layout_3 .row-shape-wrap,
						body.dock_layout_3 #header.stuck,
						body.dock_layout_3 {padding-right:61px;}
	
						body.dock_layout_3.icon-medium .page_animate_2 nav.anchorlink-nav, 
						body.dock_layout_3.icon-medium .page_animate_4 nav.anchorlink-nav,
						body.dock_layout_3.icon-medium .row.stretch_content,
						body.dock_layout_3.icon-medium .row-shape-wrap,
						body.dock_layout_3.icon-medium  #header.stuck,
						body.dock_layout_3.icon-medium {padding-right:69px;}
						
						body.dock_layout_3.icon-large .row.stretch_content,
						body.dock_layout_3.icon-large .row-shape-wrap,
						body.dock_layout_3.icon-large  #header.stuck,
						body.dock_layout_3.icon-large {padding-right:78px;}
						
						body.dock_layout_3.icon-xlarge .row.stretch_content,
						body.dock_layout_3.icon-xlarge .row-shape-wrap,
						body.dock_layout_3.icon-xlarge  #header.stuck,
						body.dock_layout_3.icon-xlarge {padding-right:86px;}						
						';
					}
					
					$custom_css .= '						
					
					.dock-panel-wrap.dock_layout_3.skinset-dockbar {
					 position:fixed;
					 height:100%;
					 width:auto;
					 -webkit-perspective: 1400px;
					 -moz-perspective: 1400px;
					 perspective: 1400px;	 
					 border-width: 0 0 0 1px;
					}			
	
					body.admin-bar .dock-panel-wrap.dock_layout_3 {
					 height:calc(100% - 32px);
					}					
					
					.dock-panel-wrap.dock_layout_3 li.dock-tab {display:block;}
					
					.dock_layout_3 div.autototop a { right:90px; }	
					
					.dock_layout_3 .dock-tab-wrapper {
					 margin-top:0;
					 text-align:right;
					}
						
					nav.dock_layout_3 .dock-panels,
					nav.dock_layout_3 .background-wrap,	
					nav.dock_layout_3 .dock-panel-inner,
					nav.dock_layout_3 .dock-tab-wrapper.mobile-menu {
					 height:100%;
					}
	
					nav.dock_layout_3 .dock-tab-wrapper.dock-menu,
					nav.dock_layout_3 .dock-tab-wrapper.infodock {min-width:600px;}						
					
					.dock-panel-wrap.dock_layout_3.animate-3d .dock-tab-wrapper.show {
					 -webkit-transform:rotateY(0);
					 transform:rotateY(0);  	
					}		
					
					.dock-panel-wrap.dockpanel_type_1.dock_layout_3.animate-slide .dock-tab-wrapper.show,
					.dock-panel-wrap.dockpanel_type_2.dock_layout_3.animate-slide .dock-tab-wrapper.show,
					.dock-panel-wrap.dockpanel_type_3.dock_layout_3.animate-slide .dock-tab-wrapper.show	 {
					 -webkit-transform:translateX(0) rotateX(0);
					 transform:translateX(0) rotateX(0);  	
					}	
					
					.dock-panel-wrap.dockpanel_type_2.dock_layout_3 .dock-tab-wrapper {height:100%;}		
		
					.dock-panel-wrap.dockpanel_type_1.dock_layout_3.animate-slide .dock-tab-wrapper {
					 -webkit-transform:translateX(-100%) rotateX(0);
					 transform:translateX(-100%) rotateX(0);  	
					}	
											
					.dock-panel-wrap.dock_layout_3 {
					 right:0;
					}
					
					.dock_layout_3 .dock-panel-wrap .dock-tab-wrapper span.pointer:before,
					.dock_layout_3 .dock-panel-wrap .dock-tab-wrapper span.pointer:after {
					 margin: 0 -18px 0 -1px;
					 border-bottom-color: transparent;
					 border-top-color: transparent;
					 border-right-color: transparent;
					}
					
					.dock_layout_3 .dock-panel-wrap .dock-tab-wrapper span.pointer:after {
					 border-left-color:rgba(0,0,0,0.1);
					 margin: -1px 0 0 0;
					}	
					
					.dock-panel-wrap.dockpanel_type_2.dock_layout_3.animate-slide .dock-tab-wrapper,
					.dock-panel-wrap.dockpanel_type_3.dock_layout_3.animate-slide .dock-tab-wrapper {
					 -webkit-transform:translateX(150%) rotateX(0);
					 transform:translateX(150%) rotateX(0);  	
					 opacity:1;
					}
					
					.dock_layout_3.animate-3d .dock-tab-wrapper {
					 -webkit-transform-origin:right top;
					 transform-origin:right top;	
					 -webkit-transform:rotateY(-100deg);
					 transform:rotateY(-100deg);  	
					}	
						
					.dock-panel-wrap.dockpanel_type_2.dock_layout_3 .dock-tab-wrapper {right:0;}
					.dock_layout_3 li.dock-tab > a { margin: 0 0 0.4687em 0; }
					';
				}		
		
				// Info Dock 
				if( of_get_option( 'dockicon_infopanel' ) != 'enable' )
				{
					$custom_css .= '
	
					.dock-panel-wrap.dock_layout_1 .infodock.static ul li,
					.dock-panel-wrap.dock_layout_1 .infodock.static ul ul {
					 width:auto !important;
					}
					
					.dock-panel-wrap.dock_layout_1 .infodock.static ul li:last-child {
					 margin-right:0;	
					}
					
					.dock-panel-wrap.dock_layout_1 .dock-tab-wrapper.infodock.static {
					 float:right;
					}';		
				}
	
				// Header Layout			
				$header_layout		= ( get_post_meta( $post_id, '_'. ACODA_THEME_PREFIX .'_header_layout', true ) != '' ?  get_post_meta( $post_id, '_'. ACODA_THEME_PREFIX .'_header_layout', true ) : ( of_get_option('header_layout' ) !='' ? of_get_option('header_layout' ) : '' ) );			
		
				if( $header_layout == 'layout_2' )
				{
					$custom_css .= '		
					#header-wrap.layout_2 #header-logo {
					 float:right;
					 text-align:right;
					}
		
					#header-wrap.layout_2 #acoda-tabs {
					 float:left;
					 text-align:left;
					}	
					
					#header-wrap.layout_2 #acoda-tabs > ul > li {
					 margin: 0 10px 0 0;
					}
					
					#header-wrap.layout_2 #acoda-tabs > ul > li:nth-child(2) a {
					 padding-left:0;	
					}
					
					#header-wrap.layout_2 #acoda-tabs > ul > li:nth-child(2).current_page_item a,
					#header-wrap.layout_2 #acoda-tabs > ul > li:nth-child(2).current-menu-ancestor a {
					 padding-left:10px;
					}';
				}
	
				if( $header_layout == 'layout_3' )
				{
					$custom_css .= '		
					#header-wrap.layout_3 #header.stuck #acoda-tabs {
					 float:right;
					 text-align:right;
					}
				
					#header-wrap.layout_3 #header.stuck #header-logo {
					 float:left;
					 text-align:left;
					}	
					
					#header-wrap.layout_3 #acoda-tabs,
					#header-wrap.layout_3 #header-logo {
					 float:none;
					 clear:both;
					 display:table;
					 margin-left:auto;
					 margin-right:auto;
					}
					
					#header-wrap.layout_3 #acoda-tabs ul.menu > li {margin: 0 0.468em 0 0.468em;}
					
					#header-wrap.layout_3 #header-logo {
					 text-align:center;	
					}';
				}		
				
				if( of_get_option('sticky_menu') != 'disable' )
				{
					$custom_css .= '		
					#header.stuck {
					 left:0; 
					 top:0;
					 z-index:1000;
					 -webkit-transform:translateY(-100%);
					 transform:translateY(-100%);
					 opacity:0;
					 min-height:0 !important;
					 position:fixed;
					 height:auto;
					}
					
				
				
				
					#header.stuck #acoda-tabs > ul, 
					#header.stuck #acoda-tabs ul.dock-panel li.dock-tab a i {font-size:0.85rem;}			
				
					.layout-boxed #header-wrap.stuck {max-width:100%;}
					
					#header.stuck.animate { 
					 -webkit-transform:translateY(0);
					 transform:translateY(0);
					 opacity:1;
					}
					
					body.admin-bar #header-wrap #header.stuck.animate {margin-top:32px !important;}
					
					#header-wrap.layout_3 #header.stuck #acoda-tabs,
					#header-wrap.layout_3 #header.stuck #header-logo {
					 margin-left:0;
					 margin-right:0;	
					 display:inherit;
					 clear:none;
					}
	
					#header.stuck #header-logo .logo,
					#header.stuck #header-logo .logo a {
					 font-size:25px;
					 line-height:70px;
					}
					
					#header.stuck #header-logo #logo .description {display:none;}
					
					#header.stuck #header-logo,
					#header.stuck #acoda-tabs > ul > li, 
					#header.stuck .dock-panel-wrap.main_nav ul.dock-panel li, 
					#header.stuck #acoda-tabs .dock-panel li.dock-tab.dock-info {
					 line-height:70px;
					 height:70px;
					}
					
					#header-wrap #header.stuck #header-logo img {
					 max-height:50px;
					 vertical-align:middle;
					}';
				}
				
				// Maximum Site Width
				if( of_get_option( 'max_site_width' ) != '' )
				{
					$custom_css .= '
					div#header.wide .inner-wrap,
					div#primary-wrapper.layout-boxed,
					.compose-mode div.acoda-page-animate .row.vc_row-parent > .vc_container-block,
					.acoda-page-animate .row.vc_row-parent > .row-content-wrap > div.row-inner-wrap,
					#primary-wrapper.layout-boxed div.dynamic-frame.row,
					div.row {
						max-width:'. of_get_option( 'max_site_width' ) .'px;
					}';
				}	
			
			// * End * Desktop Media Query
			$custom_css .= '
			}';
		
			if( of_get_option('preloader') == 'preloader_1' || of_get_option('preloader') == ''  )
			{
				$custom_css .= '				
				.acoda-spinner {
				  margin: -20px 0 0 -20px;
				  width: 40px;
				  height: 40px;
				  position:fixed;
				  left:50%;
				  top:50%;
				  text-align: center;
				  -webkit-animation: sk-rotate 1.8s infinite linear;
				  animation: sk-rotate 1.8s infinite linear;
				}
				
				.loaded .acoda-spinner {opacity:0;}
				
				.dot1, .dot2 {
				  width: 60%;
				  height: 60%;
				  display: inline-block;
				  position: absolute;
				  top: 0;
				  border-radius: 100%;
				  -webkit-animation: sk-bounce 1.8s infinite ease-in-out;
				  animation: sk-bounce 1.8s infinite ease-in-out;
				}
				
				.dot2 {
				  top: auto;
				  bottom: 0;
				  -webkit-animation-delay: -0.9s;
				  animation-delay: -0.9s;
				}
				
				@-webkit-keyframes sk-rotate { 100% { -webkit-transform: rotate(360deg) }}
				@keyframes sk-rotate { 100% { transform: rotate(360deg); -webkit-transform: rotate(360deg) }}
				
				@-webkit-keyframes sk-bounce {
				  0%, 100% { -webkit-transform: scale(0.0) }
				  50% { -webkit-transform: scale(1.0) }
				}
				
				@keyframes sk-bounce {
				  0%, 100% { 
					transform: scale(0.0);
					-webkit-transform: scale(0.0);
				  } 50% { 
					transform: scale(1.0);
					-webkit-transform: scale(1.0);
				  }
				}';	
			}
			else if( of_get_option('preloader') == 'preloader_2' ) 
			{
				$custom_css .= '				
				.acoda-spinner {
				  margin: -20px 0 0 -40px;
				  width: 80px;
				  height: 40px;
				  position:fixed;
				  left:50%;
				  top:50%;			  
				  text-align: center;
				}
				
				.loaded .acoda-spinner {opacity:0;}
				
				.acoda-spinner > div {
				  width: 18px;
				  height: 18px;		
				  border-radius: 100%;
				  margin:0 0.25rem;
				  display: inline-block;
				  -webkit-animation: sk-bouncedelay 1.4s infinite ease-in-out both;
				  animation: sk-bouncedelay 1.4s infinite ease-in-out both;
				}
				
				.acoda-spinner .dot1 {
				  -webkit-animation-delay: -0.32s;
				  animation-delay: -0.32s;
				}
				
				.acoda-spinner .dot2 {
				  -webkit-animation-delay: -0.16s;
				  animation-delay: -0.16s;
				}
				
				@-webkit-keyframes sk-bouncedelay {
				  0%, 80%, 100% { -webkit-transform: scale(0) }
				  40% { -webkit-transform: scale(1.0) }
				}
				
				@keyframes sk-bouncedelay {
				  0%, 80%, 100% { 
					-webkit-transform: scale(0);
					transform: scale(0);
				  } 40% { 
					-webkit-transform: scale(1.0);
					transform: scale(1.0);
				  }
				}';			
			}
			else if( of_get_option('preloader') == 'preloader_3' ) 
			{
				$custom_css .= '				
				.acoda-spinner {
				  width: 40px;
				  margin: -20px 0 0 -20px;
				  height: 40px;
				  position:fixed;
				  left:50%;
				  top:50%;			  
				  text-align: center;
				}
				
				.loaded .acoda-spinner {opacity:0;}
				
				.acoda-spinner > div {
				  width: 40px;
				  height: 40px;		
				  border-radius: 100%;
				  display: inline-block;
				  border-radius: 100%;  
				  -webkit-animation: sk-scaleout 1.0s infinite ease-in-out;
				  animation: sk-scaleout 1.0s infinite ease-in-out;
				}
				
				@-webkit-keyframes sk-scaleout {
				  0% { -webkit-transform: scale(0) }
				  100% {
					-webkit-transform: scale(1.0);
					opacity: 0;
				  }
				}
				
				@keyframes sk-scaleout {
				  0% { 
					-webkit-transform: scale(0);
					transform: scale(0);
				  } 100% {
					-webkit-transform: scale(1.0);
					transform: scale(1.0);
					opacity: 0;
				  }
				}';			
			}
			
			if( of_get_option( 'responsive_css' ) )
			{
				$custom_css .= '@media only screen and (max-width: 1024px) {'. of_get_option( 'responsive_css' ) . '}';
			}		
			// Minify CSS
			$custom_css = str_replace( array("\r", "\n", "\t" ), '', $custom_css );
			
			
		
			wp_enqueue_style( 'acoda-dynamic',	get_template_directory_uri() . '/dynamic-style.css', false, null );
			wp_add_inline_style( 'acoda-dynamic', $custom_css );	
		}
	}
	
	add_action( 'wp_enqueue_scripts', 'acoda_dynamic_css' );


	if ( ! function_exists( 'acoda_font_config' ) ) 
	{
		function acoda_font_config()
		{
			// Acoda Fonts
			$font_list_array	= acoda_font_list();
			$font_list			= $font_list_array['font_list'];
			$skin		 		= acoda_global_vars('skin');	
			$acoda_fonts		= '';
			
			$get_skin_data = maybe_unserialize( get_option('skin_data_'. $skin) );
		
			foreach( $font_list as $google_font => $value )
			{
				if( isset( $get_skin_data['skin_id_background_font'] ) )
				{
					if( stripslashes( $get_skin_data['skin_id_background_font'] ) == $google_font && stripslashes( $get_skin_data['skin_id_background_font'] ) != '' )
					{
						$font_weight = ( !empty( $get_skin_data['skin_id_background_font_weight'] ) ? $get_skin_data['skin_id_background_font_weight'] : '' );
		
						// Load regular font weight
						if ( strpos( $font_weight, 'regular' ) === false )
						{
							$font_weight .= ',regular';
						}					
			
						$value = str_replace(" ", "+", $value); // replace spaces with +
						$value = str_replace('"', "", $value); // replace " with blank
						$acoda_fonts .= $value .':'. $font_weight .'|'; // add to google fonts list			
					}
				}
		
				if( isset( $get_skin_data['skin_id_header_font'] ) )
				{
					if( stripslashes( $get_skin_data['skin_id_header_font'] ) == $google_font && stripslashes( $get_skin_data['skin_id_header_font'] ) != '' )
					{
						$font_weight = ( !empty( $get_skin_data['skin_id_header_font_weight'] ) ? $get_skin_data['skin_id_header_font_weight'] : '' );
			
						$value = str_replace(" ", "+", $value); // replace spaces with +
						$value = str_replace('"', "", $value); // replace " with blank
		
						if ( strpos( $acoda_fonts, $value ) !== false )
						{
							$acoda_fonts = str_replace( $value .':' , $value .':'. $font_weight .',', $acoda_fonts );
						}
						else
						{
							$acoda_fonts .= $value .':'. $font_weight .'|'; // add to google fonts list	
						}
						
					}	
				}
		
				if( isset( $get_skin_data['skin_id_background_heading_font'] ) )
				{
					if( stripslashes( $get_skin_data['skin_id_background_heading_font'] ) == $google_font && stripslashes( $get_skin_data['skin_id_background_heading_font'] ) != '' )
					{
						$font_weight = ( !empty( $get_skin_data['skin_id_background_heading_font_weight'] ) ? $get_skin_data['skin_id_background_heading_font_weight'] : '' );
			
						$value = str_replace(" ", "+", $value); // replace spaces with +
						$value = str_replace('"', "", $value); // replace " with blank
		
						if ( strpos( $acoda_fonts, $value ) !== false )
						{
							$acoda_fonts = str_replace( $value .':' , $value .':'. $font_weight .',', $acoda_fonts );
						}
						else
						{
							$acoda_fonts .= $value .':'. $font_weight .'|'; // add to google fonts list	
						}
					}	
				}
		
				if( isset( $get_skin_data['skin_id_background_logo_font'] ) )
				{
					if( stripslashes( $get_skin_data['skin_id_background_logo_font'] ) == $google_font && stripslashes( $get_skin_data['skin_id_background_logo_font'] ) != '' )
					{
						$font_weight = ( !empty( $get_skin_data['skin_id_background_logo_font_weight'] ) ? $get_skin_data['skin_id_background_logo_font_weight'] : '' );
			
						$value = str_replace(" ", "+", $value); // replace spaces with +
						$value = str_replace('"', "", $value); // replace " with blank								
			
						if ( strpos( $acoda_fonts, $value ) !== false )
						{
							$acoda_fonts = str_replace( $value .':' , $value .':'. $font_weight .',', $acoda_fonts );
						}
						else
						{
							$acoda_fonts .= $value .':'. $font_weight .'|'; // add to google fonts list	
						}
					}	
				}		
			}
			
			// Prepare Fotns
			if( !empty( $acoda_fonts ) )
			{
				$acoda_fonts = rtrim($acoda_fonts, '|'); // remove remaining pipe	
				$acoda_fonts = str_replace( '+', ' ', $acoda_fonts ); // replace + character with space.
			}	
			
			return $acoda_fonts;
		}
	}
	
	if ( ! function_exists( 'acoda_fonts_url' ) ) 
	{	
		function acoda_fonts_url() 
		{		
			$acoda_fonts = acoda_font_config();
			
			$fonts_url = '';
		
			if ( 'off' !== _x( 'on', 'Google font: on or off', 'you' ) ) 
			{
				$fonts_url = add_query_arg( 'family', urlencode( $acoda_fonts . '&subset=latin,latin-ext' ) , "//fonts.googleapis.com/css" );
			}
			
			return esc_url_raw( $fonts_url );
		}
	}		


	if ( ! function_exists( 'acoda_fonts' ) ) 
	{	
		function acoda_fonts()
		{	
			if( of_get_option('webfontloader') != 'disable' )
			{
				$acoda_fonts = acoda_font_config();
					
				$acoda_fonts = explode( '|', $acoda_fonts );
					
				$font_families = array(
					'families' => $acoda_fonts,
				);
					
				wp_enqueue_script( 'acoda-web-font-loader', get_template_directory_uri().'/js/acoda-web-font-loader.js', false, '', true );
				wp_localize_script('acoda-web-font-loader', 'FONTS', $font_families );		
			}
			else
			{	
				wp_enqueue_style( 'acoda-fonts', acoda_fonts_url(), array(), null );
			}		
		}
	}
	
	add_action( 'wp_enqueue_scripts', 'acoda_fonts' );
	

	if ( ! function_exists( 'acoda_class_names' ) ) 
	{	
		function acoda_class_names( $classes ) 
		{
			// add 'class-name' to the $classes array
			$classes[] = 'skinset-background acoda-skin';
		
			// Dock Bar Position
			$dockicon_position 	= ( of_get_option('dockicon_position' ) != '' ? of_get_option('dockicon_position' ) : 'dock_layout_4' );
				
			$classes[] = $dockicon_position;		
			
			// Dock Bar Icon Size
			$acoda_skin 				= acoda_global_vars('skin');	
			$get_skin_data 			= maybe_unserialize( get_option('skin_data_'. $acoda_skin ) );
			$acoda_dockpanel_iconsize	= ( !empty( $get_skin_data['skin_id_dockpanel_iconsize'] ) ) ? $get_skin_data['skin_id_dockpanel_iconsize'] : '';		
				
			$classes[] = $acoda_dockpanel_iconsize;
			
			// return the $classes array
			return $classes;
		}
	}
	
	add_filter( 'body_class', 'acoda_class_names' );


	if ( ! function_exists( 'acoda_header' ) ) 
	{
		function acoda_header()
		{		
			global $post;
				
			// Get Post ID
			if( is_archive() )
			{
				$url = explode('?', 'http://'. esc_url( $_SERVER["HTTP_HOST"] . $_SERVER["REQUEST_URI"] ) );
				$post_id = ( isset($_GET['page_id'] ) ? esc_attr( $_GET['page_id'] ) : url_to_postid( esc_url( $url[0] ) ) );				
			}
			else
			{
				$post_id = ( !empty( $post ) && ! is_search() ? $post->ID : '' );
			}
				
			// Header Layout
			$header_layout				= ( get_post_meta( $post_id, '_'. ACODA_THEME_PREFIX .'_header_layout', true ) != '' ?  get_post_meta( $post_id, '_'. ACODA_THEME_PREFIX .'_header_layout', true ) : ( of_get_option('header_layout' ) !='' ? of_get_option('header_layout' ) : '' ) );
			$header_layout_vertical	= ( get_post_meta( $post_id, '_'. ACODA_THEME_PREFIX .'_header_layout_vertical', true ) != '' ?  get_post_meta( $post_id, '_'. ACODA_THEME_PREFIX .'_header_layout_vertical', true ) : ( of_get_option('header_layout_vertical' ) !='' ? of_get_option('header_layout_vertical' ) : '' ) );
			$animate_type 				= ( of_get_option('animate_type' ) != '' ? of_get_option('animate_type' ) : 'animate-3d' );
			$dockicon_panels 			= ( of_get_option('dockicon_panels' ) != '' ? of_get_option('dockicon_panels' ) : 'dockpanel_type_1' );
			$dockbar_display 			= ( get_post_meta( $post_id, '_'. ACODA_THEME_PREFIX .'_dockbar_display', true ) != 'disable' ? 'enable' : 'disable' );	
			$acoda_socialicons_color	=	( get_post_meta( $post_id, '_'. ACODA_THEME_PREFIX .'_socialicons_color', true ) !='' ) 	? get_post_meta( $post_id, '_'. ACODA_THEME_PREFIX .'_socialicons_color', true ) : of_get_option('socialicons_color');		
			$color 						= ( !empty( $acoda_socialicons_color ) ? $acoda_socialicons_color : '' );
			$menu_slug 				= ( get_post_meta( $post_id, '_'. ACODA_THEME_PREFIX .'_menu', true ) !='' ) ? get_post_meta( $post_id, '_'. ACODA_THEME_PREFIX .'_menu', true ) : '';							
			$selected_menu 			= ( empty( $menu_slug ) && !has_nav_menu( 'mainnav' ) ? 'none' : '' );
			$acoda_header_display 	= ( get_post_meta( $post_id, '_'. ACODA_THEME_PREFIX .'_header_display', true ) !='' ) 	? get_post_meta( $post_id, '_'. ACODA_THEME_PREFIX .'_header_display', true ) : ( of_get_option('header_display') != '' ? of_get_option('header_display') : '' );
			
			
			$acoda_skin 				= acoda_global_vars('skin');	
			$get_skin_data 			= maybe_unserialize( get_option('skin_data_'. $acoda_skin ) );
			$acoda_skin_logo 			= ( !empty( $get_skin_data['skin_id_header_logo'] ) ) ? $get_skin_data['skin_id_header_logo'] : '';
			$acoda_skin_logo_trans	= ( !empty( $get_skin_data['skin_id_logo_transparent'] ) ) ? $get_skin_data['skin_id_logo_transparent'] : '';
			$acoda_dockpanel_iconsize	= ( !empty( $get_skin_data['skin_id_dockpanel_iconsize'] ) ) 		? $get_skin_data['skin_id_dockpanel_iconsize'] : '';
			$header_width				= ( of_get_option('header_width' ) != '' ? ' '. of_get_option('header_width' ) : '' );
			$page_animate_type 		= acoda_global_vars('page_animate_type');
			
				
			$header_float 				= ( get_post_meta( $post_id, '_'. ACODA_THEME_PREFIX .'_header_float', true )	!= ''	? get_post_meta( $post_id, '_'. ACODA_THEME_PREFIX .'_header_float', true ) : ( of_get_option('header_float')	!= '' ? of_get_option('header_float')	: '' ) );
		
			if( !empty( $page_animate_type ) && empty( $header_float  ) )
			{
				$header_float = 'header_float';	
			}		
		
			// Do not float archive pages
			if( is_archive() )
			{
				$header_float = '';	
			}
			elseif ( class_exists( 'woocommerce' ) )
			{
				if( is_woocommerce() )
				{
					$header_float = '';	
				}
			}	
				
			// Dock Bar Position
			$dockicon_position 		= ( of_get_option('dockicon_position' ) != '' ? of_get_option('dockicon_position' ) : 'dock_layout_4' );			
			
			// If not dock_layout_1 or dock_layout_1 dock_float
			if( $acoda_header_display != 'disable' && ( $header_float == 'header_float' || $header_float == 'header_float transparent' || $header_float == 'header_float transparent_default_font' ) && ( $dockicon_position == 'dock_layout_1' || $dockicon_position == 'dock_layout_1 dock_float' )  )
			{
				echo "\n". '<div class="header-float-wrap '. esc_attr( $header_float ) .' clearfix">';
			}	
			
			if( $dockicon_position != 'dock_layout_4' && $dockbar_display != 'disable' )
			{
				require_once get_template_directory() .'/dock.config.php';
			}
		
			// If not dock_layout_1 or dock_layout_1 dock_float
			if( $acoda_header_display != 'disable' && ( $header_float == 'header_float' || $header_float == 'header_float transparent' || $header_float == 'header_float transparent_default_font' ) && ( $dockicon_position != 'dock_layout_1' && $dockicon_position != 'dock_layout_1 dock_float' )  )
			{
				echo "\n". '<div class="header-float-wrap '. esc_attr( $header_float ) .' clearfix">';
			}
			
			if( $acoda_header_display != 'disable' )
			{
				echo "\n". '<header id="header-wrap" class="'. esc_attr( $header_layout .' '. $header_layout_vertical .' '. $header_float .' '. $dockicon_position .' '. $animate_type ) .' clearfix skinset-header acoda-skin" itemscope="itemscope" itemtype="http://schema.org/WPHeader" role="banner">';
								
				echo "\n". '<div class="header-overlay"></div>';
				echo "\n". '<div class="header-wrap-inner">';
				
				if( $dockicon_position == 'dock_layout_4' && $dockbar_display != 'disable' )
				{
					require_once get_template_directory() .'/dock.config.php';
				}	
					
				echo "\n". '<div id="header" class="row '. esc_attr( $header_width ) .'">';
				echo "\n". '<div class="columns large-12 inner-wrap clearfix">'; 
								
					if( of_get_option('logo_display') != 'disable' ) : 
							
						echo "\n\t". '<div id="header-logo">';
						echo "\n\t". '<div id="logo">';
								
							if( of_get_option('branding_url', of_get_default('branding_url' ) ) || $acoda_skin_logo != '' ) : // Is Branding Image Set 
						
									$acoda_branding_url = ( !empty( $acoda_skin_logo ) ? $acoda_skin_logo : of_get_option('branding_url', of_get_default('branding_url' ) ) ); 
						
									echo '<a class="'. ( !empty( $acoda_skin_logo_trans ) && ( $header_float == 'header_float transparent' ) ? 'sticky' : '' ) .'" href="'. esc_url( get_home_url() ) .'"><img src="'. esc_url( $acoda_branding_url ) .'" alt="'. esc_attr( get_bloginfo('name') ) .'" /></a>';
									
									if( !empty( $acoda_skin_logo_trans ) && ( $header_float == 'header_float transparent' ) )
									{
										echo '<a class="transparent" href="'. esc_url( get_home_url() ) .'"><img src="'. esc_url( $acoda_skin_logo_trans ) .'" alt="'. esc_attr( get_bloginfo('name') ) .'" /></a>';
									}
								   
									if( get_bloginfo('description') != '' && of_get_option('header_tagline') == 'enable' ) :
									   echo '<span class="description">'. esc_html( get_bloginfo('description') ) .'</span>'; 
									endif;           
			
								else:
								
									echo '<span class="logo"><a href="'. esc_url( get_home_url() ) .'">'. get_bloginfo('name') .'</a></span>';
									
									if( get_bloginfo('description') !='' && of_get_option('header_tagline') == 'enable' )
									{
										echo '<span class="description">'. esc_html( get_bloginfo('description') ) .'</span>';		
									}
								 
								endif; 
							
							echo "\n\t". '</div>';
							echo "\n\t". '</div><!-- /header-logo -->';
			   
							endif;
							
							if( of_get_option( 'dockicon_menu' ) != 'enable' )
							{         
								echo "\n\t". '<nav id="acoda-tabs" class="skinset-menu acoda-skin" itemscope="itemscope" itemtype="http://schema.org/SiteNavigationElement" role="navigation">';
		
									echo "\n". '<div class="dock-panel-wrap'. ( of_get_option('dockicon_panels') == 'dockpanel_type_3' ? ' dockpanel_type_3' : ''  ) .' skinset-dockbar acoda-skin main_nav"><div class="dock-panel-inner"></div></div>'; 	
							
									if(  $menu_slug != 'disable' && $selected_menu !='none' ) :
													
									$walker = new acoda_walker;
												
									wp_nav_menu( array(
										'echo' => true,
										'container' => 'ul',
										'menu_class' => 'menu clearfix',
										'menu_id' => 'acoda_dropmenu',
										'theme_location' => 'mainnav',
										'walker' => $walker,
										'menu' => $menu_slug
									));
										
									endif;						
									
								echo "\n\t". '</nav><!-- /acoda-tabs -->';
							}
							elseif( of_get_option( 'dockicon_menu' ) == 'enable' && $dockicon_position == 'dock_layout_4' )
							{
								echo "\n\t". '<nav id="acoda-tabs" itemscope="itemscope" itemtype="http://schema.org/SiteNavigationElement" role="navigation">';
								echo "\n\t\t". '<div class="dock-panel-wrap skinset-dockbar '. esc_attr( $dockicon_panels ) .' '. esc_attr( $animate_type ) .' acoda-skin main_nav"><div class="dock-panel-inner"></div></div>'; 
								echo "\n\t". '</nav><!-- /acoda-tabs -->';										
							}
		
							if( is_active_sidebar('headerpanel') )
							{
								$header_widget_width = of_get_option('header_widget_width');
								$header_widget_align = of_get_option('header_widget_align');
								
								echo "\n". '<ul class="headerpanel-widgets'. ( $header_widget_width != '' ? ' '. esc_attr( $header_widget_width ) : '' ) . ( $header_widget_align != '' ? ' '. esc_attr( $header_widget_align ) : '' ) .'">';
								dynamic_sidebar('headerpanel');	
								echo "\n". '</ul>';
							}
							
				echo "\n". '</div><!-- /inner-wrap -->'; 
				
				echo "\n". '</div><!-- /header -->';
		
				acoda_sub_header();
					
				echo "\n". '</div><!-- /header-inner-wrap -->';
				echo "\n". '</header><!-- /header-wrap -->';
			}
			
			if( $acoda_header_display != 'disable' && ( $header_float == 'header_float' || $header_float == 'header_float transparent' || $header_float == 'header_float transparent_default_font' ) )
			{
				echo "\n". '</div>';
			}	
		}
	}
	
	add_action('acoda_before_main_wrap', 'acoda_header');


	if ( ! function_exists( 'acoda_sub_header' ) ) 
	{
		function acoda_sub_header()
		{		
			global $post;
			
			// Get Post ID
			if( is_archive() )
			{
				$url = explode('?', 'http://'. $_SERVER["HTTP_HOST"] . $_SERVER["REQUEST_URI"] );
				
				$post_id = ( isset($_GET['page_id'] ) ? esc_attr( $_GET['page_id'] ) : url_to_postid( esc_url( $url[0] ) ) );			
			}
			else
			{
				$post_id = ( !empty( $post ) && ! is_search() ? $post->ID : '' );
			}	
	
			$acoda_displaytitle	= ( get_post_meta( $post_id, '_'. ACODA_THEME_PREFIX .'_displaytitle', true ) !='' ) 	? get_post_meta( $post_id, '_'. ACODA_THEME_PREFIX .'_displaytitle', true ) : '';
			$acoda_pagetitle		= ( get_post_meta( $post_id, '_'. ACODA_THEME_PREFIX .'_pagetitle', true ) !='' ) 		? get_post_meta( $post_id, '_'. ACODA_THEME_PREFIX .'_pagetitle', true ) : '';
			$acoda_pagesubtitle	= ( get_post_meta( $post_id, '_'. ACODA_THEME_PREFIX .'_pagesubtitle', true ) !='' )	? get_post_meta( $post_id, '_'. ACODA_THEME_PREFIX .'_pagesubtitle', true ) : '';		
			$acoda_breadcrumbs 	= ( get_post_meta( $post_id, '_'. ACODA_THEME_PREFIX .'_hidebreadcrumbs', true ) !='' )	? get_post_meta( $post_id, '_'. ACODA_THEME_PREFIX .'_hidebreadcrumbs', true ) : ( of_get_option('breadcrumb') != '' ? of_get_option('breadcrumb') : '' );	
			$title_layout			= ( get_post_meta( $post_id, '_'. ACODA_THEME_PREFIX .'_title_layout', true ) != '' ?  get_post_meta( $post_id, '_'. ACODA_THEME_PREFIX .'_title_layout', true ) : ( of_get_option('title_layout' ) !='' ? of_get_option('title_layout' ) : '' ) );	
			$page_animate_type 	= acoda_global_vars('page_animate_type');
			$posttitle_position	= ( of_get_option( 'posttitle_position' ) != '' ? of_get_option( 'posttitle_position' ) : '' );
			
			if( is_single() && $posttitle_position == 'content' )
			{
				$acoda_displaytitle = 'disable';
			}
			
			if( is_front_page() ) 
			{
				$acoda_breadcrumbs = 'disable'; 
				
				if( ! is_page() )
				{
					$acoda_pagesubtitle = ( of_get_option( 'blog_title' ) != 'disable' ? get_bloginfo('description') : '' );
				}
			}
			
				
			// Sub Header Display			
			$acoda_disable_subtabs = ( $acoda_breadcrumbs == 'disable' && $acoda_displaytitle == "disable" ? 'yes' : '' );
			
			if( empty( $page_animate_type ) && ( ( $acoda_disable_subtabs != 'yes' && ! is_home() ) || !empty( $acoda_pagesubtitle ) || ( is_home() && of_get_option( 'blog_title' ) != 'disable' ) || ( $acoda_displaytitle != "disable" && is_page() ) || is_archive() ) )
			{
				echo "\n" . '<div class="intro-wrap skinset-sub_header '. ( !empty( $title_layout  ) ? esc_attr( $title_layout ) : '' ) .' acoda-skin clearfix">';
				echo "\n\t" . '<div class="intro-wrap-inner row">';
				echo "\n\t\t" . '<div class="intro-text columns large-12">';
			
				$title_output = '';
				
				// Post Date
				$p_meta_date 		= get_post_meta( $post_id, '_'. ACODA_THEME_PREFIX .'_meta_date', true );
				$o_meta_date 		= of_get_option('meta_date');	
				$meta_date_format = ( of_get_option( 'meta_date_format_single' ) != '' ? of_get_option( 'meta_date_format_single' ) : 'd F Y' );
				$meta_date 		= ( $p_meta_date != 'archive' && $p_meta_date != 'disable' && ( $o_meta_date == '' || $o_meta_date == 'single' || $p_meta_date == 'single' || $p_meta_date == 'singlearchive' ) ? 'display' : 'disable' );
		
				if( class_exists( 'woocommerce' ) )
				{
					if( is_shop() )
					{
						$is_shop = true;	
					}
					else
					{
						$is_shop = false;	
					}
				}
	
				if( ( !empty( $acoda_pagesubtitle ) && !empty( $acoda_pagetitle ) || $acoda_displaytitle != "disable" && ( is_page() || is_single() ) ) || ( of_get_option('meta_date_position') != 'metadata' && is_single() && $meta_date == 'display' ) || ( is_home() && of_get_option( 'blog_title' ) != 'disable' ) )
				{
					$title_output .= "\n\t\t\t" . '<div class="post-titles"><!-- post-titles -->';
					
					$acoda_pagetitle = ( !empty( $acoda_pagetitle ) ? $acoda_pagetitle : get_the_title() );
					
					if( !empty($acoda_pagetitle) )
					{
						if( $acoda_displaytitle != "disable" )
						{
							$title_output .= "\n\t\t\t\t" . '<h1 class="entry-title" itemprop="headline">'. esc_html( $acoda_pagetitle ) .'</h1>';
						}
					}
					elseif( is_home() && of_get_option( 'blog_title' ) != 'disable' )
					{
						$title_output .= "\n\t\t\t\t" . '<h1 class="entry-title" itemprop="headline">'. esc_html( get_bloginfo( 'name' ) ) .'</h1>';
					}
			
					
					if( !empty($acoda_pagesubtitle) || of_get_option('meta_date_position') != 'metadata' && is_single() && $meta_date == 'display' &&  get_post_type( $post_id ) == 'post' )
					{
						$title_output .= "\n\t\t\t\t" . '<h2>'. ( of_get_option('meta_date_position') != 'metadata' && is_single() && $meta_date == 'display' ? '<span class="date">'. get_the_time( $meta_date_format ) .'</span> ' : '' ) . esc_html( $acoda_pagesubtitle ) .'</h2>';
					}				
							
					$title_output .= "\n\t\t\t" . '</div><!-- /post-titles -->';
				}
				elseif( is_search() )
				{
					$title_output .= "\n\t\t\t" . '<div class="post-titles"><!-- post-titles -->';
					$title_output .= '<h1 class="entry-title" itemprop="headline">';				
					$title_output .= sprintf(  esc_html__( 'Search results for &#39; %s &#39;', 'you' ), get_search_query() );	
					$title_output .= '</h1>';		
					$title_output .= "\n\t\t\t" . '</div><!-- /post-titles -->';					
				}
				elseif( is_404() )
				{
					$title_output .= "\n\t\t\t" . '<div class="post-titles"><!-- post-titles -->';
					$title_output .= '<h1 class="entry-title" itemprop="headline">';				
					$title_output .= sprintf(  esc_html__( 'Oops!', 'you' ), get_search_query() );	
					$title_output .= '</h1>';		
					$title_output .= "\n\t\t\t" . '</div><!-- /post-titles -->';					
				}	
				elseif( $is_shop )
				{
					$title_output .= "\n\t\t\t" . '<div class="post-titles"><!-- post-titles -->';
					$title_output .= "\n\t\t\t\t" . '<h1 class="entry-title" itemprop="headline">'. esc_html__('Shop', 'you') .'</h1>';
					$title_output .= "\n\t\t\t" . '</div><!-- /post-titles -->';		
				}
				elseif( is_archive() )
				{
					$title_output .= "\n\t\t\t" . '<div class="post-titles"><!-- post-titles -->';
					$title_output .= '<h1 class="entry-title" itemprop="headline">';
		
					$title_output .= get_the_archive_title();
								   
					$title_output .= '</h1>';		
					
					if( category_description() != '' )
					{
						$title_output .= category_description();
					}
					
					$title_output .= "\n\t\t\t" . '</div><!-- /post-titles -->';			
				}
	
				// Check Title Layout
				if( $title_layout != 'layout_2' )
				{
					echo $title_output;
				}
				
				// Breadcrumbs
				if( $acoda_breadcrumbs != 'disable' ) 
				{
					echo "\n\t\t\t" . '<div id="sub-tabs" '. ( $acoda_displaytitle == "disable" ? 'class="no-title"' : '' ) .'>';
					
						if(class_exists('bbPress') && is_bbpress())
						{
							echo "\n" . '<div class="breadcrumb clearfix" itemprop="breadcrumb">';
								bbp_breadcrumb();
							echo "\n" . '</div>';
						}
						else
						{ 				   
							// Woocommerce Breadcrumb
							if ( function_exists( 'woocommerce_breadcrumb' ) )
							{ 
								woocommerce_breadcrumb('delimiter= / &wrap_before=<div class="breadcrumb">&wrap_after=</div>');
							}
							else
							{
								if (function_exists('acoda_breadcrumbs')) 
								{
									echo "\n" . '<ul class="clearfix">';
										acoda_breadcrumbs();
									echo "\n" . '</ul>';
								}
							} 
						}
						
					echo "\n\t\t\t" . '</div>';
				}			  
	
				if( $title_layout == 'layout_2' )
				{
					echo $title_output;
				}			
		
				echo "\n\t\t" . '</div>';
				echo "\n\t" . '</div>';
				echo "\n" . '</div>';	
			}	
		}
	}
	
	//add_action('acoda_before_content_wrap', 'acoda_sub_header');


	if ( ! function_exists( 'acoda_footer' ) ) 
	{
		function acoda_footer()
		{
			$acoda_disablefooter = acoda_global_vars('disablefooter');
			$page_animate_type 	 = acoda_global_vars('page_animate_type');
			
			if( $acoda_disablefooter != 'yes' && of_get_option('mainfooter') != 'disable' ) : 
				
				echo "\n". '<footer id="footer-wrap" class="skinset-footer acoda-skin">';
				
				if( empty( $page_animate_type ) )
				{		
					echo "\n". '<div id="footer" class="clearfix row" role="contentinfo" itemscope="itemscope" itemtype="http://schema.org/WPFooter">';
					echo "\n". '<div class="content">';
			
						$get_footer_num = ( of_get_option('footer_columns_num') !='' ) ? of_get_option('footer_columns_num') : '4'; // If not set, default to 4 columns
								
						$i = 1;
								
						while( $i <= $get_footer_num )
						{ 
							echo '<div class="block columns large-'. 12 / esc_attr( $get_footer_num ) .' '. ( $i == $get_footer_num ? 'last' : '' ) .'">';
							echo '<ul>';
								
								dynamic_sidebar( 'footer'.$i ); 
								
							echo '</ul>';
							echo '</div>';
				
							$i++;	
						}
								
					echo "\n". '</div><!-- / row -->';
					echo "\n". '</div><!-- / footer -->';
				}
		
				// Check for enabled lower footer
				if( of_get_option('lowerfooter') != "disable" )
				{
					$allowed_tags = wp_kses_allowed_html();
					
					$lower_left  = ( of_get_option('lowfooterleft') !='' )  ? of_get_option('lowfooterleft')  : '&copy; '. date("Y") .' '. get_option("blogname");
					$lower_right = ( of_get_option('lowfooterright') !='' ) ? of_get_option('lowfooterright') : '<a href="http://themeforest.net/item/you-multipurpose-responsive-wordpress-theme/15175900?ref=-ACODA-" title="You WordPress Theme" target="_blank">You WordPress Theme</a> | Created by <a href="http://acoda.com">Acoda</a>';
					
								 
					echo "\n". '<div class="lowerfooter-wrap clearfix">';
					echo "\n". '<div class="row">';
					echo "\n". '<div class="lowerfooter columns large-12">';  
					echo "\n". '<div class="lowfooterleft">';
					
					printf( esc_html__( '%s', 'you' ), do_shortcode( $lower_left ) );
					
					echo "\n". '</div>'; 
					echo "\n". '<div class="lowfooterright">';
					
					printf( esc_html__( '%s', 'you' ), do_shortcode( $lower_right ) );
					
					echo "\n". '</div>';
					echo "\n". '</div><!-- / lowerfooter -->';
					echo "\n". '</div><!-- / row -->';
					echo "\n". '</div><!-- / lowerfooter-wrap -->';
				} 
				
				echo "\n". '<div class="footer-filler"></div>';       
				echo "\n". '</footer><!-- / footer-wrap -->';
				
			endif; // disable footer 	
			
			echo "\n". '<div class="autototop"><a href="#"><i class="fa fa-angle-up fa-lg"></i></a></div>';		
		
		}
	}
	
	add_action('acoda_after_content_wrap', 'acoda_footer');


	if ( ! function_exists( 'acoda_background_layer' ) ) 
	{
		function acoda_background_layer()
		{
			$acoda_skin 	= acoda_global_vars('skin');			
			$get_skin_data	= maybe_unserialize( get_option('skin_data_'. $acoda_skin) );
				
			$layerset = ( !empty( $get_skin_data['skin_id_layer1_type'] ) ) ? stripslashes( htmlspecialchars( $get_skin_data['skin_id_layer1_type'] ) ) : '';
				  
			if( !empty( $layerset ) )
			{
				echo "\n". '<div id="custom-layer1-color" class="custom-layer"></div>';
				echo "\n". '<div id="custom-layer1" class="custom-layer"></div>';
			}		
		}
	}
	
	add_action('acoda_before_primary_wrapper', 'acoda_background_layer');
	

	if ( ! function_exists( 'acoda_global_vars' ) ) 
	{		
		// Acoda Global Variables
		function acoda_global_vars( $variable ) 
		{
			$url = explode('?', 'http://'. $_SERVER["HTTP_HOST"] . $_SERVER["REQUEST_URI"] );
					
			$post_id = ( isset($_GET['page_id'] ) ? esc_attr( $_GET['page_id'] ) : url_to_postid( esc_url( $url[0] ) ) );	
					
			switch( $variable )
			{
					// Page Layout
					case 'page_layout':
					
						$acoda_layout = ( get_post_meta( $post_id, '_'. ACODA_THEME_PREFIX .'_layout', true ) !='' ? get_post_meta( $post_id, '_'. ACODA_THEME_PREFIX .'_layout', true ) : '' ); 
						
						
						if( !is_page() && empty( $acoda_layout ) && get_post_type() != 'portfolio' )
						{
							$acoda_layout = of_get_option('arhlayout','layout_one'); 
						}
						
						// Portfolio
						if( get_post_type() == 'portfolio' && empty( $acoda_layout ) )
						{
							$acoda_layout = ( of_get_option('portlayout') != '' ? of_get_option('portlayout') : 'layout_one' ); 	
						}
						
						// Search
						if( is_search() || is_404() )
						{
							$acoda_layout = of_get_option('arhlayout','layout_one');	
						}
						
						// If is singular but no layout config, use default.
						if( is_page() )
						{
							$acoda_layout = ( !empty( $acoda_layout ) ? $acoda_layout : ( of_get_option('pagelayout') != '' ? of_get_option('pagelayout') : 'layout_one' ) ); 
						}
	
						
						if( ( is_home() && ! is_page() ) && empty( $acoda_layout ) ) 
						{ 
							$acoda_layout = of_get_option('arhlayout','layout_one');
						}
					
						// WooCommerce
						if( class_exists( 'woocommerce' ) )
						{
							if( is_woocommerce() )
							{
								$acoda_layout = ( of_get_option('woocomlayout') != '' ? of_get_option('woocomlayout') : 'layout_one' ); 			
							}
						}	
					
						// bbPress
						if( class_exists( 'bbPress' ) )
						{
							if ( is_bbpress() ) 
							{
								$acoda_layout = ( of_get_option('buddylayout') != '' ? of_get_option('buddylayout') : 'layout_one' ); 
							}
						}
	
						return $acoda_layout;
						
					break;	
		
					// Sidebar One
					case 'sidebar_one':
					
						$acoda_sidebar_one_select = ( get_post_meta( $post_id, '_'. ACODA_THEME_PREFIX .'_sidebar_one', true ) !='' ) ? get_post_meta( $post_id, '_'. ACODA_THEME_PREFIX .'_sidebar_one', true ) : ''; 
						
						if( !is_page() && empty( $acoda_sidebar_one_select  ) )
						{
							$acoda_sidebar_one_select = of_get_option('archcolone');
							
						}
					
						// Portfolio
						if( get_post_type() == 'portfolio' && empty( $acoda_sidebar_one_select ) )
						{
							$acoda_sidebar_one_select = of_get_option('portcolone');			
						}
						
						// Search
						if( is_search() || is_404() )
						{
							$acoda_sidebar_one_select = of_get_option('archcolone');					
						}
						
						// If is singular but no layout config, use default.
						if( is_page() )
						{
							$acoda_sidebar_one_select = ( !empty( $acoda_sidebar_one_select ) ? $acoda_sidebar_one_select : ( of_get_option('archcolone') != '' ? of_get_option('archcolone') : 'sidebar1' ) ); 
						}
	
						
						if( ( is_home() && ! is_page() ) && empty( $acoda_sidebar_one_select ) ) 
						{ 
							$acoda_sidebar_one_select = of_get_option('archcolone');
						}					
						
						if( class_exists( 'woocommerce' ) )
						{
							if( is_woocommerce() )
							{
								$acoda_sidebar_one_select = of_get_option('woocomcolone');	
							}
						}	
		
						if( class_exists( 'bbPress' ) )
						{
							if ( is_bbpress() ) 
							{
								$acoda_sidebar_one_select = of_get_option('buddycolone');
							}
						}				
		
						return $acoda_sidebar_one_select;
						
					break;	
		
					// Sidebar Two
					case 'sidebar_two':
					
						$acoda_sidebar_two_select = ( get_post_meta( $post_id, '_'. ACODA_THEME_PREFIX .'_sidebar_two', true ) !='' ) ? get_post_meta( $post_id, '_'. ACODA_THEME_PREFIX .'_sidebar_two', true ) : ''; 
	
						if( !is_page() && empty( $acoda_sidebar_two_select  ) )
						{
							$acoda_sidebar_two_select = of_get_option('archcoltwo');
						}
					
						// Portfolio
						if( get_post_type() == 'portfolio' && empty( $acoda_sidebar_two_select ) )
						{
							$acoda_sidebar_two_select = of_get_option('portcoltwo');			
						}
						
						// Search
						if( is_search() || is_404() )
						{
							$acoda_sidebar_two_select = of_get_option('archcoltwo');					
						}
						
						// If is singular but no layout config, use default.
						if( is_page() )
						{
							$acoda_sidebar_two_select = ( !empty( $acoda_sidebar_two_select ) ? $acoda_sidebar_two_select : ( of_get_option('archcoltwo') != '' ? of_get_option('archcoltwo') : 'sidebar1' ) ); 
						}
	
						
						if( ( is_home() && ! is_page() ) && empty( $acoda_sidebar_two_select ) ) 
						{ 
							$acoda_sidebar_two_select = of_get_option('archcoltwo');
						}					
						
						if( class_exists( 'woocommerce' ) )
						{
							if( is_woocommerce() )
							{
								$acoda_sidebar_two_select = of_get_option('woocomcoltwo');	
							}
						}	
		
						if( class_exists( 'bbPress' ) )
						{
							if ( is_bbpress() ) 
							{
								$acoda_sidebar_two_select = of_get_option('buddycoltwo');
							}
						}				
		
						return $acoda_sidebar_two_select;
						
					break;			
		
					// Sticky Menu
					case 'sticky_menu':
					
						return ( get_post_meta( $post_id, '_'. ACODA_THEME_PREFIX .'_sticky_menu', true ) != ''	? get_post_meta( $post_id, '_'. ACODA_THEME_PREFIX .'_sticky_menu', true ) : ( of_get_option( 'sticky_menu' )	!= '' ? of_get_option( 'sticky_menu' )	: '' ) ); 
						
					break;	
		
					// Footer Display 
					case 'disablefooter':
					
						return ( get_post_meta( $post_id, '_'. ACODA_THEME_PREFIX .'_disablefooter', true ) !='' ) 	? get_post_meta( $post_id, '_'. ACODA_THEME_PREFIX .'_disablefooter', true ) : '';
						
					break;							
						
					// Acoda Page Animate
					case 'page_animate_type':
					
						return ( get_post_meta( $post_id, '_'. ACODA_THEME_PREFIX .'_page_animate_type', true ) != ''	? 'acoda-page-animate '. get_post_meta( $post_id, '_'. ACODA_THEME_PREFIX .'_page_animate_type', true ) .' ' : '' ); 
						
					break;		
		
					// Social Icons
					case 'socialicons':
					
						return ( get_post_meta( $post_id, '_'. ACODA_THEME_PREFIX .'_socialicons', true ) !='' ) ? get_post_meta( $post_id, '_'. ACODA_THEME_PREFIX .'_socialicons', true ) : of_get_option('display_socialicons'); 
						
					break;		
		
					// Skin
					case 'skin':
					
						// Get Skin ID's
						$theme_skin_ids = 'skins_you_ids';
						
						// Destroy default / preview Skin setting if doesn't match current theme skin id's
						if( get_option('default_skin' ) !='' ) if( strpos( get_option( $theme_skin_ids ), get_option('default_skin' ) ) === false ) update_option('default_skin', '');
						if( get_option('preview_skin' ) !='' ) if( strpos( get_option( $theme_skin_ids ), get_option('preview_skin' ) ) === false ) update_option('preview_skin', '');
	
						if( get_post_meta( $post_id, '_'. ACODA_THEME_PREFIX .'_customskin', true ) !='' ) 
						{
							if( strpos( get_option( $theme_skin_ids ), get_post_meta( $post_id, '_'. ACODA_THEME_PREFIX .'_customskin', true ) ) === false ) 
							{
								update_post_meta(  $post_id, '_'. ACODA_THEME_PREFIX .'_customskin', '');			
							}
						}
	
						// Assign Skin
						if( get_post_meta( $post_id, '_'. ACODA_THEME_PREFIX .'_customskin', true ) !='' )
						{
							$acoda_skin = get_post_meta( $post_id, '_'. ACODA_THEME_PREFIX .'_customskin', true );
						}					
						elseif( get_option('default_skin') != '' )
						{
							$acoda_skin = get_option('default_skin');
						} 
						elseif( get_option('default_skin') == '' && get_option('preview_skin' ) != '' )
						{
							$acoda_skin = get_option('preview_skin');
						} 	
						else
						{
							$acoda_skin = 'Demo0';
						}
					
						// Search, 404, Archive Pages
						if( is_search() || is_404() || is_archive() )
						{
							// Assign Skin
							if( get_option('default_skin') != '' )
							{
								$acoda_skin = get_option('default_skin');
							} 
							elseif( get_option('default_skin') == '' && get_option('preview_skin' ) != '' )
							{
								$acoda_skin = get_option('preview_skin');	
							} 	
							else
							{
								$acoda_skin = 'Demo0';
							}
						}
	
						$preview_skin	= ( get_option('skin_select') !='' && is_customize_preview() ) ? get_option('skin_select') : '';
					
						// Preview Skin via URL
						if( isset( $_GET['preview_skin'] ) ) 
						{
							if( $_GET['preview_skin'] != '' )
							{
								$preview_skin = esc_attr( $_GET['preview_skin'] );
							}
						}
					
						// if preivewing skin
						if( !empty( $preview_skin ) )
						{
							$get_skin_data = maybe_unserialize( get_option('skin_data_'.$preview_skin) );
							$acoda_skin = $preview_skin;
						} 				
						
						return $acoda_skin;
						
					break;									
	
					// Blog Lightbox
					case 'blog_lightbox':
					
						return ( get_post_meta( $post_id, '_'. ACODA_THEME_PREFIX .'_blog_lightbox', true ) !='' 		? get_post_meta( $post_id, '_'. ACODA_THEME_PREFIX .'_blog_lightbox', true ) : of_get_option('blog_lightbox') );
						
					break;	
	
					// Blog Image Align
					case 'archive_img_align':
					
						return ( get_post_meta( $post_id, '_'. ACODA_THEME_PREFIX .'_archive_img_align', true ) !=''	? get_post_meta( $post_id, '_'. ACODA_THEME_PREFIX .'_archive_img_align', true ) : of_get_option('archive_img_align') );
						
					break;
	
					// Blog Image Effect
					case 'archive_img_effect':
					
						return ( get_post_meta( $post_id, '_'. ACODA_THEME_PREFIX .'_archive_img_effect', true ) !=''	? get_post_meta( $post_id, '_'. ACODA_THEME_PREFIX .'_archive_img_effect', true ) : of_get_option('archive_img_effect') );
						
					break;	
	
					// Blog Image Size
					case 'archive_img_size':
					
						return ( get_post_meta( $post_id, '_'. ACODA_THEME_PREFIX .'_archive_img_size', true ) !=''	? get_post_meta( $post_id, '_'. ACODA_THEME_PREFIX .'_archive_img_size', true ) : of_get_option('archive_img_size') );
						
					break;		
					
					// Post Display
					case 'arhpostdisplay':
					
						return ( get_post_meta( $post_id, '_'. ACODA_THEME_PREFIX .'_arhpostdisplay', true ) !='' 		? get_post_meta( $post_id, '_'. ACODA_THEME_PREFIX .'_arhpostdisplay', true ) :  of_get_option('arhpostdisplay') );
						
					break;																	
			}
		}
	}	


	if ( ! function_exists( 'acoda_post_title' ) ) 
	{		
		// Post Title
		function acoda_post_title()
		{
			global $post;
			
			$meta_date_format		= ( of_get_option( 'meta_date_format_archive' ) != '' ? of_get_option( 'meta_date_format_archive' ) : 'd M' );
			$post_link				= ( get_post_meta( $post->ID, '_'. ACODA_THEME_PREFIX .'_altlink', true ) !='' )		? get_post_meta( $post->ID, '_'. ACODA_THEME_PREFIX .'_altlink', true ) : get_permalink();
			$acoda_disablegallink	= ( get_post_meta( $post->ID, '_'. ACODA_THEME_PREFIX .'_disablegallink', true ) !='' )	? get_post_meta( $post->ID, '_'. ACODA_THEME_PREFIX .'_disablegallink', true ) : '';
			$acoda_displaytitle	= ( get_post_meta( $post->ID, '_'. ACODA_THEME_PREFIX .'_displaytitle', true ) !='' ) 		? get_post_meta( $post->ID, '_'. ACODA_THEME_PREFIX .'_displaytitle', true ) : '';
			$acoda_postsubtitle 	= ( get_post_meta( $post->ID, '_'. ACODA_THEME_PREFIX .'_pagesubtitle', true ) !='' ) 	 	? get_post_meta( $post->ID, '_'. ACODA_THEME_PREFIX .'_pagesubtitle', true ) : '';
			$acoda_posttitle	 	= ( get_post_meta( $post->ID, '_'. ACODA_THEME_PREFIX .'_pagetitle', true ) !='' ) 		 	? get_post_meta( $post->ID, '_'. ACODA_THEME_PREFIX .'_pagetitle', true ) : '';
			$posttitle_position		= ( of_get_option( 'posttitle_position' ) != '' ? of_get_option( 'posttitle_position' ) : '' );
			
			if( is_search() )
			{
				$acoda_displaytitle = 'display';	
			}
			
			// Post Title
			if( $acoda_posttitle )
			{  	
				if( $acoda_displaytitle != "disable" )
				{ 
					if( !is_single() )
					{ 
						if( $acoda_disablegallink == 'yes' )
						{
							echo '<h2 class="entry-title">'. ( of_get_option('meta_date_position') != 'metadata' && of_get_option( 'meta_date' ) != 'disable' && ! is_search() ? '<span class="date">'. get_the_time( $meta_date_format ) .'</span> ' : '' ) . esc_html( $acoda_posttitle ) . ( !empty( $acoda_postsubtitle ) ? '<span class="colon">:</span> <span class="sub-title">'. esc_html( $acoda_postsubtitle ) .'</span>' : '' ) .'</h2>';					
						}
						else
						{
							echo '<h2 class="entry-title"><a href="'. esc_url( $post_link ) .'" rel="bookmark" title="'. esc_html__('Permanent Link to', 'you') .' '. esc_attr( the_title_attribute (array('echo' => 0) ) ) .'">'. ( of_get_option('meta_date_position') != 'metadata' && of_get_option( 'meta_date' ) != 'disable' && ! is_search() ? '<span class="date">'. get_the_time( $meta_date_format ) .'</span> ' : '' ) . esc_html( $acoda_posttitle ) . ( !empty( $acoda_postsubtitle ) ? '<span class="colon">:</span> <span class="sub-title">'. esc_html( $acoda_postsubtitle ) .'</span>' : '' ) .'</a></h2>';
						}
					}
					else if( $posttitle_position == 'content' && is_single() )
					{
						echo '<h1 class="entry-title" itemprop="headline">'. esc_html( $acoda_posttitle ) .'</h1>';
						
						if( !empty($acoda_pagesubtitle) )
						{
							echo '<h2>'. esc_html( $acoda_pagesubtitle ) .'</h2>';
						}	
					}
				}	 
			}
			else
			{  
				if( $acoda_displaytitle != "disable" )
				{ 
					if( !is_single() )
					{
						if( $acoda_disablegallink == 'yes' )
						{				
							echo '<h2 class="entry-title">'. ( of_get_option('meta_date_position') != 'metadata' && of_get_option( 'meta_date' ) != 'disable' && ! is_search() ? '<span class="date">'. get_the_time( $meta_date_format ) .'</span> ' : '' ) . get_the_title() . ( !empty( $acoda_postsubtitle ) ? '<span class="colon">:</span> <span class="sub-title">'. esc_html( $acoda_postsubtitle ) .'</span>' : '' ) .'</h2>';	
						}
						else
						{
							echo '<h2 class="entry-title"><a href="'. esc_url( $post_link ) .'" rel="bookmark" title="'. esc_html__('Permanent Link to', 'you') .' '. esc_attr( the_title_attribute (array('echo' => 0) ) ) .'">'. ( of_get_option('meta_date_position') != 'metadata' && of_get_option( 'meta_date' ) != 'disable' && ! is_search() ? '<span class="date">'. get_the_time( $meta_date_format ) .'</span> ' : '' ) . get_the_title() . ( !empty( $acoda_postsubtitle ) ? '<span class="colon">:</span> <span class="sub-title">'. esc_html( $acoda_postsubtitle ) .'</span>' : '' ) .'</a></h2>';						
						}
					}    
					else if( $posttitle_position == 'content' && is_single() )
					{
						echo '<h1 class="entry-title" itemprop="headline">'. get_the_title() .'</h1>';
					}				  	
				} 
			} 	
		}
	}
	
	if ( ! function_exists( 'acoda_post_content' ) ) 
	{		
		// Blog Content
		function acoda_post_content()
		{
			global $post;
			
			$acoda_blogcontent = of_get_option("arhpostcontent"); // Post Content
			$format = get_post_format();
			$acoda_max_characters = ( of_get_option("arhexcerpt") != '' ?  of_get_option("arhexcerpt") : 240 );
				
			if( is_single() || $acoda_blogcontent == 'full_post' ) :
			
				$content = get_the_content();
				
				$acoda_description = apply_filters( 'the_content', $content);
				
			elseif (  $acoda_blogcontent == '' || $acoda_blogcontent == 'excerpt' ) : 
				
				if ( empty($post->post_excerpt) )
				{
					$content = get_the_content();
			
					if( $format == 'gallery' )
					{
						//$content = acoda_switch_gallery($content , 'body' );
					}
			
					if( is_search() )
					{
						$acoda_description  = '<p>'. acoda_max_character_excerpt( $acoda_max_characters,  get_the_excerpt() ) .'</p>';
						$acoda_description .= '<p>'. acoda_readmore() .'</p>';	
					}
					else
					{
						$content = apply_filters( 'the_content', $content);
						$acoda_description  = '<p>'. acoda_max_character_excerpt( $acoda_max_characters,  get_the_excerpt() ) .'</p>';
						$acoda_description .= '<p>'. acoda_readmore() .'</p>';	
					}
				}
				else
				{
					$acoda_description  = '<p>'. get_the_excerpt() .'</p>'; 
					$acoda_description .= '<p>'. acoda_readmore() .'</p>';	
			
				}
				
				$allowed_tags = wp_kses_allowed_html();
				
				$acoda_description = wp_kses_post( $acoda_description, $allowed_tags );
				
			else : 
				
				$acoda_description = '';
			
			endif; 		
			
			echo $acoda_description;
		}
	}
	

	if ( ! function_exists( 'acoda_post_image' ) ) 
	{		
		function acoda_post_image()
		{
			global	$post, 
					$acoda_archive_img_size,
					$acoda_archive_img_effect,
					$acoda_archive_img_align,
					$acoda_blog_lightbox;
			
			$acoda_postlayout			= acoda_global_vars('arhpostdisplay');
			$acoda_blog_lightbox 		= ( !empty( $acoda_blog_lightbox ) ? $acoda_blog_lightbox : acoda_global_vars('blog_lightbox') );
			$acoda_archive_img_align	= ( !empty( $acoda_archive_img_align ) ? $acoda_archive_img_align : acoda_global_vars('archive_img_align') );
			$acoda_archive_img_size	= ( !empty( $acoda_archive_img_size ) ? $acoda_archive_img_size : acoda_global_vars('archive_img_size') );
			$acoda_archive_img_effect	= ( !empty( $acoda_archive_img_effect ) ? $acoda_archive_img_effect : acoda_global_vars('archive_img_effect') );
		
			
			if( is_single() )
			{ 
				if( get_post_type( $post->ID ) != 'portfolio' )
				{
					// image size
					$acoda_img_size = ( of_get_option('single_img_size') != '' ) ? of_get_option('single_img_size') : 'large' ; 
			
					// image align
					$acoda_img_align = 'center'; 
				}
				else
				{
					// image size
					$acoda_img_size = ( of_get_option('port_single_img_size') != '' ) ? of_get_option('port_single_img_size') : 'large' ; 
			
					// image align
					$acoda_img_align = 'center'; 			
				}
			}
			elseif( ! is_single() )
			{
				if( get_post_type( $post->ID ) != 'portfolio'	 )
				{		
					// image size
					$acoda_img_size	= ( !empty( $acoda_archive_img_size ) ? $acoda_archive_img_size : ( of_get_option('archive_img_size') != '' ? of_get_option('archive_img_size') : 'large' ) ); 
			
					// image align
					$acoda_img_align	= ( !empty( $acoda_archive_img_align ) ? $acoda_archive_img_align : ( of_get_option('archive_img_align') != '' ? of_get_option('archive_img_align') : 'center' ) ); 	
				}
				else
				{
					// image size
					$acoda_img_size	= ( !empty( $acoda_archive_img_size ) ? $acoda_archive_img_size : ( of_get_option('portfolio_img_size') != '' ? of_get_option('portfolio_img_size') : 'large' ) ); 
			
					// image align
					$acoda_img_align	= ( !empty( $acoda_archive_img_align ) ? $acoda_archive_img_align : ( of_get_option('portfolio_img_align') != '' ? of_get_option('portfolio_img_align') : 'center' ) ); 				
				}
			}		
			
			
						
			$postcount = 0;
				
			// Image Effect + Lightbox
			$acoda_showlightbox = '';
			
			if( is_single() ) 
			{
				$acoda_imageeffect = of_get_option('postimgeffect'); 
				
				if( get_post_type( $post->ID ) != 'portfolio' )
				{	
					if( of_get_option('post_lightbox') == 'enable' )
					{
						$acoda_showlightbox = 'enable'; 
					}
				}
				else
				{
					if( of_get_option('portfolio_post_lightbox') == 'enable' )
					{
						$acoda_showlightbox = 'enable'; 
					}			
				}
			}
			elseif( ! is_single() )
			{
				$acoda_imageeffect = ( !empty( $acoda_archive_img_effect ) ? $acoda_archive_img_effect : of_get_option('arhimgeffect') ); // image effect
				
				if( get_post_type( $post->ID ) != 'portfolio' )
				{	
					if( !empty( $acoda_blog_lightbox ) )
					{
						$acoda_showlightbox = $acoda_blog_lightbox;
					}
					else if( of_get_option('blog_lightbox') == 'enable' )
					{
						$acoda_showlightbox = 'enable'; 
					}
				}
				else
				{
					if( of_get_option('portfolio_lightbox') == 'enable' )
					{
						$acoda_showlightbox = 'enable'; 
					}			
				}		
			}
		
			
			// Post link
			$acoda_permalink 			= ( get_post_meta( $post->ID, '_'. ACODA_THEME_PREFIX .'_altlink', true ) !='' )  ? get_post_meta( $post->ID, '_'. ACODA_THEME_PREFIX .'_altlink', true ) : get_permalink();
			$acoda_disablegallink		= ( get_post_meta( $post->ID, '_'. ACODA_THEME_PREFIX .'_disablegallink', true ) !='' )	? get_post_meta( $post->ID, '_'. ACODA_THEME_PREFIX .'_disablegallink', true ) : '';
			$acoda_displayblogimage	= ( get_post_meta( $post->ID, '_'. ACODA_THEME_PREFIX .'_postshowimage', true ) !='' ) 	 	? get_post_meta( $post->ID, '_'. ACODA_THEME_PREFIX .'_postshowimage', true ) : '';
			$acoda_img_id 				= get_post_thumbnail_id( $post->ID );	
	
			if( is_single() )
			{
				if( get_post_type( $post->ID ) != 'portfolio' )
				{
					if( $acoda_displayblogimage != 'archive' && $acoda_displayblogimage != 'disable' && ( of_get_option('arhpostimage') == '' || of_get_option('arhpostimage') == 'single' || $acoda_displayblogimage == 'single' ||  $acoda_displayblogimage == 'singlearchive' ) && of_get_option('post_headerimage') != 'enable' )
					{
						$acoda_displayblogimage = 'display';
					}
				}
				else
				{
					if( $acoda_displayblogimage != 'archive' && $acoda_displayblogimage != 'disable' && ( of_get_option('portpostimage') == '' || of_get_option('portpostimage') == 'single' || $acoda_displayblogimage == 'single' ||  $acoda_displayblogimage == 'singlearchive' ) )
					{
						$acoda_displayblogimage = 'display';
					}			
				}
			}
			elseif( !is_single() )
			{
				if( get_post_type( $post->ID ) != 'portfolio' )
				{	
					if( $acoda_displayblogimage != 'single' && $acoda_displayblogimage != 'disable' && ( of_get_option('arhpostimage') == '' || of_get_option('arhpostimage') == 'archive' || $acoda_displayblogimage == 'archive' ||  $acoda_displayblogimage == 'singlearchive' ) )
					{
						$acoda_displayblogimage = 'display';
					}
				}
				else
				{
					if( $acoda_displayblogimage != 'single' && $acoda_displayblogimage != 'disable' && ( of_get_option('portpostimage') == '' || of_get_option('portpostimage') == 'archive' || $acoda_displayblogimage == 'archive' ||  $acoda_displayblogimage == 'singlearchive' ) )
					{
						$acoda_displayblogimage = 'display';
					}			
				}
			}			
		
			
			if( !empty( $acoda_img_id ) && $acoda_displayblogimage == 'display' ) 
			{
				if( ( is_single() && empty( $acoda_showlightbox ) ) || $acoda_disablegallink == 'yes' )
				{
					$acoda_permalink = '';
				}				
						
				echo '<div class="blog-media-wrap '. esc_attr( $acoda_img_align ) .'">';
	
				$atts = array(
					'img_size' => $acoda_img_size,
					'image' => $acoda_img_id,
					'style' => $acoda_imageeffect,
					'alignment' => $acoda_img_align,
					'lightbox' => $acoda_showlightbox,
					'link' => $acoda_permalink,
					'img_link_target' => "_self",
					'el_class' => "blog_image"
				);
				
				echo acoda_featured_image( $atts );
	
				echo '</div>';
			} 	
		}
	}


	if ( ! function_exists( 'acoda_post_media' ) ) 
	{		
		function acoda_post_media()
		{
			global	$post, 
					$acoda_archive_img_size,
					$acoda_archive_img_effect,
					$acoda_archive_img_align,
					$acoda_blog_lightbox;
			
			$acoda_postlayout			= acoda_global_vars('arhpostdisplay');
			$acoda_blog_lightbox 		= ( !empty( $acoda_blog_lightbox ) ? $acoda_blog_lightbox : acoda_global_vars('blog_lightbox') );
			$acoda_archive_img_align	= ( !empty( $acoda_archive_img_align ) ? $acoda_archive_img_align : acoda_global_vars('archive_img_align') );
			$acoda_archive_img_size	= ( !empty( $acoda_archive_img_size ) ? $acoda_archive_img_size : acoda_global_vars('archive_img_size') );
			$acoda_archive_img_effect	= ( !empty( $acoda_archive_img_effect ) ? $acoda_archive_img_effect : acoda_global_vars('archive_img_effect') );
		
			
			if( is_single() )
			{ 
				if( get_post_type( $post->ID ) != 'portfolio' )
				{
					// image size
					$acoda_img_size = ( of_get_option('single_img_size') != '' ) ? of_get_option('single_img_size') : 'large' ; 
			
					// image align
					$acoda_img_align = 'center'; 
				}
				else
				{
					// image size
					$acoda_img_size = ( of_get_option('port_single_img_size') != '' ) ? of_get_option('port_single_img_size') : 'large' ; 
			
					// image align
					$acoda_img_align = 'center'; 			
				}
			}
			elseif( ! is_single() )
			{
				if( get_post_type( $post->ID ) != 'portfolio'	 )
				{		
					// image size
					$acoda_img_size	= ( !empty( $acoda_archive_img_size ) ? $acoda_archive_img_size : ( of_get_option('archive_img_size') != '' ? of_get_option('archive_img_size') : 'large' ) ); 
			
					// image align
					$acoda_img_align	= ( !empty( $acoda_archive_img_align ) ? $acoda_archive_img_align : ( of_get_option('archive_img_align') != '' ? of_get_option('archive_img_align') : 'center' ) ); 	
				}
				else
				{
					// image size
					$acoda_img_size	= ( !empty( $acoda_archive_img_size ) ? $acoda_archive_img_size : ( of_get_option('portfolio_img_size') != '' ? of_get_option('portfolio_img_size') : 'large' ) ); 
			
					// image align
					$acoda_img_align	= ( !empty( $acoda_archive_img_align ) ? $acoda_archive_img_align : ( of_get_option('portfolio_img_align') != '' ? of_get_option('portfolio_img_align') : 'center' ) ); 				
				}
			}		
			
			
			// Image Effect + Lightbox
			$acoda_showlightbox = '';
			
			if( is_single() ) 
			{
				$acoda_imageeffect = of_get_option('postimgeffect'); 
				
				if( get_post_type( $post->ID ) != 'portfolio' )
				{	
					if( of_get_option('post_lightbox') == 'enable' )
					{
						$acoda_showlightbox = 'enable'; 
					}
				}
				else
				{
					if( of_get_option('portfolio_post_lightbox') == 'enable' )
					{
						$acoda_showlightbox = 'enable'; 
					}			
				}
			}
			elseif( ! is_single() )
			{
				$acoda_imageeffect = ( !empty( $acoda_archive_img_effect ) ? $acoda_archive_img_effect : of_get_option('arhimgeffect') ); // image effect
				
				if( get_post_type( $post->ID ) != 'portfolio' )
				{	
					if( !empty( $acoda_blog_lightbox ) )
					{
						$acoda_showlightbox = $acoda_blog_lightbox;
					}
					else if( of_get_option('blog_lightbox') == 'enable' )
					{
						$acoda_showlightbox = 'enable'; 
					}
				}
				else
				{
					if( of_get_option('portfolio_lightbox') == 'enable' )
					{
						$acoda_showlightbox = 'enable'; 
					}			
				}		
			}		
			
	
			$acoda_img_id 				= get_post_thumbnail_id( $post->ID );
			$acoda_permalink 			= ( get_post_meta( $post->ID, '_'. ACODA_THEME_PREFIX .'_altlink', true ) !='' )  		? get_post_meta( $post->ID, '_'. ACODA_THEME_PREFIX .'_altlink', true ) : get_permalink();
			$acoda_disablegallink		= ( get_post_meta( $post->ID, '_'. ACODA_THEME_PREFIX .'_disablegallink', true ) !='' )	? get_post_meta( $post->ID, '_'. ACODA_THEME_PREFIX .'_disablegallink', true ) : '';
			$acoda_displayblogimage	= ( get_post_meta( $post->ID, '_'. ACODA_THEME_PREFIX .'_postshowimage', true ) !='' ) 	? get_post_meta( $post->ID, '_'. ACODA_THEME_PREFIX .'_postshowimage', true ) : '';	
			$acoda_movieurl 		 	= ( get_post_meta( $post->ID, '_'. ACODA_THEME_PREFIX .'_movieurl', true ) !='' ) 		? get_post_meta( $post->ID, '_'. ACODA_THEME_PREFIX .'_movieurl', true ) : '';	
			$acoda_videotype 		 	= ( get_post_meta( $post->ID, '_'. ACODA_THEME_PREFIX .'_videotype', true ) !='' ) 		? get_post_meta( $post->ID, '_'. ACODA_THEME_PREFIX .'_videotype', true ) : 'oembed';
			$ratio 				 		= ( get_post_meta( $post->ID, '_'. ACODA_THEME_PREFIX .'_videoratio', true ) !='' ) 	 	? get_post_meta( $post->ID, '_'. ACODA_THEME_PREFIX .'_videoratio', true ) : '';
			$acoda_videoautoplay	 	= ( get_post_meta( $post->ID, '_'. ACODA_THEME_PREFIX .'_videoautoplay', true ) !='' ) 	? get_post_meta( $post->ID, '_'. ACODA_THEME_PREFIX .'_videoautoplay', true ) : '';
		
			$acoda_videoautoplay = ( !empty( $acoda_videoautoplay ) ? 1 : 0 );
	
			
			if( is_single() )
			{
				if( get_post_type( $post->ID ) != 'portfolio' )
				{
					if( $acoda_displayblogimage != 'archive' && $acoda_displayblogimage != 'disable' && ( of_get_option('arhpostimage') == '' || of_get_option('arhpostimage') == 'single' || $acoda_displayblogimage == 'single' ||  $acoda_displayblogimage == 'singlearchive' ) )
					{
						$acoda_displayblogimage = 'display';
					}
				}
				else
				{
					if( $acoda_displayblogimage != 'archive' && $acoda_displayblogimage != 'disable' && ( of_get_option('portpostimage') == '' || of_get_option('portpostimage') == 'single' || $acoda_displayblogimage == 'single' ||  $acoda_displayblogimage == 'singlearchive' ) )
					{
						$acoda_displayblogimage = 'display';
					}			
				}
			}
			elseif( !is_single() )
			{
				if( get_post_type( $post->ID ) != 'portfolio' )
				{	
					if( $acoda_displayblogimage != 'single' && $acoda_displayblogimage != 'disable' && ( of_get_option('arhpostimage') == '' || of_get_option('arhpostimage') == 'archive' || $acoda_displayblogimage == 'archive' ||  $acoda_displayblogimage == 'singlearchive' ) )
					{
						$acoda_displayblogimage = 'display';
					}
				}
				else
				{
					if( $acoda_displayblogimage != 'single' && $acoda_displayblogimage != 'disable' && ( of_get_option('portpostimage') == '' || of_get_option('portpostimage') == 'archive' || $acoda_displayblogimage == 'archive' ||  $acoda_displayblogimage == 'singlearchive' ) )
					{
						$acoda_displayblogimage = 'display';
					}			
				}
			}
	
			
			
			if( !empty( $acoda_img_id ) && $acoda_displayblogimage == 'display' && !empty( $acoda_showlightbox ) && $acoda_videotype == 'lightbox' )
			{	
				echo '<div class="blog-media-wrap '. esc_attr( $acoda_img_align ) .'">';
						
				$atts = array(
					'img_size' => $acoda_img_size,
					'image' => $acoda_img_id,
					'style' => $acoda_imageeffect,
					'alignment' => $acoda_img_align,
					'lightbox' => $acoda_showlightbox,
					'link' => $acoda_permalink,
					'media_url' => $acoda_movieurl,
					'img_link_target' => "_self",
					'el_class' => "blog_image"
				);
						
				echo acoda_post_image( $atts );
	
				echo '</div>';
			} 				
			else if( !empty( $acoda_movieurl ) && $acoda_displayblogimage == 'display' && !empty( $acoda_videotype ) )
			{		
				$style = '';
				$image_types_array = array("thumbnail", "medium", "large", "full");
			
				$image_types = implode('|', $image_types_array);
			
				if( preg_match( '/('. $image_types .')/i', $acoda_img_size ) )
				{
					$style = ' style="width:'. get_option( $acoda_img_size.'_size_w' ) .'px;max-width:100%;"';
				}
				else
				{			
					$img_width = explode( 'x', $acoda_img_size );
					
					$style = ' style="width:'. $img_width[0] .'px;max-width:100%;"';
				}
				
				echo '<div class="blog-media-wrap '. esc_attr( $acoda_img_align ) .'" '. $style .'>';
	
				$acoda_videotype = 'oembed'; // fallback if set to lightbox and no image is set
						
				$atts = array(
					'type' => $acoda_videotype,
					'link' => $acoda_movieurl,
					'style' => $acoda_imageeffect,
					'alignment' => $acoda_img_align,
					'autoplay' => $acoda_videoautoplay,
					'ratio' => $ratio,
				);
						
				echo acoda_featured_media( $atts );					
					 
				echo '</div>';
			}		
		}
	}


	if ( ! function_exists( 'acoda_post_metadata' ) ) 
	{		
		function acoda_post_metadata()
		{
			global $post;
	
			$acoda_postlayout	= acoda_global_vars('arhpostdisplay');
		
			$acoda_arhpostpostmeta = '';
		
			$p_meta_date = get_post_meta( $post->ID, '_'. ACODA_THEME_PREFIX .'_meta_date', true );
			$o_meta_date = of_get_option('meta_date');	
		
			$p_meta_author = get_post_meta( $post->ID, '_'. ACODA_THEME_PREFIX .'_meta_author', true );
			$o_meta_author = of_get_option('meta_author');		
		
			$p_meta_categories = get_post_meta( $post->ID, '_'. ACODA_THEME_PREFIX .'_meta_categories', true );
			$o_meta_categories = of_get_option('meta_categories');	
		
			$p_meta_tags = get_post_meta( $post->ID, '_'. ACODA_THEME_PREFIX .'_meta_tags', true );
			$o_meta_tags = of_get_option('meta_tags');	
			
			$p_meta_like = get_post_meta( $post->ID, '_'. ACODA_THEME_PREFIX .'_meta_like', true );
			$o_meta_like = of_get_option('meta_like');
		
			$p_meta_comments = get_post_meta( $post->ID, '_'. ACODA_THEME_PREFIX .'_meta_comments', true );
			$o_meta_comments = of_get_option('meta_comments');	
					
			if( is_single() )
			{ 	
				// Meta Date		
				$meta_date = ( $p_meta_date != 'archive' && $p_meta_date != 'disable' && ( $o_meta_date == '' || $o_meta_date == 'single' || $p_meta_date == 'single' || $p_meta_date == 'singlearchive' ) ? 'display' : 'disable' );
		
				// Meta Author
				$meta_author = ( $p_meta_author != 'archive' && $p_meta_author != 'disable' && ( $o_meta_author == '' || $o_meta_author == 'single' || $p_meta_author == 'single' || $p_meta_author == 'singlearchive' ) ? 'display' : 'disable' );	
		
				// Meta Categories
				$meta_categories = ( $p_meta_categories != 'archive' && $p_meta_categories != 'disable' && ( $o_meta_categories == '' || $o_meta_categories == 'single' || $p_meta_categories == 'single' || $p_meta_categories == 'singlearchive' ) ? 'display' : 'disable' );	
		
				// Meta Tags		
				$meta_tags = ( $p_meta_tags != 'archive' && $p_meta_tags != 'disable' && ( $o_meta_tags == '' || $o_meta_tags == 'single' || $p_meta_tags == 'single' || $p_meta_tags == 'singlearchive' ) ? 'display' : 'disable' );				
		
				// Meta like		
				$meta_like = ( $p_meta_like != 'archive' && $p_meta_like != 'disable' && ( $o_meta_like == '' || $o_meta_like == 'single' || $p_meta_like == 'single' || $p_meta_like == 'singlearchive' ) ? 'display' : 'disable' );				
		
				// Meta comments		
				$meta_comments = ( $p_meta_comments != 'archive' && $p_meta_comments != 'disable' && ( $o_meta_comments == '' || $o_meta_comments == 'single' || $p_meta_comments == 'single' || $p_meta_comments == 'singlearchive' ) ? 'display' : 'disable' );	
						
				if( $meta_date != 'disable' || $meta_categories != 'disable' || $meta_tags == 'disable' || $meta_like != 'disable' || $meta_comments != 'disable' )
				{
					$acoda_arhpostpostmeta = 'display';
				}
			}
			elseif( !is_single() )
			{	
				// Meta Date		
				$meta_date = ( $p_meta_date != 'single' && $p_meta_date != 'disable' && ( $o_meta_date == '' || $o_meta_date == 'archive' || $p_meta_date == 'archive' || $p_meta_date == 'singlearchive' ) ? 'display' : 'disable' );
		
				// Meta Author
				$meta_author = ( $p_meta_author != 'single' && $p_meta_author != 'disable' && ( $o_meta_author == '' || $o_meta_author == 'archive' || $p_meta_author == 'archive' || $p_meta_author == 'singlearchive' ) ? 'display' : 'disable' );	
		
				// Meta Categories
				$meta_categories = ( $p_meta_categories != 'single' && $p_meta_categories != 'disable' && ( $o_meta_categories == '' || $o_meta_categories == 'archive' || $p_meta_categories == 'archive' || $p_meta_categories == 'singlearchive' ) ? 'display' : 'disable' );	
		
				// Meta Tags		
				$meta_tags = ( $p_meta_tags != 'single' && $p_meta_tags != 'disable' && ( $o_meta_tags == '' || $o_meta_tags == 'archive' || $p_meta_tags == 'archive' || $p_meta_tags == 'singlearchive' ) ? 'display' : 'disable' );				
		
				// Meta like		
				$meta_like = ( $p_meta_like != 'single' && $p_meta_like != 'disable' && ( $o_meta_like == '' || $o_meta_like == 'archive' || $p_meta_like == 'archive' || $p_meta_like == 'singlearchive' ) ? 'display' : 'disable' );				
		
				// Meta comments		
				$meta_comments = ( $p_meta_comments != 'single' && $p_meta_comments != 'disable' && ( $o_meta_comments == '' || $o_meta_comments == 'archive' || $p_meta_comments == 'archive' || $p_meta_comments == 'singlearchive' ) ? 'display' : 'disable' );	
				
				if( $meta_date != 'disable' || $meta_categories != 'disable' || $meta_tags == 'disable' || $meta_like != 'disable' || $meta_comments != 'disable' )
				{
					$acoda_arhpostpostmeta = 'display';
				}
			}		
			
			if( get_post_type( $post ) == 'portfolio' ) 
			{
				$acoda_arhpostpostmeta = 'disable';
			}				
								
			// If image is aligned left / right, display post metadata below
			if( $acoda_arhpostpostmeta == 'display' )
			{
				if( is_single() && of_get_option('meta_date_format_single') != '' ) 
				{
					$meta_date_format = ( of_get_option( 'meta_date_format_single' ) != '' ? of_get_option( 'meta_date_format_single' ) : ( of_get_option( 'meta_date_format_archive' ) != '' ? of_get_option( 'meta_date_format_archive' ) : 'd M' ) );
				}
				else
				{
					$meta_date_format = ( of_get_option( 'meta_date_format_archive' ) != '' ? of_get_option( 'meta_date_format_archive' ) : 'd M' );
				}
				
					
				echo "\n". '<ul class="post-metadata-wrap">'; 
				
				if( $meta_date == 'display' && of_get_option('meta_date_position') == 'metadata' )
				{
					echo "\n". '<li class="meta-date">';
					echo "\n". '<span class="icon"><i class="fa fa-calendar-o"></i></span>';
					echo "\n". '<span><div class="date-day updated">'. get_the_time( $meta_date_format ) .'</div></span>';
					echo "\n". '</li>';
				}
			
				if( $meta_author == 'display' ) 
				{ 
					echo "\n". '<li class="meta-author">';
					echo "\n". '<span class="icon"><i class="fa fa-user"></i></span>';
					echo "\n". '<span class="author-name">';
					echo "\n". '<span class="vcard author" itemprop="name">';
					echo "\n". '<span class="fn" itemscope="itemscope" itemtype="http://schema.org/Person" itemprop="author">';        
					echo "\n". '<a href="'. esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ) .'">'. get_the_author_meta( 'display_name' ) .'</a>';
					echo "\n". '</span>';
					echo "\n". '</span>';
					echo "\n". '</span>';
					echo "\n". '</li>';
			 
				}
				
				if( $meta_categories == 'display' ) 
				{         
					echo "\n". '<li class="meta-category">';
					echo "\n". '<span class="icon"><i class="fa fa-list-alt"></i></span>';
					echo "\n". '<span class="category-list">';
					the_category(' , ');
					echo "\n". '</span>';
					echo "\n". '</li>';	
				}
					
				if( comments_open() && $meta_comments == 'display' )
				{
					echo "\n". '<li class="comments-list">';
					comments_popup_link( '<i class="fa fa-comment-o"></i>&nbsp;0 ' . esc_html__( 'Comments' , 'you' ), '<i class="fa fa-comment"></i>&nbsp;1 ' . esc_html__( 'Comment' , 'you' ), '<i class="fa fa-comments"></i>&nbsp;% ' . esc_html__( 'Comments', 'you' ));
					echo "\n". '</li>';
				}
				
				if( $meta_like == 'display' ) 
				{  	
					echo "\n". '<li class="post-like">'. getPostLikeLink( get_the_ID() ) .'</li>';	   
				}	
				
				echo "\n". '</ul>';
			}
			
			if( get_the_tags() !='' && $meta_tags == 'display' )
			{
				echo "\n". '<ul class="post-metadata-wrap tags clearfix">';
				echo "\n". '<li class="tags-title">';
				echo "\n". '<span class="icon"><i class="fa fa-tag"></i></span>';
				echo "\n". '<span class="tags-list">';
				the_tags('',' , ');
				echo "\n". '</span>';
				echo "\n". '</li>';
				echo "\n". '</ul>';
			} 		
		}
	}


	if ( ! function_exists( 'acoda_post_footer' ) ) 
	{	
		function acoda_post_footer()
		{
			global $post;
			
			echo '<footer>';
			echo '<section class="large-12 columns">';		
			
				// Share Post
				$share_post = ( get_post_meta( $post->ID, '_'. ACODA_THEME_PREFIX .'_share_post', true ) == 'enable' ? 'enable' : ( of_get_option("share_post") == 'enable' && get_post_meta( $post->ID, '_'. ACODA_THEME_PREFIX .'_share_post', true ) != 'disable' ? 'enable' : '' ) );
				$acoda_socialicons = acoda_global_vars('socialicons');	
				
				if( $share_post == 'enable' && get_post_meta( $post->ID, '_'. ACODA_THEME_PREFIX .'_socialicons', true ) != 'disable' )
				{
					$acoda_socialicons_color = ( of_get_option('socialicons_color') != '' ? of_get_option('socialicons_color') : '' );
					$acoda_socialicons = 'yes';
					
					echo "\n". '<div class="blog-social-icons">';
					echo "\n". '<div class="heading-font">'. esc_html__('Share This','you') .'</div>';
					echo "\n". '<div class="socialicons '. esc_attr( $acoda_socialicons_color ) .' display center">';
					echo "\n". '<ul>';
					require get_template_directory() .'/lib/inc/social-icons.php';
					echo "\n". '</ul>';
					echo "\n". '</div>';
					echo "\n". '</div>';
				}
				 
				// related posts
				$tags = wp_get_post_tags($post->ID);
				
				if( !empty($tags) ) 
				{ 
					$tag_ids = array();
					foreach($tags as $individual_tag) $tag_ids[] = $individual_tag->term_id;
							
					$args = array(
						'tag__in' => $tag_ids,
						'post__not_in' => array( $post->ID ),
						'posts_per_page' => 4, // Number of related posts that will be shown.
						'ignore_sticky_posts' => 1,
						'orderby'=>'rand' // Randomize the posts
					);
					
					// Related Posts
					$related_posts = ( get_post_meta( $post->ID, '_'. ACODA_THEME_PREFIX .'_related_posts', true ) == 'enable' ? 'enable' : ( of_get_option("related_posts") == 'enable' && get_post_meta( $post->ID, '_'. ACODA_THEME_PREFIX .'_related_posts', true ) != 'disable' ? 'enable' : '' ) );
						
					$related_query = new wp_query( $args );	
					
					if( $related_query->found_posts > 0 && $related_posts == 'enable' )
					{
						echo "\n". '<div id="related_posts" class="row">';
						echo "\n". '<section class="columns large-12">';
						
						add_image_size( 'related-posts', 84, 84, true );
						
						if( $related_query->have_posts() ) 
						{
							echo '<div class="heading-font">'.esc_html__('Related Posts','you').'</div>';
							echo "\n". '<ul class="clearfix">';
									
							while( $related_query->have_posts() )
							{
								$related_query->the_post();
										
								echo "\n". '<li class="columns large-6">';
								echo "\n". '<div class="related_post_wrap clearfix">';
								echo "\n". '<a href="'. esc_url( get_the_permalink() ) .'" rel="bookmark" class="related-post-img" title="'. esc_attr( get_the_title() ) .'">';
								the_post_thumbnail(  array(60, 60) , 'related-posts' );
								echo "\n". '</a>';                              
								echo "\n". '<a href="'. esc_url( get_the_permalink() ) .'" class="recent-posts-title" rel="bookmark" title="'. esc_attr( get_the_title() ) .'">'. get_the_title() .'</a>';
								echo "\n". '</div>';
								echo "\n". '</li>';
							}
									
							echo "\n". '</ul>';
						} 
							
						echo "\n". '</section>';
						echo "\n". '</div>';
					}
				}
				
				echo '<div class="nextprevious_posts clearfix">';
					
					next_post_link('<span class="alignright">%link &rarr;</span>'); 
					
					if(  get_post_type() == 'portfolio' &&  of_get_option('portfoliopagelink') != 'disable' )
					{
						if( get_post_meta( $post->ID, '_cmb_portfoliopage', true ) != '' )
						{
							$url 	= get_permalink( get_post_meta( $post->ID, '_'. ACODA_THEME_PREFIX .'_portfoliopage', true ) );
							$title 	= get_the_title( get_post_meta( $post->ID, '_'. ACODA_THEME_PREFIX .'_portfoliopage', true ) );				
						}
						else if( of_get_option('portfoliopage' ) != '' )
						{
							$url 	= get_permalink( of_get_option('portfoliopage' ) );
							$title 	= get_the_title( of_get_option('portfoliopage' ) );
						}
						else
						{
							$url 	= get_post_type_archive_link( 'portfolio' );	
							$title 	= '';
						}
							
						echo '<span class="portfolio-link"><a title="'. esc_attr( $title ) .'" href="'. esc_url( $url ) .'"><i class="fa fa-th fa-lg"></i></a></span>';
					}		
					
					previous_post_link('<span class="alignleft">&larr; %link</span>');
				echo '</div>';		
			
				// If a user has filled out their description and this is a multi-author blog, show a bio on their entries
				if ( get_the_author_meta( 'user_description' ) && !empty( $acoda_authorname ) ) :
				
					echo '<div class="author-info-wrap">';
					echo '<div class="heading-font">'.esc_html__('About the Author','you').'</div>';
					echo '<aside id="author-avatar" class="aligncenter">';
					echo get_avatar( get_the_author_meta( 'user_email' ), '80' );
					echo '</aside><!-- #author-avatar -->';		
					echo '<div class="author-info">';		
					echo '<section id="author-description" class="clearfix">';
					echo '<div class="heading-font">';
					printf( esc_html__( '%s', 'you' ), get_the_author() );
					echo '</div>';
					echo '<span class="vcard author">';
					echo '<span class="fn">';
					echo '<p>'. get_the_author_meta( 'description' ) .'</p>';
					echo '</span>';
					echo '</span>';
					echo '<div id="author-link">';
					echo '<a href="'. esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ) .'" rel="author">';
					printf( esc_html__( 'View all posts by %s ', 'you' ), get_the_author() );
					echo '</a>';
					echo '<span class="meta-nav">&rarr;</span>';
					echo '</div><!-- #author-link	-->';
					echo '</section><!-- #author-description -->';
					echo '</div>';
				
				endif;		
	
			echo '</section>';
			echo '</footer>';		
		}
	}

	if ( ! function_exists( 'acoda_dockicon_info' ) ) 
	{	
		// Dock Bar Configuration 
		function acoda_dockicon_info()
		{
			$dock_icons = '';
			$dock_icons .= "\n". '<div class="dock-tab-wrapper '. ( of_get_option( 'dockicon_infopanel' ) != 'enable' ? 'static' : '' ) .' infodock">';
			$dock_icons .= "\n". '<span class="pointer"></span>';
			$dock_icons .= "\n". '<div class="background-wrap skinset-dockpanel acoda-skin ">' . "\n";
				
			if( is_active_sidebar('infopanel') )
			{
				$dock_icons .= "\n". '<div class="infodock-innerwrap clearfix">';
				$dock_icons .= "\n". '<ul>';
				
				ob_start();
				dynamic_sidebar('infopanel');
				$dock_icons .= ob_get_contents();
				ob_end_clean();
				
				$dock_icons .= "\n". '</ul>';
				$dock_icons .= "\n". '</div>';
			}
				
			$dock_icons .= "\n". '</div>';
			$dock_icons .= "\n". '</div>';
			
			return $dock_icons;
		}	
	}


	if ( ! function_exists( 'acoda_max_character_excerpt' ) ) 
	{	
		// Auto-excerpt 
		function acoda_max_character_excerpt( $charlength, $excerpt )
		{
			$charlength++;
			$output = '';
		
			if ( mb_strlen( $excerpt ) > $charlength ) 
			{
				$subex = mb_substr( $excerpt, 0, $charlength - 5 );
				$exwords = explode( ' ', $subex );
				$excut = - ( mb_strlen( $exwords[ count( $exwords ) - 1 ] ) );
				
				if ( $excut < 0 ) 
				{
					$output .= mb_substr( $subex, 0, $excut );
				} 
				else 
				{
					$output .= $subex;
				}
				
				$output .= '...';
			}
			else 
			{
				$output .= $excerpt;
			}
			
			return $output;
		}	
	}
	

	if ( ! function_exists( 'acoda_attach_media_fields' ) ) 
	{	
		// Add Attach Media Fields
		function acoda_attach_media_fields( $form_fields, $post ) {
	
			$form_fields['media-tags'] = array(
				'label' => esc_html__( 'Tags', 'you' ),
				'input' => 'text',
				'helps' => esc_html__( 'Comma Separated Tags.', 'you' ),
				'value' => get_post_meta( $post->ID, '_'. ACODA_THEME_PREFIX .'_media-tags', true ),
			);	
		
			$form_fields['gallery-link-url'] = array(
				'label' => esc_html__( 'Link URL', 'you' ),
				'input' => 'text',
				'value' => get_post_meta( $post->ID, '_'. ACODA_THEME_PREFIX .'_gallery-link-url', true ),
			);
		
			$form_fields['gallery-video-url'] = array(
				'label' => esc_html__( 'Media URL', 'you' ),
				'input' => 'text',
				'value' => get_post_meta( $post->ID, '_'. ACODA_THEME_PREFIX .'_gallery-video-url', true ),
			);
	
			// select options: you could code these manually or get it from a database
			$embed_options = array(
				"" => "No Embed",
				"oembed" => "oEmbed",
				"youtube" => "YouTube",
			);
	
			// get the current value of our custom field
			$current_embed_value = get_post_meta($post->ID, '_'. ACODA_THEME_PREFIX .'_media-embed', true);
			
			// build the html for our select box
			$media_embed_Html = "<select name='attachments[". esc_attr($post->ID) ."][media-embed]' id='attachments-". esc_attr($post->ID) ."-media-embed'>";
			
			foreach($embed_options as $value => $text){
			
				// if this value is the current_value we'll mark it selected
				$selected = ($current_embed_value == $value) ? ' selected ' : '';
				
				// escape value	for single quotes so they won't break the html
				$value = addcslashes( $value, "'");
				
				$media_embed_Html .= "<option value='". esc_attr( $value ) ."' ". esc_attr($selected) .">{$text}</option>";
			}
			$media_embed_Html .= "</select>";
			
			// add our custom select box to the form_fields
			$form_fields["media-embed"]["label"] = esc_html__("Media Embed", 'you');
			$form_fields["media-embed"]["input"] = "html";
			$form_fields["media-embed"]["html"]  = $media_embed_Html;	
	
			// select options: you could code these manually or get it from a database
			$ratio_options = array(
				"" => "16:9",
				"four_by_three" => "4:3",
				"normal" => "1:1",
			);
	
			// get the current value of our custom field
			$current_ratio_value = get_post_meta($post->ID, '_'. ACODA_THEME_PREFIX .'_media-ratio', true);
			
			// build the html for our select box
			$media_ratio_Html = "<select name='attachments[". esc_attr($post->ID) ."][media-ratio]' id='attachments-". esc_attr($post->ID) ."-media-ratio'>";
			
			foreach($ratio_options as $value => $text){
			
				// if this value is the current_value we'll mark it selected
				$selected = ($current_ratio_value == $value) ? ' selected ' : '';
				
				// escape value	for single quotes so they won't break the html
				$value = addcslashes( $value, "'");
				
				$media_ratio_Html .= "<option value='". esc_attr( $value ) ."' ". esc_attr($selected) .">{$text}</option>";
			}
			$media_ratio_Html .= "</select>";
			
			// add our custom select box to the form_fields
			$form_fields["media-ratio"]["label"] = esc_html__("Media Ratio", 'you');
			$form_fields["media-ratio"]["input"] = "html";
			$form_fields["media-ratio"]["html"]  = $media_ratio_Html;				
		
			
			$form_fields['gallery-slide-timeout'] = array(
				'label' => esc_html__( 'Timeout ( s )', 'you' ),
				'input' => 'text',
				'value' => get_post_meta( $post->ID, '_'. ACODA_THEME_PREFIX .'_gallery-slide-timeout', true ),
			);	
	
			$form_fields['gallery-slide-classes'] = array(
				'label' => esc_html__( 'CSS Classes', 'you' ),
				'input' => 'text',
				'value' => get_post_meta( $post->ID, '_'. ACODA_THEME_PREFIX .'_gallery-slide-classes', true ),
			);				
		
			return $form_fields;
		}
	}
	

	/* ------------------------------------
	::  Save Attachment Gallery Fields
	------------------------------------ */
	
	add_filter( 'attachment_fields_to_edit', 'acoda_attach_media_fields', 10, 2 );		
	
	if ( ! function_exists( 'acoda_media_fields_save' ) ) 
	{	
		function acoda_media_fields_save( $post, $attachment ) {
	
			if( isset( $attachment['media-tags'] ) )
			{
				update_post_meta( $post['ID'], '_'. ACODA_THEME_PREFIX .'_media-tags', $attachment['media-tags'] );
			}
			if( isset( $attachment['gallery-link-url'] ) )
			{
				update_post_meta( $post['ID'], '_'. ACODA_THEME_PREFIX .'_gallery-link-url', $attachment['gallery-link-url'] );
			}
			if( isset( $attachment['gallery-video-url'] ) )
			{
				update_post_meta( $post['ID'], '_'. ACODA_THEME_PREFIX .'_gallery-video-url', $attachment['gallery-video-url'] );		
			}
			if( isset( $attachment['media-embed'] ) )
			{
				update_post_meta( $post['ID'], '_'. ACODA_THEME_PREFIX .'_media-embed', $attachment['media-embed'] );		
			}	
			if( isset( $attachment['media-ratio'] ) )
			{
				update_post_meta( $post['ID'], '_'. ACODA_THEME_PREFIX .'_media-ratio', $attachment['media-ratio'] );		
			}				
			if( isset( $attachment['gallery-slide-timeout'] ) )
			{
				update_post_meta( $post['ID'], '_'. ACODA_THEME_PREFIX .'_gallery-slide-timeout', $attachment['gallery-slide-timeout'] );		
			}
			if( isset( $attachment['gallery-slide-classes'] ) )
			{
				update_post_meta( $post['ID'], '_'. ACODA_THEME_PREFIX .'_gallery-slide-classes', $attachment['gallery-slide-classes'] );							
			}
			return $post;
		}
	}
	
	add_filter( 'attachment_fields_to_save', 'acoda_media_fields_save', 10, 2 );
	

	if ( ! function_exists( 'acoda_get_embed' ) ) 
	{	
		function acoda_get_embed( $height, $width, $media_url )
		{
			global $wp_embed;
			$embed = $wp_embed->run_shortcode( '[embed '. $height .' '. $width .' ]'. esc_url( $media_url ) .'[/embed]' );	// height & width escaped below
			return $embed;
		}
	}

	if ( ! function_exists( 'acoda_featured_media' ) ) 
	{		
		// Post Media
		function acoda_featured_media( $atts )
		{
			extract( $atts );
			
			$acoda_videotype = $type;
			$acoda_movieurl = $link;
			$acoda_videoautoplay = $autoplay;
			$output = '';
			
			include(get_template_directory() .'/lib/inc/classes/video-class.php');		
			
			return $output;
		}
	}

	if ( ! function_exists( 'acoda_featured_image' ) ) 
	{
		// Post Image
		function acoda_featured_image( $atts )
		{
			extract( $atts );
			
			$img_id = preg_replace( '/[^\d]/', '', $image );
	
			// Full Image URL
			$img_full_src = wp_get_attachment_image_src( $img_id, 'full');
			$img_full_src = $img_full_src[0];				
	
			if( function_exists( 'wpb_getImageBySize' ) )
			{
				$img = wpb_getImageBySize( array(
					'attach_id' => $img_id,
					'thumb_size' => $img_size,
					'class' => 'vc_single_image-img'
				) );
			}
			else
			{
				$img_resize = wp_get_attachment_image_src( $img_id, $img_size );
				$img['thumbnail'] = '<img src="'. esc_url( $img_resize[0] ) .'" />';
			}
	
			// Lightbox
			$link_output = '';
					
			if( $lightbox == "enable" || !empty( $link ) )
			{							
				// Split Icon Space
				$split = '';
																	
				if( $lightbox == "enable" && !empty( $link ) ) $split = 'split';
											
				// Set Link + Lightbox
				if( $lightbox == "enable" )
				{ 
					$lightbox_type = $lightbox_url = '';
											
					if( !empty($media_url) )
					{
						$lightbox_url = $media_url;
						$lightbox_type = 'fa fa-play';
					}
					else
					{
						$lightbox_url = $img_full_src;
						$lightbox_type = 'fa fa-expand';
					}
													
					$link_output .= '<a href="'. esc_url( $lightbox_url ) .'" class="fancybox action-icons lightbox-icon '. esc_attr( $split ) .'"><i class="'. esc_attr( $lightbox_type ) .' fa-lg"></i></a>';
				}
					
				if( !empty( $link ) )
				{ 
					$link_output .= '<a href="'. esc_url( $link ) .'" class="action-icons link-icon '. esc_attr( $split ) .'" target="'. esc_attr( $img_link_target ) .'" ><i class="fa fa-link fa-lg"></i></a>';
				}
			}			
			
			$output = '';
			$output .= '<div class="wpb_single_image wpb_content_element vc_align_' . esc_attr( $alignment ) . ' blog_image">';
			$output .= '<div class="wpb_wrapper vc_single_image-wrapper '. esc_attr( $style ) . '">';
	
			$output .= '<div class="container">';
			$output .= '<div class="gridimg-wrap">';
			$output .= '<div class="img">';		
			
			$output .= $img['thumbnail'];
		
			if( !empty( $lightbox ) || !empty( $link ) )
			{
				$output .= $link_output;
			}	
			
			$output .= '</div>';
			$output .= '</div>'; 
			$output .= '</div>';
			
			$output .= '</div>'; 
			$output .= '</div>'; 
			
			return $output;
		}
	}


	if ( ! function_exists( 'acoda_find_xml_value' ) ) 
	{
		// Find the XML value from XML Object
		function acoda_find_xml_value($xml, $field)
		{
			if(!empty($xml))
			{
				foreach($xml->childNodes as $xmlChild)
				{
					if($xmlChild->nodeName == $field)
					{
						if( is_admin() )
						{
							return $xmlChild->nodeValue;
						}
						else
						{
							return $xmlChild->nodeValue;
						}
					}
				}
			}
			
			return '';
		}
	}

	if ( ! function_exists( 'acoda_create_xml_tag' ) ) 
	{		
		// Create tag string from nodename and value
		function acoda_create_xml_tag($node, $value)
		{
			return '<' . esc_attr( $node ) . '>' . $value . '</' . esc_attr( $node ) . '>';	
		}
	}

	if ( ! function_exists( 'acoda_data_source' ) ) 
	{
		// Get Post Category Function
		function acoda_data_source($data_type, $type = '')
		{
			$arr = array();
			
			if( $data_type == 'data-2' ) // Post Categories
			{
				$arr = get_categories();
			}
			elseif( $data_type == 'data-2-formats' ) // Post Formats
			{
				$post_formats = get_theme_support( 'post-formats' );
				$arr = $post_formats[0];
				array_unshift($arr, "Select Filter");
			}
			elseif( $data_type == 'data-4' ) // Slide Sets
			{
				$args = array(
					'numberposts' => -1,
					'post_type' => 'slide-sets',
					'post_status' => 'publish'
				);
				
				$arr = get_posts ( $args );
			}		
			
			// Set the options array
			if( is_array( $arr ) )
			{
				foreach ( $arr as $val )
				{		
					if( $data_type == 'data-2' )
					{
						if( $type == 'shortcode' )
						{
							$options_array[htmlspecialchars($val->cat_name)] = $val->cat_name;
						}
						else
						{
							$options_array[htmlspecialchars($val->term_id)] = $val->cat_name;
						}
					}		
					elseif( $data_type == 'data-2-formats' )
					{
						if( $type == 'shortcode' )
						{	
							if( $val == 'Select Filter' )
							{
								$options_array[htmlspecialchars($val)] = '';
							}
							else
							{
								$options_array[htmlspecialchars($val)] = $val;
							}
						}
						elseif( $type == 'blog' )
						{	
							if( $val != 'Select Filter' )
							{
								$options_array[htmlspecialchars($val)] = $val;
							}
						}					
						else
						{				
							if( $val == 'Select Filter' )
							{
								$options_array[] = array(
									'name' => $val,
									'value' => ''
								);					
							}
							else
							{
								$options_array[] = array(
									'name' => $val,
									'value' => $val
								);
							}
						}
					}						
					elseif( $data_type == 'data-4' )
					{
						if( $type == 'shortcode' )
						{				
							$options_array[htmlspecialchars($val->post_title)] = $val->post_title;
						}
						else
						{
							$options_array[htmlspecialchars($val->ID)] = $val->post_title;
						}					
					}					
					else
					{
						$options_array[htmlspecialchars($val->name)] = $val->name;
					}
				}
			}
			
			if( empty($options_array) ) $options_array[''] = 'No Data Found';
			
			return $options_array;
		}
	}


	if ( ! function_exists( 'acoda_social_icon_data' ) ) 
	{
		// Social Icons Data
		function acoda_social_icon_data()
		{
			$social_icon_array = array(
				'sociallink_digg' => array(
					'path' => 'http://www.digg.com/submit?phase=2&amp;url=[get_permalink]&amp;title=[get_the_title]',
					'name' => 'Digg'
				),
				'sociallink_fb' => array(
					'path' => 'http://www.facebook.com/sharer.php?u=[get_permalink]&amp;t=[get_the_title]&amp;popup=yes',
					'name' => 'Facebook'
				),	
				'sociallink_linkedin' => array(
					'path' => 'http://www.linkedin.com/shareArticle?mini=true&url=[get_permalink]&title=[get_the_title]&source=[get_blogurl]',
					'name' => 'LinkedIn'
				),
				'sociallink_deli' => array(
					'path' => 'http://del.icio.us/post?url=[get_permalink]&amp;title=[get_the_title]',
					'name' => 'Del.icio.us'
				),
				'sociallink_reddit' => array(
					'path' => 'http://www.reddit.com/submit?url=[get_permalink]',
					'name' => 'Reddit'
				),
				'sociallink_stumble' => array(
					'path' => 'http://www.stumbleupon.com/submit?url=[get_permalink]&amp;title=[get_the_title]',
					'name' => 'Stumble'
				),
				'sociallink_twitter' => array(
					'path' => 'http://twitter.com/share?text=[get_the_title]&amp;url=[get_permalink]&amp;popup=yes',
					'name' => 'Twitter'
				),
				'sociallink_google' => array(
					'path' => 'https://plus.google.com/share?url=[get_permalink]&amp;popup=yes',
					'name' => 'Google'
				),								
				'sociallink_rss' => array(
					'path' => '[get_permalink]feed/rss/',
					'name' => 'RSS'
				),
				'sociallink_youtube' => array(
					'path' => 'http://www.youtube.com/user/',
					'name' => 'YouTube'
				),
				'sociallink_vimeo' => array(
					'path' => 'http://vimeo.com/',
					'name' => 'Vimeo'
				),
				'sociallink_pinterest' => array(
					'path' => 'http://pinterest.com/',
					'name' => 'Pinterest'
				),
				'sociallink_soundcloud' => array(
					'path' => 'http://soundcloud.com',
					'name' => 'Soundcloud'
				),
				'sociallink_instagram' => array(
					'path' => 'http://instagram.com',
					'name' => 'Instagram'
				),
				'sociallink_flickr' => array(
					'path' => 'http://flickr.com',
					'name' => 'Flickr'
				),
				'sociallink_email' => array(
					'path' => 'mailto:example@email.com',
					'name' => 'Email'
				),			
				'sociallink_vine' => array(
					'path' => 'https://plus.google.com/share?url=[get_permalink]&amp;popup=yes',
					'name' => 'Vine'
				),		
				'sociallink_vk' => array(
					'path' => 'http://vk.com/share.php?url=[get_permalink]&amp;popup=yes',
					'name' => 'VK'
				),	
				'sociallink_xing' => array(
					'path' => 'https://www.xing.com/spi/shares/new?url=[get_permalink]&amp;popup=yes',
					'name' => 'Xing'
				),				
				'sociallink_tumblr' => array(
					'path' => 'https://tumblr.com',
					'name' => 'Tumblr'
				),	
				'sociallink_dribbble' => array(
					'path' => 'https://dribbble.com/',
					'name' => 'Dribbble'
				),																
			);
			
			return $social_icon_array;
		}
	}


	// Get WP Media Library 
	//add_action('wp_ajax_get_media_image','get_media_library');

	if ( ! function_exists( 'acoda_social_options' ) ) 
	{	
		// Social Meta Options
		function acoda_social_options()
		{
			$prefix = '_'. ACODA_THEME_PREFIX .'_';
			
			$social_icon_array = acoda_social_icon_data();
	
			$social_icon_options = array();
			
			$social_icon_options[] =	array(
					'name'     => esc_html__( 'Social Icons', 'you' ),
					'desc'     => esc_html__( 'Add social icons to your page or post.', 'you' ),
					'id'       => $prefix . 'general_title',
					'type'     => 'title',
			);			
	
			$social_icon_options[] = array(
				'name'    => 'Icon Color',
				'id'      => $prefix . 'socialicons_color',
				'type'    => 'select',
				'std'		  => '',
				'options' => array(
					array( 'name' => esc_html__( 'Default', 'you' ), 'value' => '', ),
					array( 'name' => esc_html__( 'Color on Hover', 'you' ), 'value' => 'color_hover', ),
					array( 'name' => esc_html__( 'Color', 'you' ), 'value' => 'color', ),
				),
			);			
	
			$social_icon_options[] = array(
				'name'    => 'Social Icons',
				'id'      => $prefix . 'socialicons',
				'type'    => 'radio_inline',
				'std'		  => '',
				'options' => array(
					array( 'name' => esc_html__( 'Default', 'you' ), 'value' => '', ),
					array( 'name' => esc_html__( 'Enable', 'you' ), 'value' => 'yes', ),
					array( 'name' => esc_html__( 'Disable', 'you' ), 'value' => 'disable', ),
				),
			);
				
			$social_icon_options[] = array(
				'name'    => 'Share Icon',
				'id'      => $prefix . 'social_share',
				'type'    => 'radio_inline',
				'std'		  => '',
				'options' => array(
					array( 'name' => esc_html__( 'Default', 'you' ), 'value' => '', ),
					array( 'name' => esc_html__( 'Enable', 'you' ), 'value' => 'enable', ),
					array( 'name' => esc_html__( 'Disable', 'you' ), 'value' => 'yes', ),
				),
			);
			
			return $social_icon_options;
		}	
	}


	/* ------------------------------------
	:: POST FIRST IMAGE DETECTION
	------------------------------------ */


	if ( ! function_exists( 'acoda_catch_image' ) ) 
	{	
		function acoda_catch_image()
		{ 
			if( of_get_option('firstimage_detect') == 'enable' )
			{
				global $post, $posts;
				$first_img = $short_img = $shrtmatches = $matches = '';
				ob_start();
				ob_end_clean();
				$output = preg_match_all('/<img.+src=[\'"]([^\'"]+)[\'"].*>/i', $post->post_content, $matches);
				$shrtoutput = preg_match_all('/imageeffect.+url=[\'"]([^\'"]+)[\'"].*/i', $post->post_content, $shrtmatches); // Check shortcode image
				
				$short_img = ( !empty( $shrtmatches [1] [0] ) ) ? $shrtmatches [1] [0] : '';
				$first_img = ( !empty( $matches [1] [0] ) ) ? $matches [1] [0] : '';
			
				if( $short_img )
				{
					return $short_img;
				} 
				else
				{
					return $first_img;  
				}
			}
			else
			{
				return;	
			}
		}	
	}

	/* ------------------------------------
	:: GET ATTACHMENT IMAGE / RESIZE
	------------------------------------ */	


	if ( ! function_exists( 'acoda_getImageBySize' ) ) 
	{	
		function acoda_getImageBySize( $params = array( 'post_id' => NULL, 'attach_id' => NULL, 'thumb_size' => 'thumbnail', 'class' => '' ) )
		{
			if ( ( ! isset( $params['attach_id'] ) || $params['attach_id'] == NULL ) && ( ! isset( $params['post_id'] ) || $params['post_id'] == NULL ) ) return;
			$post_id = isset( $params['post_id'] ) ? $params['post_id'] : 0;
		
			$attach_id = ( !empty( $post_id ) ? get_post_thumbnail_id( $post_id ) : $params['attach_id'] );
			
			$thumb_size = $params['thumb_size'];
			$thumb_class = ( isset( $params['class'] ) && $params['class'] != '' ) ? $params['class'] . ' ' : '';
		
			global $_wp_additional_image_sizes;
			
			$thumbnail = $height = $width = $max_width = $max_height = $src = '';
		
			if ( is_string( $thumb_size ) && ( ( ! empty( $_wp_additional_image_sizes[$thumb_size] ) && is_array( $_wp_additional_image_sizes[$thumb_size] ) ) || in_array( $thumb_size, array( 'thumbnail', 'thumb', 'medium', 'large', 'full' ) ) ) )
			{
				global $_wp_additional_image_sizes;
	
				$sizes = array();
				$get_intermediate_image_sizes = get_intermediate_image_sizes();
		
				// Create the full array with sizes and crop info
				foreach( $get_intermediate_image_sizes as $_size )
				{
					if ( in_array( $_size, array( 'thumbnail', 'medium', 'large' ) ) )
					{
						$sizes[ $_size ]['width'] = get_option( $_size . '_size_w' );
						$sizes[ $_size ]['height'] = get_option( $_size . '_size_h' );
						$sizes[ $_size ]['crop'] = (bool) get_option( $_size . '_crop' );
					}
					elseif( isset( $_wp_additional_image_sizes[ $_size ] ) )
					{
						$sizes[ $_size ] = array( 
							'width' => $_wp_additional_image_sizes[ $_size ]['width'],
							'height' => $_wp_additional_image_sizes[ $_size ]['height'],
							'crop' =>  $_wp_additional_image_sizes[ $_size ]['crop']
						);
					}
				}
			
				if( $attach_id != 'no_image' )
				{			
					$img_url_array	= wp_get_attachment_image_src( $attach_id, $thumb_size );			
					$img_url 		= $img_url_array[0];
					$img_full_src 	= wp_get_attachment_image_src( $attach_id, 'full' );
					$alt 			= trim( strip_tags( get_post_meta( $attach_id, '_wp_attachment_image_alt', true ) ) );
					
		
					$width 	= $img_url_array[1];
					$height	= $img_url_array[2];
					$src	= $img_url_array[0];
							
					$thumbnail = '<img src="'. esc_url( $src ) .'" width="'. esc_attr( $width ) .'" height="'. esc_attr( $height ) .'" alt="'. esc_attr( $alt ) .'" />';	
				}			
				else
				{
					$img_url = get_template_directory_uri() .'/images/no_image.jpg';
					$img_full_src = get_template_directory_uri() .'/images/no_image.jpg';	
					$alt = esc_html__('No Image','you');	
					
					$src = $img_url;
					
					$thumbnail = '<img src="'. esc_url( $img_url ) .'" width="'. esc_attr( $sizes[$thumb_size]['width'] ) .'" height="'. esc_attr( $sizes[$thumb_size]['height'] ) .'" alt="'. esc_attr( $alt ) .'" />';	
				}
			} 
			elseif ( $attach_id )
			{
				if ( is_string( $thumb_size ) )
				{
					preg_match_all( '/\d+/', $thumb_size, $thumb_matches );
					if ( isset( $thumb_matches[0] ) )
					{
						$thumb_size = array();
						if ( count( $thumb_matches[0] ) > 1 ) 
						{
							$thumb_size[] = $thumb_matches[0][0]; // width
							$thumb_size[] = $thumb_matches[0][1]; // height
						} 
						elseif ( count( $thumb_matches[0] ) > 0 && count( $thumb_matches[0] ) < 2 )
						{
							$thumb_size[] = $thumb_matches[0][0]; // width
							$thumb_size[] = $thumb_matches[0][0]; // height
						}
						else
						{
							$thumb_size = false;
						}
					}			
				}
		
				if( $thumb_size != false )
				{
					$max_width	 = $thumb_size[0];
					$max_height = $thumb_size[1];
				}
				
				if ( is_array( $thumb_size ) ) 
				{
					
					// Resize image to custom size
					if( $attach_id == 'no_image' )
					{
						$img_url	= $img_full_src[0] = get_template_directory_uri() .'/images/no_image.jpg';
						$p_img		= wpb_resize( null, $img_url, $thumb_size[0], $thumb_size[1], true );
						$alt 		= esc_html__('No Image','you');
					}
					else
					{
						$p_img = wpb_resize( $attach_id, null, $thumb_size[0], $thumb_size[1], true );
						
						$img_full_src 	= wp_get_attachment_image_src( $attach_id, 'full' );
	
						$alt = trim( strip_tags( get_post_meta( $attach_id, '_wp_attachment_image_alt', true ) ) );
			
						if ( empty( $alt ) )
						{
							$attachment = get_post( $attach_id );
							$alt = trim( strip_tags( $attachment->post_excerpt ) ); // If not, Use the Caption
						}
						if ( empty( $alt ) )
						{
							$alt = trim( strip_tags( $attachment->post_title ) ); // Finally, use the title
						}					
					}
					
	
					if ( $p_img )
					{
						$img_class = '';
						
						$width = $p_img['width'];
						$height = $p_img['height'];
						$src = $p_img['url'];
						
						$thumbnail = '<img class="' . esc_attr( $thumb_class ) . '" src="' . esc_url( $p_img['url'] ) . '" width="' . esc_attr( $p_img['width'] ) . '" height="' . esc_attr( $p_img['height'] ) . '" alt="' . esc_attr( $alt ) . '" />';
					}
				}
			}
			
			return array( 'thumbnail' => $thumbnail, 'src' => $src, 'img_full_src' => $img_full_src[0], 'width' => $width, 'height' => $height, 'max_width' => $max_width, 'max_height' => $max_height );
		
		}	
	}

	/* ------------------------------------
	:: GET ATTACHMENT DATA
	------------------------------------ */	

	if ( ! function_exists( 'acoda_attachment_data' ) ) 
	{		
		function acoda_attachment_data( $attachment_id )
		{
			$attachment = get_post( $attachment_id );
			return array(
				'alt' => get_post_meta( $attachment->ID, '_wp_attachment_image_alt', true ),
				'caption' => $attachment->post_excerpt,
				'description' => $attachment->post_content,
				'href' => get_permalink( $attachment->ID ),
				'src' => $attachment->guid,
				'title' => $attachment->post_title
			);
		}	
	}

	/* ------------------------------------
	:: POST FORMAT GALLERY
	------------------------------------ */		

	if ( ! function_exists( 'acoda_switch_gallery' ) ) 
	{	
		function acoda_switch_gallery( $content, $position )
		{
			//search for the first av gallery or gallery shortcode
			preg_match("!\[(?:postgallery)?gallery.+?\]!", $content, $match_gallery);
						
			if( !empty($match_gallery) )
			{
				$gallery = $match_gallery[0];
		
				if(strpos( $gallery, 'postgallery' ) === false && strpos( $gallery, "ids" ) !== false )
				{
					$gallery = str_replace("gallery", 'postgallery_image id="stage_'. esc_attr( get_the_id() ) .'" timeout="10"  content_type="image" img_size="large" lightbox="yes" navigation="enabled" data_source="data-9" ', $gallery);
					$gallery = str_replace("ids", 'images_attach', $gallery);
					
					$convert = true;
				}
				
				if( $position == 'header' )
				{
					$content = $gallery;
				}
				else
				{
					$content = str_replace($match_gallery[0], '' , $content);	
				}
			}
			elseif( empty($match_gallery) && $position == 'header' )
			{
				$content = '';
			}
			
			return $content;
		}
	}
	
	if ( ! function_exists( 'acoda_getTaxonomies' ) ) 
	{	
		function acoda_getTaxonomies() {
			$taxonomy_exclude = (array)apply_filters( 'get_categories_taxonomy', 'category');
			$taxonomy_exclude[] =  'post_tag';
			$taxonomies = array();
		
			foreach(get_taxonomies() as $taxonomy)
			{
				if(!in_array($taxonomy, $taxonomy_exclude)) $taxonomies[] = $taxonomy;
			}
			return $taxonomies;
		}	
	}

	/* ------------------------------------
	:: AJAX DATA
	------------------------------------ */	

	if ( ! function_exists( 'acoda_ajaxdata' ) ) 
	{	
		function acoda_ajaxdata()
		{
		   $data_contents = $data_source = $type = '';
	
			$type 			= ( !empty( $_POST['type'] ) ? $_POST['type'] : '' );
			$data_source 	= ( !empty( $_POST['source'] ) ? $_POST['source'] : '' );
			$query 			= ( !empty( $_POST['query'] ) ? $_POST['query'] : '' );
			$data_offset 	= ( !empty( $_POST['data_offset'] ) ? $_POST['data_offset'] : '' );
			$load_value 	= ( !empty( $_POST['load_value'] ) ? $_POST['load_value'] : '' );
			$postlayout 	= ( !empty( $_POST['postlayout'] ) ? $_POST['postlayout'] : '' );
			$grid_columns 	= ( !empty( $_POST['grid_columns'] ) ? $_POST['grid_columns'] : '' );
			$config 		= ( !empty( $_POST['attributes'] ) ? $_POST['attributes'] : '' );
			$attributes 	= explode('|', $config);
	
			foreach( $attributes as $attribute )
			{
				if( !empty( $attribute ) )
				{
					list($key, $value) = explode(":", $attribute);
					$config_attributes[$key] = $value;
				}
			}
	
			$acoda_postlayout			= acoda_global_vars('arhpostdisplay');
			$acoda_blog_lightbox 		= acoda_global_vars('blog_lightbox');
			$acoda_archive_img_align	= acoda_global_vars('archive_img_align');
			$acoda_archive_img_size		= acoda_global_vars('archive_img_size');
			$acoda_archive_img_effect	= acoda_global_vars('archive_img_effect');		
			
	
			// Configuration Options
			$acoda_gridcolumns 		 = $grid_columns;
			$acoda_slidercolumns 		 = $load_value;
			$acoda_groupgridcontent 	 = ( !empty( $config_attributes['content'] ) ? $config_attributes['content'] : '' );	
			$img_size 					 = ( !empty( $config_attributes['img_size'] ) ? $config_attributes['img_size'] : '' );			
			$acoda_lightbox 			 = ( !empty( $config_attributes['lightbox'] ) ? $config_attributes['lightbox'] : '' );	
			$acoda_imageeffect 		 = ( !empty( $config_attributes['imageeffect'] ) ? $config_attributes['imageeffect'] : '' );
			$hover_effect 				 = ( !empty( $config_attributes['hover_effect'] ) ? $config_attributes['hover_effect'] : '' );		
			$img_align					 = ( !empty( $config_attributes['imagealign'] ) ? $config_attributes['imagealign'] : '' );
			$title_size				 = ( !empty( $config_attributes['title_size'] ) ? $config_attributes['title_size'] : '' );
			$acoda_shortcode_id		 = ( !empty( $config_attributes['gallery_id'] ) ? $config_attributes['gallery_id'] : '' );
			$product_price				 = ( !empty( $config_attributes['product_price'] ) ? $config_attributes['product_price'] : '' );
			
			
	
			if( $data_source == 'blog' || $data_source == 'date' || $data_source == 'author' || $data_source == 'tag' || $data_source == 'search' )
			{
				global	$acoda_archive_img_size,
						$acoda_archive_img_effect,
						$acoda_archive_img_align,
						$acoda_blog_lightbox;	
				
				$acoda_archive_img_effect = $acoda_imageeffect;
				$acoda_archive_img_size = $img_size;
				$acoda_archive_img_align = $img_align;
				$acoda_blog_lightbox = $acoda_lightbox;			
				
				if( !empty( $query ) && $data_source == 'blog' )
				{
					$args = array( 'post_type' => 'post', 'cat' => $query, 'offset' => $data_offset, 'posts_per_page' => get_option('posts_per_page') );			
				}
				elseif( !empty( $query ) && $data_source == 'search' )
				{
					$args = array( 's' => $query, 'offset' => $data_offset, 'posts_per_page' => get_option('posts_per_page') );
				}
				elseif( !empty( $query ) && $data_source == 'author' )
				{
					$args = array( 'post_type' => 'post', 'author' => $query, 'offset' => $data_offset, 'posts_per_page' => get_option('posts_per_page') );
				}	
				elseif( !empty( $query ) && $data_source == 'date' )
				{
					$attributes = explode( '|', $query );
			
					foreach( $attributes as $attribute )
					{
						list($key, $value) = explode(":", $attribute);
						$date_query[$key] = $value;
					}
								
					$args = array('post_type' => 'post', 'date_query' => $date_query, 'offset' => $data_offset, 'posts_per_page' => get_option('posts_per_page') );
				}	
				elseif( !empty( $query ) && $data_source == 'tag' )
				{							
					$args = array( 'post_type' => 'post', 'tag_id' => $query, 'offset' => $data_offset, 'posts_per_page' => get_option('posts_per_page') );
				}									
				else
				{
					$categories = get_terms( 'category' );				
					
					foreach( $categories as $category )
					{
					  $query .= $category->term_id .',';
					}
					
					$query = rtrim( $query , ',' );
					$args = array(  'post_type' => 'post', 'offset' => $data_offset, 'posts_per_page' => get_option('posts_per_page'), 'ignore_sticky_posts' => false, 'post_status' => 'publish' );
				}
	
				$category_posts = new WP_Query($args);
			
				if( $category_posts->have_posts() ) : 
					while($category_posts->have_posts()) : $category_posts->the_post();
					   
						$do_not_duplicate = $post->ID; //This is the magic line
					   
						$data_contents .= '<div class="columns large-'. ( $postlayout == 'grid' ? esc_attr( 12 / $grid_columns .' grid_layout' ) : 12 )  .' acoda-animate-in '.  esc_attr( $data_source ) .' panel">';
										
						ob_start();
						get_template_part( 'content', get_post_format() );
						$data_contents .= ob_get_contents();
						ob_end_clean();
											
						$data_contents .= '</div>';
					
					endwhile;
				endif;         
			}
	
			if( $data_source == 'data-4' )
			{
				$slide_sets = explode( ",", $query );
	
				foreach ( $slide_sets as $slide_set )
				{ 		
					$name = get_page_by_title( $slide_set, 'OBJECT', "slide-sets" );
					$slide_id = $name->ID;
					$slide_name = $slide_set;		
					
					$sorted_slidesets[$slide_name] = $slide_id;
				}
				
				ksort( $sorted_slidesets );
				$slide_sets 		= $sorted_slidesets;
				$slide_set_array 	= array();
				$postcount 		= 0;
	
				foreach( $slide_sets as $slide_set )
				{		
					$slide_xml = get_post_meta( $slide_set, 'slide_manager_xml', true );
					$slide_data = new DOMDocument();
					$slide_data->loadXML( $slide_xml );
					$slide_set = $slide_data->documentElement;
		
					foreach( $slide_set->childNodes as $slide )
					{						
						// Get Attached / Post Image Data
						$img = acoda_getImageBySize( array( 'attach_id' => acoda_find_xml_value( $slide, 'image' ), 'thumb_size' => $img_size ) );
				
						// Get Image Meta Data Attachment ID
						$attachment_meta = acoda_attachment_data( acoda_find_xml_value( $slide, 'image' ) );
						
						$slide_set_array[$slidecount]['img']				= $img;
						$slide_set_array[$slidecount]['img_url'] 		= ( !empty( $img['src'] ) ? $img['src'] : acoda_find_xml_value( $slide, 'image_url' ) );
						$slide_set_array[$slidecount]['media_url'] 		= acoda_find_xml_value( $slide, 'media_url' );
						$slide_set_array[$slidecount]['embed_type'] 	= acoda_find_xml_value( $slide, 'embed_type' );
						$slide_set_array[$slidecount]['autoplay'] 		= acoda_find_xml_value( $slide, 'autoplay' );
						$slide_set_array[$slidecount]['title'] 			= ( acoda_find_xml_value( $slide, 'title' ) !='' ) ? acoda_find_xml_value( $slide, 'title' ) : $attachment_meta['title'];
						$slide_set_array[$slidecount]['description']	= ( acoda_find_xml_value( $slide, 'description' ) !='' ) ? acoda_find_xml_value( $slide, 'description' ) : $attachment_meta['description'];
						$slide_set_array[$slidecount]['link_url']		= acoda_find_xml_value( $slide, 'link_url' );
						$slide_set_array[$slidecount]['css_classes']	= acoda_find_xml_value( $slide, 'css_classes' );
						$slide_set_array[$slidecount]['readmore_link']	= acoda_find_xml_value( $slide, 'readmore_link' );
						$slide_set_array[$slidecount]['timeout'] 		= acoda_find_xml_value( $slide, 'timeout' );
						$slide_set_array[$slidecount]['filter_tags'] 	= acoda_find_xml_value( $slide, 'filter_tags' ); 
						
						$slidecount++;
					}
				}
	
				$slide_set_array = array_slice( $slide_set_array, $data_offset, $load_value );			
	
				foreach( $slide_set_array as $slide_set )
				{
					$acoda_disablegallink=
					$acoda_movieurl=
					$acoda_previewimgurl=
					$acoda_cssclasses=
					$acoda_altlink=
					$acoda_videotype=
					$acoda_videoautoplay=
					$acoda_posttitle=
					$acoda_description=
					$acoda_slidetimeout=
					$img = '';
					
					$img 						= $slide_set['img'];
					$acoda_previewimgurl		= $slide_set['img_url'];
					$acoda_movieurl 			= $slide_set['media_url'];
					$acoda_videotype 			= $slide_set['embed_type'];
					$acoda_videoautoplay 		= $slide_set['autoplay'];		
					$acoda_posttitle 			= $slide_set['title'];
					$acoda_description 			= $slide_set['description'];
					$acoda_altlink 				= $slide_set['link_url'];
					$acoda_cssclasses 			= $slide_set['css_classes'];
					$acoda_slidetimeout 		= $slide_set['timeout'];
					$tags_array		 			= $slide_set['filter_tags']; 
			
					$acoda_disablegallink	= ( empty( $acoda_altlink ) ? 'yes' : '');
					$acoda_videoautoplay 	= ( $acoda_videoautoplay == 'on' ) ? '1' : '0';
			
					// Assign unique video ID
					$video_id = $postcount + $data_id;			
						
					$postcount++;
					$data_id++;
	
					$output 			= '';
					$acoda_show_slider= $type;
					
					if(	$acoda_show_slider == 'stageslider' || $acoda_show_slider == 'carousel' )
					{
						require( get_template_directory() .'/lib/inc/stage-gallery-frame.php' ); // STAGE
					}
					elseif( $acoda_show_slider == 'gridgallery' )
					{
						require( get_template_directory() .'/lib/inc/grid-gallery-frame.php' ); // GRID
					}
					elseif( $acoda_show_slider == 'groupslider' )
					{
						require( get_template_directory() .'/lib/inc/group-gallery-frame.php' ); // GROUP SLIDER
					}
					
					$data_contents .= $output;					
				}
			}	
	
			if( $data_source == 'data-9' )
			{	
				$images_ids = empty( $query ) ? array() : explode( ',', trim( $query ) );
				
				$count = count( $images_ids );
				$postcount = 0;
				
				$images_ids = array_slice( $images_ids, $data_offset, $load_value );
	
				// Slide Set ID Array Check
				foreach( $images_ids as $img_id )
				{
					$acoda_disablegallink=
					$acoda_movieurl=
					$acoda_previewimgurl=
					$acoda_cssclasses=
					$acoda_altlink=
					$acoda_videotype=
					$acoda_videoautoplay=
					$acoda_posttitle=
					$acoda_description=
					$acoda_slidetimeout = 
					$img = 
					$img_full_src =
					$ratio = '';
					
					// Get Attached / Post Image Data
					$img = acoda_getImageBySize( array( 'attach_id' => $img_id, 'thumb_size' => $img_size ) );
					
					// Get Image Meta Data Attachment ID
					$attachment_meta = acoda_attachment_data( $img_id, 'image' );
					
					$acoda_movieurl		= get_post_meta( $img_id, 'gallery-video-url', true );
					$acoda_posttitle		= $attachment_meta['title'];
					$acoda_description	= $attachment_meta['description'];		
					$acoda_altlink		= get_post_meta( $img_id, 'gallery-link-url', true );
					$acoda_disablegallink = ( empty( $acoda_altlink ) ) ? 'yes' : '';
					$acoda_slidetimeout	= get_post_meta( $img_id, 'gallery-slide-timeout', true );
					$acoda_cssclasses		= get_post_meta( $img_id, 'gallery-slide-classes', true );
					$tags_array			= get_post_meta( $img_id, 'media-tags', true );		
					$acoda_videotype		= get_post_meta( $img_id, 'media-embed', true );	
					$ratio					= get_post_meta( $img_id, 'media-ratio', true );		
						
					// Assign unique video ID
					$video_id = $img_id + $data_id;	
					
					$postcount++;	
	
					/* ------------------------------------
					:: GET SLIDER FRAME
					------------------------------------ */			
	
					$output = '';
					
					$acoda_show_slider = $type;
					
					if(	$acoda_show_slider == 'stageslider' || $acoda_show_slider == 'carousel' )
					{
						require( get_template_directory() .'/lib/inc/stage-gallery-frame.php' ); // STAGE
					}
					elseif( $acoda_show_slider == 'gridgallery' )
					{
						require( get_template_directory() .'/lib/inc/grid-gallery-frame.php' ); // GRID
					}
					elseif( $acoda_show_slider == 'groupslider' )
					{
						require( get_template_directory() .'/lib/inc/group-gallery-frame.php' ); // GROUP SLIDER
					}	
					
					$data_contents .= $output;	
					
				}			
			}				
	
			if( $data_source == 'data-10' )
			{		
				$data = $taxonomy_tags 	= array();
				$values_pairs 				= preg_split('/\|/', $query);
				$postcount 				= 0;
				
				foreach($values_pairs as $pair) 
				{
					if(!empty($pair)) 
					{
						list($key, $value) = preg_split('/\:/', $pair);
						
						if( $key == 'categories' ) 
						{
							$key = 'cat';
							$filter_cats = $value;
						}
						if( $key == 'tags' ) 
						{
							$key = 'tag__in';
							$filter_tags = $value;
							$value = explode( ',' , $value );
						}	
						if( $key == 'tax_query' ) 
						{
							$tax = explode( ',' , $value );
							$terms = get_terms(acoda_getTaxonomies(), array('include' => array_map('abs', $tax )));		
							$tax_data = $tax_arrays = array();
			
							$value = array( 
								'relation' => 'OR'
							);
							
							foreach ( $terms as $term )
							{
								$tax_data[$term->taxonomy]['terms'][] = $term->term_id;
							}
							
							foreach ( $tax_data as $tax => $term )
							{
								$tax_array = array(
									'taxonomy' => $tax,
									'field' => 'id',
									'terms' => $term['terms'],
									'operator' => 'IN'
								);
								
								array_push( $value, $tax_array );
								array_push( $taxonomy_tags, $tax_array );			
							}						
						}	
						if( $key == 'post_type' ) 
						{
							$post_type = $value;
							$value = explode( ',' , $value );
						}												
						if( $key == 'order_by' ) $key = 'orderby';
						if( $key == 'size' ) $key = 'posts_per_page';
						
						$data[$key] = $value;
					}
				}	
	
				$data['offset'] = $data_offset;
				$data['posts_per_page'] = $load_value;
	
				$featured_query = new WP_Query($data);
				
				$post_count = $featured_query->post_count; // Check how many posts in query.
				
				while ( $featured_query->have_posts() ) : $featured_query->the_post();
				
					/* ------------------------------------
					:: GET INDIVIDUAL SLIDE DATA
					------------------------------------ */
					
					$image = acoda_catch_image(); // Check for images within post
					
					$img = array();
					$post_id = $featured_query->post->ID;
			
					// check what image to use, custom, featured, image within post. 
					if( empty( $acoda_previewimgurl ) )
					{  
						$img_id = get_post_thumbnail_id( $post_id );
						if ( !empty($img_id) )
						{	
							// Get Attached / Post Image Data
							$img = acoda_getImageBySize( array( 'attach_id' => $img_id, 'thumb_size' => $img_size ) );
						} 
						else
						{
							$img = acoda_getImageBySize( array( 'attach_id' => 'no_image', 'thumb_size' => $img_size ) );
						}
					}	
					
					$acoda_movieurl 			= ( get_post_meta( $post_id, '_'. ACODA_THEME_PREFIX .'_movieurl', true ) !='' ) 			? get_post_meta( $post_id, '_'. ACODA_THEME_PREFIX .'_movieurl', true ) : '';
					$acoda_disablegallink 	= ( get_post_meta( $post_id, '_'. ACODA_THEME_PREFIX .'_disablegallink', true ) !='' ) 	? get_post_meta( $post_id, '_'. ACODA_THEME_PREFIX .'_disablegallink', true ) : '';
					$acoda_displaytitle 		= ( get_post_meta( $post_id, '_'. ACODA_THEME_PREFIX .'_displaytitle', true ) !='' )		? get_post_meta( $post_id, '_'. ACODA_THEME_PREFIX .'_displaytitle', true ) : '';
					$acoda_postsubtitle 		= ( get_post_meta( $post_id, '_'. ACODA_THEME_PREFIX .'_pagesubtitle', true ) !='' ) 		? get_post_meta( $post_id, '_'. ACODA_THEME_PREFIX .'_pagesubtitle', true ) : '';
					$acoda_videotype 			= ( get_post_meta( $post_id, '_'. ACODA_THEME_PREFIX .'_videotype', true ) !='' ) 		? get_post_meta( $post_id, '_'. ACODA_THEME_PREFIX .'_videotype', true ) : '';
					$ratio 						= ( get_post_meta( $post_id, '_'. ACODA_THEME_PREFIX .'_videoratio', true ) !='' ) 		? get_post_meta( $post_id, '_'. ACODA_THEME_PREFIX .'_videoratio', true ) : '';
					$acoda_videoautoplay		= ( get_post_meta( $post_id, '_'. ACODA_THEME_PREFIX .'_videoautoplay', true ) !='' ) 	? get_post_meta( $post_id, '_'. ACODA_THEME_PREFIX .'_videoautoplay', true ) : '';
					$acoda_cssclasses			= ( get_post_meta( $post_id, '_'. ACODA_THEME_PREFIX .'_cssclasses', true ) !='' ) 		? get_post_meta( $post_id, '_'. ACODA_THEME_PREFIX .'_cssclasses', true ) : '';
					
					
					// Set the Permalink
					if( get_post_meta( $post_id, '_'. ACODA_THEME_PREFIX .'_altlink', true ) !='' )
					{
						$acoda_altlink = get_post_meta( $post_id, '_'. ACODA_THEME_PREFIX .'_altlink', true );
					}
					else
					{
						$acoda_altlink = get_permalink();
					}
					
					// Set the title
					if( get_post_meta( $post_id, '_'. ACODA_THEME_PREFIX .'_pagetitle', true ) )
					{
						$acoda_posttitle = get_post_meta( $post_id, '_'. ACODA_THEME_PREFIX .'_pagetitle', true );
					}
					else
					{
						$acoda_posttitle = the_title('', '', false);	
					}
					
					$acoda_max_characters = ( of_get_option("arhexcerpt") != '' ?  of_get_option("arhexcerpt") : 240 );
					
					if ( empty($post->post_excerpt) )
					{
						
						if( !function_exists('the_advanced_excerpt') )
						{
							$acoda_description = acoda_max_character_excerpt( $acoda_max_characters,  get_the_excerpt() );
						}
						else
						{
							$acoda_description = the_advanced_excerpt('length='.$acoda_galleryexcerpt.'&ellipsis=',true);
						}
					} 
					else
					{
						$acoda_description = get_the_excerpt(); 
					}					
			
					
					$acoda_videoautoplay = ( empty( $acoda_videoautoplay ) ) ? '0' : '1';
			
					$postcount++;
		
	
					/* ------------------------------------
					:: FILTER CATEGORIES
					------------------------------------ */		
	
					$categories = ''; 
	
					if( !empty( $taxonomy_tags ) )
					{				
						foreach( $taxonomy_tags as $tax_id )
						{			
							$terms = $tax_id['terms'];
							$term_slug = '';
							
						
							$term_name = '';
							$term_name = wp_get_post_terms( get_the_ID(), $tax_id['taxonomy'] );
						
							if( !empty( $term_name ) )
							{
								foreach( $term_name as $term )
								{
									$term_slug = $term->name;
									
									$categories .= str_replace( ' ', '', $term_slug ) . $acoda_shortcode_id .' ';
									$categories = preg_replace( "/&#?[a-z0-9]+;/i", '', $categories );			
								}
							}
							
						}	
					}				
	
	
					// Product Price
					if( !empty( $product_price ) && class_exists( 'woocommerce' ) )
					{
						$_product = wc_get_product( get_the_ID() );
						$acoda_product_price = get_woocommerce_currency_symbol() . $_product->get_regular_price();
					}			
	
					// Post Author
					if( !empty( $post_author ) )
					{
						$author_id		= get_post_field( 'post_author', get_the_ID() );
						$author_name	= get_the_author_meta( 'display_name', $author_id );
						$author_url	= get_author_posts_url( $author_id );
						$acoda_post_author = '<a href="'. $author_url .'" class="post_author metadata">'. get_avatar( $author, 40 ). '<span>' . esc_html__('By ','you') . $author_name .'</span></a>';
					}	
			
					// Post Date
					if( !empty( $post_date ) )
					{
						$meta_date_format = ( of_get_option( 'meta_date_format_single' ) != '' ? of_get_option( 'meta_date_format_single' ) : 'd F Y' );
						$acoda_post_date  =  '<span class="date metadata">'. get_the_time( $meta_date_format ) .'</span>';
					}						
	
					
					/* ------------------------------------
					:: GET SLIDER FRAME
					------------------------------------ */			
	
					$output = '';
					
					$acoda_show_slider = $type;
					
					if(	$acoda_show_slider == 'stageslider' || $acoda_show_slider == 'carousel' )
					{
						require( get_template_directory() .'/lib/inc/stage-gallery-frame.php' ); // STAGE
					}
					elseif( $acoda_show_slider == 'gridgallery' )
					{
						require( get_template_directory() .'/lib/inc/grid-gallery-frame.php' ); // GRID
					}
					elseif( $acoda_show_slider == 'groupslider' )
					{
						require( get_template_directory() .'/lib/inc/group-gallery-frame.php' ); // GROUP SLIDER
					}						
					
					$data_contents .= $output;		
			
				endwhile;	
			}
				 
		   die($data_contents);
		}	
	}
	
	add_action( 'wp_ajax_nopriv_acoda_ajaxdata', 'acoda_ajaxdata' );
	add_action( 'wp_ajax_acoda_ajaxdata', 'acoda_ajaxdata' );	

	/* ------------------------------------
	:: FRIENDLY PAGE TITLE
	------------------------------------ */

	if ( ! function_exists( 'acoda_wp_title' ) ) 
	{
		function acoda_wp_title( $title, $sep ) {
			global $paged, $page;
		
			if ( is_feed() )
				return $title;
		
			// Add the site name.
			$title .= get_bloginfo( 'name' );
		
			// Add the site description for the home/front page.
			$site_description = get_bloginfo( 'description', 'display' );
			if ( $site_description && ( is_home() || is_front_page() ) )
				$title = "$title $sep $site_description";
		
			// Add a page number if necessary.
			if ( $paged >= 2 || $page >= 2 )
				$title = "$title $sep " . sprintf( esc_html__( 'Page %s', 'you' ), max( $paged, $page ) );
		
			return $title;
		}
	}

	add_filter( 'wp_title', 'acoda_wp_title', 10, 2 );

	/* ------------------------------------
	:: CATEGORY TITLE
	------------------------------------ */

	if ( ! function_exists( 'acoda_category_title' ) ) 
	{
		function acoda_category_title( $title )
		{
			if( is_category() ) 
			{
				$title = single_cat_title( '', false );
			}
		
			return $title;		
		}
	}

	add_filter( 'get_the_archive_title', 'acoda_category_title');
	
	/* ------------------------------------
	:: MENU DROPDOWN ICON
	------------------------------------ */	

	if ( ! function_exists( 'acoda_set_dropdown' ) ) 
	{
		function acoda_set_dropdown( $sorted_menu_items, $args )
		{
			$last_top = 0;
			foreach ( $sorted_menu_items as $key => $obj )
			{
				// it is a top lv item?
				if ( 0 == $obj->menu_item_parent )
				{
					// set the key of the parent
					$last_top = $key;
				}
				else
				{
					$sorted_menu_items[$last_top]->classes['dropdown'] = 'hasdropmenu';
				}
			}
			
			return $sorted_menu_items;
		}
	}
	
	add_filter( 'wp_nav_menu_objects', 'acoda_set_dropdown', 10, 2 );


	/* ------------------------------------
	:: WP CUSTOM MENU SUPPORT
	------------------------------------ */

	class acoda_walker extends Walker_Nav_Menu {
			
		function start_lvl( &$output, $depth=0,  $args=array() ) {
			$indent = str_repeat("\t", $depth);
			$output .= "\n$indent<ul class=\"sub-menu skinset-submenu acoda-skin\">\n";
		}
	
		
		function start_el( &$output, $item, $depth=0, $args=array(), $current_object_id=0 ) {
			global $wp_query;
	
			$indent = ( $depth ) ? str_repeat( "\t", $depth ) : '';
	
			$class_names = $value = '';
	
			$classes = empty( $item->classes ) ? array() : (array) $item->classes;
	
			$class_names = join( ' ', apply_filters( 'nav_menu_css_class', array_filter( $classes ), $item ) );
			$class_names = ' class="' . esc_attr( $class_names ) . '"';
	

			$output .= $indent . '<li ' . $value . $class_names .'>';		
		
			$attributes  = ! empty( $item->attr_title ) ? ' title="'  . esc_attr( $item->attr_title ) .'"' : '';
			$attributes .= ! empty( $item->target )     ? ' target="' . esc_attr( $item->target     ) .'"' : '';
			$attributes .= ! empty( $item->xfn )        ? ' rel="'    . esc_attr( $item->xfn        ) .'"' : '';
			$attributes .= ! empty( $item->url )        ? ' href="'   . esc_attr( $item->url        ) .'"' : '';
	
			$item_output = $args->before;
			$item_output .= '<a'. $attributes .'>';
			$item_output .= '<span class="menutitle">'.$args->link_before . apply_filters( 'the_title', $item->title, $item->ID ) . $args->link_after.'</span>';
			$item_output .= '</a>';	
			$item_output .= $args->after;
			$output .= apply_filters( 'walker_nav_menu_start_el', $item_output, $item, $depth, $args );
		}
	} 


	if ( ! function_exists( 'acoda_add_media_image' ) ) 
	{
		function acoda_add_media_image( $image_url )
		{
			require_once(ABSPATH . 'wp-admin/includes/media.php');
			require_once(ABSPATH . 'wp-admin/includes/file.php');
			require_once(ABSPATH . 'wp-admin/includes/image.php');
			
			$tmp = download_url( $image_url );
			$file_array = array(
				'name' => basename( $image_url ),
				'tmp_name' => $tmp
			);
		
			// Check for download errors
			if ( is_wp_error( $tmp ) ) {
				@unlink( $file_array[ 'tmp_name' ] );
				return $tmp;
			}
		
			$id = media_handle_sideload( $file_array, 0 );
			// Check for handle sideload errors.
			if ( is_wp_error( $id ) ) {
				@unlink( $file_array['tmp_name'] );
				return $id;
			}
		
			$attachment_url = wp_get_attachment_url( $id );
			
			return $attachment_url;
		} 
	}

	if ( ! function_exists( 'acoda_replace_chars' ) ) 
	{
		function acoda_replace_chars($string) {
			$transliterationTable = array('á' => 'a', 'Á' => 'A', 'à' => 'a', 'À' => 'A', 'ă' => 'a', 'Ă' => 'A', 'â' => 'a', 'Â' => 'A', 'å' => 'a', 'Å' => 'A', 'ã' => 'a', 'Ã' => 'A', 'ą' => 'a', 'Ą' => 'A', 'ā' => 'a', 'Ā' => 'A', 'ä' => 'ae', 'Ä' => 'AE', 'æ' => 'ae', 'Æ' => 'AE', 'ḃ' => 'b', 'Ḃ' => 'B', 'ć' => 'c', 'Ć' => 'C', 'ĉ' => 'c', 'Ĉ' => 'C', 'č' => 'c', 'Č' => 'C', 'ċ' => 'c', 'Ċ' => 'C', 'ç' => 'c', 'Ç' => 'C', 'ď' => 'd', 'Ď' => 'D', 'ḋ' => 'd', 'Ḋ' => 'D', 'đ' => 'd', 'Đ' => 'D', 'ð' => 'dh', 'Ð' => 'Dh', 'é' => 'e', 'É' => 'E', 'è' => 'e', 'È' => 'E', 'ĕ' => 'e', 'Ĕ' => 'E', 'ê' => 'e', 'Ê' => 'E', 'ě' => 'e', 'Ě' => 'E', 'ë' => 'e', 'Ë' => 'E', 'ė' => 'e', 'Ė' => 'E', 'ę' => 'e', 'Ę' => 'E', 'ē' => 'e', 'Ē' => 'E', 'ḟ' => 'f', 'Ḟ' => 'F', 'ƒ' => 'f', 'Ƒ' => 'F', 'ğ' => 'g', 'Ğ' => 'G', 'ĝ' => 'g', 'Ĝ' => 'G', 'ġ' => 'g', 'Ġ' => 'G', 'ģ' => 'g', 'Ģ' => 'G', 'ĥ' => 'h', 'Ĥ' => 'H', 'ħ' => 'h', 'Ħ' => 'H', 'í' => 'i', 'Í' => 'I', 'ì' => 'i', 'Ì' => 'I', 'î' => 'i', 'Î' => 'I', 'ï' => 'i', 'Ï' => 'I', 'ĩ' => 'i', 'Ĩ' => 'I', 'į' => 'i', 'Į' => 'I', 'ī' => 'i', 'Ī' => 'I', 'ĵ' => 'j', 'Ĵ' => 'J', 'ķ' => 'k', 'Ķ' => 'K', 'ĺ' => 'l', 'Ĺ' => 'L', 'ľ' => 'l', 'Ľ' => 'L', 'ļ' => 'l', 'Ļ' => 'L', 'ł' => 'l', 'Ł' => 'L', 'ṁ' => 'm', 'Ṁ' => 'M', 'ń' => 'n', 'Ń' => 'N', 'ň' => 'n', 'Ň' => 'N', 'ñ' => 'n', 'Ñ' => 'N', 'ņ' => 'n', 'Ņ' => 'N', 'ó' => 'o', 'Ó' => 'O', 'ò' => 'o', 'Ò' => 'O', 'ô' => 'o', 'Ô' => 'O', 'ő' => 'o', 'Ő' => 'O', 'õ' => 'o', 'Õ' => 'O', 'ø' => 'oe', 'Ø' => 'OE', 'ō' => 'o', 'Ō' => 'O', 'ơ' => 'o', 'Ơ' => 'O', 'ö' => 'oe', 'Ö' => 'OE', 'ṗ' => 'p', 'Ṗ' => 'P', 'ŕ' => 'r', 'Ŕ' => 'R', 'ř' => 'r', 'Ř' => 'R', 'ŗ' => 'r', 'Ŗ' => 'R', 'ś' => 's', 'Ś' => 'S', 'ŝ' => 's', 'Ŝ' => 'S', 'š' => 's', 'Š' => 'S', 'ṡ' => 's', 'Ṡ' => 'S', 'ş' => 's', 'Ş' => 'S', 'ș' => 's', 'Ș' => 'S', 'ß' => 'SS', 'ť' => 't', 'Ť' => 'T', 'ṫ' => 't', 'Ṫ' => 'T', 'ţ' => 't', 'Ţ' => 'T', 'ț' => 't', 'Ț' => 'T', 'ŧ' => 't', 'Ŧ' => 'T', 'ú' => 'u', 'Ú' => 'U', 'ù' => 'u', 'Ù' => 'U', 'ŭ' => 'u', 'Ŭ' => 'U', 'û' => 'u', 'Û' => 'U', 'ů' => 'u', 'Ů' => 'U', 'ű' => 'u', 'Ű' => 'U', 'ũ' => 'u', 'Ũ' => 'U', 'ų' => 'u', 'Ų' => 'U', 'ū' => 'u', 'Ū' => 'U', 'ư' => 'u', 'Ư' => 'U', 'ü' => 'ue', 'Ü' => 'UE', 'ẃ' => 'w', 'Ẃ' => 'W', 'ẁ' => 'w', 'Ẁ' => 'W', 'ŵ' => 'w', 'Ŵ' => 'W', 'ẅ' => 'w', 'Ẅ' => 'W', 'ý' => 'y', 'Ý' => 'Y', 'ỳ' => 'y', 'Ỳ' => 'Y', 'ŷ' => 'y', 'Ŷ' => 'Y', 'ÿ' => 'y', 'Ÿ' => 'Y', 'ź' => 'z', 'Ź' => 'Z', 'ž' => 'z', 'Ž' => 'Z', 'ż' => 'z', 'Ż' => 'Z', 'þ' => 'th', 'Þ' => 'Th', 'µ' => 'u', 'а' => 'a', 'А' => 'a', 'б' => 'b', 'Б' => 'b', 'в' => 'v', 'В' => 'v', 'г' => 'g', 'Г' => 'g', 'д' => 'd', 'Д' => 'd', 'е' => 'e', 'Е' => 'E', 'ё' => 'e', 'Ё' => 'E', 'ж' => 'zh', 'Ж' => 'zh', 'з' => 'z', 'З' => 'z', 'и' => 'i', 'И' => 'i', 'й' => 'j', 'Й' => 'j', 'к' => 'k', 'К' => 'k', 'л' => 'l', 'Л' => 'l', 'м' => 'm', 'М' => 'm', 'н' => 'n', 'Н' => 'n', 'о' => 'o', 'О' => 'o', 'п' => 'p', 'П' => 'p', 'р' => 'r', 'Р' => 'r', 'с' => 's', 'С' => 's', 'т' => 't', 'Т' => 't', 'у' => 'u', 'У' => 'u', 'ф' => 'f', 'Ф' => 'f', 'х' => 'h', 'Х' => 'h', 'ц' => 'c', 'Ц' => 'c', 'ч' => 'ch', 'Ч' => 'ch', 'ш' => 'sh', 'Ш' => 'sh', 'щ' => 'sch', 'Щ' => 'sch', 'ъ' => '', 'Ъ' => '', 'ы' => 'y', 'Ы' => 'y', 'ь' => '', 'Ь' => '', 'э' => 'e', 'Э' => 'e', 'ю' => 'ju', 'Ю' => 'ju', 'я' => 'ja', 'Я' => 'ja');

			return strtr( $string, $transliterationTable );	
		}	
	}
	

	/* ------------------------------------
	:: ADMIN.CSS + ACTIVATION
	------------------------------------ */

	add_action('admin_enqueue_scripts', 'acoda_admin_styles');


	if ( ! function_exists( 'acoda_admin_styles' ) ) 
	{
		function acoda_admin_styles()
		{
			wp_enqueue_style('acoda-admin-styles', get_template_directory_uri().'/lib/adm/css/wp-admin.css' );
		}
	}
	
	add_action('after_switch_theme', 'acoda_theme_activate');
	
	
	if ( ! function_exists( 'acoda_theme_activate' ) ) 
	{	
		function acoda_theme_activate() 
		{
			if( current_user_can('edit_theme_options') )
			{
				header( 'Location: '.admin_url().'themes.php?page=options-framework#options-group-1');
			}
		}	
	}


	add_action( 'admin_bar_menu', 'acoda_link_to_options', 999 );
	
	if ( ! function_exists( 'acoda_link_to_options' ) ) 
	{	
		function acoda_link_to_options( $wp_admin_bar )
		{
			if( current_user_can('administrator') )
			{	
				$args = array(
					'id'    => 'theme_options',
					'title' => esc_html__( 'Theme Options', 'you' ),
					'href'  => admin_url() . 'themes.php?page=options-framework',
					'parent' => 'site-name',
					'meta'  => array( 'class' => 'theme-options' )
				);
				
				$wp_admin_bar->add_node( $args );
			}
		}
	}

	if ( ! function_exists( 'acoda_sanitize_textarea_css' ) ) 
	{		
		// Santiziation of textarea_css for CSS
		function acoda_sanitize_textarea_css($input)
		{
			$output = wp_filter_nohtml_kses( $input );
	
			return $output;
		}		
	}
	
	add_filter( 'of_sanitize_textarea_css', 'acoda_sanitize_textarea_css' );